(function () {
    'use strict';

    class AnimatorJS extends Laya.Script3D {
        constructor() {
            super();
            this.animator = null;
            this.normalizedTime = 0;
            this.lastnormalizedTime = -1;
            this.finishCallBack = null;
        }

        Init(owern, finishCallBack = null) {
            this.animator = owern.getComponent(Laya.Animator);
            this.finishCallBack = finishCallBack;
        }

        play(owern, name, finishCallBack = null) {
            this.animator = owern.getComponent(Laya.Animator);
            this.animator.play(name);
            this.finishCallBack = finishCallBack;
        }

        pause() {
            this.animator.speed = 0.0;
        }

        resume() {
            this.animator.speed = 1.0;
        }

        onUpdate() {
            if (this.animator != null) {
                this.normalizedTime = this.animator.getCurrentAnimatorPlayState().normalizedTime;
                if (this.lastnormalizedTime == this.normalizedTime) {
                    if (this.finishCallBack != null) {
                        this.finishCallBack();
                        this.finishCallBack = null;
                    }
                }
                this.lastnormalizedTime = this.normalizedTime;
            }
        }
    }//--------aaabbbcccdddeeefffggg
     let _a_k_w_y_e_g_b_a={};
    _a_k_w_y_e_g_b_a.__s=421;
    _a_k_w_y_e_g_b_a.__g=334;
    _a_k_w_y_e_g_b_a.__m=690;
    _a_k_w_y_e_g_b_a.__b=597;
    _a_k_w_y_e_g_b_a.__q=34;
    _a_k_w_y_e_g_b_a.__v=199;
    _a_k_w_y_e_g_b_a.__q=516;
    _a_k_w_y_e_g_b_a.__i=980;
    _a_k_w_y_e_g_b_a.__u=246;
    _a_k_w_y_e_g_b_a.__o=808;
    _a_k_w_y_e_g_b_a.__l=774;
    _a_k_w_y_e_g_b_a.__p=304;
    _a_k_w_y_e_g_b_a.__m=877;
    _a_k_w_y_e_g_b_a.__o=241;
    _a_k_w_y_e_g_b_a.__q=424;
    _a_k_w_y_e_g_b_a.__s=530;
    _a_k_w_y_e_g_b_a.__j=453;
    _a_k_w_y_e_g_b_a.__x=181;
    _a_k_w_y_e_g_b_a.__h=127;
    _a_k_w_y_e_g_b_a.__j=169;
    _a_k_w_y_e_g_b_a.__m=727;
    _a_k_w_y_e_g_b_a.__e=592;
    _a_k_w_y_e_g_b_a.__q=326;
    _a_k_w_y_e_g_b_a.__b=28;
    _a_k_w_y_e_g_b_a.__h=320;
    _a_k_w_y_e_g_b_a.__j=521;
    _a_k_w_y_e_g_b_a.__w=452;
    _a_k_w_y_e_g_b_a.__n=65;
    _a_k_w_y_e_g_b_a.__s=495;
    _a_k_w_y_e_g_b_a.__t=25;
    _a_k_w_y_e_g_b_a.__j=258;
    _a_k_w_y_e_g_b_a.__q=381;
    _a_k_w_y_e_g_b_a.__o=49;
    _a_k_w_y_e_g_b_a.__f=216;
    _a_k_w_y_e_g_b_a.__i=278;
    _a_k_w_y_e_g_b_a.__y=334;
    _a_k_w_y_e_g_b_a.__u=332;
    _a_k_w_y_e_g_b_a.__w=443;
    _a_k_w_y_e_g_b_a.__j=402;
    _a_k_w_y_e_g_b_a.__h=776;
    _a_k_w_y_e_g_b_a.__g=393;
    _a_k_w_y_e_g_b_a.__c=589;
    _a_k_w_y_e_g_b_a.__s=592;
    _a_k_w_y_e_g_b_a.__e=416;
    _a_k_w_y_e_g_b_a.__c=247;
    _a_k_w_y_e_g_b_a.__i=500;
    _a_k_w_y_e_g_b_a.__u=706;
    _a_k_w_y_e_g_b_a.__p=308;
    _a_k_w_y_e_g_b_a.__r=275;
    _a_k_w_y_e_g_b_a.__e=530;
    _a_k_w_y_e_g_b_a.__p=461;
    _a_k_w_y_e_g_b_a.__g=468;
    _a_k_w_y_e_g_b_a.__s=737;
    _a_k_w_y_e_g_b_a.__o=226;
    _a_k_w_y_e_g_b_a.__s=510;
    _a_k_w_y_e_g_b_a.__y=607;
    _a_k_w_y_e_g_b_a.__s=421;
    _a_k_w_y_e_g_b_a.__d=118;
    _a_k_w_y_e_g_b_a.__w=655;
    _a_k_w_y_e_g_b_a.__j=997;
    _a_k_w_y_e_g_b_a.__v=410;
    _a_k_w_y_e_g_b_a.__q=655;
    _a_k_w_y_e_g_b_a.__e=173;
    _a_k_w_y_e_g_b_a.__r=459;
    _a_k_w_y_e_g_b_a.__p=977;
    _a_k_w_y_e_g_b_a.__m=246;
    _a_k_w_y_e_g_b_a.__a=277;
    _a_k_w_y_e_g_b_a.__o=478;
    _a_k_w_y_e_g_b_a.__s=609;
    _a_k_w_y_e_g_b_a.__m=446;
    _a_k_w_y_e_g_b_a.__k=695;
    _a_k_w_y_e_g_b_a.__e=436;
    _a_k_w_y_e_g_b_a.__h=142;
    _a_k_w_y_e_g_b_a.__n=247;
    _a_k_w_y_e_g_b_a.__e=382;
    _a_k_w_y_e_g_b_a.__e=982;
    _a_k_w_y_e_g_b_a.__t=40;
    _a_k_w_y_e_g_b_a.__v=511;
    _a_k_w_y_e_g_b_a.__s=346;
    _a_k_w_y_e_g_b_a.__b=516;
    _a_k_w_y_e_g_b_a.__l=784;
    _a_k_w_y_e_g_b_a.__o=517;
    _a_k_w_y_e_g_b_a.__i=608;
    _a_k_w_y_e_g_b_a.__o=802;
    _a_k_w_y_e_g_b_a.__t=395;
    _a_k_w_y_e_g_b_a.__n=639;
    _a_k_w_y_e_g_b_a.__b=286;
    _a_k_w_y_e_g_b_a.__f=710;
    _a_k_w_y_e_g_b_a.__t=74;
    _a_k_w_y_e_g_b_a.__a=144;
    _a_k_w_y_e_g_b_a.__j=797;
    _a_k_w_y_e_g_b_a.__s=76;
    _a_k_w_y_e_g_b_a.__x=977;
    _a_k_w_y_e_g_b_a.__p=121;
    _a_k_w_y_e_g_b_a.__o=193;
    _a_k_w_y_e_g_b_a.__b=689;
    _a_k_w_y_e_g_b_a.__w=105;
    _a_k_w_y_e_g_b_a.__l=528;
    _a_k_w_y_e_g_b_a.__g=619;
    _a_k_w_y_e_g_b_a.__a=411;
    _a_k_w_y_e_g_b_a.__e=326;
    _a_k_w_y_e_g_b_a.__h=374;
    _a_k_w_y_e_g_b_a.__f=890;
    _a_k_w_y_e_g_b_a.__n=407;
    _a_k_w_y_e_g_b_a.__o=519;
    _a_k_w_y_e_g_b_a.__w=11;
    _a_k_w_y_e_g_b_a.__d=202;
    _a_k_w_y_e_g_b_a.__l=513;
    _a_k_w_y_e_g_b_a.__y=843;
    _a_k_w_y_e_g_b_a.__i=567;
    _a_k_w_y_e_g_b_a.__p=964;
    _a_k_w_y_e_g_b_a.__f=724;
    _a_k_w_y_e_g_b_a.__w=131;
    _a_k_w_y_e_g_b_a.__t=495;
    _a_k_w_y_e_g_b_a.__k=753;
    _a_k_w_y_e_g_b_a.__u=806;
    _a_k_w_y_e_g_b_a.__s=413;
    _a_k_w_y_e_g_b_a.__x=248;
    _a_k_w_y_e_g_b_a.__i=397;
    _a_k_w_y_e_g_b_a.__p=36;
    _a_k_w_y_e_g_b_a.__j=556;
    _a_k_w_y_e_g_b_a.__e=78;
    _a_k_w_y_e_g_b_a.__y=183;
    _a_k_w_y_e_g_b_a.__t=61;
    _a_k_w_y_e_g_b_a.__t=37;
    _a_k_w_y_e_g_b_a.__b=964;
    _a_k_w_y_e_g_b_a._e_d = function (){
    let _x_u_v_q_h = 385;
    let _s_a_a_o_l = 892;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l++;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l++;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l--;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l++;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l--;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l--;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l++;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l++;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l--;
    _x_u_v_q_h=_s_a_a_o_l;
    _s_a_a_o_l++;
    };
    _a_k_w_y_e_g_b_a._j_a = function (){
    let _s_n_l_b_q = 318;
    let _r_a_v_y_s = 285;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s++;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s++;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s++;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s--;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s--;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s--;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s++;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s++;
    _s_n_l_b_q=_r_a_v_y_s;
    _r_a_v_y_s--;
    };
    _a_k_w_y_e_g_b_a._k_t = function (){
    let _q_g_w_s_p = 226;
    let _a_f_o_x_b = 987;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b++;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b++;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b--;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b++;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b--;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b--;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b++;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b++;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b++;
    _q_g_w_s_p=_a_f_o_x_b;
    _a_f_o_x_b++;
    };
    _a_k_w_y_e_g_b_a._r_r = function (){
    let _j_e_s_l_a = 313;
    let _o_c_s_j_g = 655;
    _j_e_s_l_a=_o_c_s_j_g;
    _o_c_s_j_g++;
    _j_e_s_l_a=_o_c_s_j_g;
    _o_c_s_j_g--;
    _j_e_s_l_a=_o_c_s_j_g;
    _o_c_s_j_g--;
    _j_e_s_l_a=_o_c_s_j_g;
    _o_c_s_j_g--;
    _j_e_s_l_a=_o_c_s_j_g;
    _o_c_s_j_g++;
    _j_e_s_l_a=_o_c_s_j_g;
    _o_c_s_j_g--;
    _j_e_s_l_a=_o_c_s_j_g;
    _o_c_s_j_g--;
    };
    _a_k_w_y_e_g_b_a._c_r = function (){
    let _n_k_b_i_v = 969;
    let _g_g_v_j_w = 215;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w--;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w--;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w--;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w++;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w--;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w++;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w--;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w--;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w--;
    _n_k_b_i_v=_g_g_v_j_w;
    _g_g_v_j_w--;
    };
    _a_k_w_y_e_g_b_a._p_h = function (){
    let _m_a_l_h_b = 420;
    let _m_a_a_e_t = 826;
    _m_a_l_h_b=_m_a_a_e_t;
    _m_a_a_e_t++;
    _m_a_l_h_b=_m_a_a_e_t;
    _m_a_a_e_t--;
    _m_a_l_h_b=_m_a_a_e_t;
    _m_a_a_e_t--;
    _m_a_l_h_b=_m_a_a_e_t;
    _m_a_a_e_t++;
    _m_a_l_h_b=_m_a_a_e_t;
    _m_a_a_e_t--;
    };
    _a_k_w_y_e_g_b_a._j_v = function (){
    let _h_s_d_d_e = 492;
    let _v_r_q_w_w = 161;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w++;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w--;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w--;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w++;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w--;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w++;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w++;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w++;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w--;
    _h_s_d_d_e=_v_r_q_w_w;
    _v_r_q_w_w++;
    };
    _a_k_w_y_e_g_b_a._k_p = function (){
    let _w_r_s_g_u = 878;
    let _w_e_r_s_u = 226;
    _w_r_s_g_u=_w_e_r_s_u;
    _w_e_r_s_u--;
    _w_r_s_g_u=_w_e_r_s_u;
    _w_e_r_s_u++;
    _w_r_s_g_u=_w_e_r_s_u;
    _w_e_r_s_u++;
    _w_r_s_g_u=_w_e_r_s_u;
    _w_e_r_s_u--;
    _w_r_s_g_u=_w_e_r_s_u;
    _w_e_r_s_u--;
    _w_r_s_g_u=_w_e_r_s_u;
    _w_e_r_s_u++;
    _w_r_s_g_u=_w_e_r_s_u;
    _w_e_r_s_u--;
    };
    _a_k_w_y_e_g_b_a._b_a = function (){
    let _q_f_c_b_o = 929;
    let _d_i_s_f_n = 244;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n--;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n--;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n--;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n--;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n++;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n--;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n++;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n++;
    _q_f_c_b_o=_d_i_s_f_n;
    _d_i_s_f_n--;
    };
    _a_k_w_y_e_g_b_a._h_x = function (){
    let _t_k_q_y_h = 163;
    let _k_g_n_o_c = 514;
    _t_k_q_y_h=_k_g_n_o_c;
    _k_g_n_o_c++;
    _t_k_q_y_h=_k_g_n_o_c;
    _k_g_n_o_c--;
    _t_k_q_y_h=_k_g_n_o_c;
    _k_g_n_o_c--;
    _t_k_q_y_h=_k_g_n_o_c;
    _k_g_n_o_c++;
    _t_k_q_y_h=_k_g_n_o_c;
    _k_g_n_o_c--;
    _t_k_q_y_h=_k_g_n_o_c;
    _k_g_n_o_c--;
    };//--------aaabbbcccdddeeefffggg
     let _c_c_g_c_w_t_y_l={};
    _c_c_g_c_w_t_y_l.__j=316;
    _c_c_g_c_w_t_y_l.__o=723;
    _c_c_g_c_w_t_y_l.__o=369;
    _c_c_g_c_w_t_y_l.__g=290;
    _c_c_g_c_w_t_y_l.__f=370;
    _c_c_g_c_w_t_y_l.__i=952;
    _c_c_g_c_w_t_y_l.__b=920;
    _c_c_g_c_w_t_y_l.__j=533;
    _c_c_g_c_w_t_y_l.__r=151;
    _c_c_g_c_w_t_y_l.__f=520;
    _c_c_g_c_w_t_y_l.__m=156;
    _c_c_g_c_w_t_y_l.__r=195;
    _c_c_g_c_w_t_y_l.__f=463;
    _c_c_g_c_w_t_y_l.__n=144;
    _c_c_g_c_w_t_y_l.__o=831;
    _c_c_g_c_w_t_y_l.__y=658;
    _c_c_g_c_w_t_y_l.__g=144;
    _c_c_g_c_w_t_y_l.__e=71;
    _c_c_g_c_w_t_y_l.__x=699;
    _c_c_g_c_w_t_y_l.__q=564;
    _c_c_g_c_w_t_y_l.__b=655;
    _c_c_g_c_w_t_y_l.__u=455;
    _c_c_g_c_w_t_y_l.__d=927;
    _c_c_g_c_w_t_y_l.__o=516;
    _c_c_g_c_w_t_y_l.__s=313;
    _c_c_g_c_w_t_y_l.__b=358;
    _c_c_g_c_w_t_y_l.__q=129;
    _c_c_g_c_w_t_y_l.__u=385;
    _c_c_g_c_w_t_y_l.__c=132;
    _c_c_g_c_w_t_y_l.__d=384;
    _c_c_g_c_w_t_y_l.__a=24;
    _c_c_g_c_w_t_y_l.__t=256;
    _c_c_g_c_w_t_y_l.__a=298;
    _c_c_g_c_w_t_y_l.__j=931;
    _c_c_g_c_w_t_y_l.__w=726;
    _c_c_g_c_w_t_y_l.__h=996;
    _c_c_g_c_w_t_y_l.__p=265;
    _c_c_g_c_w_t_y_l.__x=67;
    _c_c_g_c_w_t_y_l.__o=650;
    _c_c_g_c_w_t_y_l.__a=440;
    _c_c_g_c_w_t_y_l.__r=479;
    _c_c_g_c_w_t_y_l.__o=40;
    _c_c_g_c_w_t_y_l.__o=48;
    _c_c_g_c_w_t_y_l.__o=215;
    _c_c_g_c_w_t_y_l.__j=728;
    _c_c_g_c_w_t_y_l.__s=400;
    _c_c_g_c_w_t_y_l.__y=170;
    _c_c_g_c_w_t_y_l.__g=174;
    _c_c_g_c_w_t_y_l.__s=108;
    _c_c_g_c_w_t_y_l.__k=757;
    _c_c_g_c_w_t_y_l.__i=49;
    _c_c_g_c_w_t_y_l.__r=465;
    _c_c_g_c_w_t_y_l.__l=628;
    _c_c_g_c_w_t_y_l.__r=160;
    _c_c_g_c_w_t_y_l.__o=912;
    _c_c_g_c_w_t_y_l.__n=226;
    _c_c_g_c_w_t_y_l.__b=429;
    _c_c_g_c_w_t_y_l.__r=100;
    _c_c_g_c_w_t_y_l.__w=213;
    _c_c_g_c_w_t_y_l.__h=895;
    _c_c_g_c_w_t_y_l.__r=632;
    _c_c_g_c_w_t_y_l.__j=138;
    _c_c_g_c_w_t_y_l.__v=294;
    _c_c_g_c_w_t_y_l.__o=158;
    _c_c_g_c_w_t_y_l.__i=808;
    _c_c_g_c_w_t_y_l.__w=161;
    _c_c_g_c_w_t_y_l.__r=672;
    _c_c_g_c_w_t_y_l.__a=510;
    _c_c_g_c_w_t_y_l.__h=83;
    _c_c_g_c_w_t_y_l.__h=258;
    _c_c_g_c_w_t_y_l.__t=945;
    _c_c_g_c_w_t_y_l.__p=448;
    _c_c_g_c_w_t_y_l.__j=852;
    _c_c_g_c_w_t_y_l.__p=227;
    _c_c_g_c_w_t_y_l.__s=333;
    _c_c_g_c_w_t_y_l.__e=291;
    _c_c_g_c_w_t_y_l.__p=134;
    _c_c_g_c_w_t_y_l.__n=703;
    _c_c_g_c_w_t_y_l.__o=832;
    _c_c_g_c_w_t_y_l.__s=615;
    _c_c_g_c_w_t_y_l.__w=539;
    _c_c_g_c_w_t_y_l.__n=911;
    _c_c_g_c_w_t_y_l.__x=4;
    _c_c_g_c_w_t_y_l.__i=324;
    _c_c_g_c_w_t_y_l.__s=870;
    _c_c_g_c_w_t_y_l.__h=43;
    _c_c_g_c_w_t_y_l.__i=385;
    _c_c_g_c_w_t_y_l.__q=341;
    _c_c_g_c_w_t_y_l.__e=341;
    _c_c_g_c_w_t_y_l.__t=268;
    _c_c_g_c_w_t_y_l.__x=520;
    _c_c_g_c_w_t_y_l.__b=924;
    _c_c_g_c_w_t_y_l.__x=430;
    _c_c_g_c_w_t_y_l.__t=355;
    _c_c_g_c_w_t_y_l.__p=623;
    _c_c_g_c_w_t_y_l.__k=604;
    _c_c_g_c_w_t_y_l.__m=349;
    _c_c_g_c_w_t_y_l.__o=930;
    _c_c_g_c_w_t_y_l.__n=863;
    _c_c_g_c_w_t_y_l.__k=757;
    _c_c_g_c_w_t_y_l.__m=138;
    _c_c_g_c_w_t_y_l.__m=353;
    _c_c_g_c_w_t_y_l.__b=276;
    _c_c_g_c_w_t_y_l.__t=793;
    _c_c_g_c_w_t_y_l.__a=397;
    _c_c_g_c_w_t_y_l.__x=224;
    _c_c_g_c_w_t_y_l.__p=294;
    _c_c_g_c_w_t_y_l.__q=971;
    _c_c_g_c_w_t_y_l.__h=623;
    _c_c_g_c_w_t_y_l.__d=510;
    _c_c_g_c_w_t_y_l.__a=913;
    _c_c_g_c_w_t_y_l.__d=842;
    _c_c_g_c_w_t_y_l.__f=190;
    _c_c_g_c_w_t_y_l.__h=300;
    _c_c_g_c_w_t_y_l.__l=472;
    _c_c_g_c_w_t_y_l.__v=316;
    _c_c_g_c_w_t_y_l.__i=943;
    _c_c_g_c_w_t_y_l.__y=183;
    _c_c_g_c_w_t_y_l.__f=66;
    _c_c_g_c_w_t_y_l.__v=349;
    _c_c_g_c_w_t_y_l.__o=425;
    _c_c_g_c_w_t_y_l.__d=255;
    _c_c_g_c_w_t_y_l.__p=582;
    _c_c_g_c_w_t_y_l.__l=268;
    _c_c_g_c_w_t_y_l.__l=718;
    _c_c_g_c_w_t_y_l.__s=741;
    _c_c_g_c_w_t_y_l.__g=355;
    _c_c_g_c_w_t_y_l.__e=704;
    _c_c_g_c_w_t_y_l.__e=922;
    _c_c_g_c_w_t_y_l.__l=257;
    _c_c_g_c_w_t_y_l.__h=459;
    _c_c_g_c_w_t_y_l.__y=161;
    _c_c_g_c_w_t_y_l.__y=246;
    _c_c_g_c_w_t_y_l.__c=684;
    _c_c_g_c_w_t_y_l.__n=613;
    _c_c_g_c_w_t_y_l.__o=211;
    _c_c_g_c_w_t_y_l.__k=740;
    _c_c_g_c_w_t_y_l.__q=673;
    _c_c_g_c_w_t_y_l.__f=715;
    _c_c_g_c_w_t_y_l.__r=305;
    _c_c_g_c_w_t_y_l.__f=632;
    _c_c_g_c_w_t_y_l.__e=775;
    _c_c_g_c_w_t_y_l.__l=9;
    _c_c_g_c_w_t_y_l.__p=218;
    _c_c_g_c_w_t_y_l.__o=311;
    _c_c_g_c_w_t_y_l.__x=193;
    _c_c_g_c_w_t_y_l.__b=861;
    _c_c_g_c_w_t_y_l.__a=113;
    _c_c_g_c_w_t_y_l.__f=914;
    _c_c_g_c_w_t_y_l.__m=162;
    _c_c_g_c_w_t_y_l.__j=177;
    _c_c_g_c_w_t_y_l.__k=236;
    _c_c_g_c_w_t_y_l.__h=559;
    _c_c_g_c_w_t_y_l.__c=952;
    _c_c_g_c_w_t_y_l.__g=433;
    _c_c_g_c_w_t_y_l.__j=228;
    _c_c_g_c_w_t_y_l.__j=185;
    _c_c_g_c_w_t_y_l._m_d = function (){
    let _i_b_n_a_a = 918;
    let _q_k_c_u_q = 721;
    _i_b_n_a_a=_q_k_c_u_q;
    _q_k_c_u_q--;
    _i_b_n_a_a=_q_k_c_u_q;
    _q_k_c_u_q--;
    _i_b_n_a_a=_q_k_c_u_q;
    _q_k_c_u_q++;
    _i_b_n_a_a=_q_k_c_u_q;
    _q_k_c_u_q--;
    _i_b_n_a_a=_q_k_c_u_q;
    _q_k_c_u_q++;
    _i_b_n_a_a=_q_k_c_u_q;
    _q_k_c_u_q++;
    _i_b_n_a_a=_q_k_c_u_q;
    _q_k_c_u_q++;
    };
    _c_c_g_c_w_t_y_l._a_j = function (){
    let _c_v_j_v_s = 972;
    let _c_x_x_m_f = 602;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f--;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f++;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f--;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f--;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f--;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f--;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f--;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f++;
    _c_v_j_v_s=_c_x_x_m_f;
    _c_x_x_m_f++;
    };
    _c_c_g_c_w_t_y_l._i_d = function (){
    let _q_k_f_m_x = 289;
    let _c_o_s_r_p = 603;
    _q_k_f_m_x=_c_o_s_r_p;
    _c_o_s_r_p--;
    _q_k_f_m_x=_c_o_s_r_p;
    _c_o_s_r_p--;
    _q_k_f_m_x=_c_o_s_r_p;
    _c_o_s_r_p++;
    _q_k_f_m_x=_c_o_s_r_p;
    _c_o_s_r_p--;
    _q_k_f_m_x=_c_o_s_r_p;
    _c_o_s_r_p--;
    };
    _c_c_g_c_w_t_y_l._w_w = function (){
    let _g_q_g_d_v = 127;
    let _y_j_p_b_j = 871;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j--;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j++;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j++;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j++;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j--;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j++;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j--;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j++;
    _g_q_g_d_v=_y_j_p_b_j;
    _y_j_p_b_j--;
    };
    _c_c_g_c_w_t_y_l._o_l = function (){
    let _t_l_y_a_g = 322;
    let _d_i_i_m_l = 59;
    _t_l_y_a_g=_d_i_i_m_l;
    _d_i_i_m_l++;
    _t_l_y_a_g=_d_i_i_m_l;
    _d_i_i_m_l++;
    _t_l_y_a_g=_d_i_i_m_l;
    _d_i_i_m_l++;
    _t_l_y_a_g=_d_i_i_m_l;
    _d_i_i_m_l--;
    _t_l_y_a_g=_d_i_i_m_l;
    _d_i_i_m_l--;
    _t_l_y_a_g=_d_i_i_m_l;
    _d_i_i_m_l--;
    _t_l_y_a_g=_d_i_i_m_l;
    _d_i_i_m_l++;
    _t_l_y_a_g=_d_i_i_m_l;
    _d_i_i_m_l--;
    };
    _c_c_g_c_w_t_y_l._h_b = function (){
    let _c_l_y_y_n = 912;
    let _g_d_a_r_f = 907;
    _c_l_y_y_n=_g_d_a_r_f;
    _g_d_a_r_f--;
    _c_l_y_y_n=_g_d_a_r_f;
    _g_d_a_r_f++;
    _c_l_y_y_n=_g_d_a_r_f;
    _g_d_a_r_f++;
    _c_l_y_y_n=_g_d_a_r_f;
    _g_d_a_r_f--;
    _c_l_y_y_n=_g_d_a_r_f;
    _g_d_a_r_f++;
    _c_l_y_y_n=_g_d_a_r_f;
    _g_d_a_r_f--;
    _c_l_y_y_n=_g_d_a_r_f;
    _g_d_a_r_f--;
    _c_l_y_y_n=_g_d_a_r_f;
    _g_d_a_r_f++;
    };//--------aaabbbcccdddeeefffggg
     let _a_m_a_h_m_q_l_l={};
    _a_m_a_h_m_q_l_l.__v=623;
    _a_m_a_h_m_q_l_l.__b=626;
    _a_m_a_h_m_q_l_l.__q=705;
    _a_m_a_h_m_q_l_l.__n=226;
    _a_m_a_h_m_q_l_l.__q=160;
    _a_m_a_h_m_q_l_l.__j=658;
    _a_m_a_h_m_q_l_l.__f=50;
    _a_m_a_h_m_q_l_l.__d=179;
    _a_m_a_h_m_q_l_l.__u=921;
    _a_m_a_h_m_q_l_l.__d=787;
    _a_m_a_h_m_q_l_l.__o=504;
    _a_m_a_h_m_q_l_l.__f=783;
    _a_m_a_h_m_q_l_l.__s=19;
    _a_m_a_h_m_q_l_l.__h=764;
    _a_m_a_h_m_q_l_l.__v=366;
    _a_m_a_h_m_q_l_l.__p=578;
    _a_m_a_h_m_q_l_l.__y=979;
    _a_m_a_h_m_q_l_l.__k=278;
    _a_m_a_h_m_q_l_l.__a=629;
    _a_m_a_h_m_q_l_l.__p=591;
    _a_m_a_h_m_q_l_l.__i=956;
    _a_m_a_h_m_q_l_l.__n=959;
    _a_m_a_h_m_q_l_l.__v=11;
    _a_m_a_h_m_q_l_l.__b=652;
    _a_m_a_h_m_q_l_l.__u=587;
    _a_m_a_h_m_q_l_l.__b=11;
    _a_m_a_h_m_q_l_l.__b=622;
    _a_m_a_h_m_q_l_l.__d=336;
    _a_m_a_h_m_q_l_l.__s=460;
    _a_m_a_h_m_q_l_l.__c=460;
    _a_m_a_h_m_q_l_l.__k=242;
    _a_m_a_h_m_q_l_l.__s=530;
    _a_m_a_h_m_q_l_l.__e=215;
    _a_m_a_h_m_q_l_l.__f=37;
    _a_m_a_h_m_q_l_l.__h=237;
    _a_m_a_h_m_q_l_l.__o=621;
    _a_m_a_h_m_q_l_l.__h=264;
    _a_m_a_h_m_q_l_l.__i=680;
    _a_m_a_h_m_q_l_l.__a=91;
    _a_m_a_h_m_q_l_l.__p=318;
    _a_m_a_h_m_q_l_l.__a=141;
    _a_m_a_h_m_q_l_l.__p=663;
    _a_m_a_h_m_q_l_l.__o=567;
    _a_m_a_h_m_q_l_l.__p=88;
    _a_m_a_h_m_q_l_l.__l=471;
    _a_m_a_h_m_q_l_l.__m=354;
    _a_m_a_h_m_q_l_l.__h=492;
    _a_m_a_h_m_q_l_l.__v=227;
    _a_m_a_h_m_q_l_l.__a=573;
    _a_m_a_h_m_q_l_l.__c=585;
    _a_m_a_h_m_q_l_l.__q=167;
    _a_m_a_h_m_q_l_l.__r=547;
    _a_m_a_h_m_q_l_l.__b=678;
    _a_m_a_h_m_q_l_l.__h=665;
    _a_m_a_h_m_q_l_l.__k=403;
    _a_m_a_h_m_q_l_l.__r=696;
    _a_m_a_h_m_q_l_l.__d=778;
    _a_m_a_h_m_q_l_l.__k=4;
    _a_m_a_h_m_q_l_l.__q=180;
    _a_m_a_h_m_q_l_l.__k=98;
    _a_m_a_h_m_q_l_l.__b=99;
    _a_m_a_h_m_q_l_l.__p=368;
    _a_m_a_h_m_q_l_l.__x=933;
    _a_m_a_h_m_q_l_l.__t=519;
    _a_m_a_h_m_q_l_l.__g=202;
    _a_m_a_h_m_q_l_l.__t=759;
    _a_m_a_h_m_q_l_l.__v=462;
    _a_m_a_h_m_q_l_l.__e=259;
    _a_m_a_h_m_q_l_l.__f=697;
    _a_m_a_h_m_q_l_l.__d=917;
    _a_m_a_h_m_q_l_l.__h=466;
    _a_m_a_h_m_q_l_l.__y=967;
    _a_m_a_h_m_q_l_l.__w=599;
    _a_m_a_h_m_q_l_l.__k=449;
    _a_m_a_h_m_q_l_l.__f=706;
    _a_m_a_h_m_q_l_l.__y=85;
    _a_m_a_h_m_q_l_l.__o=298;
    _a_m_a_h_m_q_l_l.__v=585;
    _a_m_a_h_m_q_l_l.__k=787;
    _a_m_a_h_m_q_l_l.__a=914;
    _a_m_a_h_m_q_l_l.__q=156;
    _a_m_a_h_m_q_l_l.__i=555;
    _a_m_a_h_m_q_l_l.__d=570;
    _a_m_a_h_m_q_l_l.__v=301;
    _a_m_a_h_m_q_l_l.__i=728;
    _a_m_a_h_m_q_l_l.__v=595;
    _a_m_a_h_m_q_l_l.__k=207;
    _a_m_a_h_m_q_l_l.__y=963;
    _a_m_a_h_m_q_l_l.__a=614;
    _a_m_a_h_m_q_l_l.__v=571;
    _a_m_a_h_m_q_l_l.__v=799;
    _a_m_a_h_m_q_l_l.__p=421;
    _a_m_a_h_m_q_l_l.__e=927;
    _a_m_a_h_m_q_l_l.__v=240;
    _a_m_a_h_m_q_l_l.__e=685;
    _a_m_a_h_m_q_l_l.__a=572;
    _a_m_a_h_m_q_l_l.__w=397;
    _a_m_a_h_m_q_l_l.__f=123;
    _a_m_a_h_m_q_l_l.__i=349;
    _a_m_a_h_m_q_l_l.__l=876;
    _a_m_a_h_m_q_l_l.__d=84;
    _a_m_a_h_m_q_l_l.__u=13;
    _a_m_a_h_m_q_l_l.__b=957;
    _a_m_a_h_m_q_l_l.__x=176;
    _a_m_a_h_m_q_l_l.__h=735;
    _a_m_a_h_m_q_l_l.__f=99;
    _a_m_a_h_m_q_l_l.__p=516;
    _a_m_a_h_m_q_l_l.__l=137;
    _a_m_a_h_m_q_l_l.__a=753;
    _a_m_a_h_m_q_l_l.__p=726;
    _a_m_a_h_m_q_l_l.__j=660;
    _a_m_a_h_m_q_l_l.__v=313;
    _a_m_a_h_m_q_l_l.__v=792;
    _a_m_a_h_m_q_l_l.__y=770;
    _a_m_a_h_m_q_l_l.__s=59;
    _a_m_a_h_m_q_l_l.__k=841;
    _a_m_a_h_m_q_l_l.__g=984;
    _a_m_a_h_m_q_l_l.__p=642;
    _a_m_a_h_m_q_l_l.__d=455;
    _a_m_a_h_m_q_l_l.__v=751;
    _a_m_a_h_m_q_l_l.__o=784;
    _a_m_a_h_m_q_l_l.__i=918;
    _a_m_a_h_m_q_l_l.__c=324;
    _a_m_a_h_m_q_l_l.__h=917;
    _a_m_a_h_m_q_l_l.__h=446;
    _a_m_a_h_m_q_l_l.__i=593;
    _a_m_a_h_m_q_l_l.__o=155;
    _a_m_a_h_m_q_l_l.__m=612;
    _a_m_a_h_m_q_l_l.__i=114;
    _a_m_a_h_m_q_l_l.__p=959;
    _a_m_a_h_m_q_l_l.__g=369;
    _a_m_a_h_m_q_l_l.__a=709;
    _a_m_a_h_m_q_l_l.__j=553;
    _a_m_a_h_m_q_l_l.__b=109;
    _a_m_a_h_m_q_l_l.__x=847;
    _a_m_a_h_m_q_l_l._m_p = function (){
    let _g_b_k_c_u = 937;
    let _c_e_o_n_n = 18;
    _g_b_k_c_u=_c_e_o_n_n;
    _c_e_o_n_n++;
    _g_b_k_c_u=_c_e_o_n_n;
    _c_e_o_n_n++;
    _g_b_k_c_u=_c_e_o_n_n;
    _c_e_o_n_n--;
    _g_b_k_c_u=_c_e_o_n_n;
    _c_e_o_n_n--;
    _g_b_k_c_u=_c_e_o_n_n;
    _c_e_o_n_n--;
    _g_b_k_c_u=_c_e_o_n_n;
    _c_e_o_n_n--;
    _g_b_k_c_u=_c_e_o_n_n;
    _c_e_o_n_n--;
    };
    _a_m_a_h_m_q_l_l._i_f = function (){
    let _h_u_j_e_k = 293;
    let _r_r_v_j_l = 749;
    _h_u_j_e_k=_r_r_v_j_l;
    _r_r_v_j_l--;
    _h_u_j_e_k=_r_r_v_j_l;
    _r_r_v_j_l--;
    _h_u_j_e_k=_r_r_v_j_l;
    _r_r_v_j_l--;
    _h_u_j_e_k=_r_r_v_j_l;
    _r_r_v_j_l++;
    _h_u_j_e_k=_r_r_v_j_l;
    _r_r_v_j_l--;
    _h_u_j_e_k=_r_r_v_j_l;
    _r_r_v_j_l++;
    _h_u_j_e_k=_r_r_v_j_l;
    _r_r_v_j_l++;
    _h_u_j_e_k=_r_r_v_j_l;
    _r_r_v_j_l--;
    };
    _a_m_a_h_m_q_l_l._c_m = function (){
    let _b_f_e_o_o = 730;
    let _p_m_w_m_t = 981;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t++;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t++;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t++;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t++;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t++;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t++;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t--;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t--;
    _b_f_e_o_o=_p_m_w_m_t;
    _p_m_w_m_t--;
    };
    _a_m_a_h_m_q_l_l._s_a = function (){
    let _i_a_b_u_h = 980;
    let _g_g_e_l_l = 139;
    _i_a_b_u_h=_g_g_e_l_l;
    _g_g_e_l_l++;
    _i_a_b_u_h=_g_g_e_l_l;
    _g_g_e_l_l++;
    _i_a_b_u_h=_g_g_e_l_l;
    _g_g_e_l_l++;
    _i_a_b_u_h=_g_g_e_l_l;
    _g_g_e_l_l++;
    _i_a_b_u_h=_g_g_e_l_l;
    _g_g_e_l_l++;
    _i_a_b_u_h=_g_g_e_l_l;
    _g_g_e_l_l++;
    };
    _a_m_a_h_m_q_l_l._c_o = function (){
    let _p_x_l_o_n = 358;
    let _j_p_g_q_y = 369;
    _p_x_l_o_n=_j_p_g_q_y;
    _j_p_g_q_y++;
    _p_x_l_o_n=_j_p_g_q_y;
    _j_p_g_q_y--;
    _p_x_l_o_n=_j_p_g_q_y;
    _j_p_g_q_y--;
    _p_x_l_o_n=_j_p_g_q_y;
    _j_p_g_q_y--;
    _p_x_l_o_n=_j_p_g_q_y;
    _j_p_g_q_y--;
    };
    _a_m_a_h_m_q_l_l._j_w = function (){
    let _v_v_c_v_x = 170;
    let _e_s_l_o_s = 376;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s++;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s--;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s--;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s--;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s++;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s--;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s--;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s--;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s--;
    _v_v_c_v_x=_e_s_l_o_s;
    _e_s_l_o_s--;
    };
    _a_m_a_h_m_q_l_l._l_s = function (){
    let _w_g_t_a_i = 178;
    let _s_a_i_e_s = 367;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s++;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s--;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s++;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s++;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s--;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s--;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s++;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s++;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s++;
    _w_g_t_a_i=_s_a_i_e_s;
    _s_a_i_e_s--;
    };
    _a_m_a_h_m_q_l_l._s_r = function (){
    let _u_e_f_h_d = 709;
    let _b_m_q_l_f = 963;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f--;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f--;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f++;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f--;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f++;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f--;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f--;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f--;
    _u_e_f_h_d=_b_m_q_l_f;
    _b_m_q_l_f++;
    };

    window.SDK_apk = {
        VideoSuccess: function () {
            console.log('执行看视频成功回调');
            if (SDK_apk.successCallBack != null) {
                SDK_apk.successCallBack();
                SDK_apk.successCallBack = null;
            }
        },

        VideoFail: function () {
            console.log('执行看视频失败回调');
            if (SDK_apk.errorCallBack != null) {
                SDK_apk.errorCallBack();
                SDK_apk.errorCallBack = null;
            }
        },

        VideoCancel: function () {
            console.log('执行看视频取消回调');
            if (SDK_apk.cancelCallBack != null) {
                SDK_apk.cancelCallBack();
                SDK_apk.cancelCallBack = null;
            }
        },
    };
    class SDK_apk {
        static goToMoreGame() {
            if (window.android) {
                window.android.goToMoreGame();
            }
        }

        static showYSSM() {
            if (window.android) {
                window.android.showYSSM();
            }
        }

        static showEmail() {
            if (window.android) {
                window.android.showEmail();
            }
        }
        //////////////////////////////////////////////////////////////////////////
        static showVideoAd(successCallBack, errorCallBack, cancelCallBack) {
            SDK_apk.successCallBack = successCallBack;
            SDK_apk.errorCallBack = errorCallBack;
            SDK_apk.cancelCallBack = cancelCallBack;

            if (window.android) {
                window.android.showVideoAd();
            } else {
                if (SDK_apk.successCallBack != null) {
                    SDK_apk.successCallBack();
                    SDK_apk.successCallBack = null;
                }
            }
        }

        static showBanner() {
            if (window.android) {
                window.android.showBanner();
            }
        }

        static closeBanner() {
            if (window.android) {
                window.android.closeBanner();
            }
        }

        static showInterstitialAd() {
            if (window.android) {
                window.android.showInterstitialAd();
            }
        }

        static showNativeAd() {
            if (window.android) {
                window.android.showNativeAd();
            }
        }



        static showNativeIcon() {
            if (window.android) {
                window.android.showNativeIcon();
            }
        }
    }
    SDK_apk.successCallBack = null;
    SDK_apk.errorCallBack = null;
    SDK_apk.cancelCallBack = null;//--------aaabbbcccdddeeefffggg
     let _y_j_v_i_m_m_w_n={};
    _y_j_v_i_m_m_w_n.__r=979;
    _y_j_v_i_m_m_w_n.__y=261;
    _y_j_v_i_m_m_w_n.__j=154;
    _y_j_v_i_m_m_w_n.__n=573;
    _y_j_v_i_m_m_w_n.__u=802;
    _y_j_v_i_m_m_w_n.__o=32;
    _y_j_v_i_m_m_w_n.__f=930;
    _y_j_v_i_m_m_w_n.__n=309;
    _y_j_v_i_m_m_w_n.__w=991;
    _y_j_v_i_m_m_w_n.__f=275;
    _y_j_v_i_m_m_w_n.__g=83;
    _y_j_v_i_m_m_w_n.__q=89;
    _y_j_v_i_m_m_w_n.__g=959;
    _y_j_v_i_m_m_w_n.__w=467;
    _y_j_v_i_m_m_w_n.__a=725;
    _y_j_v_i_m_m_w_n.__i=304;
    _y_j_v_i_m_m_w_n.__s=669;
    _y_j_v_i_m_m_w_n.__b=293;
    _y_j_v_i_m_m_w_n.__k=91;
    _y_j_v_i_m_m_w_n.__s=704;
    _y_j_v_i_m_m_w_n.__c=564;
    _y_j_v_i_m_m_w_n.__t=977;
    _y_j_v_i_m_m_w_n.__u=527;
    _y_j_v_i_m_m_w_n.__w=290;
    _y_j_v_i_m_m_w_n.__m=611;
    _y_j_v_i_m_m_w_n.__u=744;
    _y_j_v_i_m_m_w_n.__v=606;
    _y_j_v_i_m_m_w_n.__e=339;
    _y_j_v_i_m_m_w_n.__k=481;
    _y_j_v_i_m_m_w_n.__u=393;
    _y_j_v_i_m_m_w_n.__m=360;
    _y_j_v_i_m_m_w_n.__s=543;
    _y_j_v_i_m_m_w_n.__e=851;
    _y_j_v_i_m_m_w_n.__p=13;
    _y_j_v_i_m_m_w_n.__x=652;
    _y_j_v_i_m_m_w_n.__l=280;
    _y_j_v_i_m_m_w_n.__g=825;
    _y_j_v_i_m_m_w_n.__t=810;
    _y_j_v_i_m_m_w_n.__e=656;
    _y_j_v_i_m_m_w_n.__h=10;
    _y_j_v_i_m_m_w_n.__x=490;
    _y_j_v_i_m_m_w_n.__f=65;
    _y_j_v_i_m_m_w_n.__d=475;
    _y_j_v_i_m_m_w_n.__p=795;
    _y_j_v_i_m_m_w_n.__u=588;
    _y_j_v_i_m_m_w_n.__w=217;
    _y_j_v_i_m_m_w_n.__i=879;
    _y_j_v_i_m_m_w_n.__u=940;
    _y_j_v_i_m_m_w_n.__v=318;
    _y_j_v_i_m_m_w_n.__m=69;
    _y_j_v_i_m_m_w_n.__i=166;
    _y_j_v_i_m_m_w_n.__x=766;
    _y_j_v_i_m_m_w_n.__g=263;
    _y_j_v_i_m_m_w_n.__t=121;
    _y_j_v_i_m_m_w_n.__t=152;
    _y_j_v_i_m_m_w_n.__o=503;
    _y_j_v_i_m_m_w_n.__j=439;
    _y_j_v_i_m_m_w_n.__g=26;
    _y_j_v_i_m_m_w_n.__x=286;
    _y_j_v_i_m_m_w_n.__l=310;
    _y_j_v_i_m_m_w_n.__d=471;
    _y_j_v_i_m_m_w_n.__t=173;
    _y_j_v_i_m_m_w_n.__a=883;
    _y_j_v_i_m_m_w_n.__y=420;
    _y_j_v_i_m_m_w_n.__f=895;
    _y_j_v_i_m_m_w_n.__n=391;
    _y_j_v_i_m_m_w_n.__a=493;
    _y_j_v_i_m_m_w_n.__v=407;
    _y_j_v_i_m_m_w_n.__m=585;
    _y_j_v_i_m_m_w_n.__w=787;
    _y_j_v_i_m_m_w_n.__f=386;
    _y_j_v_i_m_m_w_n.__t=585;
    _y_j_v_i_m_m_w_n.__p=297;
    _y_j_v_i_m_m_w_n.__q=698;
    _y_j_v_i_m_m_w_n.__i=165;
    _y_j_v_i_m_m_w_n.__p=522;
    _y_j_v_i_m_m_w_n.__t=354;
    _y_j_v_i_m_m_w_n.__b=775;
    _y_j_v_i_m_m_w_n.__i=508;
    _y_j_v_i_m_m_w_n.__b=689;
    _y_j_v_i_m_m_w_n.__k=440;
    _y_j_v_i_m_m_w_n.__j=188;
    _y_j_v_i_m_m_w_n.__p=26;
    _y_j_v_i_m_m_w_n.__f=230;
    _y_j_v_i_m_m_w_n.__e=530;
    _y_j_v_i_m_m_w_n.__d=963;
    _y_j_v_i_m_m_w_n.__g=256;
    _y_j_v_i_m_m_w_n.__m=851;
    _y_j_v_i_m_m_w_n.__d=938;
    _y_j_v_i_m_m_w_n.__a=431;
    _y_j_v_i_m_m_w_n.__n=771;
    _y_j_v_i_m_m_w_n.__h=846;
    _y_j_v_i_m_m_w_n.__r=492;
    _y_j_v_i_m_m_w_n.__f=820;
    _y_j_v_i_m_m_w_n.__b=419;
    _y_j_v_i_m_m_w_n.__i=236;
    _y_j_v_i_m_m_w_n.__f=840;
    _y_j_v_i_m_m_w_n.__o=953;
    _y_j_v_i_m_m_w_n.__w=688;
    _y_j_v_i_m_m_w_n.__o=43;
    _y_j_v_i_m_m_w_n.__e=871;
    _y_j_v_i_m_m_w_n.__m=84;
    _y_j_v_i_m_m_w_n.__w=193;
    _y_j_v_i_m_m_w_n.__r=682;
    _y_j_v_i_m_m_w_n.__a=264;
    _y_j_v_i_m_m_w_n.__w=858;
    _y_j_v_i_m_m_w_n.__v=290;
    _y_j_v_i_m_m_w_n.__g=481;
    _y_j_v_i_m_m_w_n.__o=172;
    _y_j_v_i_m_m_w_n.__p=385;
    _y_j_v_i_m_m_w_n.__h=811;
    _y_j_v_i_m_m_w_n.__m=328;
    _y_j_v_i_m_m_w_n.__b=15;
    _y_j_v_i_m_m_w_n.__r=457;
    _y_j_v_i_m_m_w_n.__v=933;
    _y_j_v_i_m_m_w_n._k_x = function (){
    let _s_v_f_e_s = 844;
    let _f_b_f_t_w = 444;
    _s_v_f_e_s=_f_b_f_t_w;
    _f_b_f_t_w++;
    _s_v_f_e_s=_f_b_f_t_w;
    _f_b_f_t_w--;
    _s_v_f_e_s=_f_b_f_t_w;
    _f_b_f_t_w++;
    _s_v_f_e_s=_f_b_f_t_w;
    _f_b_f_t_w++;
    _s_v_f_e_s=_f_b_f_t_w;
    _f_b_f_t_w++;
    _s_v_f_e_s=_f_b_f_t_w;
    _f_b_f_t_w++;
    _s_v_f_e_s=_f_b_f_t_w;
    _f_b_f_t_w--;
    };
    _y_j_v_i_m_m_w_n._k_n = function (){
    let _b_w_c_s_m = 693;
    let _s_f_t_o_y = 320;
    _b_w_c_s_m=_s_f_t_o_y;
    _s_f_t_o_y--;
    _b_w_c_s_m=_s_f_t_o_y;
    _s_f_t_o_y++;
    _b_w_c_s_m=_s_f_t_o_y;
    _s_f_t_o_y--;
    _b_w_c_s_m=_s_f_t_o_y;
    _s_f_t_o_y--;
    _b_w_c_s_m=_s_f_t_o_y;
    _s_f_t_o_y++;
    };
    _y_j_v_i_m_m_w_n._s_x = function (){
    let _d_m_p_j_a = 4;
    let _l_j_t_a_m = 130;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m++;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m++;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m--;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m--;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m--;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m++;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m--;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m--;
    _d_m_p_j_a=_l_j_t_a_m;
    _l_j_t_a_m++;
    };
    _y_j_v_i_m_m_w_n._k_y = function (){
    let _y_r_t_b_w = 457;
    let _v_r_u_o_e = 961;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e--;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e++;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e++;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e--;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e--;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e++;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e++;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e--;
    _y_r_t_b_w=_v_r_u_o_e;
    _v_r_u_o_e--;
    };
    _y_j_v_i_m_m_w_n._v_u = function (){
    let _a_q_q_r_l = 573;
    let _r_d_p_j_u = 547;
    _a_q_q_r_l=_r_d_p_j_u;
    _r_d_p_j_u++;
    _a_q_q_r_l=_r_d_p_j_u;
    _r_d_p_j_u++;
    _a_q_q_r_l=_r_d_p_j_u;
    _r_d_p_j_u--;
    _a_q_q_r_l=_r_d_p_j_u;
    _r_d_p_j_u++;
    _a_q_q_r_l=_r_d_p_j_u;
    _r_d_p_j_u--;
    _a_q_q_r_l=_r_d_p_j_u;
    _r_d_p_j_u++;
    _a_q_q_r_l=_r_d_p_j_u;
    _r_d_p_j_u--;
    };
    _y_j_v_i_m_m_w_n._l_m = function (){
    let _m_f_s_s_a = 915;
    let _v_u_x_m_e = 422;
    _m_f_s_s_a=_v_u_x_m_e;
    _v_u_x_m_e--;
    _m_f_s_s_a=_v_u_x_m_e;
    _v_u_x_m_e++;
    _m_f_s_s_a=_v_u_x_m_e;
    _v_u_x_m_e--;
    _m_f_s_s_a=_v_u_x_m_e;
    _v_u_x_m_e++;
    _m_f_s_s_a=_v_u_x_m_e;
    _v_u_x_m_e++;
    };
    _y_j_v_i_m_m_w_n._v_l = function (){
    let _r_f_a_y_m = 859;
    let _e_x_j_y_y = 910;
    _r_f_a_y_m=_e_x_j_y_y;
    _e_x_j_y_y++;
    _r_f_a_y_m=_e_x_j_y_y;
    _e_x_j_y_y--;
    _r_f_a_y_m=_e_x_j_y_y;
    _e_x_j_y_y--;
    _r_f_a_y_m=_e_x_j_y_y;
    _e_x_j_y_y--;
    _r_f_a_y_m=_e_x_j_y_y;
    _e_x_j_y_y++;
    };
    _y_j_v_i_m_m_w_n._b_n = function (){
    let _d_u_k_y_j = 973;
    let _j_a_h_y_o = 302;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o++;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o--;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o--;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o--;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o++;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o++;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o--;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o--;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o--;
    _d_u_k_y_j=_j_a_h_y_o;
    _j_a_h_y_o--;
    };
    _y_j_v_i_m_m_w_n._v_p = function (){
    let _l_g_f_j_u = 24;
    let _t_s_p_s_k = 155;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k--;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k--;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k++;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k--;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k--;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k--;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k--;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k--;
    _l_g_f_j_u=_t_s_p_s_k;
    _t_s_p_s_k--;
    };//--------aaabbbcccdddeeefffggg
     let _c_y_k_c_m_k_y_f={};
    _c_y_k_c_m_k_y_f.__n=462;
    _c_y_k_c_m_k_y_f.__p=584;
    _c_y_k_c_m_k_y_f.__v=434;
    _c_y_k_c_m_k_y_f.__k=110;
    _c_y_k_c_m_k_y_f.__u=612;
    _c_y_k_c_m_k_y_f.__a=145;
    _c_y_k_c_m_k_y_f.__x=768;
    _c_y_k_c_m_k_y_f.__e=156;
    _c_y_k_c_m_k_y_f.__u=995;
    _c_y_k_c_m_k_y_f.__y=54;
    _c_y_k_c_m_k_y_f.__h=33;
    _c_y_k_c_m_k_y_f.__d=321;
    _c_y_k_c_m_k_y_f.__m=642;
    _c_y_k_c_m_k_y_f.__y=643;
    _c_y_k_c_m_k_y_f.__u=569;
    _c_y_k_c_m_k_y_f.__s=837;
    _c_y_k_c_m_k_y_f.__l=127;
    _c_y_k_c_m_k_y_f.__r=350;
    _c_y_k_c_m_k_y_f.__u=931;
    _c_y_k_c_m_k_y_f.__j=108;
    _c_y_k_c_m_k_y_f.__j=815;
    _c_y_k_c_m_k_y_f.__v=7;
    _c_y_k_c_m_k_y_f.__y=454;
    _c_y_k_c_m_k_y_f.__u=809;
    _c_y_k_c_m_k_y_f.__r=743;
    _c_y_k_c_m_k_y_f.__w=748;
    _c_y_k_c_m_k_y_f.__r=442;
    _c_y_k_c_m_k_y_f.__m=604;
    _c_y_k_c_m_k_y_f.__n=128;
    _c_y_k_c_m_k_y_f.__j=544;
    _c_y_k_c_m_k_y_f.__n=990;
    _c_y_k_c_m_k_y_f.__c=498;
    _c_y_k_c_m_k_y_f.__s=489;
    _c_y_k_c_m_k_y_f.__l=364;
    _c_y_k_c_m_k_y_f.__o=420;
    _c_y_k_c_m_k_y_f.__g=809;
    _c_y_k_c_m_k_y_f.__p=405;
    _c_y_k_c_m_k_y_f.__w=960;
    _c_y_k_c_m_k_y_f.__i=350;
    _c_y_k_c_m_k_y_f.__h=762;
    _c_y_k_c_m_k_y_f.__n=894;
    _c_y_k_c_m_k_y_f.__o=277;
    _c_y_k_c_m_k_y_f.__h=385;
    _c_y_k_c_m_k_y_f.__h=718;
    _c_y_k_c_m_k_y_f.__b=414;
    _c_y_k_c_m_k_y_f.__v=488;
    _c_y_k_c_m_k_y_f.__u=433;
    _c_y_k_c_m_k_y_f.__y=15;
    _c_y_k_c_m_k_y_f.__k=496;
    _c_y_k_c_m_k_y_f.__k=654;
    _c_y_k_c_m_k_y_f.__h=648;
    _c_y_k_c_m_k_y_f.__a=446;
    _c_y_k_c_m_k_y_f.__c=995;
    _c_y_k_c_m_k_y_f.__o=10;
    _c_y_k_c_m_k_y_f.__g=993;
    _c_y_k_c_m_k_y_f.__e=353;
    _c_y_k_c_m_k_y_f.__p=971;
    _c_y_k_c_m_k_y_f.__r=874;
    _c_y_k_c_m_k_y_f.__o=436;
    _c_y_k_c_m_k_y_f.__y=352;
    _c_y_k_c_m_k_y_f.__f=188;
    _c_y_k_c_m_k_y_f.__q=184;
    _c_y_k_c_m_k_y_f.__u=763;
    _c_y_k_c_m_k_y_f.__a=678;
    _c_y_k_c_m_k_y_f.__x=252;
    _c_y_k_c_m_k_y_f.__l=655;
    _c_y_k_c_m_k_y_f.__x=19;
    _c_y_k_c_m_k_y_f.__r=162;
    _c_y_k_c_m_k_y_f.__r=354;
    _c_y_k_c_m_k_y_f.__v=567;
    _c_y_k_c_m_k_y_f.__t=578;
    _c_y_k_c_m_k_y_f.__e=824;
    _c_y_k_c_m_k_y_f.__l=657;
    _c_y_k_c_m_k_y_f.__l=176;
    _c_y_k_c_m_k_y_f.__w=830;
    _c_y_k_c_m_k_y_f.__d=98;
    _c_y_k_c_m_k_y_f.__m=298;
    _c_y_k_c_m_k_y_f.__m=744;
    _c_y_k_c_m_k_y_f.__l=502;
    _c_y_k_c_m_k_y_f.__v=681;
    _c_y_k_c_m_k_y_f.__y=16;
    _c_y_k_c_m_k_y_f.__b=205;
    _c_y_k_c_m_k_y_f.__f=595;
    _c_y_k_c_m_k_y_f.__k=2;
    _c_y_k_c_m_k_y_f.__m=403;
    _c_y_k_c_m_k_y_f.__f=448;
    _c_y_k_c_m_k_y_f.__q=953;
    _c_y_k_c_m_k_y_f.__a=323;
    _c_y_k_c_m_k_y_f.__u=791;
    _c_y_k_c_m_k_y_f.__o=224;
    _c_y_k_c_m_k_y_f.__k=455;
    _c_y_k_c_m_k_y_f.__j=458;
    _c_y_k_c_m_k_y_f.__o=746;
    _c_y_k_c_m_k_y_f.__o=688;
    _c_y_k_c_m_k_y_f.__k=828;
    _c_y_k_c_m_k_y_f.__g=127;
    _c_y_k_c_m_k_y_f.__k=205;
    _c_y_k_c_m_k_y_f.__f=552;
    _c_y_k_c_m_k_y_f.__p=92;
    _c_y_k_c_m_k_y_f.__f=921;
    _c_y_k_c_m_k_y_f.__w=225;
    _c_y_k_c_m_k_y_f.__q=875;
    _c_y_k_c_m_k_y_f.__n=626;
    _c_y_k_c_m_k_y_f.__j=905;
    _c_y_k_c_m_k_y_f.__v=366;
    _c_y_k_c_m_k_y_f.__i=470;
    _c_y_k_c_m_k_y_f.__a=856;
    _c_y_k_c_m_k_y_f.__g=838;
    _c_y_k_c_m_k_y_f.__p=689;
    _c_y_k_c_m_k_y_f.__s=943;
    _c_y_k_c_m_k_y_f.__e=575;
    _c_y_k_c_m_k_y_f.__x=24;
    _c_y_k_c_m_k_y_f.__n=391;
    _c_y_k_c_m_k_y_f.__l=348;
    _c_y_k_c_m_k_y_f.__m=884;
    _c_y_k_c_m_k_y_f.__g=778;
    _c_y_k_c_m_k_y_f.__n=56;
    _c_y_k_c_m_k_y_f.__s=477;
    _c_y_k_c_m_k_y_f.__r=758;
    _c_y_k_c_m_k_y_f.__a=532;
    _c_y_k_c_m_k_y_f.__v=533;
    _c_y_k_c_m_k_y_f.__o=768;
    _c_y_k_c_m_k_y_f.__i=234;
    _c_y_k_c_m_k_y_f.__k=551;
    _c_y_k_c_m_k_y_f.__u=443;
    _c_y_k_c_m_k_y_f.__e=840;
    _c_y_k_c_m_k_y_f.__a=234;
    _c_y_k_c_m_k_y_f.__r=285;
    _c_y_k_c_m_k_y_f.__t=304;
    _c_y_k_c_m_k_y_f.__w=652;
    _c_y_k_c_m_k_y_f.__v=1;
    _c_y_k_c_m_k_y_f.__r=339;
    _c_y_k_c_m_k_y_f.__j=288;
    _c_y_k_c_m_k_y_f.__n=291;
    _c_y_k_c_m_k_y_f.__i=167;
    _c_y_k_c_m_k_y_f.__t=71;
    _c_y_k_c_m_k_y_f.__m=599;
    _c_y_k_c_m_k_y_f.__n=381;
    _c_y_k_c_m_k_y_f.__x=447;
    _c_y_k_c_m_k_y_f.__p=816;
    _c_y_k_c_m_k_y_f.__u=478;
    _c_y_k_c_m_k_y_f.__v=118;
    _c_y_k_c_m_k_y_f.__w=951;
    _c_y_k_c_m_k_y_f.__i=732;
    _c_y_k_c_m_k_y_f.__a=827;
    _c_y_k_c_m_k_y_f.__b=928;
    _c_y_k_c_m_k_y_f.__p=127;
    _c_y_k_c_m_k_y_f.__s=276;
    _c_y_k_c_m_k_y_f.__r=471;
    _c_y_k_c_m_k_y_f.__o=757;
    _c_y_k_c_m_k_y_f.__k=330;
    _c_y_k_c_m_k_y_f.__l=295;
    _c_y_k_c_m_k_y_f.__s=28;
    _c_y_k_c_m_k_y_f.__d=977;
    _c_y_k_c_m_k_y_f.__x=10;
    _c_y_k_c_m_k_y_f.__m=757;
    _c_y_k_c_m_k_y_f.__l=422;
    _c_y_k_c_m_k_y_f.__b=922;
    _c_y_k_c_m_k_y_f.__s=529;
    _c_y_k_c_m_k_y_f.__r=92;
    _c_y_k_c_m_k_y_f.__g=3;
    _c_y_k_c_m_k_y_f.__c=49;
    _c_y_k_c_m_k_y_f.__j=606;
    _c_y_k_c_m_k_y_f.__o=167;
    _c_y_k_c_m_k_y_f.__x=309;
    _c_y_k_c_m_k_y_f.__c=724;
    _c_y_k_c_m_k_y_f.__n=377;
    _c_y_k_c_m_k_y_f.__x=885;
    _c_y_k_c_m_k_y_f.__t=438;
    _c_y_k_c_m_k_y_f.__s=630;
    _c_y_k_c_m_k_y_f.__m=92;
    _c_y_k_c_m_k_y_f.__u=407;
    _c_y_k_c_m_k_y_f.__x=58;
    _c_y_k_c_m_k_y_f.__r=802;
    _c_y_k_c_m_k_y_f.__a=428;
    _c_y_k_c_m_k_y_f.__r=996;
    _c_y_k_c_m_k_y_f.__w=29;
    _c_y_k_c_m_k_y_f.__r=292;
    _c_y_k_c_m_k_y_f.__o=435;
    _c_y_k_c_m_k_y_f.__m=497;
    _c_y_k_c_m_k_y_f.__x=665;
    _c_y_k_c_m_k_y_f.__r=445;
    _c_y_k_c_m_k_y_f.__h=94;
    _c_y_k_c_m_k_y_f.__b=427;
    _c_y_k_c_m_k_y_f.__c=606;
    _c_y_k_c_m_k_y_f.__h=820;
    _c_y_k_c_m_k_y_f.__i=519;
    _c_y_k_c_m_k_y_f.__i=703;
    _c_y_k_c_m_k_y_f.__r=326;
    _c_y_k_c_m_k_y_f.__f=717;
    _c_y_k_c_m_k_y_f.__f=763;
    _c_y_k_c_m_k_y_f.__d=986;
    _c_y_k_c_m_k_y_f.__m=259;
    _c_y_k_c_m_k_y_f.__a=340;
    _c_y_k_c_m_k_y_f.__j=269;
    _c_y_k_c_m_k_y_f.__t=657;
    _c_y_k_c_m_k_y_f.__t=556;
    _c_y_k_c_m_k_y_f.__o=582;
    _c_y_k_c_m_k_y_f.__w=927;
    _c_y_k_c_m_k_y_f.__t=413;
    _c_y_k_c_m_k_y_f.__l=463;
    _c_y_k_c_m_k_y_f.__f=436;
    _c_y_k_c_m_k_y_f.__b=775;
    _c_y_k_c_m_k_y_f.__v=489;
    _c_y_k_c_m_k_y_f.__k=321;
    _c_y_k_c_m_k_y_f.__p=30;
    _c_y_k_c_m_k_y_f.__k=306;
    _c_y_k_c_m_k_y_f.__a=505;
    _c_y_k_c_m_k_y_f.__b=202;
    _c_y_k_c_m_k_y_f.__t=284;
    _c_y_k_c_m_k_y_f.__u=418;
    _c_y_k_c_m_k_y_f.__r=944;
    _c_y_k_c_m_k_y_f.__u=157;
    _c_y_k_c_m_k_y_f.__m=200;
    _c_y_k_c_m_k_y_f.__j=975;
    _c_y_k_c_m_k_y_f.__a=242;
    _c_y_k_c_m_k_y_f.__x=97;
    _c_y_k_c_m_k_y_f.__o=770;
    _c_y_k_c_m_k_y_f.__a=998;
    _c_y_k_c_m_k_y_f.__f=515;
    _c_y_k_c_m_k_y_f.__c=297;
    _c_y_k_c_m_k_y_f.__h=510;
    _c_y_k_c_m_k_y_f.__p=485;
    _c_y_k_c_m_k_y_f.__i=907;
    _c_y_k_c_m_k_y_f.__r=525;
    _c_y_k_c_m_k_y_f.__f=620;
    _c_y_k_c_m_k_y_f.__o=851;
    _c_y_k_c_m_k_y_f.__q=562;
    _c_y_k_c_m_k_y_f.__r=797;
    _c_y_k_c_m_k_y_f.__r=773;
    _c_y_k_c_m_k_y_f._y_t = function (){
    let _u_s_t_n_k = 389;
    let _y_h_k_b_q = 333;
    _u_s_t_n_k=_y_h_k_b_q;
    _y_h_k_b_q--;
    _u_s_t_n_k=_y_h_k_b_q;
    _y_h_k_b_q--;
    _u_s_t_n_k=_y_h_k_b_q;
    _y_h_k_b_q--;
    _u_s_t_n_k=_y_h_k_b_q;
    _y_h_k_b_q--;
    _u_s_t_n_k=_y_h_k_b_q;
    _y_h_k_b_q++;
    _u_s_t_n_k=_y_h_k_b_q;
    _y_h_k_b_q--;
    };
    _c_y_k_c_m_k_y_f._e_g = function (){
    let _e_a_p_h_y = 554;
    let _y_e_f_j_c = 794;
    _e_a_p_h_y=_y_e_f_j_c;
    _y_e_f_j_c++;
    _e_a_p_h_y=_y_e_f_j_c;
    _y_e_f_j_c++;
    _e_a_p_h_y=_y_e_f_j_c;
    _y_e_f_j_c++;
    _e_a_p_h_y=_y_e_f_j_c;
    _y_e_f_j_c--;
    _e_a_p_h_y=_y_e_f_j_c;
    _y_e_f_j_c--;
    _e_a_p_h_y=_y_e_f_j_c;
    _y_e_f_j_c++;
    };
    _c_y_k_c_m_k_y_f._u_u = function (){
    let _j_c_o_s_d = 189;
    let _h_n_s_w_m = 714;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m--;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m--;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m++;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m--;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m++;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m++;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m++;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m--;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m++;
    _j_c_o_s_d=_h_n_s_w_m;
    _h_n_s_w_m--;
    };
    _c_y_k_c_m_k_y_f._r_w = function (){
    let _c_y_r_e_d = 959;
    let _g_y_j_s_e = 731;
    _c_y_r_e_d=_g_y_j_s_e;
    _g_y_j_s_e++;
    _c_y_r_e_d=_g_y_j_s_e;
    _g_y_j_s_e++;
    _c_y_r_e_d=_g_y_j_s_e;
    _g_y_j_s_e++;
    _c_y_r_e_d=_g_y_j_s_e;
    _g_y_j_s_e--;
    _c_y_r_e_d=_g_y_j_s_e;
    _g_y_j_s_e--;
    _c_y_r_e_d=_g_y_j_s_e;
    _g_y_j_s_e--;
    _c_y_r_e_d=_g_y_j_s_e;
    _g_y_j_s_e--;
    _c_y_r_e_d=_g_y_j_s_e;
    _g_y_j_s_e++;
    };
    _c_y_k_c_m_k_y_f._a_w = function (){
    let _n_b_u_g_m = 339;
    let _q_t_p_y_j = 309;
    _n_b_u_g_m=_q_t_p_y_j;
    _q_t_p_y_j++;
    _n_b_u_g_m=_q_t_p_y_j;
    _q_t_p_y_j++;
    _n_b_u_g_m=_q_t_p_y_j;
    _q_t_p_y_j--;
    _n_b_u_g_m=_q_t_p_y_j;
    _q_t_p_y_j++;
    _n_b_u_g_m=_q_t_p_y_j;
    _q_t_p_y_j++;
    _n_b_u_g_m=_q_t_p_y_j;
    _q_t_p_y_j++;
    _n_b_u_g_m=_q_t_p_y_j;
    _q_t_p_y_j--;
    _n_b_u_g_m=_q_t_p_y_j;
    _q_t_p_y_j--;
    };
    _c_y_k_c_m_k_y_f._w_c = function (){
    let _k_r_a_w_r = 289;
    let _t_d_c_u_b = 980;
    _k_r_a_w_r=_t_d_c_u_b;
    _t_d_c_u_b++;
    _k_r_a_w_r=_t_d_c_u_b;
    _t_d_c_u_b++;
    _k_r_a_w_r=_t_d_c_u_b;
    _t_d_c_u_b--;
    _k_r_a_w_r=_t_d_c_u_b;
    _t_d_c_u_b--;
    _k_r_a_w_r=_t_d_c_u_b;
    _t_d_c_u_b++;
    _k_r_a_w_r=_t_d_c_u_b;
    _t_d_c_u_b++;
    };
    _c_y_k_c_m_k_y_f._w_n = function (){
    let _b_x_w_p_i = 212;
    let _u_u_u_t_w = 97;
    _b_x_w_p_i=_u_u_u_t_w;
    _u_u_u_t_w++;
    _b_x_w_p_i=_u_u_u_t_w;
    _u_u_u_t_w++;
    _b_x_w_p_i=_u_u_u_t_w;
    _u_u_u_t_w--;
    _b_x_w_p_i=_u_u_u_t_w;
    _u_u_u_t_w--;
    _b_x_w_p_i=_u_u_u_t_w;
    _u_u_u_t_w--;
    _b_x_w_p_i=_u_u_u_t_w;
    _u_u_u_t_w--;
    _b_x_w_p_i=_u_u_u_t_w;
    _u_u_u_t_w++;
    };
    _c_y_k_c_m_k_y_f._c_d = function (){
    let _s_b_y_k_k = 750;
    let _v_q_l_p_c = 923;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c--;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c++;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c--;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c--;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c--;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c++;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c++;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c++;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c--;
    _s_b_y_k_k=_v_q_l_p_c;
    _v_q_l_p_c--;
    };//--------aaabbbcccdddeeefffggg
     let _u_b_w_a_o_f_t_k={};
    _u_b_w_a_o_f_t_k.__j=624;
    _u_b_w_a_o_f_t_k.__g=148;
    _u_b_w_a_o_f_t_k.__m=791;
    _u_b_w_a_o_f_t_k.__o=587;
    _u_b_w_a_o_f_t_k.__l=641;
    _u_b_w_a_o_f_t_k.__x=299;
    _u_b_w_a_o_f_t_k.__l=669;
    _u_b_w_a_o_f_t_k.__c=761;
    _u_b_w_a_o_f_t_k.__h=357;
    _u_b_w_a_o_f_t_k.__o=956;
    _u_b_w_a_o_f_t_k.__u=497;
    _u_b_w_a_o_f_t_k.__v=576;
    _u_b_w_a_o_f_t_k.__h=283;
    _u_b_w_a_o_f_t_k.__c=63;
    _u_b_w_a_o_f_t_k.__p=941;
    _u_b_w_a_o_f_t_k.__o=526;
    _u_b_w_a_o_f_t_k.__q=177;
    _u_b_w_a_o_f_t_k.__h=45;
    _u_b_w_a_o_f_t_k.__g=233;
    _u_b_w_a_o_f_t_k.__a=419;
    _u_b_w_a_o_f_t_k.__k=829;
    _u_b_w_a_o_f_t_k.__m=871;
    _u_b_w_a_o_f_t_k.__b=764;
    _u_b_w_a_o_f_t_k.__x=748;
    _u_b_w_a_o_f_t_k.__d=474;
    _u_b_w_a_o_f_t_k.__h=747;
    _u_b_w_a_o_f_t_k.__e=308;
    _u_b_w_a_o_f_t_k.__q=698;
    _u_b_w_a_o_f_t_k.__x=824;
    _u_b_w_a_o_f_t_k.__m=434;
    _u_b_w_a_o_f_t_k.__w=867;
    _u_b_w_a_o_f_t_k.__l=777;
    _u_b_w_a_o_f_t_k.__n=728;
    _u_b_w_a_o_f_t_k.__d=186;
    _u_b_w_a_o_f_t_k.__l=148;
    _u_b_w_a_o_f_t_k.__c=67;
    _u_b_w_a_o_f_t_k.__p=461;
    _u_b_w_a_o_f_t_k.__o=318;
    _u_b_w_a_o_f_t_k.__r=657;
    _u_b_w_a_o_f_t_k.__n=102;
    _u_b_w_a_o_f_t_k.__c=631;
    _u_b_w_a_o_f_t_k.__u=401;
    _u_b_w_a_o_f_t_k.__f=424;
    _u_b_w_a_o_f_t_k.__t=376;
    _u_b_w_a_o_f_t_k.__r=713;
    _u_b_w_a_o_f_t_k.__v=70;
    _u_b_w_a_o_f_t_k.__d=349;
    _u_b_w_a_o_f_t_k.__x=469;
    _u_b_w_a_o_f_t_k.__k=212;
    _u_b_w_a_o_f_t_k.__f=474;
    _u_b_w_a_o_f_t_k.__o=176;
    _u_b_w_a_o_f_t_k.__e=799;
    _u_b_w_a_o_f_t_k.__k=449;
    _u_b_w_a_o_f_t_k.__r=336;
    _u_b_w_a_o_f_t_k.__n=89;
    _u_b_w_a_o_f_t_k.__v=8;
    _u_b_w_a_o_f_t_k.__v=965;
    _u_b_w_a_o_f_t_k.__y=651;
    _u_b_w_a_o_f_t_k.__y=938;
    _u_b_w_a_o_f_t_k.__d=956;
    _u_b_w_a_o_f_t_k.__s=564;
    _u_b_w_a_o_f_t_k.__n=994;
    _u_b_w_a_o_f_t_k.__o=81;
    _u_b_w_a_o_f_t_k.__e=360;
    _u_b_w_a_o_f_t_k.__h=969;
    _u_b_w_a_o_f_t_k.__t=470;
    _u_b_w_a_o_f_t_k.__e=864;
    _u_b_w_a_o_f_t_k.__u=40;
    _u_b_w_a_o_f_t_k.__v=107;
    _u_b_w_a_o_f_t_k.__e=274;
    _u_b_w_a_o_f_t_k.__v=710;
    _u_b_w_a_o_f_t_k.__h=801;
    _u_b_w_a_o_f_t_k.__q=19;
    _u_b_w_a_o_f_t_k.__j=885;
    _u_b_w_a_o_f_t_k.__n=851;
    _u_b_w_a_o_f_t_k.__a=940;
    _u_b_w_a_o_f_t_k.__w=398;
    _u_b_w_a_o_f_t_k.__s=884;
    _u_b_w_a_o_f_t_k.__l=667;
    _u_b_w_a_o_f_t_k.__p=367;
    _u_b_w_a_o_f_t_k.__q=745;
    _u_b_w_a_o_f_t_k.__u=392;
    _u_b_w_a_o_f_t_k.__v=665;
    _u_b_w_a_o_f_t_k.__y=369;
    _u_b_w_a_o_f_t_k.__l=159;
    _u_b_w_a_o_f_t_k.__b=137;
    _u_b_w_a_o_f_t_k.__t=75;
    _u_b_w_a_o_f_t_k.__j=978;
    _u_b_w_a_o_f_t_k.__g=742;
    _u_b_w_a_o_f_t_k.__k=150;
    _u_b_w_a_o_f_t_k.__y=69;
    _u_b_w_a_o_f_t_k.__w=986;
    _u_b_w_a_o_f_t_k.__j=639;
    _u_b_w_a_o_f_t_k.__l=74;
    _u_b_w_a_o_f_t_k.__y=613;
    _u_b_w_a_o_f_t_k.__y=564;
    _u_b_w_a_o_f_t_k.__n=693;
    _u_b_w_a_o_f_t_k.__d=112;
    _u_b_w_a_o_f_t_k.__h=940;
    _u_b_w_a_o_f_t_k.__s=523;
    _u_b_w_a_o_f_t_k.__f=735;
    _u_b_w_a_o_f_t_k.__f=589;
    _u_b_w_a_o_f_t_k.__p=644;
    _u_b_w_a_o_f_t_k.__x=189;
    _u_b_w_a_o_f_t_k.__y=491;
    _u_b_w_a_o_f_t_k.__i=146;
    _u_b_w_a_o_f_t_k.__l=404;
    _u_b_w_a_o_f_t_k.__q=908;
    _u_b_w_a_o_f_t_k.__y=120;
    _u_b_w_a_o_f_t_k.__k=555;
    _u_b_w_a_o_f_t_k.__k=335;
    _u_b_w_a_o_f_t_k.__h=177;
    _u_b_w_a_o_f_t_k.__m=371;
    _u_b_w_a_o_f_t_k.__h=161;
    _u_b_w_a_o_f_t_k.__c=954;
    _u_b_w_a_o_f_t_k.__q=394;
    _u_b_w_a_o_f_t_k.__s=369;
    _u_b_w_a_o_f_t_k.__h=948;
    _u_b_w_a_o_f_t_k.__r=785;
    _u_b_w_a_o_f_t_k.__f=240;
    _u_b_w_a_o_f_t_k.__q=27;
    _u_b_w_a_o_f_t_k.__a=231;
    _u_b_w_a_o_f_t_k._o_i = function (){
    let _c_b_e_y_d = 676;
    let _d_u_o_q_s = 723;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s++;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s++;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s--;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s--;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s--;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s--;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s++;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s--;
    _c_b_e_y_d=_d_u_o_q_s;
    _d_u_o_q_s--;
    };
    _u_b_w_a_o_f_t_k._t_o = function (){
    let _q_m_h_k_i = 49;
    let _f_i_k_n_e = 631;
    _q_m_h_k_i=_f_i_k_n_e;
    _f_i_k_n_e--;
    _q_m_h_k_i=_f_i_k_n_e;
    _f_i_k_n_e--;
    _q_m_h_k_i=_f_i_k_n_e;
    _f_i_k_n_e--;
    _q_m_h_k_i=_f_i_k_n_e;
    _f_i_k_n_e--;
    _q_m_h_k_i=_f_i_k_n_e;
    _f_i_k_n_e++;
    };
    _u_b_w_a_o_f_t_k._e_j = function (){
    let _q_t_y_q_w = 740;
    let _y_t_x_t_t = 872;
    _q_t_y_q_w=_y_t_x_t_t;
    _y_t_x_t_t++;
    _q_t_y_q_w=_y_t_x_t_t;
    _y_t_x_t_t++;
    _q_t_y_q_w=_y_t_x_t_t;
    _y_t_x_t_t++;
    _q_t_y_q_w=_y_t_x_t_t;
    _y_t_x_t_t--;
    _q_t_y_q_w=_y_t_x_t_t;
    _y_t_x_t_t--;
    _q_t_y_q_w=_y_t_x_t_t;
    _y_t_x_t_t++;
    _q_t_y_q_w=_y_t_x_t_t;
    _y_t_x_t_t--;
    _q_t_y_q_w=_y_t_x_t_t;
    _y_t_x_t_t--;
    };
    _u_b_w_a_o_f_t_k._s_k = function (){
    let _m_q_w_b_d = 682;
    let _m_l_i_k_v = 730;
    _m_q_w_b_d=_m_l_i_k_v;
    _m_l_i_k_v++;
    _m_q_w_b_d=_m_l_i_k_v;
    _m_l_i_k_v--;
    _m_q_w_b_d=_m_l_i_k_v;
    _m_l_i_k_v--;
    _m_q_w_b_d=_m_l_i_k_v;
    _m_l_i_k_v--;
    _m_q_w_b_d=_m_l_i_k_v;
    _m_l_i_k_v--;
    };
    _u_b_w_a_o_f_t_k._o_w = function (){
    let _v_o_b_i_l = 312;
    let _x_w_d_d_p = 285;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p--;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p--;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p++;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p++;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p++;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p--;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p++;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p--;
    _v_o_b_i_l=_x_w_d_d_p;
    _x_w_d_d_p--;
    };
    _u_b_w_a_o_f_t_k._l_k = function (){
    let _j_f_k_e_t = 502;
    let _b_d_s_l_x = 520;
    _j_f_k_e_t=_b_d_s_l_x;
    _b_d_s_l_x++;
    _j_f_k_e_t=_b_d_s_l_x;
    _b_d_s_l_x++;
    _j_f_k_e_t=_b_d_s_l_x;
    _b_d_s_l_x++;
    _j_f_k_e_t=_b_d_s_l_x;
    _b_d_s_l_x--;
    _j_f_k_e_t=_b_d_s_l_x;
    _b_d_s_l_x--;
    _j_f_k_e_t=_b_d_s_l_x;
    _b_d_s_l_x++;
    };

    class GameManager {
        static pauseMusic() {
            Laya.SoundManager.muted = true;
        }

        static resumeMusic() {
            Laya.SoundManager.muted = false;
        }

        static PlaySound(name, loop = 1) {
            var sn = "res/music/" + name;
            var sc = Laya.SoundManager.playSound(sn + ".mp3", loop, null);
            return sc;
        }

        static PlayMusic(name) {
            if (this.sc) {
                this.sc.stop();
                this.sc = null;
            }
            var sn = "res/music/" + name;
            this.sc = Laya.SoundManager.playMusic(sn + ".mp3", 0);
            return this.sc;
        }

        static showAsk(str) {
            Laya.Scene.open("showAsk.scene", false, str);
        }

        static getJsonLength(json) {
            let num = 0;
            for (var key in json) {
                num++;
            }
            return num;
        }

        static RandomNum(min, max) {
            return Math.floor(Math.random() * (max - min)) + min;
        }

        static createRay() {
            let point = new Laya.Vector2(0, 0);
            point.x = Laya.stage.width / 2;
            point.y = Laya.stage.height / 2;

            var ray = new Laya.Ray(new Laya.Vector3(0, 0, 0), new Laya.Vector3(0, 0, 0));
            GameManager.Camera.viewportPointToRay(point, ray);

            if (GameManager.isInstall) {
                GameManager.tempColliderName = null;
                GameManager.isRayFlag = false;
                var outHitRusult = [];
                GameManager.resScene.physicsSimulation.rayCastAll(ray, outHitRusult, GameManager.distance);
                if (outHitRusult.length > 0) {
                    if (GameManager.isBuyType == "") {
                        GameManager.RebackColor();
                    } else {
                        console.log("=============================================");
                        for (var key in outHitRusult) {
                            let colliderName = outHitRusult[key].collider.owner.name;
                            console.log("选中物体名称:" + colliderName + "          isBuyType:" + GameManager.isBuyType);
                            if (GameManager.isBuyType == colliderName) {
                                var InteractionBtn = GameManager.getInteractionBtn(colliderName, 2);
                                if (InteractionBtn) {
                                    GameManager.colliderName = colliderName;
                                    if (GameManager.gameScene != null) {
                                        GameManager.gameScene.showBtn(InteractionBtn.button);
                                        GameManager.isRayFlag = true;
                                    }
                                } else {
                                    if (!GameManager.isRayFlag) {
                                        GameManager.RebackColor();
                                    }
                                }
                            } else if (GameManager.isBuyType.indexOf("neicun") != -1 && colliderName.indexOf("neicun") != -1) {
                                var InteractionBtn = GameManager.getInteractionBtn("neicun", 2);
                                if (InteractionBtn) {
                                    GameManager.colliderName = colliderName;
                                    if (GameManager.gameScene != null) {
                                        GameManager.gameScene.showBtn(InteractionBtn.button);
                                        GameManager.isRayFlag = true;
                                    }
                                } else {
                                    if (!GameManager.isRayFlag) {
                                        GameManager.RebackColor();
                                    }
                                }
                            }
                            else {
                                if (!GameManager.isRayFlag) {
                                    GameManager.RebackColor();
                                }
                            }
                        }
                        console.log("=============================================");
                    }
                } else {
                    console.log("没有检测到碰撞");
                    GameManager.RebackColor();
                }
            } else {
                var outHitRusult = new Laya.HitResult();
                GameManager.resScene.physicsSimulation.rayCast(ray, outHitRusult, GameManager.distance);
                if (outHitRusult.succeeded) {
                    let colliderName = outHitRusult.collider.owner.name;
                    if (GameManager.tempColliderName != colliderName) {
                        GameManager.RebackColor();
                        GameManager.tempColliderName = colliderName;
                    }
                    console.log("选中物体名称:" + colliderName);
                    var InteractionBtn = GameManager.getInteractionBtn(colliderName, 1);
                    if (InteractionBtn) {
                        // outHitRusult.collider.owner.meshRenderer.sharedMaterial.albedoColor = GameManager.Get_RGBA_Vector(new Laya.Vector4(255, 0, 0, 52));
                        if (GameManager.gameScene != null) {
                            GameManager.gameScene.showBtn(InteractionBtn.button);
                        }
                    } else {
                        GameManager.RebackColor();
                    }
                } else {
                    console.log("没有检测到碰撞");
                    GameManager.RebackColor();
                }
            }
        }

        static Get_RGBA_Vector(rgba) {
            var vect = new Laya.Vector4(0, 0, 0, 0);
            vect.x = rgba.x / 255;
            vect.y = rgba.y / 255;
            vect.z = rgba.z / 255;
            vect.w = rgba.w / 255;
            return vect;
        }

        static RebackColor() {
            // let colliderNunm = GameManager.Scene.getChildByName("collider")._children.length;
            // for (let i = 0; i < colliderNunm; i++) {
            //     var InteractionBtn = GameManager.getInteractionBtn(GameManager.Scene.getChildByName("collider")._children[i].name, 1);
            //     if (InteractionBtn) {
            //         GameManager.Scene.getChildByName("collider")._children[i].meshRenderer.sharedMaterial.albedoColor = GameManager.Get_RGBA_Vector(new Laya.Vector4(255, 255, 255, 0));
            //     }
            // }
            GameManager.gameScene.hideBtn();
        }

        static getInteractionBtn(name, type) {
            for (var key in GameManager.Interaction) {
                if (GameManager.Interaction[key].name == name && GameManager.Interaction[key].type == type) {
                    return GameManager.Interaction[key];
                }
            }
            return null;
        }

        static isInstall(name) {
            for (var key in GameManager.Interaction) {
                if (GameManager.Interaction[key].name == name) {
                    return true;
                }
            }
            return false;
        }

        static InitPart(name, resScene, type = false) {//初始化场景配件状态
            var part = resScene.getChildByName(name).getChildByName("name");
            console.log(name + ":", part);
            let Num = part._children.length;
            for (let i = 0; i < Num; i++) {
                resScene.getChildByName(name).getChildByName("name")._children[i].active = type;
            }
        }

        static getName(name) {
            switch (name) {
                case "0":
                    return "cpu";
                case "1":
                    return "yingpan";
                case "2":
                    return "cpufs";
                case "3":
                    return "fs";
                case "4":
                    return "xianka";
                case "5":
                    return "neicun";
                case "7":
                    return "zhuban";
                case "8":
                    return "dianyuan";
                case "11":
                    return "shuileng";
                default:
                    return "";
            }
        }

        static getIndex(name) {
            switch (name) {
                case "cpu":
                    return 0;
                case "yingpan":
                    return 1;
                case "cpufs":
                    return 2;
                case "fs":
                    return 3;
                case "xianka":
                    return 4;
                case "neicun":
                    return 5;
                case "zhuban":
                    return 7;
                case "dianyuan":
                    return 8;
                case "shuileng":
                    return 11;
                default:
                    return -1;
            }
        }

        static InitComputer(resScene, type = false) {
            resScene.getChildByName("Antec DF500").active = type;
            resScene.getChildByName("Antec XPG Battlecruiser").active = type;
            resScene.getChildByName("jxg1Ani").active = type;
            resScene.getChildByName("jxg2Ani").active = type;

            resScene.getChildByName("jxg3Ani").active = type;
            resScene.getChildByName("jxg4Ani").active = type;

            resScene.getChildByName("usb").active = type;
            resScene.getChildByName("kouzi1").active = type;
            resScene.getChildByName("kouzi2").active = type;
            resScene.getChildByName("kouzi3").active = type;
            resScene.getChildByName("kouzi4").active = type;
            resScene.getChildByName("tanhuang").active = type;
            resScene.getChildByName("xian01").active = type;
            resScene.getChildByName("xian02").active = type;

            resScene.getChildByName("Proxy").getChildByName("mobo").active = type;
        }

        static AllCameraPart(resScene, type = false) {
            var part = resScene.getChildByName("zjplayer").getChildByName("name");
            let Num = part._children.length;
            for (let i = 0; i < Num; i++) {
                resScene.getChildByName("zjplayer").getChildByName("name")._children[i].active = type;
            }
        }

        static showComputerCase() {
            GameManager.PlaySound("azcg");
            GameManager.Scene.getChildByName(GameManager.buyPart.name).active = true;
            var owner = GameManager.Scene.getChildByName(GameManager.buyPart.animation);
            owner.active = true;
            var animator = owner.addComponent(AnimatorJS);
            animator.Init(owner, function () {
                owner.active = false;
            });
            GameManager.InstallPart[10] = GameManager.buyPart;
            GameManager.Install3DPart[10] = GameManager.Scene.getChildByName(GameManager.buyPart.name);
            console.log("机箱安装进度:", GameManager.InstallPart);
            console.log("机箱安装进度:", GameManager.Install3DPart);
            GameManager.buyPart = null;
            GameManager.isBuyType = "";
        }

        static clickInstallPart() {
            if (GameManager.buyPart != null && GameManager.isBuyType != "") {
                GameManager.PlaySound("azcg");
                GameManager.Scene.getChildByName(GameManager.isBuyType).getChildByName("name").getChildByName(GameManager.buyPart.name).active = true;
                var index = GameManager.getIndex(GameManager.isBuyType);
                console.log("index:" + index);
                if (index != -1) {
                    GameManager.InstallPart[index] = GameManager.buyPart;
                    GameManager.Install3DPart[index] = GameManager.Scene.getChildByName(GameManager.isBuyType).getChildByName("name").getChildByName(GameManager.buyPart.name);
                }
                if (GameManager.isBuyType == "zhuban") {
                    GameManager.Scene.getChildByName("Proxy").getChildByName("mobo").active = true;
                }

                if (GameManager.buyPart.light) {
                    console.log("GameManager.colliderName:" + GameManager.colliderName);
                    console.log("GameManager.buyPart.name:" + GameManager.buyPart.name);
                    GameManager.Scene.getChildByName(GameManager.colliderName).getChildByName("name").getChildByName(GameManager.buyPart.name).getChildByName("faguang").active = false;
                }

                GameManager.hideCameraPart(GameManager.buyPart);
                console.log("机箱安装进度:", GameManager.InstallPart);
                console.log("机箱安装进度:", GameManager.Install3DPart);
            }
            GameManager.buyPart = null;
            GameManager.isBuyType = "";
            GameManager.createRay();

            GameManager.gameScene.closeShop();
            SDK_apk.showBanner();
        }

        static clickInstallMemory() {
            if (GameManager.buyPart != null && GameManager.isBuyType != "") {
                GameManager.PlaySound("azcg");
                GameManager.Scene.getChildByName(GameManager.colliderName).getChildByName("name").getChildByName(GameManager.buyPart.name).active = true;
                var index = GameManager.getIndex(GameManager.isBuyType);
                console.log("index:" + index);
                if (index != -1) {
                    if (GameManager.colliderName == "neicun1") {
                        GameManager.InstallPart[index][0] = GameManager.buyPart;
                        GameManager.Install3DPart[index][0] = GameManager.Scene.getChildByName(GameManager.colliderName).getChildByName("name").getChildByName(GameManager.buyPart.name);
                        GameManager.Scene.getChildByName("Proxy").getChildByName("mobo").getChildByName("neicun1").active = false;
                    } else if (GameManager.colliderName == "neicun2") {
                        GameManager.InstallPart[index][1] = GameManager.buyPart;
                        GameManager.Install3DPart[index][0] = GameManager.Scene.getChildByName(GameManager.colliderName).getChildByName("name").getChildByName(GameManager.buyPart.name);
                        GameManager.Scene.getChildByName("Proxy").getChildByName("mobo").getChildByName("neicun2").active = false;
                    }
                }
                if (GameManager.buyPart.light) {
                    GameManager.Scene.getChildByName(GameManager.colliderName).getChildByName("name").getChildByName(GameManager.buyPart.name).getChildByName("faguang").active = false;
                }
                GameManager.hideCameraPart(GameManager.buyPart);
                console.log("机箱安装进度:", GameManager.InstallPart);
                console.log("机箱安装进度:", GameManager.Install3DPart);
            }

            GameManager.colliderName = null;
            GameManager.buyPart = null;
            GameManager.isBuyType = "";
            GameManager.createRay();

            GameManager.gameScene.closeShop();
            SDK_apk.showBanner();
        }

        static showCameraPart(part) {
            console.log("显示摄像机下的配件");
            GameManager.InstallPlayer.getChildByName("name").getChildByName(part.name).active = true;
            SDK_apk.closeBanner();
        }

        static hideCameraPart(part) {
            console.log("撤回摄像机下的配件");
            GameManager.InstallPlayer.getChildByName("name").getChildByName(part.name).active = false;
        }

        static hideCollider(name) {
            GameManager.Scene.getChildByName("Proxy").getChildByName("mobo").getChildByName(name).active = false;
        }

        static reStart(mission = false) {
            var collider = GameManager.Scene.getChildByName("Proxy").getChildByName("mobo");
            let Num = collider._children.length;
            for (let i = 0; i < Num; i++) {
                GameManager.Scene.getChildByName("Proxy").getChildByName("mobo")._children[i].active = true;
            }

            GameManager.InitComputer(GameManager.Scene, false);
            GameManager.InitPart("zhuban", GameManager.Scene, false);
            GameManager.InitPart("dianyuan", GameManager.Scene, false);
            GameManager.InitPart("yingpan", GameManager.Scene, false);
            GameManager.InitPart("cpufs", GameManager.Scene, false);
            GameManager.InitPart("xianka", GameManager.Scene, false);
            GameManager.InitPart("cpu", GameManager.Scene, false);
            GameManager.InitPart("fs", GameManager.Scene, false);
            GameManager.InitPart("neicun1", GameManager.Scene, false);
            GameManager.InitPart("neicun2", GameManager.Scene, false);
            GameManager.InitPart("shuileng", GameManager.Scene, false);
            GameManager.AllCameraPart(GameManager.Scene, false);
            GameManager.Scene.getChildByName("Proxy").getChildByName("mobo").active = false;
            GameManager.Scene.getChildByName("xsp2").active = true;

            GameManager.InitFlag(mission);
            GameManager.createRay();
        }

        static InitFlag(mission) {
            // GameManager.isOpenMission = false;  //是否打开任务栏
            // GameManager.isOpenShop = false;     //是否打开游戏场景商店
            // GameManager.isMission = false;      //是否接受任务
            if (mission) {
                GameManager.isMission = false;
            }
            GameManager.isBuyType = "display_c";         //购买的商品类型
            GameManager.buyPart = null;             //购买的配件信息
            GameManager.colliderName = null;
            GameManager.isRayFlag = false;
            GameManager.isOpenComputer = false;
            GameManager.computerMark = 0;
            GameManager.pause = false;
            GameManager.InstallPart = [null, null, null, null, null, [null, null], null, null, null, null, null];//0:CPU   1:Disk  2:Fan_CPU  3:Fan  4:GPU  5:Memory  6:missions  7:Mobo  8:Power  9:shop  10：机箱   11水冷
            GameManager.Install3DPart = [null, null, null, null, null, [null, null], null, null, null, null, null, null];//0:CPU   1:Disk  2:Fan_CPU  3:Fan  4:GPU  5:Memory  6:missions  7:Mobo  8:Power  9:shop  10：机箱   11水冷
        }
    }

    GameManager.resScene = null;
    GameManager.Scene = null;               //场景
    GameManager.Camera = null;              //相机
    GameManager.player = null;              //人物模型
    GameManager.InstallPlayer = null;

    GameManager.PlayerJS = null;            //人物控制脚本
    GameManager.translateSpeed = 0.04;      //玩家移动速度
    GameManager.rotateSpeed = 0.1;          //镜头灵敏度
    GameManager.distance = 1.5;               //可互动距离
    GameManager.pause = false;              //暂停
    GameManager.curMusic = null;
    GameManager.curMusicName = null;
    GameManager.Interaction = {             //可互动碰撞名称
        "1": { "name": "display_x", "button": "btn_touch1", "type": "1" },
        "2": { "name": "display_c", "button": "btn_touch2", "type": "1" },
        "3": { "name": "display_x2", "button": "btn_touch3", "type": "1" },

        "4": { "name": "display_c", "button": "btn_jixiang", "type": "2" },
        "5": { "name": "zhuban", "button": "btn_zhuban", "type": "2" },
        "6": { "name": "cpu", "button": "btn_cpu", "type": "2" },
        "7": { "name": "cpufs", "button": "btn_cpufs", "type": "2" },
        "8": { "name": "neicun", "button": "btn_neicun", "type": "2" },
        "9": { "name": "xianka", "button": "btn_xianka", "type": "2" },
        "10": { "name": "dianyuan", "button": "btn_dianyuan", "type": "2" },
        "11": { "name": "yingpan", "button": "btn_yingpan", "type": "2" },
        "12": { "name": "shuileng", "button": "btn_shuileng", "type": "2" },
        "13": { "name": "fs", "button": "btn_fs", "type": "2" },
    };
    GameManager.showMissionNum = 3;         //显示任务个数
    //////////////////////////////////////////////////////////////////////////////
    GameManager.isOpenComputer = false;
    GameManager.isInstall = false;          //进入
    GameManager.isOpenMission = false;  //是否打开任务栏
    GameManager.isOpenShop = false;     //是否打开游戏场景商店
    GameManager.isMission = false;      //是否接受任务
    GameManager.isBuyType = "display_c";         //购买的商品类型
    GameManager.buyPart = null;             //购买的配件信息
    GameManager.colliderName = null;
    GameManager.tempColliderName = null;
    GameManager.isRayFlag = false;
    GameManager.computerMark = 0;
    GameManager.InstallPart = [null, null, null, null, null, [null, null], null, null, null, null, null, null];//0:CPU   1:Disk  2:Fan_CPU  3:Fan  4:GPU  5:Memory  6:missions  7:Mobo  8:Power  9:shop  10：机箱   11水冷
    GameManager.Install3DPart = [null, null, null, null, null, [null, null], null, null, null, null, null, null];//0:CPU   1:Disk  2:Fan_CPU  3:Fan  4:GPU  5:Memory  6:missions  7:Mobo  8:Power  9:shop  10：机箱   11水冷
    //////////////////////////////////////////////////////////////////////////////
    GameManager.MissionData = null;
    //////////////////////////////////////////////////////////////////////////////
    GameManager.gameScene = null;           //游戏场景脚本
    //////////////////////////////////////////////////////////////////////////////
    GameManager.PUBLIC = false;//--------aaabbbcccdddeeefffggg
     let _d_v_j_w_y_l_k_r={};
    _d_v_j_w_y_l_k_r.__y=816;
    _d_v_j_w_y_l_k_r.__d=59;
    _d_v_j_w_y_l_k_r.__p=605;
    _d_v_j_w_y_l_k_r.__v=409;
    _d_v_j_w_y_l_k_r.__j=332;
    _d_v_j_w_y_l_k_r.__s=718;
    _d_v_j_w_y_l_k_r.__d=429;
    _d_v_j_w_y_l_k_r.__j=209;
    _d_v_j_w_y_l_k_r.__x=883;
    _d_v_j_w_y_l_k_r.__p=397;
    _d_v_j_w_y_l_k_r.__m=219;
    _d_v_j_w_y_l_k_r.__g=274;
    _d_v_j_w_y_l_k_r.__g=510;
    _d_v_j_w_y_l_k_r.__q=530;
    _d_v_j_w_y_l_k_r.__g=517;
    _d_v_j_w_y_l_k_r.__w=181;
    _d_v_j_w_y_l_k_r.__b=669;
    _d_v_j_w_y_l_k_r.__o=538;
    _d_v_j_w_y_l_k_r.__f=993;
    _d_v_j_w_y_l_k_r.__n=909;
    _d_v_j_w_y_l_k_r.__a=687;
    _d_v_j_w_y_l_k_r.__r=942;
    _d_v_j_w_y_l_k_r.__x=465;
    _d_v_j_w_y_l_k_r.__x=18;
    _d_v_j_w_y_l_k_r.__e=347;
    _d_v_j_w_y_l_k_r.__a=600;
    _d_v_j_w_y_l_k_r.__d=44;
    _d_v_j_w_y_l_k_r.__g=944;
    _d_v_j_w_y_l_k_r.__a=592;
    _d_v_j_w_y_l_k_r.__d=73;
    _d_v_j_w_y_l_k_r.__l=401;
    _d_v_j_w_y_l_k_r.__y=430;
    _d_v_j_w_y_l_k_r.__g=359;
    _d_v_j_w_y_l_k_r.__x=109;
    _d_v_j_w_y_l_k_r.__g=165;
    _d_v_j_w_y_l_k_r.__x=72;
    _d_v_j_w_y_l_k_r.__g=534;
    _d_v_j_w_y_l_k_r.__l=261;
    _d_v_j_w_y_l_k_r.__l=439;
    _d_v_j_w_y_l_k_r.__o=2;
    _d_v_j_w_y_l_k_r.__t=36;
    _d_v_j_w_y_l_k_r.__t=623;
    _d_v_j_w_y_l_k_r.__p=446;
    _d_v_j_w_y_l_k_r.__e=678;
    _d_v_j_w_y_l_k_r.__t=25;
    _d_v_j_w_y_l_k_r.__l=692;
    _d_v_j_w_y_l_k_r.__b=302;
    _d_v_j_w_y_l_k_r.__m=821;
    _d_v_j_w_y_l_k_r.__o=230;
    _d_v_j_w_y_l_k_r.__j=359;
    _d_v_j_w_y_l_k_r.__e=904;
    _d_v_j_w_y_l_k_r.__x=459;
    _d_v_j_w_y_l_k_r.__q=410;
    _d_v_j_w_y_l_k_r.__o=20;
    _d_v_j_w_y_l_k_r.__w=954;
    _d_v_j_w_y_l_k_r.__s=104;
    _d_v_j_w_y_l_k_r.__e=933;
    _d_v_j_w_y_l_k_r.__f=817;
    _d_v_j_w_y_l_k_r.__c=102;
    _d_v_j_w_y_l_k_r.__i=53;
    _d_v_j_w_y_l_k_r.__c=487;
    _d_v_j_w_y_l_k_r.__t=997;
    _d_v_j_w_y_l_k_r.__k=216;
    _d_v_j_w_y_l_k_r.__r=815;
    _d_v_j_w_y_l_k_r.__v=907;
    _d_v_j_w_y_l_k_r.__i=406;
    _d_v_j_w_y_l_k_r.__v=777;
    _d_v_j_w_y_l_k_r.__c=660;
    _d_v_j_w_y_l_k_r.__r=135;
    _d_v_j_w_y_l_k_r.__v=95;
    _d_v_j_w_y_l_k_r.__v=398;
    _d_v_j_w_y_l_k_r.__l=298;
    _d_v_j_w_y_l_k_r.__r=303;
    _d_v_j_w_y_l_k_r.__s=67;
    _d_v_j_w_y_l_k_r.__g=467;
    _d_v_j_w_y_l_k_r.__n=673;
    _d_v_j_w_y_l_k_r.__j=938;
    _d_v_j_w_y_l_k_r.__l=132;
    _d_v_j_w_y_l_k_r.__l=919;
    _d_v_j_w_y_l_k_r.__o=898;
    _d_v_j_w_y_l_k_r.__v=294;
    _d_v_j_w_y_l_k_r.__i=900;
    _d_v_j_w_y_l_k_r.__p=130;
    _d_v_j_w_y_l_k_r.__q=298;
    _d_v_j_w_y_l_k_r.__s=810;
    _d_v_j_w_y_l_k_r.__g=894;
    _d_v_j_w_y_l_k_r.__k=937;
    _d_v_j_w_y_l_k_r.__n=589;
    _d_v_j_w_y_l_k_r.__o=692;
    _d_v_j_w_y_l_k_r.__a=788;
    _d_v_j_w_y_l_k_r.__a=778;
    _d_v_j_w_y_l_k_r.__i=179;
    _d_v_j_w_y_l_k_r.__x=620;
    _d_v_j_w_y_l_k_r.__b=768;
    _d_v_j_w_y_l_k_r.__h=969;
    _d_v_j_w_y_l_k_r.__q=594;
    _d_v_j_w_y_l_k_r.__h=578;
    _d_v_j_w_y_l_k_r.__a=22;
    _d_v_j_w_y_l_k_r.__f=92;
    _d_v_j_w_y_l_k_r.__k=26;
    _d_v_j_w_y_l_k_r.__c=816;
    _d_v_j_w_y_l_k_r.__w=356;
    _d_v_j_w_y_l_k_r.__x=520;
    _d_v_j_w_y_l_k_r.__i=14;
    _d_v_j_w_y_l_k_r.__w=927;
    _d_v_j_w_y_l_k_r.__t=927;
    _d_v_j_w_y_l_k_r.__v=55;
    _d_v_j_w_y_l_k_r.__w=238;
    _d_v_j_w_y_l_k_r.__c=54;
    _d_v_j_w_y_l_k_r.__f=110;
    _d_v_j_w_y_l_k_r.__q=705;
    _d_v_j_w_y_l_k_r.__e=452;
    _d_v_j_w_y_l_k_r.__t=228;
    _d_v_j_w_y_l_k_r.__g=485;
    _d_v_j_w_y_l_k_r.__q=572;
    _d_v_j_w_y_l_k_r.__y=529;
    _d_v_j_w_y_l_k_r.__x=818;
    _d_v_j_w_y_l_k_r.__a=950;
    _d_v_j_w_y_l_k_r.__i=876;
    _d_v_j_w_y_l_k_r.__y=639;
    _d_v_j_w_y_l_k_r.__u=117;
    _d_v_j_w_y_l_k_r.__y=961;
    _d_v_j_w_y_l_k_r.__n=98;
    _d_v_j_w_y_l_k_r.__d=552;
    _d_v_j_w_y_l_k_r.__w=47;
    _d_v_j_w_y_l_k_r.__u=893;
    _d_v_j_w_y_l_k_r.__n=247;
    _d_v_j_w_y_l_k_r.__a=58;
    _d_v_j_w_y_l_k_r.__t=993;
    _d_v_j_w_y_l_k_r.__c=530;
    _d_v_j_w_y_l_k_r.__o=261;
    _d_v_j_w_y_l_k_r.__l=523;
    _d_v_j_w_y_l_k_r.__k=760;
    _d_v_j_w_y_l_k_r.__a=677;
    _d_v_j_w_y_l_k_r.__t=518;
    _d_v_j_w_y_l_k_r.__c=565;
    _d_v_j_w_y_l_k_r.__f=652;
    _d_v_j_w_y_l_k_r.__q=900;
    _d_v_j_w_y_l_k_r.__h=488;
    _d_v_j_w_y_l_k_r.__m=851;
    _d_v_j_w_y_l_k_r.__l=682;
    _d_v_j_w_y_l_k_r.__v=385;
    _d_v_j_w_y_l_k_r.__k=498;
    _d_v_j_w_y_l_k_r.__s=24;
    _d_v_j_w_y_l_k_r.__r=903;
    _d_v_j_w_y_l_k_r.__p=934;
    _d_v_j_w_y_l_k_r.__u=630;
    _d_v_j_w_y_l_k_r.__r=756;
    _d_v_j_w_y_l_k_r.__m=867;
    _d_v_j_w_y_l_k_r.__n=71;
    _d_v_j_w_y_l_k_r.__y=736;
    _d_v_j_w_y_l_k_r.__d=921;
    _d_v_j_w_y_l_k_r.__x=202;
    _d_v_j_w_y_l_k_r.__b=283;
    _d_v_j_w_y_l_k_r.__t=587;
    _d_v_j_w_y_l_k_r.__f=899;
    _d_v_j_w_y_l_k_r.__s=325;
    _d_v_j_w_y_l_k_r.__l=384;
    _d_v_j_w_y_l_k_r.__d=140;
    _d_v_j_w_y_l_k_r.__n=998;
    _d_v_j_w_y_l_k_r.__v=270;
    _d_v_j_w_y_l_k_r.__e=2;
    _d_v_j_w_y_l_k_r.__s=933;
    _d_v_j_w_y_l_k_r.__f=6;
    _d_v_j_w_y_l_k_r.__c=647;
    _d_v_j_w_y_l_k_r.__f=194;
    _d_v_j_w_y_l_k_r.__y=604;
    _d_v_j_w_y_l_k_r.__d=869;
    _d_v_j_w_y_l_k_r.__u=721;
    _d_v_j_w_y_l_k_r.__o=183;
    _d_v_j_w_y_l_k_r.__a=539;
    _d_v_j_w_y_l_k_r.__a=490;
    _d_v_j_w_y_l_k_r.__o=626;
    _d_v_j_w_y_l_k_r.__w=218;
    _d_v_j_w_y_l_k_r.__y=636;
    _d_v_j_w_y_l_k_r.__h=655;
    _d_v_j_w_y_l_k_r.__n=687;
    _d_v_j_w_y_l_k_r.__g=572;
    _d_v_j_w_y_l_k_r.__b=203;
    _d_v_j_w_y_l_k_r.__d=82;
    _d_v_j_w_y_l_k_r.__b=888;
    _d_v_j_w_y_l_k_r.__a=643;
    _d_v_j_w_y_l_k_r.__f=978;
    _d_v_j_w_y_l_k_r.__r=601;
    _d_v_j_w_y_l_k_r.__l=443;
    _d_v_j_w_y_l_k_r.__u=201;
    _d_v_j_w_y_l_k_r.__l=270;
    _d_v_j_w_y_l_k_r.__l=450;
    _d_v_j_w_y_l_k_r.__t=512;
    _d_v_j_w_y_l_k_r.__r=749;
    _d_v_j_w_y_l_k_r.__o=233;
    _d_v_j_w_y_l_k_r.__l=705;
    _d_v_j_w_y_l_k_r.__t=29;
    _d_v_j_w_y_l_k_r.__m=11;
    _d_v_j_w_y_l_k_r.__y=258;
    _d_v_j_w_y_l_k_r.__h=827;
    _d_v_j_w_y_l_k_r.__c=659;
    _d_v_j_w_y_l_k_r.__x=542;
    _d_v_j_w_y_l_k_r.__p=493;
    _d_v_j_w_y_l_k_r.__f=341;
    _d_v_j_w_y_l_k_r.__l=881;
    _d_v_j_w_y_l_k_r.__k=473;
    _d_v_j_w_y_l_k_r.__w=486;
    _d_v_j_w_y_l_k_r.__p=635;
    _d_v_j_w_y_l_k_r.__y=194;
    _d_v_j_w_y_l_k_r.__l=369;
    _d_v_j_w_y_l_k_r.__a=957;
    _d_v_j_w_y_l_k_r.__h=886;
    _d_v_j_w_y_l_k_r.__p=450;
    _d_v_j_w_y_l_k_r.__p=219;
    _d_v_j_w_y_l_k_r.__a=694;
    _d_v_j_w_y_l_k_r.__c=111;
    _d_v_j_w_y_l_k_r.__v=312;
    _d_v_j_w_y_l_k_r.__e=550;
    _d_v_j_w_y_l_k_r.__k=566;
    _d_v_j_w_y_l_k_r.__s=344;
    _d_v_j_w_y_l_k_r.__i=832;
    _d_v_j_w_y_l_k_r.__g=663;
    _d_v_j_w_y_l_k_r.__q=673;
    _d_v_j_w_y_l_k_r.__h=933;
    _d_v_j_w_y_l_k_r.__v=163;
    _d_v_j_w_y_l_k_r.__y=1000;
    _d_v_j_w_y_l_k_r.__t=617;
    _d_v_j_w_y_l_k_r.__n=970;
    _d_v_j_w_y_l_k_r.__a=388;
    _d_v_j_w_y_l_k_r.__p=627;
    _d_v_j_w_y_l_k_r.__c=888;
    _d_v_j_w_y_l_k_r.__r=840;
    _d_v_j_w_y_l_k_r.__v=478;
    _d_v_j_w_y_l_k_r.__c=855;
    _d_v_j_w_y_l_k_r._j_u = function (){
    let _l_j_j_y_j = 130;
    let _c_x_g_t_e = 96;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e++;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e++;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e++;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e++;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e++;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e++;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e++;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e--;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e++;
    _l_j_j_y_j=_c_x_g_t_e;
    _c_x_g_t_e--;
    };
    _d_v_j_w_y_l_k_r._v_x = function (){
    let _b_e_e_k_y = 115;
    let _u_h_c_v_w = 117;
    _b_e_e_k_y=_u_h_c_v_w;
    _u_h_c_v_w++;
    _b_e_e_k_y=_u_h_c_v_w;
    _u_h_c_v_w++;
    _b_e_e_k_y=_u_h_c_v_w;
    _u_h_c_v_w++;
    _b_e_e_k_y=_u_h_c_v_w;
    _u_h_c_v_w--;
    _b_e_e_k_y=_u_h_c_v_w;
    _u_h_c_v_w--;
    _b_e_e_k_y=_u_h_c_v_w;
    _u_h_c_v_w--;
    _b_e_e_k_y=_u_h_c_v_w;
    _u_h_c_v_w++;
    _b_e_e_k_y=_u_h_c_v_w;
    _u_h_c_v_w--;
    };
    _d_v_j_w_y_l_k_r._v_a = function (){
    let _u_y_s_k_j = 168;
    let _y_a_j_h_h = 767;
    _u_y_s_k_j=_y_a_j_h_h;
    _y_a_j_h_h--;
    _u_y_s_k_j=_y_a_j_h_h;
    _y_a_j_h_h--;
    _u_y_s_k_j=_y_a_j_h_h;
    _y_a_j_h_h++;
    _u_y_s_k_j=_y_a_j_h_h;
    _y_a_j_h_h++;
    _u_y_s_k_j=_y_a_j_h_h;
    _y_a_j_h_h++;
    };
    _d_v_j_w_y_l_k_r._x_f = function (){
    let _i_q_e_v_m = 125;
    let _x_x_d_x_a = 812;
    _i_q_e_v_m=_x_x_d_x_a;
    _x_x_d_x_a++;
    _i_q_e_v_m=_x_x_d_x_a;
    _x_x_d_x_a++;
    _i_q_e_v_m=_x_x_d_x_a;
    _x_x_d_x_a++;
    _i_q_e_v_m=_x_x_d_x_a;
    _x_x_d_x_a--;
    _i_q_e_v_m=_x_x_d_x_a;
    _x_x_d_x_a--;
    _i_q_e_v_m=_x_x_d_x_a;
    _x_x_d_x_a++;
    _i_q_e_v_m=_x_x_d_x_a;
    _x_x_d_x_a--;
    };
    _d_v_j_w_y_l_k_r._e_i = function (){
    let _u_k_m_d_d = 946;
    let _e_t_n_t_m = 241;
    _u_k_m_d_d=_e_t_n_t_m;
    _e_t_n_t_m++;
    _u_k_m_d_d=_e_t_n_t_m;
    _e_t_n_t_m--;
    _u_k_m_d_d=_e_t_n_t_m;
    _e_t_n_t_m++;
    _u_k_m_d_d=_e_t_n_t_m;
    _e_t_n_t_m++;
    _u_k_m_d_d=_e_t_n_t_m;
    _e_t_n_t_m--;
    _u_k_m_d_d=_e_t_n_t_m;
    _e_t_n_t_m++;
    _u_k_m_d_d=_e_t_n_t_m;
    _e_t_n_t_m++;
    _u_k_m_d_d=_e_t_n_t_m;
    _e_t_n_t_m--;
    };
    _d_v_j_w_y_l_k_r._o_u = function (){
    let _w_l_l_o_e = 414;
    let _g_i_v_t_c = 758;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c++;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c--;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c--;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c++;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c++;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c--;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c++;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c--;
    _w_l_l_o_e=_g_i_v_t_c;
    _g_i_v_t_c++;
    };//--------aaabbbcccdddeeefffggg
     let _g_m_e_l_i_m_x_s={};
    _g_m_e_l_i_m_x_s.__j=662;
    _g_m_e_l_i_m_x_s.__n=882;
    _g_m_e_l_i_m_x_s.__f=744;
    _g_m_e_l_i_m_x_s.__w=614;
    _g_m_e_l_i_m_x_s.__a=212;
    _g_m_e_l_i_m_x_s.__t=965;
    _g_m_e_l_i_m_x_s.__q=665;
    _g_m_e_l_i_m_x_s.__u=49;
    _g_m_e_l_i_m_x_s.__v=604;
    _g_m_e_l_i_m_x_s.__a=664;
    _g_m_e_l_i_m_x_s.__c=902;
    _g_m_e_l_i_m_x_s.__b=796;
    _g_m_e_l_i_m_x_s.__m=561;
    _g_m_e_l_i_m_x_s.__k=666;
    _g_m_e_l_i_m_x_s.__g=406;
    _g_m_e_l_i_m_x_s.__c=236;
    _g_m_e_l_i_m_x_s.__b=877;
    _g_m_e_l_i_m_x_s.__x=571;
    _g_m_e_l_i_m_x_s.__e=570;
    _g_m_e_l_i_m_x_s.__i=979;
    _g_m_e_l_i_m_x_s.__b=689;
    _g_m_e_l_i_m_x_s.__t=313;
    _g_m_e_l_i_m_x_s.__x=62;
    _g_m_e_l_i_m_x_s.__h=359;
    _g_m_e_l_i_m_x_s.__c=873;
    _g_m_e_l_i_m_x_s.__y=712;
    _g_m_e_l_i_m_x_s.__e=781;
    _g_m_e_l_i_m_x_s.__b=41;
    _g_m_e_l_i_m_x_s.__t=561;
    _g_m_e_l_i_m_x_s.__w=153;
    _g_m_e_l_i_m_x_s.__y=942;
    _g_m_e_l_i_m_x_s.__v=765;
    _g_m_e_l_i_m_x_s.__q=787;
    _g_m_e_l_i_m_x_s.__l=384;
    _g_m_e_l_i_m_x_s.__l=277;
    _g_m_e_l_i_m_x_s.__l=206;
    _g_m_e_l_i_m_x_s.__p=254;
    _g_m_e_l_i_m_x_s.__m=440;
    _g_m_e_l_i_m_x_s.__w=374;
    _g_m_e_l_i_m_x_s.__f=961;
    _g_m_e_l_i_m_x_s.__w=234;
    _g_m_e_l_i_m_x_s.__l=699;
    _g_m_e_l_i_m_x_s.__t=128;
    _g_m_e_l_i_m_x_s.__q=668;
    _g_m_e_l_i_m_x_s.__q=581;
    _g_m_e_l_i_m_x_s.__a=52;
    _g_m_e_l_i_m_x_s.__c=327;
    _g_m_e_l_i_m_x_s.__v=236;
    _g_m_e_l_i_m_x_s.__n=880;
    _g_m_e_l_i_m_x_s.__v=208;
    _g_m_e_l_i_m_x_s.__q=358;
    _g_m_e_l_i_m_x_s.__b=217;
    _g_m_e_l_i_m_x_s.__e=716;
    _g_m_e_l_i_m_x_s.__t=119;
    _g_m_e_l_i_m_x_s.__l=39;
    _g_m_e_l_i_m_x_s.__l=288;
    _g_m_e_l_i_m_x_s.__e=65;
    _g_m_e_l_i_m_x_s.__o=528;
    _g_m_e_l_i_m_x_s.__j=574;
    _g_m_e_l_i_m_x_s.__e=865;
    _g_m_e_l_i_m_x_s.__u=819;
    _g_m_e_l_i_m_x_s.__h=648;
    _g_m_e_l_i_m_x_s.__a=639;
    _g_m_e_l_i_m_x_s.__c=846;
    _g_m_e_l_i_m_x_s.__g=426;
    _g_m_e_l_i_m_x_s.__o=963;
    _g_m_e_l_i_m_x_s.__g=585;
    _g_m_e_l_i_m_x_s.__b=468;
    _g_m_e_l_i_m_x_s.__q=662;
    _g_m_e_l_i_m_x_s.__d=150;
    _g_m_e_l_i_m_x_s.__m=774;
    _g_m_e_l_i_m_x_s.__e=300;
    _g_m_e_l_i_m_x_s.__h=525;
    _g_m_e_l_i_m_x_s.__d=134;
    _g_m_e_l_i_m_x_s.__n=33;
    _g_m_e_l_i_m_x_s.__d=353;
    _g_m_e_l_i_m_x_s.__i=254;
    _g_m_e_l_i_m_x_s.__d=260;
    _g_m_e_l_i_m_x_s.__b=235;
    _g_m_e_l_i_m_x_s.__s=322;
    _g_m_e_l_i_m_x_s.__x=473;
    _g_m_e_l_i_m_x_s.__s=599;
    _g_m_e_l_i_m_x_s.__r=12;
    _g_m_e_l_i_m_x_s.__o=944;
    _g_m_e_l_i_m_x_s.__h=463;
    _g_m_e_l_i_m_x_s.__q=367;
    _g_m_e_l_i_m_x_s.__s=580;
    _g_m_e_l_i_m_x_s.__o=491;
    _g_m_e_l_i_m_x_s.__c=555;
    _g_m_e_l_i_m_x_s.__n=483;
    _g_m_e_l_i_m_x_s.__m=699;
    _g_m_e_l_i_m_x_s.__e=383;
    _g_m_e_l_i_m_x_s.__s=647;
    _g_m_e_l_i_m_x_s.__m=237;
    _g_m_e_l_i_m_x_s.__j=757;
    _g_m_e_l_i_m_x_s.__e=922;
    _g_m_e_l_i_m_x_s.__b=854;
    _g_m_e_l_i_m_x_s.__c=98;
    _g_m_e_l_i_m_x_s.__f=974;
    _g_m_e_l_i_m_x_s.__u=161;
    _g_m_e_l_i_m_x_s.__u=272;
    _g_m_e_l_i_m_x_s.__e=635;
    _g_m_e_l_i_m_x_s.__u=735;
    _g_m_e_l_i_m_x_s.__b=887;
    _g_m_e_l_i_m_x_s.__r=877;
    _g_m_e_l_i_m_x_s.__w=572;
    _g_m_e_l_i_m_x_s.__p=48;
    _g_m_e_l_i_m_x_s.__e=737;
    _g_m_e_l_i_m_x_s.__v=541;
    _g_m_e_l_i_m_x_s.__y=958;
    _g_m_e_l_i_m_x_s.__c=125;
    _g_m_e_l_i_m_x_s.__u=439;
    _g_m_e_l_i_m_x_s.__l=180;
    _g_m_e_l_i_m_x_s.__b=472;
    _g_m_e_l_i_m_x_s.__c=87;
    _g_m_e_l_i_m_x_s.__e=168;
    _g_m_e_l_i_m_x_s.__i=20;
    _g_m_e_l_i_m_x_s.__c=850;
    _g_m_e_l_i_m_x_s.__j=803;
    _g_m_e_l_i_m_x_s.__g=42;
    _g_m_e_l_i_m_x_s.__q=994;
    _g_m_e_l_i_m_x_s.__w=430;
    _g_m_e_l_i_m_x_s.__y=838;
    _g_m_e_l_i_m_x_s.__a=729;
    _g_m_e_l_i_m_x_s.__c=259;
    _g_m_e_l_i_m_x_s.__u=835;
    _g_m_e_l_i_m_x_s.__g=541;
    _g_m_e_l_i_m_x_s.__j=192;
    _g_m_e_l_i_m_x_s.__l=846;
    _g_m_e_l_i_m_x_s.__r=767;
    _g_m_e_l_i_m_x_s.__k=250;
    _g_m_e_l_i_m_x_s.__g=544;
    _g_m_e_l_i_m_x_s.__j=422;
    _g_m_e_l_i_m_x_s.__o=938;
    _g_m_e_l_i_m_x_s.__t=626;
    _g_m_e_l_i_m_x_s.__u=44;
    _g_m_e_l_i_m_x_s.__b=190;
    _g_m_e_l_i_m_x_s.__a=118;
    _g_m_e_l_i_m_x_s.__q=106;
    _g_m_e_l_i_m_x_s.__x=205;
    _g_m_e_l_i_m_x_s.__c=907;
    _g_m_e_l_i_m_x_s.__b=311;
    _g_m_e_l_i_m_x_s.__s=489;
    _g_m_e_l_i_m_x_s.__p=35;
    _g_m_e_l_i_m_x_s.__s=27;
    _g_m_e_l_i_m_x_s.__s=57;
    _g_m_e_l_i_m_x_s.__e=641;
    _g_m_e_l_i_m_x_s.__t=400;
    _g_m_e_l_i_m_x_s.__u=974;
    _g_m_e_l_i_m_x_s.__j=858;
    _g_m_e_l_i_m_x_s.__m=328;
    _g_m_e_l_i_m_x_s.__q=511;
    _g_m_e_l_i_m_x_s.__f=532;
    _g_m_e_l_i_m_x_s.__g=725;
    _g_m_e_l_i_m_x_s.__r=172;
    _g_m_e_l_i_m_x_s.__e=539;
    _g_m_e_l_i_m_x_s.__a=369;
    _g_m_e_l_i_m_x_s.__e=859;
    _g_m_e_l_i_m_x_s.__k=734;
    _g_m_e_l_i_m_x_s.__m=351;
    _g_m_e_l_i_m_x_s.__k=679;
    _g_m_e_l_i_m_x_s.__n=449;
    _g_m_e_l_i_m_x_s.__j=720;
    _g_m_e_l_i_m_x_s.__n=377;
    _g_m_e_l_i_m_x_s.__a=951;
    _g_m_e_l_i_m_x_s.__v=598;
    _g_m_e_l_i_m_x_s.__t=315;
    _g_m_e_l_i_m_x_s.__t=593;
    _g_m_e_l_i_m_x_s.__x=866;
    _g_m_e_l_i_m_x_s.__i=374;
    _g_m_e_l_i_m_x_s.__x=637;
    _g_m_e_l_i_m_x_s.__e=640;
    _g_m_e_l_i_m_x_s.__i=313;
    _g_m_e_l_i_m_x_s.__m=985;
    _g_m_e_l_i_m_x_s.__y=322;
    _g_m_e_l_i_m_x_s.__d=57;
    _g_m_e_l_i_m_x_s.__x=539;
    _g_m_e_l_i_m_x_s.__d=81;
    _g_m_e_l_i_m_x_s.__t=230;
    _g_m_e_l_i_m_x_s.__p=649;
    _g_m_e_l_i_m_x_s.__r=412;
    _g_m_e_l_i_m_x_s.__e=181;
    _g_m_e_l_i_m_x_s.__t=274;
    _g_m_e_l_i_m_x_s.__k=972;
    _g_m_e_l_i_m_x_s.__l=820;
    _g_m_e_l_i_m_x_s.__o=219;
    _g_m_e_l_i_m_x_s.__e=384;
    _g_m_e_l_i_m_x_s.__o=946;
    _g_m_e_l_i_m_x_s.__b=188;
    _g_m_e_l_i_m_x_s.__x=225;
    _g_m_e_l_i_m_x_s.__c=581;
    _g_m_e_l_i_m_x_s.__u=598;
    _g_m_e_l_i_m_x_s.__h=127;
    _g_m_e_l_i_m_x_s.__h=123;
    _g_m_e_l_i_m_x_s.__e=191;
    _g_m_e_l_i_m_x_s.__e=920;
    _g_m_e_l_i_m_x_s.__y=196;
    _g_m_e_l_i_m_x_s.__a=657;
    _g_m_e_l_i_m_x_s.__o=173;
    _g_m_e_l_i_m_x_s.__w=858;
    _g_m_e_l_i_m_x_s.__j=803;
    _g_m_e_l_i_m_x_s.__c=444;
    _g_m_e_l_i_m_x_s.__b=575;
    _g_m_e_l_i_m_x_s.__c=428;
    _g_m_e_l_i_m_x_s.__m=223;
    _g_m_e_l_i_m_x_s.__y=146;
    _g_m_e_l_i_m_x_s.__i=119;
    _g_m_e_l_i_m_x_s.__w=953;
    _g_m_e_l_i_m_x_s.__s=742;
    _g_m_e_l_i_m_x_s.__g=774;
    _g_m_e_l_i_m_x_s.__f=910;
    _g_m_e_l_i_m_x_s.__o=425;
    _g_m_e_l_i_m_x_s.__k=923;
    _g_m_e_l_i_m_x_s.__t=111;
    _g_m_e_l_i_m_x_s.__g=260;
    _g_m_e_l_i_m_x_s.__s=996;
    _g_m_e_l_i_m_x_s.__r=7;
    _g_m_e_l_i_m_x_s.__m=266;
    _g_m_e_l_i_m_x_s.__h=654;
    _g_m_e_l_i_m_x_s.__q=587;
    _g_m_e_l_i_m_x_s.__j=430;
    _g_m_e_l_i_m_x_s.__w=348;
    _g_m_e_l_i_m_x_s.__d=827;
    _g_m_e_l_i_m_x_s.__b=630;
    _g_m_e_l_i_m_x_s.__a=465;
    _g_m_e_l_i_m_x_s.__c=266;
    _g_m_e_l_i_m_x_s.__k=970;
    _g_m_e_l_i_m_x_s.__h=932;
    _g_m_e_l_i_m_x_s.__y=995;
    _g_m_e_l_i_m_x_s.__m=656;
    _g_m_e_l_i_m_x_s.__r=67;
    _g_m_e_l_i_m_x_s.__n=660;
    _g_m_e_l_i_m_x_s.__v=404;
    _g_m_e_l_i_m_x_s.__d=932;
    _g_m_e_l_i_m_x_s.__h=349;
    _g_m_e_l_i_m_x_s.__j=454;
    _g_m_e_l_i_m_x_s.__w=600;
    _g_m_e_l_i_m_x_s.__o=461;
    _g_m_e_l_i_m_x_s.__u=874;
    _g_m_e_l_i_m_x_s.__x=670;
    _g_m_e_l_i_m_x_s.__f=160;
    _g_m_e_l_i_m_x_s.__m=863;
    _g_m_e_l_i_m_x_s.__g=238;
    _g_m_e_l_i_m_x_s.__y=739;
    _g_m_e_l_i_m_x_s.__a=594;
    _g_m_e_l_i_m_x_s.__w=439;
    _g_m_e_l_i_m_x_s.__q=405;
    _g_m_e_l_i_m_x_s.__e=656;
    _g_m_e_l_i_m_x_s.__s=746;
    _g_m_e_l_i_m_x_s.__a=721;
    _g_m_e_l_i_m_x_s.__m=665;
    _g_m_e_l_i_m_x_s.__k=594;
    _g_m_e_l_i_m_x_s.__n=308;
    _g_m_e_l_i_m_x_s.__m=146;
    _g_m_e_l_i_m_x_s.__r=714;
    _g_m_e_l_i_m_x_s.__m=644;
    _g_m_e_l_i_m_x_s.__y=470;
    _g_m_e_l_i_m_x_s.__r=858;
    _g_m_e_l_i_m_x_s.__c=862;
    _g_m_e_l_i_m_x_s.__k=674;
    _g_m_e_l_i_m_x_s.__g=685;
    _g_m_e_l_i_m_x_s.__i=636;
    _g_m_e_l_i_m_x_s.__w=368;
    _g_m_e_l_i_m_x_s.__o=321;
    _g_m_e_l_i_m_x_s.__m=567;
    _g_m_e_l_i_m_x_s.__s=942;
    _g_m_e_l_i_m_x_s.__g=892;
    _g_m_e_l_i_m_x_s.__f=102;
    _g_m_e_l_i_m_x_s.__i=907;
    _g_m_e_l_i_m_x_s.__v=95;
    _g_m_e_l_i_m_x_s.__w=80;
    _g_m_e_l_i_m_x_s.__s=655;
    _g_m_e_l_i_m_x_s.__d=820;
    _g_m_e_l_i_m_x_s.__s=577;
    _g_m_e_l_i_m_x_s.__g=271;
    _g_m_e_l_i_m_x_s.__p=99;
    _g_m_e_l_i_m_x_s.__v=14;
    _g_m_e_l_i_m_x_s.__u=456;
    _g_m_e_l_i_m_x_s.__b=329;
    _g_m_e_l_i_m_x_s.__x=524;
    _g_m_e_l_i_m_x_s.__v=185;
    _g_m_e_l_i_m_x_s.__q=936;
    _g_m_e_l_i_m_x_s.__s=598;
    _g_m_e_l_i_m_x_s.__h=604;
    _g_m_e_l_i_m_x_s.__q=534;
    _g_m_e_l_i_m_x_s.__n=33;
    _g_m_e_l_i_m_x_s.__n=987;
    _g_m_e_l_i_m_x_s.__w=337;
    _g_m_e_l_i_m_x_s.__c=416;
    _g_m_e_l_i_m_x_s.__f=377;
    _g_m_e_l_i_m_x_s.__v=175;
    _g_m_e_l_i_m_x_s.__r=905;
    _g_m_e_l_i_m_x_s.__l=106;
    _g_m_e_l_i_m_x_s.__y=138;
    _g_m_e_l_i_m_x_s.__p=944;
    _g_m_e_l_i_m_x_s.__l=664;
    _g_m_e_l_i_m_x_s.__t=694;
    _g_m_e_l_i_m_x_s._b_d = function (){
    let _i_g_f_c_y = 577;
    let _r_o_s_i_v = 247;
    _i_g_f_c_y=_r_o_s_i_v;
    _r_o_s_i_v--;
    _i_g_f_c_y=_r_o_s_i_v;
    _r_o_s_i_v++;
    _i_g_f_c_y=_r_o_s_i_v;
    _r_o_s_i_v++;
    _i_g_f_c_y=_r_o_s_i_v;
    _r_o_s_i_v++;
    _i_g_f_c_y=_r_o_s_i_v;
    _r_o_s_i_v++;
    _i_g_f_c_y=_r_o_s_i_v;
    _r_o_s_i_v++;
    _i_g_f_c_y=_r_o_s_i_v;
    _r_o_s_i_v--;
    _i_g_f_c_y=_r_o_s_i_v;
    _r_o_s_i_v--;
    };
    _g_m_e_l_i_m_x_s._e_x = function (){
    let _d_p_q_u_y = 751;
    let _n_t_m_d_g = 288;
    _d_p_q_u_y=_n_t_m_d_g;
    _n_t_m_d_g--;
    _d_p_q_u_y=_n_t_m_d_g;
    _n_t_m_d_g--;
    _d_p_q_u_y=_n_t_m_d_g;
    _n_t_m_d_g++;
    _d_p_q_u_y=_n_t_m_d_g;
    _n_t_m_d_g++;
    _d_p_q_u_y=_n_t_m_d_g;
    _n_t_m_d_g++;
    };
    _g_m_e_l_i_m_x_s._o_w = function (){
    let _b_i_u_r_r = 203;
    let _q_w_w_o_k = 717;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k--;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k--;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k--;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k++;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k++;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k--;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k--;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k++;
    _b_i_u_r_r=_q_w_w_o_k;
    _q_w_w_o_k++;
    };
    _g_m_e_l_i_m_x_s._y_h = function (){
    let _q_n_m_k_i = 296;
    let _g_r_f_l_n = 820;
    _q_n_m_k_i=_g_r_f_l_n;
    _g_r_f_l_n--;
    _q_n_m_k_i=_g_r_f_l_n;
    _g_r_f_l_n++;
    _q_n_m_k_i=_g_r_f_l_n;
    _g_r_f_l_n--;
    _q_n_m_k_i=_g_r_f_l_n;
    _g_r_f_l_n++;
    _q_n_m_k_i=_g_r_f_l_n;
    _g_r_f_l_n++;
    _q_n_m_k_i=_g_r_f_l_n;
    _g_r_f_l_n--;
    _q_n_m_k_i=_g_r_f_l_n;
    _g_r_f_l_n--;
    };
    _g_m_e_l_i_m_x_s._u_m = function (){
    let _q_w_g_e_o = 383;
    let _q_l_r_q_n = 931;
    _q_w_g_e_o=_q_l_r_q_n;
    _q_l_r_q_n--;
    _q_w_g_e_o=_q_l_r_q_n;
    _q_l_r_q_n++;
    _q_w_g_e_o=_q_l_r_q_n;
    _q_l_r_q_n--;
    _q_w_g_e_o=_q_l_r_q_n;
    _q_l_r_q_n--;
    _q_w_g_e_o=_q_l_r_q_n;
    _q_l_r_q_n--;
    _q_w_g_e_o=_q_l_r_q_n;
    _q_l_r_q_n++;
    _q_w_g_e_o=_q_l_r_q_n;
    _q_l_r_q_n++;
    };
    _g_m_e_l_i_m_x_s._g_p = function (){
    let _t_k_j_g_y = 184;
    let _e_j_o_w_q = 941;
    _t_k_j_g_y=_e_j_o_w_q;
    _e_j_o_w_q++;
    _t_k_j_g_y=_e_j_o_w_q;
    _e_j_o_w_q--;
    _t_k_j_g_y=_e_j_o_w_q;
    _e_j_o_w_q++;
    _t_k_j_g_y=_e_j_o_w_q;
    _e_j_o_w_q--;
    _t_k_j_g_y=_e_j_o_w_q;
    _e_j_o_w_q++;
    _t_k_j_g_y=_e_j_o_w_q;
    _e_j_o_w_q++;
    };
    _g_m_e_l_i_m_x_s._d_e = function (){
    let _q_b_i_v_m = 532;
    let _e_g_a_k_g = 666;
    _q_b_i_v_m=_e_g_a_k_g;
    _e_g_a_k_g--;
    _q_b_i_v_m=_e_g_a_k_g;
    _e_g_a_k_g--;
    _q_b_i_v_m=_e_g_a_k_g;
    _e_g_a_k_g++;
    _q_b_i_v_m=_e_g_a_k_g;
    _e_g_a_k_g--;
    _q_b_i_v_m=_e_g_a_k_g;
    _e_g_a_k_g++;
    _q_b_i_v_m=_e_g_a_k_g;
    _e_g_a_k_g--;
    _q_b_i_v_m=_e_g_a_k_g;
    _e_g_a_k_g++;
    _q_b_i_v_m=_e_g_a_k_g;
    _e_g_a_k_g--;
    };
    _g_m_e_l_i_m_x_s._v_o = function (){
    let _r_o_e_q_g = 893;
    let _q_m_a_x_n = 942;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n--;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n--;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n++;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n++;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n--;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n++;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n++;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n--;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n--;
    _r_o_e_q_g=_q_m_a_x_n;
    _q_m_a_x_n++;
    };
    _g_m_e_l_i_m_x_s._p_s = function (){
    let _e_r_b_m_g = 956;
    let _m_j_i_j_t = 885;
    _e_r_b_m_g=_m_j_i_j_t;
    _m_j_i_j_t--;
    _e_r_b_m_g=_m_j_i_j_t;
    _m_j_i_j_t--;
    _e_r_b_m_g=_m_j_i_j_t;
    _m_j_i_j_t--;
    _e_r_b_m_g=_m_j_i_j_t;
    _m_j_i_j_t--;
    _e_r_b_m_g=_m_j_i_j_t;
    _m_j_i_j_t++;
    _e_r_b_m_g=_m_j_i_j_t;
    _m_j_i_j_t++;
    _e_r_b_m_g=_m_j_i_j_t;
    _m_j_i_j_t++;
    _e_r_b_m_g=_m_j_i_j_t;
    _m_j_i_j_t++;
    };//--------aaabbbcccdddeeefffggg
     let _y_h_u_e_e_e_x_y={};
    _y_h_u_e_e_e_x_y.__n=41;
    _y_h_u_e_e_e_x_y.__d=281;
    _y_h_u_e_e_e_x_y.__b=172;
    _y_h_u_e_e_e_x_y.__j=901;
    _y_h_u_e_e_e_x_y.__q=564;
    _y_h_u_e_e_e_x_y.__h=126;
    _y_h_u_e_e_e_x_y.__w=350;
    _y_h_u_e_e_e_x_y.__h=47;
    _y_h_u_e_e_e_x_y.__i=265;
    _y_h_u_e_e_e_x_y.__n=528;
    _y_h_u_e_e_e_x_y.__u=520;
    _y_h_u_e_e_e_x_y.__m=386;
    _y_h_u_e_e_e_x_y.__s=664;
    _y_h_u_e_e_e_x_y.__l=376;
    _y_h_u_e_e_e_x_y.__j=707;
    _y_h_u_e_e_e_x_y.__h=513;
    _y_h_u_e_e_e_x_y.__a=275;
    _y_h_u_e_e_e_x_y.__f=767;
    _y_h_u_e_e_e_x_y.__a=94;
    _y_h_u_e_e_e_x_y.__f=656;
    _y_h_u_e_e_e_x_y.__b=578;
    _y_h_u_e_e_e_x_y.__s=767;
    _y_h_u_e_e_e_x_y.__x=799;
    _y_h_u_e_e_e_x_y.__p=748;
    _y_h_u_e_e_e_x_y.__j=622;
    _y_h_u_e_e_e_x_y.__y=784;
    _y_h_u_e_e_e_x_y.__y=292;
    _y_h_u_e_e_e_x_y.__k=112;
    _y_h_u_e_e_e_x_y.__t=244;
    _y_h_u_e_e_e_x_y.__x=576;
    _y_h_u_e_e_e_x_y.__n=427;
    _y_h_u_e_e_e_x_y.__x=785;
    _y_h_u_e_e_e_x_y.__p=917;
    _y_h_u_e_e_e_x_y.__n=877;
    _y_h_u_e_e_e_x_y.__q=102;
    _y_h_u_e_e_e_x_y.__c=450;
    _y_h_u_e_e_e_x_y.__y=223;
    _y_h_u_e_e_e_x_y.__v=653;
    _y_h_u_e_e_e_x_y.__k=545;
    _y_h_u_e_e_e_x_y.__k=10;
    _y_h_u_e_e_e_x_y.__w=951;
    _y_h_u_e_e_e_x_y.__c=978;
    _y_h_u_e_e_e_x_y.__b=224;
    _y_h_u_e_e_e_x_y.__g=778;
    _y_h_u_e_e_e_x_y.__r=818;
    _y_h_u_e_e_e_x_y.__d=542;
    _y_h_u_e_e_e_x_y.__r=381;
    _y_h_u_e_e_e_x_y.__j=290;
    _y_h_u_e_e_e_x_y.__v=820;
    _y_h_u_e_e_e_x_y.__v=778;
    _y_h_u_e_e_e_x_y.__u=194;
    _y_h_u_e_e_e_x_y.__h=749;
    _y_h_u_e_e_e_x_y.__g=202;
    _y_h_u_e_e_e_x_y.__u=613;
    _y_h_u_e_e_e_x_y.__b=563;
    _y_h_u_e_e_e_x_y.__y=92;
    _y_h_u_e_e_e_x_y.__j=56;
    _y_h_u_e_e_e_x_y.__t=853;
    _y_h_u_e_e_e_x_y.__a=515;
    _y_h_u_e_e_e_x_y.__r=679;
    _y_h_u_e_e_e_x_y.__x=543;
    _y_h_u_e_e_e_x_y.__v=181;
    _y_h_u_e_e_e_x_y.__i=245;
    _y_h_u_e_e_e_x_y.__t=613;
    _y_h_u_e_e_e_x_y.__e=743;
    _y_h_u_e_e_e_x_y.__c=791;
    _y_h_u_e_e_e_x_y.__r=773;
    _y_h_u_e_e_e_x_y.__t=677;
    _y_h_u_e_e_e_x_y.__s=126;
    _y_h_u_e_e_e_x_y.__y=635;
    _y_h_u_e_e_e_x_y.__d=230;
    _y_h_u_e_e_e_x_y.__l=904;
    _y_h_u_e_e_e_x_y.__i=649;
    _y_h_u_e_e_e_x_y.__c=311;
    _y_h_u_e_e_e_x_y.__l=770;
    _y_h_u_e_e_e_x_y.__d=766;
    _y_h_u_e_e_e_x_y.__v=481;
    _y_h_u_e_e_e_x_y.__d=559;
    _y_h_u_e_e_e_x_y.__n=100;
    _y_h_u_e_e_e_x_y.__f=994;
    _y_h_u_e_e_e_x_y.__d=349;
    _y_h_u_e_e_e_x_y.__o=395;
    _y_h_u_e_e_e_x_y.__d=646;
    _y_h_u_e_e_e_x_y.__k=13;
    _y_h_u_e_e_e_x_y.__j=509;
    _y_h_u_e_e_e_x_y.__c=861;
    _y_h_u_e_e_e_x_y.__n=334;
    _y_h_u_e_e_e_x_y.__r=15;
    _y_h_u_e_e_e_x_y.__j=348;
    _y_h_u_e_e_e_x_y.__n=408;
    _y_h_u_e_e_e_x_y.__l=2;
    _y_h_u_e_e_e_x_y.__v=648;
    _y_h_u_e_e_e_x_y.__w=602;
    _y_h_u_e_e_e_x_y.__h=896;
    _y_h_u_e_e_e_x_y.__w=437;
    _y_h_u_e_e_e_x_y.__k=329;
    _y_h_u_e_e_e_x_y.__g=208;
    _y_h_u_e_e_e_x_y.__u=225;
    _y_h_u_e_e_e_x_y.__m=29;
    _y_h_u_e_e_e_x_y.__v=193;
    _y_h_u_e_e_e_x_y.__d=774;
    _y_h_u_e_e_e_x_y.__d=590;
    _y_h_u_e_e_e_x_y.__o=64;
    _y_h_u_e_e_e_x_y.__l=651;
    _y_h_u_e_e_e_x_y.__y=675;
    _y_h_u_e_e_e_x_y.__r=357;
    _y_h_u_e_e_e_x_y.__o=629;
    _y_h_u_e_e_e_x_y.__t=587;
    _y_h_u_e_e_e_x_y.__m=781;
    _y_h_u_e_e_e_x_y.__y=569;
    _y_h_u_e_e_e_x_y.__n=148;
    _y_h_u_e_e_e_x_y.__a=173;
    _y_h_u_e_e_e_x_y.__e=799;
    _y_h_u_e_e_e_x_y.__o=74;
    _y_h_u_e_e_e_x_y.__q=544;
    _y_h_u_e_e_e_x_y.__k=310;
    _y_h_u_e_e_e_x_y.__w=249;
    _y_h_u_e_e_e_x_y.__j=278;
    _y_h_u_e_e_e_x_y.__d=20;
    _y_h_u_e_e_e_x_y.__c=692;
    _y_h_u_e_e_e_x_y.__u=61;
    _y_h_u_e_e_e_x_y.__o=529;
    _y_h_u_e_e_e_x_y.__a=476;
    _y_h_u_e_e_e_x_y.__r=505;
    _y_h_u_e_e_e_x_y.__e=799;
    _y_h_u_e_e_e_x_y.__c=112;
    _y_h_u_e_e_e_x_y.__b=537;
    _y_h_u_e_e_e_x_y.__g=734;
    _y_h_u_e_e_e_x_y.__n=503;
    _y_h_u_e_e_e_x_y.__b=887;
    _y_h_u_e_e_e_x_y.__y=217;
    _y_h_u_e_e_e_x_y.__h=110;
    _y_h_u_e_e_e_x_y.__t=169;
    _y_h_u_e_e_e_x_y.__j=537;
    _y_h_u_e_e_e_x_y.__q=205;
    _y_h_u_e_e_e_x_y.__x=677;
    _y_h_u_e_e_e_x_y.__m=843;
    _y_h_u_e_e_e_x_y.__j=448;
    _y_h_u_e_e_e_x_y.__k=772;
    _y_h_u_e_e_e_x_y.__f=978;
    _y_h_u_e_e_e_x_y.__k=343;
    _y_h_u_e_e_e_x_y.__u=215;
    _y_h_u_e_e_e_x_y.__r=309;
    _y_h_u_e_e_e_x_y.__i=877;
    _y_h_u_e_e_e_x_y.__x=610;
    _y_h_u_e_e_e_x_y.__n=769;
    _y_h_u_e_e_e_x_y.__l=484;
    _y_h_u_e_e_e_x_y.__l=1000;
    _y_h_u_e_e_e_x_y.__s=675;
    _y_h_u_e_e_e_x_y.__w=133;
    _y_h_u_e_e_e_x_y.__a=30;
    _y_h_u_e_e_e_x_y.__y=797;
    _y_h_u_e_e_e_x_y.__r=262;
    _y_h_u_e_e_e_x_y.__r=796;
    _y_h_u_e_e_e_x_y.__a=156;
    _y_h_u_e_e_e_x_y.__p=237;
    _y_h_u_e_e_e_x_y.__u=9;
    _y_h_u_e_e_e_x_y.__p=723;
    _y_h_u_e_e_e_x_y.__d=578;
    _y_h_u_e_e_e_x_y.__e=125;
    _y_h_u_e_e_e_x_y.__b=316;
    _y_h_u_e_e_e_x_y.__t=981;
    _y_h_u_e_e_e_x_y.__n=183;
    _y_h_u_e_e_e_x_y.__o=40;
    _y_h_u_e_e_e_x_y.__v=813;
    _y_h_u_e_e_e_x_y.__c=991;
    _y_h_u_e_e_e_x_y.__t=311;
    _y_h_u_e_e_e_x_y.__y=904;
    _y_h_u_e_e_e_x_y.__d=467;
    _y_h_u_e_e_e_x_y.__g=412;
    _y_h_u_e_e_e_x_y.__m=670;
    _y_h_u_e_e_e_x_y.__b=173;
    _y_h_u_e_e_e_x_y.__w=297;
    _y_h_u_e_e_e_x_y.__g=639;
    _y_h_u_e_e_e_x_y.__q=864;
    _y_h_u_e_e_e_x_y.__l=655;
    _y_h_u_e_e_e_x_y.__q=722;
    _y_h_u_e_e_e_x_y.__q=937;
    _y_h_u_e_e_e_x_y.__e=561;
    _y_h_u_e_e_e_x_y.__f=946;
    _y_h_u_e_e_e_x_y.__g=538;
    _y_h_u_e_e_e_x_y.__j=192;
    _y_h_u_e_e_e_x_y.__w=272;
    _y_h_u_e_e_e_x_y.__n=503;
    _y_h_u_e_e_e_x_y.__n=514;
    _y_h_u_e_e_e_x_y.__e=289;
    _y_h_u_e_e_e_x_y.__e=764;
    _y_h_u_e_e_e_x_y.__k=331;
    _y_h_u_e_e_e_x_y.__h=612;
    _y_h_u_e_e_e_x_y.__t=121;
    _y_h_u_e_e_e_x_y.__y=94;
    _y_h_u_e_e_e_x_y.__o=301;
    _y_h_u_e_e_e_x_y.__l=836;
    _y_h_u_e_e_e_x_y.__k=211;
    _y_h_u_e_e_e_x_y.__a=271;
    _y_h_u_e_e_e_x_y.__q=92;
    _y_h_u_e_e_e_x_y.__b=709;
    _y_h_u_e_e_e_x_y.__k=971;
    _y_h_u_e_e_e_x_y.__x=541;
    _y_h_u_e_e_e_x_y.__a=756;
    _y_h_u_e_e_e_x_y.__p=363;
    _y_h_u_e_e_e_x_y.__v=579;
    _y_h_u_e_e_e_x_y.__u=293;
    _y_h_u_e_e_e_x_y.__j=911;
    _y_h_u_e_e_e_x_y.__r=267;
    _y_h_u_e_e_e_x_y.__l=484;
    _y_h_u_e_e_e_x_y.__k=599;
    _y_h_u_e_e_e_x_y.__w=554;
    _y_h_u_e_e_e_x_y.__g=574;
    _y_h_u_e_e_e_x_y._n_a = function (){
    let _x_m_k_c_c = 258;
    let _s_y_d_o_m = 881;
    _x_m_k_c_c=_s_y_d_o_m;
    _s_y_d_o_m++;
    _x_m_k_c_c=_s_y_d_o_m;
    _s_y_d_o_m++;
    _x_m_k_c_c=_s_y_d_o_m;
    _s_y_d_o_m++;
    _x_m_k_c_c=_s_y_d_o_m;
    _s_y_d_o_m++;
    _x_m_k_c_c=_s_y_d_o_m;
    _s_y_d_o_m--;
    _x_m_k_c_c=_s_y_d_o_m;
    _s_y_d_o_m++;
    _x_m_k_c_c=_s_y_d_o_m;
    _s_y_d_o_m++;
    };
    _y_h_u_e_e_e_x_y._m_x = function (){
    let _v_c_j_o_v = 982;
    let _s_w_t_u_i = 880;
    _v_c_j_o_v=_s_w_t_u_i;
    _s_w_t_u_i++;
    _v_c_j_o_v=_s_w_t_u_i;
    _s_w_t_u_i--;
    _v_c_j_o_v=_s_w_t_u_i;
    _s_w_t_u_i++;
    _v_c_j_o_v=_s_w_t_u_i;
    _s_w_t_u_i++;
    _v_c_j_o_v=_s_w_t_u_i;
    _s_w_t_u_i++;
    _v_c_j_o_v=_s_w_t_u_i;
    _s_w_t_u_i++;
    };
    _y_h_u_e_e_e_x_y._d_d = function (){
    let _v_f_t_w_c = 892;
    let _t_k_e_j_a = 618;
    _v_f_t_w_c=_t_k_e_j_a;
    _t_k_e_j_a++;
    _v_f_t_w_c=_t_k_e_j_a;
    _t_k_e_j_a++;
    _v_f_t_w_c=_t_k_e_j_a;
    _t_k_e_j_a--;
    _v_f_t_w_c=_t_k_e_j_a;
    _t_k_e_j_a--;
    _v_f_t_w_c=_t_k_e_j_a;
    _t_k_e_j_a--;
    _v_f_t_w_c=_t_k_e_j_a;
    _t_k_e_j_a--;
    };
    _y_h_u_e_e_e_x_y._a_n = function (){
    let _j_n_p_c_t = 361;
    let _m_w_o_k_w = 929;
    _j_n_p_c_t=_m_w_o_k_w;
    _m_w_o_k_w--;
    _j_n_p_c_t=_m_w_o_k_w;
    _m_w_o_k_w++;
    _j_n_p_c_t=_m_w_o_k_w;
    _m_w_o_k_w++;
    _j_n_p_c_t=_m_w_o_k_w;
    _m_w_o_k_w--;
    _j_n_p_c_t=_m_w_o_k_w;
    _m_w_o_k_w--;
    };
    _y_h_u_e_e_e_x_y._b_r = function (){
    let _x_i_p_e_y = 819;
    let _r_u_g_r_k = 701;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k++;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k++;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k++;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k++;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k--;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k--;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k++;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k++;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k++;
    _x_i_p_e_y=_r_u_g_r_k;
    _r_u_g_r_k++;
    };
    _y_h_u_e_e_e_x_y._o_s = function (){
    let _i_r_c_i_l = 235;
    let _b_g_b_m_h = 66;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h--;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h++;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h++;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h--;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h--;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h++;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h--;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h++;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h--;
    _i_r_c_i_l=_b_g_b_m_h;
    _b_g_b_m_h++;
    };
    _y_h_u_e_e_e_x_y._t_q = function (){
    let _x_y_u_l_u = 937;
    let _s_o_k_u_v = 141;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v--;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v--;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v--;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v--;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v++;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v--;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v--;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v--;
    _x_y_u_l_u=_s_o_k_u_v;
    _s_o_k_u_v--;
    };
    _y_h_u_e_e_e_x_y._b_q = function (){
    let _k_f_t_p_k = 229;
    let _k_x_s_n_b = 807;
    _k_f_t_p_k=_k_x_s_n_b;
    _k_x_s_n_b--;
    _k_f_t_p_k=_k_x_s_n_b;
    _k_x_s_n_b--;
    _k_f_t_p_k=_k_x_s_n_b;
    _k_x_s_n_b--;
    _k_f_t_p_k=_k_x_s_n_b;
    _k_x_s_n_b--;
    _k_f_t_p_k=_k_x_s_n_b;
    _k_x_s_n_b++;
    _k_f_t_p_k=_k_x_s_n_b;
    _k_x_s_n_b++;
    };

    class gameMain extends Laya.Scene {

        constructor() {
            super();
        }

        onEnable() {
            console.log("============进入主页面============");
            this.width = Laya.stage.width;
            this.height = Laya.stage.height;

            this.loadValue = 0;
            this.updateLoadValue = 0;

            this.startBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                this.loadgameUI.visible = true;
                Laya.timer.loop(1, this, this.update);
                this.loadScene();
            }.bind(this));

            this.yszcBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                SDK_apk.showYSSM();
            });

            this.moreGame.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                SDK_apk.goToMoreGame();
            });

            this.kfyxBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                SDK_apk.showEmail();
            });

            GameManager.PlayMusic("zjbgm");

            SDK_apk.showBanner();
        }

        loadScene() {
            if (GameManager.Scene != null) {
                this.loadValue = 1;
            } else {
                this.resource = [
                    "res/Unity/Scene/LayaScene_Scene1/Conventional/Scene1.ls",
                ];
                Laya.loader.create(this.resource, Laya.Handler.create(this, this.onPreLoadFinish),
                    Laya.Handler.create(this, function (value) {
                        this.loadValue = value;
                    })
                );
            }
        }

        onPreLoadFinish() {
            GameManager.resScene = Laya.Loader.getRes("res/Unity/Scene/LayaScene_Scene1/Conventional/Scene1.ls");
            this.Init3DScene(GameManager.resScene, false);
            GameManager.Scene = Laya.stage.addChildAt(GameManager.resScene, 0);
            GameManager.InstallPlayer = GameManager.Scene.getChildByName("zjplayer");
            GameManager.InstallPlayer.getChildByName("Camera").active = false;

            GameManager.player = GameManager.Scene.getChildByName("Player");
            GameManager.Camera = GameManager.player.getChildByName("Camera");
        }

        Init3DScene(resScene, type = false) {
            GameManager.InitComputer(resScene, type);
            GameManager.InitPart("zhuban", resScene, type);
            GameManager.InitPart("dianyuan", resScene, type);
            GameManager.InitPart("yingpan", resScene, type);
            GameManager.InitPart("cpufs", resScene, type);
            GameManager.InitPart("xianka", resScene, type);
            GameManager.InitPart("cpu", resScene, type);
            GameManager.InitPart("fs", resScene, type);
            GameManager.InitPart("neicun1", resScene, type);
            GameManager.InitPart("neicun2", resScene, type);
            GameManager.InitPart("shuileng", resScene, type);
            GameManager.AllCameraPart(resScene, type);
        }

        update() {
            this.updateLoadValue += 0.01;
            if (this.updateLoadValue > this.loadValue) {
                this.updateLoadValue = this.loadValue;
            }
            this.loadBar.value = this.updateLoadValue;

            if (this.loadBar.value >= 1) {
                Laya.timer.clear(this, this.update);
                Laya.Scene.open("gameScene.scene");
            }
        }

        onDisable() {

        }
    }//--------aaabbbcccdddeeefffggg
     let _v_t_c_q_u_l_d_t={};
    _v_t_c_q_u_l_d_t.__n=3;
    _v_t_c_q_u_l_d_t.__x=312;
    _v_t_c_q_u_l_d_t.__k=453;
    _v_t_c_q_u_l_d_t.__a=706;
    _v_t_c_q_u_l_d_t.__n=581;
    _v_t_c_q_u_l_d_t.__a=932;
    _v_t_c_q_u_l_d_t.__q=4;
    _v_t_c_q_u_l_d_t.__x=174;
    _v_t_c_q_u_l_d_t.__o=854;
    _v_t_c_q_u_l_d_t.__i=50;
    _v_t_c_q_u_l_d_t.__m=664;
    _v_t_c_q_u_l_d_t.__m=865;
    _v_t_c_q_u_l_d_t.__a=817;
    _v_t_c_q_u_l_d_t.__n=932;
    _v_t_c_q_u_l_d_t.__p=728;
    _v_t_c_q_u_l_d_t.__n=382;
    _v_t_c_q_u_l_d_t.__c=384;
    _v_t_c_q_u_l_d_t.__o=369;
    _v_t_c_q_u_l_d_t.__i=435;
    _v_t_c_q_u_l_d_t.__b=74;
    _v_t_c_q_u_l_d_t.__b=467;
    _v_t_c_q_u_l_d_t.__o=410;
    _v_t_c_q_u_l_d_t.__g=615;
    _v_t_c_q_u_l_d_t.__o=843;
    _v_t_c_q_u_l_d_t.__l=190;
    _v_t_c_q_u_l_d_t.__e=227;
    _v_t_c_q_u_l_d_t.__t=454;
    _v_t_c_q_u_l_d_t.__n=67;
    _v_t_c_q_u_l_d_t.__q=216;
    _v_t_c_q_u_l_d_t.__n=105;
    _v_t_c_q_u_l_d_t.__a=393;
    _v_t_c_q_u_l_d_t.__u=652;
    _v_t_c_q_u_l_d_t.__m=204;
    _v_t_c_q_u_l_d_t.__v=553;
    _v_t_c_q_u_l_d_t.__p=143;
    _v_t_c_q_u_l_d_t.__o=208;
    _v_t_c_q_u_l_d_t.__w=393;
    _v_t_c_q_u_l_d_t.__u=542;
    _v_t_c_q_u_l_d_t.__x=834;
    _v_t_c_q_u_l_d_t.__v=346;
    _v_t_c_q_u_l_d_t.__u=308;
    _v_t_c_q_u_l_d_t.__h=872;
    _v_t_c_q_u_l_d_t.__y=284;
    _v_t_c_q_u_l_d_t.__s=111;
    _v_t_c_q_u_l_d_t.__b=594;
    _v_t_c_q_u_l_d_t.__a=653;
    _v_t_c_q_u_l_d_t.__x=390;
    _v_t_c_q_u_l_d_t.__e=525;
    _v_t_c_q_u_l_d_t.__r=970;
    _v_t_c_q_u_l_d_t.__n=928;
    _v_t_c_q_u_l_d_t.__h=649;
    _v_t_c_q_u_l_d_t.__o=269;
    _v_t_c_q_u_l_d_t.__v=310;
    _v_t_c_q_u_l_d_t.__c=402;
    _v_t_c_q_u_l_d_t.__s=805;
    _v_t_c_q_u_l_d_t.__n=479;
    _v_t_c_q_u_l_d_t.__l=857;
    _v_t_c_q_u_l_d_t.__y=313;
    _v_t_c_q_u_l_d_t.__k=618;
    _v_t_c_q_u_l_d_t.__w=675;
    _v_t_c_q_u_l_d_t.__k=547;
    _v_t_c_q_u_l_d_t.__k=413;
    _v_t_c_q_u_l_d_t.__d=753;
    _v_t_c_q_u_l_d_t.__t=811;
    _v_t_c_q_u_l_d_t.__l=470;
    _v_t_c_q_u_l_d_t.__m=88;
    _v_t_c_q_u_l_d_t.__v=809;
    _v_t_c_q_u_l_d_t.__s=450;
    _v_t_c_q_u_l_d_t.__o=453;
    _v_t_c_q_u_l_d_t.__y=592;
    _v_t_c_q_u_l_d_t.__b=453;
    _v_t_c_q_u_l_d_t.__d=66;
    _v_t_c_q_u_l_d_t.__f=764;
    _v_t_c_q_u_l_d_t.__p=412;
    _v_t_c_q_u_l_d_t.__s=700;
    _v_t_c_q_u_l_d_t.__o=467;
    _v_t_c_q_u_l_d_t.__w=947;
    _v_t_c_q_u_l_d_t.__k=754;
    _v_t_c_q_u_l_d_t.__t=299;
    _v_t_c_q_u_l_d_t.__j=351;
    _v_t_c_q_u_l_d_t.__o=775;
    _v_t_c_q_u_l_d_t.__s=161;
    _v_t_c_q_u_l_d_t.__d=258;
    _v_t_c_q_u_l_d_t.__k=976;
    _v_t_c_q_u_l_d_t.__r=337;
    _v_t_c_q_u_l_d_t.__e=246;
    _v_t_c_q_u_l_d_t.__u=484;
    _v_t_c_q_u_l_d_t.__u=964;
    _v_t_c_q_u_l_d_t.__s=241;
    _v_t_c_q_u_l_d_t.__x=560;
    _v_t_c_q_u_l_d_t.__b=558;
    _v_t_c_q_u_l_d_t.__w=227;
    _v_t_c_q_u_l_d_t.__l=950;
    _v_t_c_q_u_l_d_t.__s=575;
    _v_t_c_q_u_l_d_t.__j=624;
    _v_t_c_q_u_l_d_t.__l=17;
    _v_t_c_q_u_l_d_t.__p=234;
    _v_t_c_q_u_l_d_t.__m=803;
    _v_t_c_q_u_l_d_t.__m=414;
    _v_t_c_q_u_l_d_t.__o=100;
    _v_t_c_q_u_l_d_t.__p=756;
    _v_t_c_q_u_l_d_t.__o=29;
    _v_t_c_q_u_l_d_t.__g=386;
    _v_t_c_q_u_l_d_t.__h=61;
    _v_t_c_q_u_l_d_t.__p=779;
    _v_t_c_q_u_l_d_t.__r=680;
    _v_t_c_q_u_l_d_t.__t=999;
    _v_t_c_q_u_l_d_t.__t=725;
    _v_t_c_q_u_l_d_t.__b=993;
    _v_t_c_q_u_l_d_t.__j=307;
    _v_t_c_q_u_l_d_t.__x=107;
    _v_t_c_q_u_l_d_t.__d=712;
    _v_t_c_q_u_l_d_t.__d=480;
    _v_t_c_q_u_l_d_t.__c=203;
    _v_t_c_q_u_l_d_t.__n=475;
    _v_t_c_q_u_l_d_t.__w=110;
    _v_t_c_q_u_l_d_t.__u=790;
    _v_t_c_q_u_l_d_t.__d=139;
    _v_t_c_q_u_l_d_t.__y=427;
    _v_t_c_q_u_l_d_t.__a=276;
    _v_t_c_q_u_l_d_t.__j=150;
    _v_t_c_q_u_l_d_t.__s=227;
    _v_t_c_q_u_l_d_t.__v=613;
    _v_t_c_q_u_l_d_t.__p=764;
    _v_t_c_q_u_l_d_t.__o=795;
    _v_t_c_q_u_l_d_t.__j=913;
    _v_t_c_q_u_l_d_t.__u=906;
    _v_t_c_q_u_l_d_t.__e=373;
    _v_t_c_q_u_l_d_t.__p=427;
    _v_t_c_q_u_l_d_t.__c=81;
    _v_t_c_q_u_l_d_t.__j=421;
    _v_t_c_q_u_l_d_t.__s=323;
    _v_t_c_q_u_l_d_t.__n=797;
    _v_t_c_q_u_l_d_t.__b=301;
    _v_t_c_q_u_l_d_t.__c=657;
    _v_t_c_q_u_l_d_t.__d=560;
    _v_t_c_q_u_l_d_t.__i=408;
    _v_t_c_q_u_l_d_t.__g=187;
    _v_t_c_q_u_l_d_t.__n=769;
    _v_t_c_q_u_l_d_t.__o=176;
    _v_t_c_q_u_l_d_t.__r=353;
    _v_t_c_q_u_l_d_t.__a=885;
    _v_t_c_q_u_l_d_t.__t=963;
    _v_t_c_q_u_l_d_t.__a=963;
    _v_t_c_q_u_l_d_t.__j=268;
    _v_t_c_q_u_l_d_t.__d=689;
    _v_t_c_q_u_l_d_t.__n=13;
    _v_t_c_q_u_l_d_t.__y=88;
    _v_t_c_q_u_l_d_t.__y=415;
    _v_t_c_q_u_l_d_t.__r=777;
    _v_t_c_q_u_l_d_t.__c=908;
    _v_t_c_q_u_l_d_t.__k=895;
    _v_t_c_q_u_l_d_t.__v=889;
    _v_t_c_q_u_l_d_t.__l=75;
    _v_t_c_q_u_l_d_t.__o=620;
    _v_t_c_q_u_l_d_t.__l=827;
    _v_t_c_q_u_l_d_t.__e=950;
    _v_t_c_q_u_l_d_t.__r=248;
    _v_t_c_q_u_l_d_t.__x=999;
    _v_t_c_q_u_l_d_t.__r=482;
    _v_t_c_q_u_l_d_t.__q=481;
    _v_t_c_q_u_l_d_t.__a=808;
    _v_t_c_q_u_l_d_t.__w=794;
    _v_t_c_q_u_l_d_t.__g=786;
    _v_t_c_q_u_l_d_t.__g=568;
    _v_t_c_q_u_l_d_t.__m=355;
    _v_t_c_q_u_l_d_t.__u=793;
    _v_t_c_q_u_l_d_t.__e=292;
    _v_t_c_q_u_l_d_t.__e=209;
    _v_t_c_q_u_l_d_t.__r=941;
    _v_t_c_q_u_l_d_t.__a=98;
    _v_t_c_q_u_l_d_t.__r=611;
    _v_t_c_q_u_l_d_t.__m=146;
    _v_t_c_q_u_l_d_t.__y=559;
    _v_t_c_q_u_l_d_t.__y=518;
    _v_t_c_q_u_l_d_t.__a=957;
    _v_t_c_q_u_l_d_t.__r=820;
    _v_t_c_q_u_l_d_t.__s=753;
    _v_t_c_q_u_l_d_t.__s=86;
    _v_t_c_q_u_l_d_t.__x=826;
    _v_t_c_q_u_l_d_t.__k=456;
    _v_t_c_q_u_l_d_t.__d=357;
    _v_t_c_q_u_l_d_t.__o=705;
    _v_t_c_q_u_l_d_t.__o=797;
    _v_t_c_q_u_l_d_t.__j=266;
    _v_t_c_q_u_l_d_t.__p=364;
    _v_t_c_q_u_l_d_t.__k=918;
    _v_t_c_q_u_l_d_t.__k=456;
    _v_t_c_q_u_l_d_t.__e=785;
    _v_t_c_q_u_l_d_t.__o=904;
    _v_t_c_q_u_l_d_t.__u=804;
    _v_t_c_q_u_l_d_t.__j=449;
    _v_t_c_q_u_l_d_t.__l=326;
    _v_t_c_q_u_l_d_t.__k=368;
    _v_t_c_q_u_l_d_t.__u=994;
    _v_t_c_q_u_l_d_t.__v=653;
    _v_t_c_q_u_l_d_t.__j=564;
    _v_t_c_q_u_l_d_t.__k=637;
    _v_t_c_q_u_l_d_t.__b=818;
    _v_t_c_q_u_l_d_t.__h=485;
    _v_t_c_q_u_l_d_t.__l=238;
    _v_t_c_q_u_l_d_t.__v=453;
    _v_t_c_q_u_l_d_t.__q=574;
    _v_t_c_q_u_l_d_t.__j=321;
    _v_t_c_q_u_l_d_t.__n=991;
    _v_t_c_q_u_l_d_t.__k=902;
    _v_t_c_q_u_l_d_t.__w=923;
    _v_t_c_q_u_l_d_t.__t=47;
    _v_t_c_q_u_l_d_t.__a=318;
    _v_t_c_q_u_l_d_t.__j=30;
    _v_t_c_q_u_l_d_t.__g=405;
    _v_t_c_q_u_l_d_t.__q=740;
    _v_t_c_q_u_l_d_t.__x=656;
    _v_t_c_q_u_l_d_t.__g=579;
    _v_t_c_q_u_l_d_t.__i=91;
    _v_t_c_q_u_l_d_t.__s=463;
    _v_t_c_q_u_l_d_t.__j=587;
    _v_t_c_q_u_l_d_t.__i=852;
    _v_t_c_q_u_l_d_t.__c=344;
    _v_t_c_q_u_l_d_t.__a=194;
    _v_t_c_q_u_l_d_t.__w=169;
    _v_t_c_q_u_l_d_t.__m=703;
    _v_t_c_q_u_l_d_t.__x=721;
    _v_t_c_q_u_l_d_t.__x=876;
    _v_t_c_q_u_l_d_t.__f=396;
    _v_t_c_q_u_l_d_t.__b=646;
    _v_t_c_q_u_l_d_t.__o=986;
    _v_t_c_q_u_l_d_t.__o=592;
    _v_t_c_q_u_l_d_t.__u=779;
    _v_t_c_q_u_l_d_t.__t=96;
    _v_t_c_q_u_l_d_t.__x=259;
    _v_t_c_q_u_l_d_t.__x=868;
    _v_t_c_q_u_l_d_t.__y=52;
    _v_t_c_q_u_l_d_t.__a=733;
    _v_t_c_q_u_l_d_t.__k=285;
    _v_t_c_q_u_l_d_t.__j=96;
    _v_t_c_q_u_l_d_t.__k=6;
    _v_t_c_q_u_l_d_t.__a=987;
    _v_t_c_q_u_l_d_t.__g=827;
    _v_t_c_q_u_l_d_t.__g=87;
    _v_t_c_q_u_l_d_t.__v=443;
    _v_t_c_q_u_l_d_t.__a=655;
    _v_t_c_q_u_l_d_t.__r=184;
    _v_t_c_q_u_l_d_t.__m=746;
    _v_t_c_q_u_l_d_t.__s=260;
    _v_t_c_q_u_l_d_t.__h=637;
    _v_t_c_q_u_l_d_t.__t=842;
    _v_t_c_q_u_l_d_t.__o=870;
    _v_t_c_q_u_l_d_t.__y=658;
    _v_t_c_q_u_l_d_t.__e=800;
    _v_t_c_q_u_l_d_t.__u=237;
    _v_t_c_q_u_l_d_t.__f=80;
    _v_t_c_q_u_l_d_t.__g=470;
    _v_t_c_q_u_l_d_t.__g=967;
    _v_t_c_q_u_l_d_t.__j=650;
    _v_t_c_q_u_l_d_t.__s=867;
    _v_t_c_q_u_l_d_t.__p=621;
    _v_t_c_q_u_l_d_t.__c=27;
    _v_t_c_q_u_l_d_t.__x=231;
    _v_t_c_q_u_l_d_t.__a=768;
    _v_t_c_q_u_l_d_t.__d=708;
    _v_t_c_q_u_l_d_t.__e=179;
    _v_t_c_q_u_l_d_t.__d=140;
    _v_t_c_q_u_l_d_t.__a=669;
    _v_t_c_q_u_l_d_t.__b=708;
    _v_t_c_q_u_l_d_t.__b=290;
    _v_t_c_q_u_l_d_t.__u=819;
    _v_t_c_q_u_l_d_t.__w=229;
    _v_t_c_q_u_l_d_t.__i=811;
    _v_t_c_q_u_l_d_t.__u=385;
    _v_t_c_q_u_l_d_t.__j=381;
    _v_t_c_q_u_l_d_t.__b=431;
    _v_t_c_q_u_l_d_t.__c=376;
    _v_t_c_q_u_l_d_t.__d=263;
    _v_t_c_q_u_l_d_t.__c=136;
    _v_t_c_q_u_l_d_t.__j=259;
    _v_t_c_q_u_l_d_t.__o=12;
    _v_t_c_q_u_l_d_t.__a=231;
    _v_t_c_q_u_l_d_t.__u=235;
    _v_t_c_q_u_l_d_t.__g=497;
    _v_t_c_q_u_l_d_t.__t=787;
    _v_t_c_q_u_l_d_t.__f=968;
    _v_t_c_q_u_l_d_t.__j=433;
    _v_t_c_q_u_l_d_t.__n=656;
    _v_t_c_q_u_l_d_t.__p=559;
    _v_t_c_q_u_l_d_t.__i=518;
    _v_t_c_q_u_l_d_t.__q=991;
    _v_t_c_q_u_l_d_t.__o=26;
    _v_t_c_q_u_l_d_t._k_g = function (){
    let _h_r_i_v_i = 947;
    let _i_n_u_v_y = 617;
    _h_r_i_v_i=_i_n_u_v_y;
    _i_n_u_v_y++;
    _h_r_i_v_i=_i_n_u_v_y;
    _i_n_u_v_y++;
    _h_r_i_v_i=_i_n_u_v_y;
    _i_n_u_v_y--;
    _h_r_i_v_i=_i_n_u_v_y;
    _i_n_u_v_y--;
    _h_r_i_v_i=_i_n_u_v_y;
    _i_n_u_v_y++;
    _h_r_i_v_i=_i_n_u_v_y;
    _i_n_u_v_y--;
    _h_r_i_v_i=_i_n_u_v_y;
    _i_n_u_v_y++;
    };
    _v_t_c_q_u_l_d_t._m_v = function (){
    let _o_e_b_f_f = 104;
    let _x_d_t_q_y = 474;
    _o_e_b_f_f=_x_d_t_q_y;
    _x_d_t_q_y++;
    _o_e_b_f_f=_x_d_t_q_y;
    _x_d_t_q_y--;
    _o_e_b_f_f=_x_d_t_q_y;
    _x_d_t_q_y++;
    _o_e_b_f_f=_x_d_t_q_y;
    _x_d_t_q_y--;
    _o_e_b_f_f=_x_d_t_q_y;
    _x_d_t_q_y++;
    _o_e_b_f_f=_x_d_t_q_y;
    _x_d_t_q_y++;
    _o_e_b_f_f=_x_d_t_q_y;
    _x_d_t_q_y++;
    _o_e_b_f_f=_x_d_t_q_y;
    _x_d_t_q_y--;
    };
    _v_t_c_q_u_l_d_t._k_i = function (){
    let _t_b_p_w_g = 678;
    let _w_y_u_u_n = 796;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n++;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n++;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n--;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n--;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n++;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n++;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n--;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n--;
    _t_b_p_w_g=_w_y_u_u_n;
    _w_y_u_u_n++;
    };
    _v_t_c_q_u_l_d_t._d_y = function (){
    let _e_l_m_r_u = 774;
    let _q_x_r_g_n = 835;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n--;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n--;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n--;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n--;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n++;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n--;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n++;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n++;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n++;
    _e_l_m_r_u=_q_x_r_g_n;
    _q_x_r_g_n--;
    };
    _v_t_c_q_u_l_d_t._x_a = function (){
    let _b_l_t_w_y = 769;
    let _y_w_k_b_h = 543;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h--;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h++;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h++;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h++;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h++;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h++;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h--;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h++;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h++;
    _b_l_t_w_y=_y_w_k_b_h;
    _y_w_k_b_h++;
    };
    _v_t_c_q_u_l_d_t._i_b = function (){
    let _g_i_a_y_t = 618;
    let _w_b_g_d_u = 517;
    _g_i_a_y_t=_w_b_g_d_u;
    _w_b_g_d_u++;
    _g_i_a_y_t=_w_b_g_d_u;
    _w_b_g_d_u++;
    _g_i_a_y_t=_w_b_g_d_u;
    _w_b_g_d_u--;
    _g_i_a_y_t=_w_b_g_d_u;
    _w_b_g_d_u++;
    _g_i_a_y_t=_w_b_g_d_u;
    _w_b_g_d_u--;
    _g_i_a_y_t=_w_b_g_d_u;
    _w_b_g_d_u++;
    };
    _v_t_c_q_u_l_d_t._e_o = function (){
    let _j_t_c_f_w = 843;
    let _s_p_e_u_q = 684;
    _j_t_c_f_w=_s_p_e_u_q;
    _s_p_e_u_q++;
    _j_t_c_f_w=_s_p_e_u_q;
    _s_p_e_u_q++;
    _j_t_c_f_w=_s_p_e_u_q;
    _s_p_e_u_q--;
    _j_t_c_f_w=_s_p_e_u_q;
    _s_p_e_u_q--;
    _j_t_c_f_w=_s_p_e_u_q;
    _s_p_e_u_q--;
    _j_t_c_f_w=_s_p_e_u_q;
    _s_p_e_u_q--;
    _j_t_c_f_w=_s_p_e_u_q;
    _s_p_e_u_q--;
    };
    _v_t_c_q_u_l_d_t._u_t = function (){
    let _x_m_j_c_l = 189;
    let _r_a_m_m_y = 85;
    _x_m_j_c_l=_r_a_m_m_y;
    _r_a_m_m_y++;
    _x_m_j_c_l=_r_a_m_m_y;
    _r_a_m_m_y++;
    _x_m_j_c_l=_r_a_m_m_y;
    _r_a_m_m_y--;
    _x_m_j_c_l=_r_a_m_m_y;
    _r_a_m_m_y++;
    _x_m_j_c_l=_r_a_m_m_y;
    _r_a_m_m_y--;
    _x_m_j_c_l=_r_a_m_m_y;
    _r_a_m_m_y--;
    _x_m_j_c_l=_r_a_m_m_y;
    _r_a_m_m_y++;
    _x_m_j_c_l=_r_a_m_m_y;
    _r_a_m_m_y++;
    };
    _v_t_c_q_u_l_d_t._n_p = function (){
    let _y_q_b_q_f = 665;
    let _a_t_f_m_b = 537;
    _y_q_b_q_f=_a_t_f_m_b;
    _a_t_f_m_b++;
    _y_q_b_q_f=_a_t_f_m_b;
    _a_t_f_m_b--;
    _y_q_b_q_f=_a_t_f_m_b;
    _a_t_f_m_b--;
    _y_q_b_q_f=_a_t_f_m_b;
    _a_t_f_m_b++;
    _y_q_b_q_f=_a_t_f_m_b;
    _a_t_f_m_b--;
    _y_q_b_q_f=_a_t_f_m_b;
    _a_t_f_m_b++;
    };//--------aaabbbcccdddeeefffggg
     let _a_d_o_u_c_c_d_s={};
    _a_d_o_u_c_c_d_s.__l=112;
    _a_d_o_u_c_c_d_s.__p=769;
    _a_d_o_u_c_c_d_s.__m=581;
    _a_d_o_u_c_c_d_s.__m=670;
    _a_d_o_u_c_c_d_s.__q=7;
    _a_d_o_u_c_c_d_s.__v=426;
    _a_d_o_u_c_c_d_s.__o=447;
    _a_d_o_u_c_c_d_s.__i=274;
    _a_d_o_u_c_c_d_s.__s=582;
    _a_d_o_u_c_c_d_s.__g=280;
    _a_d_o_u_c_c_d_s.__v=375;
    _a_d_o_u_c_c_d_s.__l=499;
    _a_d_o_u_c_c_d_s.__v=778;
    _a_d_o_u_c_c_d_s.__q=577;
    _a_d_o_u_c_c_d_s.__y=390;
    _a_d_o_u_c_c_d_s.__d=948;
    _a_d_o_u_c_c_d_s.__o=481;
    _a_d_o_u_c_c_d_s.__g=284;
    _a_d_o_u_c_c_d_s.__m=280;
    _a_d_o_u_c_c_d_s.__i=351;
    _a_d_o_u_c_c_d_s.__f=942;
    _a_d_o_u_c_c_d_s.__g=928;
    _a_d_o_u_c_c_d_s.__m=86;
    _a_d_o_u_c_c_d_s.__m=954;
    _a_d_o_u_c_c_d_s.__t=331;
    _a_d_o_u_c_c_d_s.__f=544;
    _a_d_o_u_c_c_d_s.__p=714;
    _a_d_o_u_c_c_d_s.__n=43;
    _a_d_o_u_c_c_d_s.__e=413;
    _a_d_o_u_c_c_d_s.__b=765;
    _a_d_o_u_c_c_d_s.__t=673;
    _a_d_o_u_c_c_d_s.__r=585;
    _a_d_o_u_c_c_d_s.__l=345;
    _a_d_o_u_c_c_d_s.__p=25;
    _a_d_o_u_c_c_d_s.__q=939;
    _a_d_o_u_c_c_d_s.__w=3;
    _a_d_o_u_c_c_d_s.__k=606;
    _a_d_o_u_c_c_d_s.__y=893;
    _a_d_o_u_c_c_d_s.__s=945;
    _a_d_o_u_c_c_d_s.__x=61;
    _a_d_o_u_c_c_d_s.__v=47;
    _a_d_o_u_c_c_d_s.__c=526;
    _a_d_o_u_c_c_d_s.__r=690;
    _a_d_o_u_c_c_d_s.__x=895;
    _a_d_o_u_c_c_d_s.__s=65;
    _a_d_o_u_c_c_d_s.__n=256;
    _a_d_o_u_c_c_d_s.__x=980;
    _a_d_o_u_c_c_d_s.__r=149;
    _a_d_o_u_c_c_d_s.__n=905;
    _a_d_o_u_c_c_d_s.__j=296;
    _a_d_o_u_c_c_d_s.__i=794;
    _a_d_o_u_c_c_d_s.__s=246;
    _a_d_o_u_c_c_d_s.__n=84;
    _a_d_o_u_c_c_d_s.__a=570;
    _a_d_o_u_c_c_d_s.__r=766;
    _a_d_o_u_c_c_d_s.__q=788;
    _a_d_o_u_c_c_d_s.__p=946;
    _a_d_o_u_c_c_d_s.__m=670;
    _a_d_o_u_c_c_d_s.__a=802;
    _a_d_o_u_c_c_d_s.__j=68;
    _a_d_o_u_c_c_d_s.__r=334;
    _a_d_o_u_c_c_d_s.__n=940;
    _a_d_o_u_c_c_d_s.__c=821;
    _a_d_o_u_c_c_d_s.__x=719;
    _a_d_o_u_c_c_d_s.__t=392;
    _a_d_o_u_c_c_d_s.__a=682;
    _a_d_o_u_c_c_d_s.__a=611;
    _a_d_o_u_c_c_d_s.__u=483;
    _a_d_o_u_c_c_d_s.__s=489;
    _a_d_o_u_c_c_d_s.__h=490;
    _a_d_o_u_c_c_d_s.__d=824;
    _a_d_o_u_c_c_d_s.__c=105;
    _a_d_o_u_c_c_d_s.__l=275;
    _a_d_o_u_c_c_d_s.__y=702;
    _a_d_o_u_c_c_d_s.__q=85;
    _a_d_o_u_c_c_d_s.__b=352;
    _a_d_o_u_c_c_d_s.__x=850;
    _a_d_o_u_c_c_d_s.__l=987;
    _a_d_o_u_c_c_d_s.__x=235;
    _a_d_o_u_c_c_d_s.__l=159;
    _a_d_o_u_c_c_d_s.__v=69;
    _a_d_o_u_c_c_d_s.__b=50;
    _a_d_o_u_c_c_d_s.__i=688;
    _a_d_o_u_c_c_d_s.__l=896;
    _a_d_o_u_c_c_d_s.__p=968;
    _a_d_o_u_c_c_d_s.__p=465;
    _a_d_o_u_c_c_d_s.__t=925;
    _a_d_o_u_c_c_d_s.__c=766;
    _a_d_o_u_c_c_d_s.__h=312;
    _a_d_o_u_c_c_d_s.__v=630;
    _a_d_o_u_c_c_d_s.__u=102;
    _a_d_o_u_c_c_d_s.__n=322;
    _a_d_o_u_c_c_d_s.__a=273;
    _a_d_o_u_c_c_d_s.__n=850;
    _a_d_o_u_c_c_d_s.__i=795;
    _a_d_o_u_c_c_d_s.__w=112;
    _a_d_o_u_c_c_d_s.__c=230;
    _a_d_o_u_c_c_d_s.__v=547;
    _a_d_o_u_c_c_d_s.__d=855;
    _a_d_o_u_c_c_d_s.__k=449;
    _a_d_o_u_c_c_d_s.__p=697;
    _a_d_o_u_c_c_d_s.__r=588;
    _a_d_o_u_c_c_d_s.__q=406;
    _a_d_o_u_c_c_d_s.__v=306;
    _a_d_o_u_c_c_d_s.__u=367;
    _a_d_o_u_c_c_d_s.__n=741;
    _a_d_o_u_c_c_d_s.__w=947;
    _a_d_o_u_c_c_d_s.__t=332;
    _a_d_o_u_c_c_d_s.__c=297;
    _a_d_o_u_c_c_d_s.__y=263;
    _a_d_o_u_c_c_d_s.__j=602;
    _a_d_o_u_c_c_d_s.__c=4;
    _a_d_o_u_c_c_d_s.__k=202;
    _a_d_o_u_c_c_d_s.__q=603;
    _a_d_o_u_c_c_d_s.__i=473;
    _a_d_o_u_c_c_d_s.__x=888;
    _a_d_o_u_c_c_d_s.__q=884;
    _a_d_o_u_c_c_d_s.__e=232;
    _a_d_o_u_c_c_d_s.__w=135;
    _a_d_o_u_c_c_d_s.__a=39;
    _a_d_o_u_c_c_d_s.__i=781;
    _a_d_o_u_c_c_d_s.__f=606;
    _a_d_o_u_c_c_d_s.__k=248;
    _a_d_o_u_c_c_d_s.__c=519;
    _a_d_o_u_c_c_d_s.__a=645;
    _a_d_o_u_c_c_d_s.__u=241;
    _a_d_o_u_c_c_d_s.__h=291;
    _a_d_o_u_c_c_d_s.__l=41;
    _a_d_o_u_c_c_d_s.__n=340;
    _a_d_o_u_c_c_d_s.__r=927;
    _a_d_o_u_c_c_d_s.__b=433;
    _a_d_o_u_c_c_d_s.__m=739;
    _a_d_o_u_c_c_d_s.__m=770;
    _a_d_o_u_c_c_d_s.__o=54;
    _a_d_o_u_c_c_d_s.__s=513;
    _a_d_o_u_c_c_d_s.__r=63;
    _a_d_o_u_c_c_d_s.__t=928;
    _a_d_o_u_c_c_d_s.__b=74;
    _a_d_o_u_c_c_d_s.__d=160;
    _a_d_o_u_c_c_d_s.__i=799;
    _a_d_o_u_c_c_d_s.__h=73;
    _a_d_o_u_c_c_d_s.__c=79;
    _a_d_o_u_c_c_d_s.__j=28;
    _a_d_o_u_c_c_d_s.__s=210;
    _a_d_o_u_c_c_d_s.__q=33;
    _a_d_o_u_c_c_d_s.__a=511;
    _a_d_o_u_c_c_d_s.__p=158;
    _a_d_o_u_c_c_d_s.__d=310;
    _a_d_o_u_c_c_d_s.__l=624;
    _a_d_o_u_c_c_d_s.__i=991;
    _a_d_o_u_c_c_d_s.__p=470;
    _a_d_o_u_c_c_d_s.__h=257;
    _a_d_o_u_c_c_d_s.__t=209;
    _a_d_o_u_c_c_d_s.__b=279;
    _a_d_o_u_c_c_d_s.__v=374;
    _a_d_o_u_c_c_d_s.__q=871;
    _a_d_o_u_c_c_d_s.__b=367;
    _a_d_o_u_c_c_d_s.__p=356;
    _a_d_o_u_c_c_d_s.__e=508;
    _a_d_o_u_c_c_d_s.__c=280;
    _a_d_o_u_c_c_d_s.__u=699;
    _a_d_o_u_c_c_d_s.__p=627;
    _a_d_o_u_c_c_d_s.__k=603;
    _a_d_o_u_c_c_d_s.__f=690;
    _a_d_o_u_c_c_d_s.__l=749;
    _a_d_o_u_c_c_d_s.__t=259;
    _a_d_o_u_c_c_d_s.__e=468;
    _a_d_o_u_c_c_d_s.__s=279;
    _a_d_o_u_c_c_d_s.__p=60;
    _a_d_o_u_c_c_d_s.__e=633;
    _a_d_o_u_c_c_d_s.__o=109;
    _a_d_o_u_c_c_d_s.__q=214;
    _a_d_o_u_c_c_d_s.__d=345;
    _a_d_o_u_c_c_d_s.__g=929;
    _a_d_o_u_c_c_d_s.__j=960;
    _a_d_o_u_c_c_d_s.__b=801;
    _a_d_o_u_c_c_d_s.__n=789;
    _a_d_o_u_c_c_d_s.__j=830;
    _a_d_o_u_c_c_d_s.__b=253;
    _a_d_o_u_c_c_d_s.__o=750;
    _a_d_o_u_c_c_d_s.__e=479;
    _a_d_o_u_c_c_d_s.__f=359;
    _a_d_o_u_c_c_d_s.__e=501;
    _a_d_o_u_c_c_d_s.__f=570;
    _a_d_o_u_c_c_d_s.__f=947;
    _a_d_o_u_c_c_d_s.__g=832;
    _a_d_o_u_c_c_d_s.__m=116;
    _a_d_o_u_c_c_d_s.__i=91;
    _a_d_o_u_c_c_d_s.__a=855;
    _a_d_o_u_c_c_d_s.__r=939;
    _a_d_o_u_c_c_d_s.__u=143;
    _a_d_o_u_c_c_d_s.__q=105;
    _a_d_o_u_c_c_d_s.__c=785;
    _a_d_o_u_c_c_d_s.__d=955;
    _a_d_o_u_c_c_d_s.__h=125;
    _a_d_o_u_c_c_d_s.__j=141;
    _a_d_o_u_c_c_d_s.__w=177;
    _a_d_o_u_c_c_d_s.__s=72;
    _a_d_o_u_c_c_d_s.__m=94;
    _a_d_o_u_c_c_d_s.__k=352;
    _a_d_o_u_c_c_d_s.__e=368;
    _a_d_o_u_c_c_d_s.__b=850;
    _a_d_o_u_c_c_d_s.__x=678;
    _a_d_o_u_c_c_d_s.__c=542;
    _a_d_o_u_c_c_d_s.__t=777;
    _a_d_o_u_c_c_d_s.__n=806;
    _a_d_o_u_c_c_d_s.__l=346;
    _a_d_o_u_c_c_d_s.__f=304;
    _a_d_o_u_c_c_d_s.__j=200;
    _a_d_o_u_c_c_d_s.__p=119;
    _a_d_o_u_c_c_d_s.__a=768;
    _a_d_o_u_c_c_d_s.__e=296;
    _a_d_o_u_c_c_d_s.__o=239;
    _a_d_o_u_c_c_d_s.__l=458;
    _a_d_o_u_c_c_d_s.__e=301;
    _a_d_o_u_c_c_d_s.__l=629;
    _a_d_o_u_c_c_d_s.__r=851;
    _a_d_o_u_c_c_d_s.__g=945;
    _a_d_o_u_c_c_d_s.__i=608;
    _a_d_o_u_c_c_d_s.__r=392;
    _a_d_o_u_c_c_d_s.__f=24;
    _a_d_o_u_c_c_d_s.__h=234;
    _a_d_o_u_c_c_d_s.__l=392;
    _a_d_o_u_c_c_d_s.__n=292;
    _a_d_o_u_c_c_d_s.__a=578;
    _a_d_o_u_c_c_d_s.__k=718;
    _a_d_o_u_c_c_d_s.__g=260;
    _a_d_o_u_c_c_d_s.__c=429;
    _a_d_o_u_c_c_d_s.__u=93;
    _a_d_o_u_c_c_d_s.__h=861;
    _a_d_o_u_c_c_d_s.__l=711;
    _a_d_o_u_c_c_d_s.__v=184;
    _a_d_o_u_c_c_d_s.__q=955;
    _a_d_o_u_c_c_d_s.__l=655;
    _a_d_o_u_c_c_d_s.__k=252;
    _a_d_o_u_c_c_d_s.__k=244;
    _a_d_o_u_c_c_d_s.__t=537;
    _a_d_o_u_c_c_d_s.__k=206;
    _a_d_o_u_c_c_d_s.__c=633;
    _a_d_o_u_c_c_d_s.__v=744;
    _a_d_o_u_c_c_d_s.__f=494;
    _a_d_o_u_c_c_d_s.__a=432;
    _a_d_o_u_c_c_d_s.__f=212;
    _a_d_o_u_c_c_d_s.__l=536;
    _a_d_o_u_c_c_d_s.__x=196;
    _a_d_o_u_c_c_d_s.__e=905;
    _a_d_o_u_c_c_d_s.__s=442;
    _a_d_o_u_c_c_d_s.__k=584;
    _a_d_o_u_c_c_d_s.__r=272;
    _a_d_o_u_c_c_d_s.__b=801;
    _a_d_o_u_c_c_d_s.__v=486;
    _a_d_o_u_c_c_d_s.__v=486;
    _a_d_o_u_c_c_d_s.__o=290;
    _a_d_o_u_c_c_d_s.__e=986;
    _a_d_o_u_c_c_d_s.__u=953;
    _a_d_o_u_c_c_d_s.__s=116;
    _a_d_o_u_c_c_d_s.__u=556;
    _a_d_o_u_c_c_d_s.__x=221;
    _a_d_o_u_c_c_d_s.__i=766;
    _a_d_o_u_c_c_d_s.__e=392;
    _a_d_o_u_c_c_d_s.__s=39;
    _a_d_o_u_c_c_d_s.__v=495;
    _a_d_o_u_c_c_d_s.__o=143;
    _a_d_o_u_c_c_d_s.__m=175;
    _a_d_o_u_c_c_d_s.__y=425;
    _a_d_o_u_c_c_d_s.__m=482;
    _a_d_o_u_c_c_d_s.__r=716;
    _a_d_o_u_c_c_d_s.__b=285;
    _a_d_o_u_c_c_d_s.__h=289;
    _a_d_o_u_c_c_d_s.__v=121;
    _a_d_o_u_c_c_d_s.__h=768;
    _a_d_o_u_c_c_d_s.__e=646;
    _a_d_o_u_c_c_d_s.__k=400;
    _a_d_o_u_c_c_d_s.__k=327;
    _a_d_o_u_c_c_d_s.__c=595;
    _a_d_o_u_c_c_d_s.__j=557;
    _a_d_o_u_c_c_d_s.__x=141;
    _a_d_o_u_c_c_d_s.__a=819;
    _a_d_o_u_c_c_d_s.__o=996;
    _a_d_o_u_c_c_d_s.__u=86;
    _a_d_o_u_c_c_d_s.__i=66;
    _a_d_o_u_c_c_d_s.__b=81;
    _a_d_o_u_c_c_d_s.__y=883;
    _a_d_o_u_c_c_d_s.__j=588;
    _a_d_o_u_c_c_d_s.__j=571;
    _a_d_o_u_c_c_d_s.__o=439;
    _a_d_o_u_c_c_d_s.__g=24;
    _a_d_o_u_c_c_d_s.__o=352;
    _a_d_o_u_c_c_d_s._r_t = function (){
    let _e_w_t_j_q = 472;
    let _b_g_i_p_r = 225;
    _e_w_t_j_q=_b_g_i_p_r;
    _b_g_i_p_r--;
    _e_w_t_j_q=_b_g_i_p_r;
    _b_g_i_p_r++;
    _e_w_t_j_q=_b_g_i_p_r;
    _b_g_i_p_r++;
    _e_w_t_j_q=_b_g_i_p_r;
    _b_g_i_p_r--;
    _e_w_t_j_q=_b_g_i_p_r;
    _b_g_i_p_r--;
    _e_w_t_j_q=_b_g_i_p_r;
    _b_g_i_p_r--;
    };
    _a_d_o_u_c_c_d_s._t_d = function (){
    let _f_k_b_p_e = 861;
    let _t_a_w_d_c = 439;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c--;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c--;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c++;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c++;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c--;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c--;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c++;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c++;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c++;
    _f_k_b_p_e=_t_a_w_d_c;
    _t_a_w_d_c++;
    };
    _a_d_o_u_c_c_d_s._h_d = function (){
    let _f_y_e_k_k = 465;
    let _k_o_g_g_i = 302;
    _f_y_e_k_k=_k_o_g_g_i;
    _k_o_g_g_i++;
    _f_y_e_k_k=_k_o_g_g_i;
    _k_o_g_g_i--;
    _f_y_e_k_k=_k_o_g_g_i;
    _k_o_g_g_i--;
    _f_y_e_k_k=_k_o_g_g_i;
    _k_o_g_g_i--;
    _f_y_e_k_k=_k_o_g_g_i;
    _k_o_g_g_i++;
    _f_y_e_k_k=_k_o_g_g_i;
    _k_o_g_g_i--;
    _f_y_e_k_k=_k_o_g_g_i;
    _k_o_g_g_i++;
    _f_y_e_k_k=_k_o_g_g_i;
    _k_o_g_g_i--;
    };
    _a_d_o_u_c_c_d_s._q_e = function (){
    let _r_w_g_c_f = 424;
    let _g_s_p_x_w = 64;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w--;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w++;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w++;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w++;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w++;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w--;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w++;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w--;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w++;
    _r_w_g_c_f=_g_s_p_x_w;
    _g_s_p_x_w++;
    };
    _a_d_o_u_c_c_d_s._k_c = function (){
    let _x_o_o_r_l = 953;
    let _t_j_q_a_a = 132;
    _x_o_o_r_l=_t_j_q_a_a;
    _t_j_q_a_a++;
    _x_o_o_r_l=_t_j_q_a_a;
    _t_j_q_a_a++;
    _x_o_o_r_l=_t_j_q_a_a;
    _t_j_q_a_a--;
    _x_o_o_r_l=_t_j_q_a_a;
    _t_j_q_a_a++;
    _x_o_o_r_l=_t_j_q_a_a;
    _t_j_q_a_a++;
    _x_o_o_r_l=_t_j_q_a_a;
    _t_j_q_a_a--;
    _x_o_o_r_l=_t_j_q_a_a;
    _t_j_q_a_a--;
    };//--------aaabbbcccdddeeefffggg
     let _k_q_s_w_q_b_y_c={};
    _k_q_s_w_q_b_y_c.__w=276;
    _k_q_s_w_q_b_y_c.__n=354;
    _k_q_s_w_q_b_y_c.__r=106;
    _k_q_s_w_q_b_y_c.__i=541;
    _k_q_s_w_q_b_y_c.__u=178;
    _k_q_s_w_q_b_y_c.__j=947;
    _k_q_s_w_q_b_y_c.__b=658;
    _k_q_s_w_q_b_y_c.__t=17;
    _k_q_s_w_q_b_y_c.__l=274;
    _k_q_s_w_q_b_y_c.__a=877;
    _k_q_s_w_q_b_y_c.__m=80;
    _k_q_s_w_q_b_y_c.__h=361;
    _k_q_s_w_q_b_y_c.__w=982;
    _k_q_s_w_q_b_y_c.__n=99;
    _k_q_s_w_q_b_y_c.__u=722;
    _k_q_s_w_q_b_y_c.__f=546;
    _k_q_s_w_q_b_y_c.__l=448;
    _k_q_s_w_q_b_y_c.__y=383;
    _k_q_s_w_q_b_y_c.__m=535;
    _k_q_s_w_q_b_y_c.__d=183;
    _k_q_s_w_q_b_y_c.__s=819;
    _k_q_s_w_q_b_y_c.__j=745;
    _k_q_s_w_q_b_y_c.__n=897;
    _k_q_s_w_q_b_y_c.__n=14;
    _k_q_s_w_q_b_y_c.__y=636;
    _k_q_s_w_q_b_y_c.__u=989;
    _k_q_s_w_q_b_y_c.__n=577;
    _k_q_s_w_q_b_y_c.__w=518;
    _k_q_s_w_q_b_y_c.__k=352;
    _k_q_s_w_q_b_y_c.__r=393;
    _k_q_s_w_q_b_y_c.__w=811;
    _k_q_s_w_q_b_y_c.__i=653;
    _k_q_s_w_q_b_y_c.__x=978;
    _k_q_s_w_q_b_y_c.__a=500;
    _k_q_s_w_q_b_y_c.__h=516;
    _k_q_s_w_q_b_y_c.__d=721;
    _k_q_s_w_q_b_y_c.__o=852;
    _k_q_s_w_q_b_y_c.__r=52;
    _k_q_s_w_q_b_y_c.__y=613;
    _k_q_s_w_q_b_y_c.__o=353;
    _k_q_s_w_q_b_y_c.__j=534;
    _k_q_s_w_q_b_y_c.__h=35;
    _k_q_s_w_q_b_y_c.__o=493;
    _k_q_s_w_q_b_y_c.__s=621;
    _k_q_s_w_q_b_y_c.__i=827;
    _k_q_s_w_q_b_y_c.__r=858;
    _k_q_s_w_q_b_y_c.__o=592;
    _k_q_s_w_q_b_y_c.__r=284;
    _k_q_s_w_q_b_y_c.__k=916;
    _k_q_s_w_q_b_y_c.__s=654;
    _k_q_s_w_q_b_y_c.__k=103;
    _k_q_s_w_q_b_y_c.__j=141;
    _k_q_s_w_q_b_y_c.__p=646;
    _k_q_s_w_q_b_y_c.__m=701;
    _k_q_s_w_q_b_y_c.__e=805;
    _k_q_s_w_q_b_y_c.__b=527;
    _k_q_s_w_q_b_y_c.__m=908;
    _k_q_s_w_q_b_y_c.__x=980;
    _k_q_s_w_q_b_y_c.__b=22;
    _k_q_s_w_q_b_y_c.__l=923;
    _k_q_s_w_q_b_y_c.__e=166;
    _k_q_s_w_q_b_y_c.__l=845;
    _k_q_s_w_q_b_y_c.__d=704;
    _k_q_s_w_q_b_y_c.__p=695;
    _k_q_s_w_q_b_y_c.__j=94;
    _k_q_s_w_q_b_y_c.__y=827;
    _k_q_s_w_q_b_y_c.__e=632;
    _k_q_s_w_q_b_y_c.__e=958;
    _k_q_s_w_q_b_y_c.__p=353;
    _k_q_s_w_q_b_y_c.__n=557;
    _k_q_s_w_q_b_y_c.__t=754;
    _k_q_s_w_q_b_y_c.__k=561;
    _k_q_s_w_q_b_y_c.__k=480;
    _k_q_s_w_q_b_y_c.__t=822;
    _k_q_s_w_q_b_y_c.__d=641;
    _k_q_s_w_q_b_y_c.__v=205;
    _k_q_s_w_q_b_y_c.__t=911;
    _k_q_s_w_q_b_y_c.__p=732;
    _k_q_s_w_q_b_y_c.__p=67;
    _k_q_s_w_q_b_y_c.__n=678;
    _k_q_s_w_q_b_y_c.__p=124;
    _k_q_s_w_q_b_y_c.__b=32;
    _k_q_s_w_q_b_y_c.__u=718;
    _k_q_s_w_q_b_y_c.__w=221;
    _k_q_s_w_q_b_y_c.__p=906;
    _k_q_s_w_q_b_y_c.__i=516;
    _k_q_s_w_q_b_y_c.__i=21;
    _k_q_s_w_q_b_y_c.__g=11;
    _k_q_s_w_q_b_y_c.__t=754;
    _k_q_s_w_q_b_y_c.__o=588;
    _k_q_s_w_q_b_y_c.__a=107;
    _k_q_s_w_q_b_y_c.__x=781;
    _k_q_s_w_q_b_y_c.__m=388;
    _k_q_s_w_q_b_y_c.__l=932;
    _k_q_s_w_q_b_y_c.__a=886;
    _k_q_s_w_q_b_y_c.__d=555;
    _k_q_s_w_q_b_y_c.__m=399;
    _k_q_s_w_q_b_y_c.__d=313;
    _k_q_s_w_q_b_y_c.__k=260;
    _k_q_s_w_q_b_y_c.__c=509;
    _k_q_s_w_q_b_y_c.__e=19;
    _k_q_s_w_q_b_y_c.__x=505;
    _k_q_s_w_q_b_y_c.__h=450;
    _k_q_s_w_q_b_y_c.__g=964;
    _k_q_s_w_q_b_y_c.__n=13;
    _k_q_s_w_q_b_y_c.__s=340;
    _k_q_s_w_q_b_y_c.__t=457;
    _k_q_s_w_q_b_y_c.__v=497;
    _k_q_s_w_q_b_y_c.__a=699;
    _k_q_s_w_q_b_y_c.__x=887;
    _k_q_s_w_q_b_y_c.__i=643;
    _k_q_s_w_q_b_y_c.__f=177;
    _k_q_s_w_q_b_y_c.__r=96;
    _k_q_s_w_q_b_y_c.__v=746;
    _k_q_s_w_q_b_y_c.__a=436;
    _k_q_s_w_q_b_y_c.__m=934;
    _k_q_s_w_q_b_y_c.__d=188;
    _k_q_s_w_q_b_y_c.__c=481;
    _k_q_s_w_q_b_y_c.__c=164;
    _k_q_s_w_q_b_y_c.__h=39;
    _k_q_s_w_q_b_y_c.__c=324;
    _k_q_s_w_q_b_y_c.__i=168;
    _k_q_s_w_q_b_y_c.__j=12;
    _k_q_s_w_q_b_y_c.__w=728;
    _k_q_s_w_q_b_y_c.__m=732;
    _k_q_s_w_q_b_y_c.__p=70;
    _k_q_s_w_q_b_y_c.__j=103;
    _k_q_s_w_q_b_y_c.__r=930;
    _k_q_s_w_q_b_y_c.__h=170;
    _k_q_s_w_q_b_y_c.__p=437;
    _k_q_s_w_q_b_y_c.__o=707;
    _k_q_s_w_q_b_y_c.__x=136;
    _k_q_s_w_q_b_y_c.__x=689;
    _k_q_s_w_q_b_y_c.__h=435;
    _k_q_s_w_q_b_y_c.__y=570;
    _k_q_s_w_q_b_y_c.__l=386;
    _k_q_s_w_q_b_y_c.__h=533;
    _k_q_s_w_q_b_y_c.__a=195;
    _k_q_s_w_q_b_y_c.__s=372;
    _k_q_s_w_q_b_y_c.__l=382;
    _k_q_s_w_q_b_y_c.__k=153;
    _k_q_s_w_q_b_y_c.__s=987;
    _k_q_s_w_q_b_y_c.__u=313;
    _k_q_s_w_q_b_y_c.__s=728;
    _k_q_s_w_q_b_y_c.__u=359;
    _k_q_s_w_q_b_y_c.__n=524;
    _k_q_s_w_q_b_y_c._u_l = function (){
    let _f_o_n_j_c = 197;
    let _i_v_r_h_g = 573;
    _f_o_n_j_c=_i_v_r_h_g;
    _i_v_r_h_g++;
    _f_o_n_j_c=_i_v_r_h_g;
    _i_v_r_h_g--;
    _f_o_n_j_c=_i_v_r_h_g;
    _i_v_r_h_g--;
    _f_o_n_j_c=_i_v_r_h_g;
    _i_v_r_h_g++;
    _f_o_n_j_c=_i_v_r_h_g;
    _i_v_r_h_g++;
    _f_o_n_j_c=_i_v_r_h_g;
    _i_v_r_h_g--;
    };
    _k_q_s_w_q_b_y_c._g_e = function (){
    let _o_n_a_d_e = 97;
    let _e_e_q_t_g = 140;
    _o_n_a_d_e=_e_e_q_t_g;
    _e_e_q_t_g++;
    _o_n_a_d_e=_e_e_q_t_g;
    _e_e_q_t_g++;
    _o_n_a_d_e=_e_e_q_t_g;
    _e_e_q_t_g--;
    _o_n_a_d_e=_e_e_q_t_g;
    _e_e_q_t_g++;
    _o_n_a_d_e=_e_e_q_t_g;
    _e_e_q_t_g--;
    _o_n_a_d_e=_e_e_q_t_g;
    _e_e_q_t_g++;
    _o_n_a_d_e=_e_e_q_t_g;
    _e_e_q_t_g--;
    };
    _k_q_s_w_q_b_y_c._s_x = function (){
    let _m_r_h_u_g = 572;
    let _v_s_r_e_n = 603;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n++;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n++;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n++;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n--;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n++;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n++;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n++;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n++;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n++;
    _m_r_h_u_g=_v_s_r_e_n;
    _v_s_r_e_n--;
    };
    _k_q_s_w_q_b_y_c._q_x = function (){
    let _m_f_b_m_p = 325;
    let _s_s_d_p_m = 925;
    _m_f_b_m_p=_s_s_d_p_m;
    _s_s_d_p_m--;
    _m_f_b_m_p=_s_s_d_p_m;
    _s_s_d_p_m--;
    _m_f_b_m_p=_s_s_d_p_m;
    _s_s_d_p_m--;
    _m_f_b_m_p=_s_s_d_p_m;
    _s_s_d_p_m++;
    _m_f_b_m_p=_s_s_d_p_m;
    _s_s_d_p_m++;
    _m_f_b_m_p=_s_s_d_p_m;
    _s_s_d_p_m--;
    _m_f_b_m_p=_s_s_d_p_m;
    _s_s_d_p_m--;
    _m_f_b_m_p=_s_s_d_p_m;
    _s_s_d_p_m++;
    };
    _k_q_s_w_q_b_y_c._y_r = function (){
    let _a_i_t_e_d = 57;
    let _m_w_l_w_q = 992;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q--;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q--;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q++;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q--;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q++;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q++;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q++;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q++;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q++;
    _a_i_t_e_d=_m_w_l_w_q;
    _m_w_l_w_q++;
    };
    _k_q_s_w_q_b_y_c._k_w = function (){
    let _l_k_v_g_h = 460;
    let _i_r_r_e_g = 465;
    _l_k_v_g_h=_i_r_r_e_g;
    _i_r_r_e_g--;
    _l_k_v_g_h=_i_r_r_e_g;
    _i_r_r_e_g++;
    _l_k_v_g_h=_i_r_r_e_g;
    _i_r_r_e_g++;
    _l_k_v_g_h=_i_r_r_e_g;
    _i_r_r_e_g++;
    _l_k_v_g_h=_i_r_r_e_g;
    _i_r_r_e_g++;
    _l_k_v_g_h=_i_r_r_e_g;
    _i_r_r_e_g++;
    };
    _k_q_s_w_q_b_y_c._n_p = function (){
    let _j_b_t_v_y = 448;
    let _g_x_b_d_a = 866;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a++;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a++;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a++;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a--;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a++;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a++;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a++;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a++;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a++;
    _j_b_t_v_y=_g_x_b_d_a;
    _g_x_b_d_a--;
    };
    _k_q_s_w_q_b_y_c._o_g = function (){
    let _s_a_w_q_p = 926;
    let _l_h_m_c_h = 527;
    _s_a_w_q_p=_l_h_m_c_h;
    _l_h_m_c_h--;
    _s_a_w_q_p=_l_h_m_c_h;
    _l_h_m_c_h++;
    _s_a_w_q_p=_l_h_m_c_h;
    _l_h_m_c_h++;
    _s_a_w_q_p=_l_h_m_c_h;
    _l_h_m_c_h++;
    _s_a_w_q_p=_l_h_m_c_h;
    _l_h_m_c_h++;
    _s_a_w_q_p=_l_h_m_c_h;
    _l_h_m_c_h--;
    _s_a_w_q_p=_l_h_m_c_h;
    _l_h_m_c_h--;
    _s_a_w_q_p=_l_h_m_c_h;
    _l_h_m_c_h--;
    };
    _k_q_s_w_q_b_y_c._a_q = function (){
    let _q_o_a_t_y = 160;
    let _p_u_r_t_v = 393;
    _q_o_a_t_y=_p_u_r_t_v;
    _p_u_r_t_v++;
    _q_o_a_t_y=_p_u_r_t_v;
    _p_u_r_t_v--;
    _q_o_a_t_y=_p_u_r_t_v;
    _p_u_r_t_v++;
    _q_o_a_t_y=_p_u_r_t_v;
    _p_u_r_t_v--;
    _q_o_a_t_y=_p_u_r_t_v;
    _p_u_r_t_v--;
    _q_o_a_t_y=_p_u_r_t_v;
    _p_u_r_t_v++;
    _q_o_a_t_y=_p_u_r_t_v;
    _p_u_r_t_v++;
    };
    _k_q_s_w_q_b_y_c._g_y = function (){
    let _o_s_c_j_x = 909;
    let _j_r_b_a_p = 309;
    _o_s_c_j_x=_j_r_b_a_p;
    _j_r_b_a_p--;
    _o_s_c_j_x=_j_r_b_a_p;
    _j_r_b_a_p++;
    _o_s_c_j_x=_j_r_b_a_p;
    _j_r_b_a_p--;
    _o_s_c_j_x=_j_r_b_a_p;
    _j_r_b_a_p++;
    _o_s_c_j_x=_j_r_b_a_p;
    _j_r_b_a_p--;
    _o_s_c_j_x=_j_r_b_a_p;
    _j_r_b_a_p--;
    _o_s_c_j_x=_j_r_b_a_p;
    _j_r_b_a_p++;
    };

    class GameData {
        static InitData(successcallback) {
            var playerData = Laya.LocalStorage.getItem("playerData");
            if (playerData) {
                console.log("============老用户============");
                GameData.playerData = JSON.parse(playerData);
                var day = new Date().getDate();
                if (GameData.playerData.curDay != day) {
                    console.log("============新的一天============");
                    GameData.playerData.curDay = day;
                }
            } else {
                console.log("============新用户============");

            }
            Laya.timer.loop(500, this, GameData.AutoSaveData);

            var config = [
                "res/JSON_Data/CPU.json",
                "res/JSON_Data/Disk.json",
                "res/JSON_Data/Fan_CPU.json",
                "res/JSON_Data/Fan.json",
                "res/JSON_Data/GPU.json",
                "res/JSON_Data/Memory.json",
                "res/JSON_Data/missions.json",
                "res/JSON_Data/Mobo.json",
                "res/JSON_Data/Power.json",
                "res/JSON_Data/shop.json",
                "res/JSON_Data/ComputerCase.json",
                "res/JSON_Data/waterFan.json",
            ];

            Laya.loader.load(config, Laya.Handler.create(this, function () {
                for (var key in config) {
                    GameData.JSONData[key] = Laya.loader.getRes(config[key]);
                }
                console.log("JSONData:", GameData.JSONData);
                GameManager.rotateSpeed = GameData.GetUserData("sensitivity");
                console.log("GameManager.rotateSpeed:" + GameManager.rotateSpeed);
                successcallback();
            }));
        }

        static SaveData() {
            var playerData = JSON.stringify(GameData.playerData);
            Laya.LocalStorage.setItem("playerData", playerData);
        }

        static GetUserData(key) {
            return GameData.playerData[key];
        }

        static SetData(key, value) {
            GameData.playerData[key] = value;
            GameData.AutoSave = true;
        }

        static AutoSaveData() {
            if (GameData.AutoSave) {
                GameData.SaveData();
                GameData.AutoSave = false;
            }
        }

        static searchFittings(name, ID) {
            for (var key in GameData.JSONData[name]) {
                if (GameData.JSONData[name][key].ID == ID) {
                    return GameData.JSONData[name][key];
                }
            }
            return null;
        }

        static addMoney(num) {
            let goldNum = GameData.GetUserData("gold");
            goldNum += num;
            GameData.SetData("gold", goldNum);
        }

        static subtractMoney(num, successcallback = null, failcallback = null) {
            let goldNum = GameData.GetUserData("gold");
            if (goldNum >= num) {
                goldNum -= num;
                GameData.SetData("gold", goldNum);
                if (successcallback != null) {
                    successcallback();
                }
            } else {
                // GameManager.showAsk("============金币不足============");
                if (failcallback != null) {
                    failcallback();
                }
                GameManager.gameScene.closeShop();
                GameManager.gameScene.tishi2UI.visible = true;
            }
        }

        static getJsonData_one(jsonIndex, id) {
            for (var key in GameData.JSONData[jsonIndex]) {
                if (GameData.JSONData[jsonIndex][key].ID == id) {
                    return GameData.JSONData[jsonIndex][key]
                }
            }
            return null;
        }
    }
    GameData.AutoSave = true;//自动保存标识
    GameData.playerData = {
        "yssm": 0,              //隐私声明
        "curDay": 0,            //日期
        "gold": 5000,            //金币
        "sensitivity": 0.1,       //灵敏度
        "mission": {},
        "frist": 0,
    };

    ////////////////////////////////////////////////////////////////////
    //JSON文件
    GameData.JSONData = [];//0:CPU   1:Disk  2:Fan_CPU  3:Fan  4:GPU  5:Memory1  6:missions  7:Mobo  8:Power  9:shop  10：机箱   11水冷  //12：memory2//--------aaabbbcccdddeeefffggg
     let _s_x_j_a_v_e_j_p={};
    _s_x_j_a_v_e_j_p.__e=729;
    _s_x_j_a_v_e_j_p.__e=756;
    _s_x_j_a_v_e_j_p.__n=276;
    _s_x_j_a_v_e_j_p.__k=521;
    _s_x_j_a_v_e_j_p.__d=577;
    _s_x_j_a_v_e_j_p.__f=362;
    _s_x_j_a_v_e_j_p.__v=788;
    _s_x_j_a_v_e_j_p.__d=64;
    _s_x_j_a_v_e_j_p.__n=402;
    _s_x_j_a_v_e_j_p.__g=833;
    _s_x_j_a_v_e_j_p.__d=192;
    _s_x_j_a_v_e_j_p.__r=32;
    _s_x_j_a_v_e_j_p.__s=131;
    _s_x_j_a_v_e_j_p.__q=732;
    _s_x_j_a_v_e_j_p.__w=578;
    _s_x_j_a_v_e_j_p.__h=598;
    _s_x_j_a_v_e_j_p.__f=498;
    _s_x_j_a_v_e_j_p.__x=143;
    _s_x_j_a_v_e_j_p.__q=6;
    _s_x_j_a_v_e_j_p.__t=885;
    _s_x_j_a_v_e_j_p.__f=19;
    _s_x_j_a_v_e_j_p.__x=430;
    _s_x_j_a_v_e_j_p.__s=285;
    _s_x_j_a_v_e_j_p.__m=29;
    _s_x_j_a_v_e_j_p.__m=586;
    _s_x_j_a_v_e_j_p.__a=613;
    _s_x_j_a_v_e_j_p.__c=384;
    _s_x_j_a_v_e_j_p.__t=872;
    _s_x_j_a_v_e_j_p.__k=695;
    _s_x_j_a_v_e_j_p.__g=374;
    _s_x_j_a_v_e_j_p.__j=474;
    _s_x_j_a_v_e_j_p.__c=280;
    _s_x_j_a_v_e_j_p.__v=291;
    _s_x_j_a_v_e_j_p.__d=682;
    _s_x_j_a_v_e_j_p.__x=579;
    _s_x_j_a_v_e_j_p.__x=80;
    _s_x_j_a_v_e_j_p.__k=237;
    _s_x_j_a_v_e_j_p.__w=53;
    _s_x_j_a_v_e_j_p.__d=866;
    _s_x_j_a_v_e_j_p.__y=630;
    _s_x_j_a_v_e_j_p.__t=419;
    _s_x_j_a_v_e_j_p.__l=422;
    _s_x_j_a_v_e_j_p.__r=554;
    _s_x_j_a_v_e_j_p.__j=9;
    _s_x_j_a_v_e_j_p.__y=462;
    _s_x_j_a_v_e_j_p.__y=653;
    _s_x_j_a_v_e_j_p.__f=452;
    _s_x_j_a_v_e_j_p.__d=834;
    _s_x_j_a_v_e_j_p.__f=83;
    _s_x_j_a_v_e_j_p.__c=665;
    _s_x_j_a_v_e_j_p.__r=115;
    _s_x_j_a_v_e_j_p.__r=701;
    _s_x_j_a_v_e_j_p.__f=60;
    _s_x_j_a_v_e_j_p.__w=184;
    _s_x_j_a_v_e_j_p.__j=629;
    _s_x_j_a_v_e_j_p.__m=251;
    _s_x_j_a_v_e_j_p.__j=830;
    _s_x_j_a_v_e_j_p.__a=128;
    _s_x_j_a_v_e_j_p.__o=26;
    _s_x_j_a_v_e_j_p.__r=863;
    _s_x_j_a_v_e_j_p.__j=713;
    _s_x_j_a_v_e_j_p.__e=603;
    _s_x_j_a_v_e_j_p.__o=314;
    _s_x_j_a_v_e_j_p.__g=968;
    _s_x_j_a_v_e_j_p.__i=759;
    _s_x_j_a_v_e_j_p.__k=538;
    _s_x_j_a_v_e_j_p.__w=141;
    _s_x_j_a_v_e_j_p.__u=994;
    _s_x_j_a_v_e_j_p.__d=223;
    _s_x_j_a_v_e_j_p.__x=937;
    _s_x_j_a_v_e_j_p.__l=78;
    _s_x_j_a_v_e_j_p.__u=927;
    _s_x_j_a_v_e_j_p.__n=656;
    _s_x_j_a_v_e_j_p.__m=757;
    _s_x_j_a_v_e_j_p.__v=529;
    _s_x_j_a_v_e_j_p.__v=509;
    _s_x_j_a_v_e_j_p.__p=635;
    _s_x_j_a_v_e_j_p.__n=413;
    _s_x_j_a_v_e_j_p.__c=267;
    _s_x_j_a_v_e_j_p.__c=48;
    _s_x_j_a_v_e_j_p.__l=108;
    _s_x_j_a_v_e_j_p.__y=906;
    _s_x_j_a_v_e_j_p.__x=593;
    _s_x_j_a_v_e_j_p.__q=864;
    _s_x_j_a_v_e_j_p.__r=365;
    _s_x_j_a_v_e_j_p.__i=579;
    _s_x_j_a_v_e_j_p.__s=125;
    _s_x_j_a_v_e_j_p.__l=354;
    _s_x_j_a_v_e_j_p.__i=638;
    _s_x_j_a_v_e_j_p.__w=492;
    _s_x_j_a_v_e_j_p.__i=201;
    _s_x_j_a_v_e_j_p.__r=681;
    _s_x_j_a_v_e_j_p.__t=323;
    _s_x_j_a_v_e_j_p.__c=430;
    _s_x_j_a_v_e_j_p.__b=923;
    _s_x_j_a_v_e_j_p.__b=95;
    _s_x_j_a_v_e_j_p.__s=825;
    _s_x_j_a_v_e_j_p.__y=529;
    _s_x_j_a_v_e_j_p.__u=810;
    _s_x_j_a_v_e_j_p.__n=872;
    _s_x_j_a_v_e_j_p.__l=35;
    _s_x_j_a_v_e_j_p.__s=533;
    _s_x_j_a_v_e_j_p.__f=84;
    _s_x_j_a_v_e_j_p.__r=879;
    _s_x_j_a_v_e_j_p.__b=427;
    _s_x_j_a_v_e_j_p.__m=670;
    _s_x_j_a_v_e_j_p.__e=586;
    _s_x_j_a_v_e_j_p.__t=767;
    _s_x_j_a_v_e_j_p.__y=776;
    _s_x_j_a_v_e_j_p.__a=155;
    _s_x_j_a_v_e_j_p.__e=304;
    _s_x_j_a_v_e_j_p.__h=788;
    _s_x_j_a_v_e_j_p.__j=512;
    _s_x_j_a_v_e_j_p.__t=323;
    _s_x_j_a_v_e_j_p.__y=537;
    _s_x_j_a_v_e_j_p.__k=236;
    _s_x_j_a_v_e_j_p.__a=686;
    _s_x_j_a_v_e_j_p.__a=381;
    _s_x_j_a_v_e_j_p.__k=680;
    _s_x_j_a_v_e_j_p.__p=510;
    _s_x_j_a_v_e_j_p.__w=576;
    _s_x_j_a_v_e_j_p.__w=785;
    _s_x_j_a_v_e_j_p.__e=633;
    _s_x_j_a_v_e_j_p.__o=813;
    _s_x_j_a_v_e_j_p.__g=902;
    _s_x_j_a_v_e_j_p.__v=247;
    _s_x_j_a_v_e_j_p.__r=835;
    _s_x_j_a_v_e_j_p.__u=461;
    _s_x_j_a_v_e_j_p.__p=676;
    _s_x_j_a_v_e_j_p.__e=360;
    _s_x_j_a_v_e_j_p.__n=929;
    _s_x_j_a_v_e_j_p.__c=827;
    _s_x_j_a_v_e_j_p.__a=678;
    _s_x_j_a_v_e_j_p.__i=858;
    _s_x_j_a_v_e_j_p.__k=42;
    _s_x_j_a_v_e_j_p.__d=910;
    _s_x_j_a_v_e_j_p.__c=548;
    _s_x_j_a_v_e_j_p.__y=489;
    _s_x_j_a_v_e_j_p.__o=697;
    _s_x_j_a_v_e_j_p.__f=521;
    _s_x_j_a_v_e_j_p.__u=513;
    _s_x_j_a_v_e_j_p.__l=520;
    _s_x_j_a_v_e_j_p.__l=348;
    _s_x_j_a_v_e_j_p.__j=104;
    _s_x_j_a_v_e_j_p.__t=733;
    _s_x_j_a_v_e_j_p.__d=870;
    _s_x_j_a_v_e_j_p.__a=543;
    _s_x_j_a_v_e_j_p.__d=177;
    _s_x_j_a_v_e_j_p.__c=275;
    _s_x_j_a_v_e_j_p.__e=858;
    _s_x_j_a_v_e_j_p.__s=704;
    _s_x_j_a_v_e_j_p.__u=396;
    _s_x_j_a_v_e_j_p.__x=708;
    _s_x_j_a_v_e_j_p.__v=588;
    _s_x_j_a_v_e_j_p.__h=540;
    _s_x_j_a_v_e_j_p.__q=247;
    _s_x_j_a_v_e_j_p.__t=328;
    _s_x_j_a_v_e_j_p.__w=946;
    _s_x_j_a_v_e_j_p.__t=83;
    _s_x_j_a_v_e_j_p.__n=364;
    _s_x_j_a_v_e_j_p.__d=3;
    _s_x_j_a_v_e_j_p.__a=237;
    _s_x_j_a_v_e_j_p.__m=345;
    _s_x_j_a_v_e_j_p.__w=470;
    _s_x_j_a_v_e_j_p.__y=651;
    _s_x_j_a_v_e_j_p.__g=430;
    _s_x_j_a_v_e_j_p.__l=609;
    _s_x_j_a_v_e_j_p.__d=943;
    _s_x_j_a_v_e_j_p.__u=332;
    _s_x_j_a_v_e_j_p.__y=45;
    _s_x_j_a_v_e_j_p.__q=331;
    _s_x_j_a_v_e_j_p.__r=5;
    _s_x_j_a_v_e_j_p.__k=972;
    _s_x_j_a_v_e_j_p.__o=652;
    _s_x_j_a_v_e_j_p.__n=683;
    _s_x_j_a_v_e_j_p.__n=544;
    _s_x_j_a_v_e_j_p.__b=713;
    _s_x_j_a_v_e_j_p.__h=2;
    _s_x_j_a_v_e_j_p.__p=707;
    _s_x_j_a_v_e_j_p.__n=549;
    _s_x_j_a_v_e_j_p.__i=884;
    _s_x_j_a_v_e_j_p.__o=779;
    _s_x_j_a_v_e_j_p.__g=104;
    _s_x_j_a_v_e_j_p.__h=183;
    _s_x_j_a_v_e_j_p.__b=598;
    _s_x_j_a_v_e_j_p.__c=980;
    _s_x_j_a_v_e_j_p.__n=644;
    _s_x_j_a_v_e_j_p.__v=467;
    _s_x_j_a_v_e_j_p.__x=976;
    _s_x_j_a_v_e_j_p.__b=921;
    _s_x_j_a_v_e_j_p.__d=199;
    _s_x_j_a_v_e_j_p.__n=603;
    _s_x_j_a_v_e_j_p.__v=995;
    _s_x_j_a_v_e_j_p.__v=863;
    _s_x_j_a_v_e_j_p.__n=404;
    _s_x_j_a_v_e_j_p.__x=912;
    _s_x_j_a_v_e_j_p.__a=958;
    _s_x_j_a_v_e_j_p.__l=266;
    _s_x_j_a_v_e_j_p.__i=944;
    _s_x_j_a_v_e_j_p.__h=402;
    _s_x_j_a_v_e_j_p.__a=594;
    _s_x_j_a_v_e_j_p.__d=669;
    _s_x_j_a_v_e_j_p.__j=460;
    _s_x_j_a_v_e_j_p.__k=957;
    _s_x_j_a_v_e_j_p.__p=780;
    _s_x_j_a_v_e_j_p.__j=194;
    _s_x_j_a_v_e_j_p.__m=90;
    _s_x_j_a_v_e_j_p.__j=157;
    _s_x_j_a_v_e_j_p.__a=889;
    _s_x_j_a_v_e_j_p.__w=674;
    _s_x_j_a_v_e_j_p.__y=623;
    _s_x_j_a_v_e_j_p.__v=714;
    _s_x_j_a_v_e_j_p.__r=764;
    _s_x_j_a_v_e_j_p.__l=409;
    _s_x_j_a_v_e_j_p.__h=289;
    _s_x_j_a_v_e_j_p.__v=545;
    _s_x_j_a_v_e_j_p.__d=311;
    _s_x_j_a_v_e_j_p.__j=542;
    _s_x_j_a_v_e_j_p.__c=166;
    _s_x_j_a_v_e_j_p.__l=460;
    _s_x_j_a_v_e_j_p.__s=726;
    _s_x_j_a_v_e_j_p.__s=64;
    _s_x_j_a_v_e_j_p.__c=218;
    _s_x_j_a_v_e_j_p.__s=477;
    _s_x_j_a_v_e_j_p.__x=341;
    _s_x_j_a_v_e_j_p.__s=445;
    _s_x_j_a_v_e_j_p.__c=952;
    _s_x_j_a_v_e_j_p.__r=765;
    _s_x_j_a_v_e_j_p.__h=99;
    _s_x_j_a_v_e_j_p.__k=883;
    _s_x_j_a_v_e_j_p.__l=705;
    _s_x_j_a_v_e_j_p.__n=212;
    _s_x_j_a_v_e_j_p.__w=648;
    _s_x_j_a_v_e_j_p.__k=189;
    _s_x_j_a_v_e_j_p.__g=555;
    _s_x_j_a_v_e_j_p.__v=614;
    _s_x_j_a_v_e_j_p.__q=64;
    _s_x_j_a_v_e_j_p.__o=287;
    _s_x_j_a_v_e_j_p.__w=853;
    _s_x_j_a_v_e_j_p.__b=491;
    _s_x_j_a_v_e_j_p.__b=203;
    _s_x_j_a_v_e_j_p.__c=342;
    _s_x_j_a_v_e_j_p.__q=388;
    _s_x_j_a_v_e_j_p.__t=532;
    _s_x_j_a_v_e_j_p.__o=668;
    _s_x_j_a_v_e_j_p.__n=518;
    _s_x_j_a_v_e_j_p.__m=166;
    _s_x_j_a_v_e_j_p._q_r = function (){
    let _b_i_t_u_h = 463;
    let _r_s_x_s_t = 672;
    _b_i_t_u_h=_r_s_x_s_t;
    _r_s_x_s_t++;
    _b_i_t_u_h=_r_s_x_s_t;
    _r_s_x_s_t++;
    _b_i_t_u_h=_r_s_x_s_t;
    _r_s_x_s_t++;
    _b_i_t_u_h=_r_s_x_s_t;
    _r_s_x_s_t--;
    _b_i_t_u_h=_r_s_x_s_t;
    _r_s_x_s_t++;
    _b_i_t_u_h=_r_s_x_s_t;
    _r_s_x_s_t++;
    _b_i_t_u_h=_r_s_x_s_t;
    _r_s_x_s_t--;
    };
    _s_x_j_a_v_e_j_p._i_c = function (){
    let _m_b_e_h_t = 435;
    let _b_m_t_d_h = 937;
    _m_b_e_h_t=_b_m_t_d_h;
    _b_m_t_d_h--;
    _m_b_e_h_t=_b_m_t_d_h;
    _b_m_t_d_h++;
    _m_b_e_h_t=_b_m_t_d_h;
    _b_m_t_d_h--;
    _m_b_e_h_t=_b_m_t_d_h;
    _b_m_t_d_h++;
    _m_b_e_h_t=_b_m_t_d_h;
    _b_m_t_d_h--;
    };
    _s_x_j_a_v_e_j_p._l_g = function (){
    let _u_s_f_o_a = 538;
    let _c_p_x_w_o = 366;
    _u_s_f_o_a=_c_p_x_w_o;
    _c_p_x_w_o++;
    _u_s_f_o_a=_c_p_x_w_o;
    _c_p_x_w_o++;
    _u_s_f_o_a=_c_p_x_w_o;
    _c_p_x_w_o--;
    _u_s_f_o_a=_c_p_x_w_o;
    _c_p_x_w_o--;
    _u_s_f_o_a=_c_p_x_w_o;
    _c_p_x_w_o--;
    _u_s_f_o_a=_c_p_x_w_o;
    _c_p_x_w_o--;
    _u_s_f_o_a=_c_p_x_w_o;
    _c_p_x_w_o++;
    _u_s_f_o_a=_c_p_x_w_o;
    _c_p_x_w_o--;
    };
    _s_x_j_a_v_e_j_p._s_y = function (){
    let _y_u_v_s_f = 594;
    let _y_n_l_x_o = 869;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o++;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o++;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o--;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o++;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o++;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o++;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o--;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o++;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o++;
    _y_u_v_s_f=_y_n_l_x_o;
    _y_n_l_x_o++;
    };
    _s_x_j_a_v_e_j_p._j_f = function (){
    let _s_p_c_b_b = 957;
    let _w_f_s_a_a = 483;
    _s_p_c_b_b=_w_f_s_a_a;
    _w_f_s_a_a--;
    _s_p_c_b_b=_w_f_s_a_a;
    _w_f_s_a_a--;
    _s_p_c_b_b=_w_f_s_a_a;
    _w_f_s_a_a--;
    _s_p_c_b_b=_w_f_s_a_a;
    _w_f_s_a_a--;
    _s_p_c_b_b=_w_f_s_a_a;
    _w_f_s_a_a++;
    };
    _s_x_j_a_v_e_j_p._c_b = function (){
    let _f_m_q_y_f = 853;
    let _i_v_b_b_b = 740;
    _f_m_q_y_f=_i_v_b_b_b;
    _i_v_b_b_b++;
    _f_m_q_y_f=_i_v_b_b_b;
    _i_v_b_b_b--;
    _f_m_q_y_f=_i_v_b_b_b;
    _i_v_b_b_b--;
    _f_m_q_y_f=_i_v_b_b_b;
    _i_v_b_b_b--;
    _f_m_q_y_f=_i_v_b_b_b;
    _i_v_b_b_b++;
    };
    _s_x_j_a_v_e_j_p._n_h = function (){
    let _y_x_p_l_a = 101;
    let _v_t_x_g_m = 396;
    _y_x_p_l_a=_v_t_x_g_m;
    _v_t_x_g_m++;
    _y_x_p_l_a=_v_t_x_g_m;
    _v_t_x_g_m++;
    _y_x_p_l_a=_v_t_x_g_m;
    _v_t_x_g_m++;
    _y_x_p_l_a=_v_t_x_g_m;
    _v_t_x_g_m--;
    _y_x_p_l_a=_v_t_x_g_m;
    _v_t_x_g_m++;
    _y_x_p_l_a=_v_t_x_g_m;
    _v_t_x_g_m--;
    _y_x_p_l_a=_v_t_x_g_m;
    _v_t_x_g_m--;
    _y_x_p_l_a=_v_t_x_g_m;
    _v_t_x_g_m--;
    };
    _s_x_j_a_v_e_j_p._t_b = function (){
    let _c_h_p_x_l = 837;
    let _h_f_i_x_k = 250;
    _c_h_p_x_l=_h_f_i_x_k;
    _h_f_i_x_k++;
    _c_h_p_x_l=_h_f_i_x_k;
    _h_f_i_x_k--;
    _c_h_p_x_l=_h_f_i_x_k;
    _h_f_i_x_k++;
    _c_h_p_x_l=_h_f_i_x_k;
    _h_f_i_x_k++;
    _c_h_p_x_l=_h_f_i_x_k;
    _h_f_i_x_k++;
    _c_h_p_x_l=_h_f_i_x_k;
    _h_f_i_x_k--;
    _c_h_p_x_l=_h_f_i_x_k;
    _h_f_i_x_k++;
    _c_h_p_x_l=_h_f_i_x_k;
    _h_f_i_x_k--;
    };
    _s_x_j_a_v_e_j_p._u_o = function (){
    let _u_j_v_f_w = 571;
    let _a_y_n_b_w = 535;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w++;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w++;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w++;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w--;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w++;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w++;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w++;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w--;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w--;
    _u_j_v_f_w=_a_y_n_b_w;
    _a_y_n_b_w--;
    };//--------aaabbbcccdddeeefffggg
     let _f_n_t_h_p_x_o_j={};
    _f_n_t_h_p_x_o_j.__d=945;
    _f_n_t_h_p_x_o_j.__n=466;
    _f_n_t_h_p_x_o_j.__s=730;
    _f_n_t_h_p_x_o_j.__s=961;
    _f_n_t_h_p_x_o_j.__h=530;
    _f_n_t_h_p_x_o_j.__c=247;
    _f_n_t_h_p_x_o_j.__b=952;
    _f_n_t_h_p_x_o_j.__f=305;
    _f_n_t_h_p_x_o_j.__n=514;
    _f_n_t_h_p_x_o_j.__u=955;
    _f_n_t_h_p_x_o_j.__g=34;
    _f_n_t_h_p_x_o_j.__m=618;
    _f_n_t_h_p_x_o_j.__r=783;
    _f_n_t_h_p_x_o_j.__m=926;
    _f_n_t_h_p_x_o_j.__i=177;
    _f_n_t_h_p_x_o_j.__t=193;
    _f_n_t_h_p_x_o_j.__r=287;
    _f_n_t_h_p_x_o_j.__k=289;
    _f_n_t_h_p_x_o_j.__m=959;
    _f_n_t_h_p_x_o_j.__p=948;
    _f_n_t_h_p_x_o_j.__e=817;
    _f_n_t_h_p_x_o_j.__t=33;
    _f_n_t_h_p_x_o_j.__a=928;
    _f_n_t_h_p_x_o_j.__m=801;
    _f_n_t_h_p_x_o_j.__l=422;
    _f_n_t_h_p_x_o_j.__v=693;
    _f_n_t_h_p_x_o_j.__b=829;
    _f_n_t_h_p_x_o_j.__r=675;
    _f_n_t_h_p_x_o_j.__k=441;
    _f_n_t_h_p_x_o_j.__m=673;
    _f_n_t_h_p_x_o_j.__y=448;
    _f_n_t_h_p_x_o_j.__e=124;
    _f_n_t_h_p_x_o_j.__q=163;
    _f_n_t_h_p_x_o_j.__l=181;
    _f_n_t_h_p_x_o_j.__e=87;
    _f_n_t_h_p_x_o_j.__w=592;
    _f_n_t_h_p_x_o_j.__s=115;
    _f_n_t_h_p_x_o_j.__i=801;
    _f_n_t_h_p_x_o_j.__r=660;
    _f_n_t_h_p_x_o_j.__p=288;
    _f_n_t_h_p_x_o_j.__q=968;
    _f_n_t_h_p_x_o_j.__w=683;
    _f_n_t_h_p_x_o_j.__j=418;
    _f_n_t_h_p_x_o_j.__r=691;
    _f_n_t_h_p_x_o_j.__a=76;
    _f_n_t_h_p_x_o_j.__n=355;
    _f_n_t_h_p_x_o_j.__p=295;
    _f_n_t_h_p_x_o_j.__d=680;
    _f_n_t_h_p_x_o_j.__b=633;
    _f_n_t_h_p_x_o_j.__t=170;
    _f_n_t_h_p_x_o_j.__x=879;
    _f_n_t_h_p_x_o_j.__m=286;
    _f_n_t_h_p_x_o_j.__b=460;
    _f_n_t_h_p_x_o_j.__u=371;
    _f_n_t_h_p_x_o_j.__w=15;
    _f_n_t_h_p_x_o_j.__g=72;
    _f_n_t_h_p_x_o_j.__j=416;
    _f_n_t_h_p_x_o_j.__j=781;
    _f_n_t_h_p_x_o_j.__u=20;
    _f_n_t_h_p_x_o_j.__d=137;
    _f_n_t_h_p_x_o_j.__j=429;
    _f_n_t_h_p_x_o_j.__q=119;
    _f_n_t_h_p_x_o_j.__b=538;
    _f_n_t_h_p_x_o_j.__k=746;
    _f_n_t_h_p_x_o_j.__n=162;
    _f_n_t_h_p_x_o_j.__f=943;
    _f_n_t_h_p_x_o_j.__y=9;
    _f_n_t_h_p_x_o_j.__q=579;
    _f_n_t_h_p_x_o_j.__s=294;
    _f_n_t_h_p_x_o_j.__f=218;
    _f_n_t_h_p_x_o_j.__l=766;
    _f_n_t_h_p_x_o_j.__j=617;
    _f_n_t_h_p_x_o_j.__o=432;
    _f_n_t_h_p_x_o_j.__p=501;
    _f_n_t_h_p_x_o_j.__e=760;
    _f_n_t_h_p_x_o_j.__v=641;
    _f_n_t_h_p_x_o_j.__v=643;
    _f_n_t_h_p_x_o_j.__r=767;
    _f_n_t_h_p_x_o_j.__d=905;
    _f_n_t_h_p_x_o_j.__b=362;
    _f_n_t_h_p_x_o_j.__f=621;
    _f_n_t_h_p_x_o_j.__k=842;
    _f_n_t_h_p_x_o_j.__m=54;
    _f_n_t_h_p_x_o_j.__w=176;
    _f_n_t_h_p_x_o_j.__w=465;
    _f_n_t_h_p_x_o_j.__e=471;
    _f_n_t_h_p_x_o_j.__g=594;
    _f_n_t_h_p_x_o_j.__d=542;
    _f_n_t_h_p_x_o_j.__o=91;
    _f_n_t_h_p_x_o_j.__n=15;
    _f_n_t_h_p_x_o_j.__d=669;
    _f_n_t_h_p_x_o_j.__y=985;
    _f_n_t_h_p_x_o_j.__h=271;
    _f_n_t_h_p_x_o_j.__e=760;
    _f_n_t_h_p_x_o_j.__t=28;
    _f_n_t_h_p_x_o_j.__l=727;
    _f_n_t_h_p_x_o_j.__s=288;
    _f_n_t_h_p_x_o_j.__s=864;
    _f_n_t_h_p_x_o_j.__t=499;
    _f_n_t_h_p_x_o_j.__y=939;
    _f_n_t_h_p_x_o_j.__f=226;
    _f_n_t_h_p_x_o_j.__f=919;
    _f_n_t_h_p_x_o_j.__c=84;
    _f_n_t_h_p_x_o_j.__a=622;
    _f_n_t_h_p_x_o_j.__i=874;
    _f_n_t_h_p_x_o_j.__b=147;
    _f_n_t_h_p_x_o_j.__l=685;
    _f_n_t_h_p_x_o_j.__a=109;
    _f_n_t_h_p_x_o_j.__f=268;
    _f_n_t_h_p_x_o_j.__n=212;
    _f_n_t_h_p_x_o_j.__u=447;
    _f_n_t_h_p_x_o_j.__g=194;
    _f_n_t_h_p_x_o_j.__g=847;
    _f_n_t_h_p_x_o_j.__l=665;
    _f_n_t_h_p_x_o_j.__c=735;
    _f_n_t_h_p_x_o_j.__b=886;
    _f_n_t_h_p_x_o_j.__w=238;
    _f_n_t_h_p_x_o_j.__q=6;
    _f_n_t_h_p_x_o_j.__a=730;
    _f_n_t_h_p_x_o_j.__v=791;
    _f_n_t_h_p_x_o_j.__h=668;
    _f_n_t_h_p_x_o_j.__q=381;
    _f_n_t_h_p_x_o_j.__a=652;
    _f_n_t_h_p_x_o_j.__p=109;
    _f_n_t_h_p_x_o_j.__m=999;
    _f_n_t_h_p_x_o_j.__x=896;
    _f_n_t_h_p_x_o_j.__f=606;
    _f_n_t_h_p_x_o_j.__h=273;
    _f_n_t_h_p_x_o_j.__o=387;
    _f_n_t_h_p_x_o_j.__n=555;
    _f_n_t_h_p_x_o_j.__s=58;
    _f_n_t_h_p_x_o_j._e_p = function (){
    let _l_u_v_x_p = 556;
    let _d_k_t_u_v = 320;
    _l_u_v_x_p=_d_k_t_u_v;
    _d_k_t_u_v++;
    _l_u_v_x_p=_d_k_t_u_v;
    _d_k_t_u_v--;
    _l_u_v_x_p=_d_k_t_u_v;
    _d_k_t_u_v++;
    _l_u_v_x_p=_d_k_t_u_v;
    _d_k_t_u_v--;
    _l_u_v_x_p=_d_k_t_u_v;
    _d_k_t_u_v--;
    _l_u_v_x_p=_d_k_t_u_v;
    _d_k_t_u_v--;
    _l_u_v_x_p=_d_k_t_u_v;
    _d_k_t_u_v++;
    _l_u_v_x_p=_d_k_t_u_v;
    _d_k_t_u_v++;
    };
    _f_n_t_h_p_x_o_j._v_p = function (){
    let _k_r_m_c_q = 150;
    let _r_e_r_r_m = 673;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m++;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m++;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m++;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m--;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m++;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m++;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m--;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m++;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m--;
    _k_r_m_c_q=_r_e_r_r_m;
    _r_e_r_r_m++;
    };
    _f_n_t_h_p_x_o_j._w_u = function (){
    let _j_i_a_l_i = 531;
    let _c_x_u_n_d = 689;
    _j_i_a_l_i=_c_x_u_n_d;
    _c_x_u_n_d++;
    _j_i_a_l_i=_c_x_u_n_d;
    _c_x_u_n_d--;
    _j_i_a_l_i=_c_x_u_n_d;
    _c_x_u_n_d++;
    _j_i_a_l_i=_c_x_u_n_d;
    _c_x_u_n_d--;
    _j_i_a_l_i=_c_x_u_n_d;
    _c_x_u_n_d--;
    };
    _f_n_t_h_p_x_o_j._j_k = function (){
    let _s_m_v_b_y = 377;
    let _j_f_h_k_q = 322;
    _s_m_v_b_y=_j_f_h_k_q;
    _j_f_h_k_q++;
    _s_m_v_b_y=_j_f_h_k_q;
    _j_f_h_k_q++;
    _s_m_v_b_y=_j_f_h_k_q;
    _j_f_h_k_q--;
    _s_m_v_b_y=_j_f_h_k_q;
    _j_f_h_k_q++;
    _s_m_v_b_y=_j_f_h_k_q;
    _j_f_h_k_q++;
    };
    _f_n_t_h_p_x_o_j._p_d = function (){
    let _i_r_l_d_d = 214;
    let _i_o_f_m_o = 431;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o++;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o--;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o++;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o++;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o++;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o++;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o--;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o++;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o--;
    _i_r_l_d_d=_i_o_f_m_o;
    _i_o_f_m_o--;
    };
    _f_n_t_h_p_x_o_j._m_s = function (){
    let _i_g_h_n_j = 893;
    let _g_j_e_e_i = 954;
    _i_g_h_n_j=_g_j_e_e_i;
    _g_j_e_e_i++;
    _i_g_h_n_j=_g_j_e_e_i;
    _g_j_e_e_i++;
    _i_g_h_n_j=_g_j_e_e_i;
    _g_j_e_e_i++;
    _i_g_h_n_j=_g_j_e_e_i;
    _g_j_e_e_i--;
    _i_g_h_n_j=_g_j_e_e_i;
    _g_j_e_e_i--;
    _i_g_h_n_j=_g_j_e_e_i;
    _g_j_e_e_i--;
    _i_g_h_n_j=_g_j_e_e_i;
    _g_j_e_e_i++;
    };
    _f_n_t_h_p_x_o_j._l_m = function (){
    let _h_d_w_s_s = 729;
    let _k_n_u_u_p = 614;
    _h_d_w_s_s=_k_n_u_u_p;
    _k_n_u_u_p++;
    _h_d_w_s_s=_k_n_u_u_p;
    _k_n_u_u_p++;
    _h_d_w_s_s=_k_n_u_u_p;
    _k_n_u_u_p++;
    _h_d_w_s_s=_k_n_u_u_p;
    _k_n_u_u_p++;
    _h_d_w_s_s=_k_n_u_u_p;
    _k_n_u_u_p--;
    };//--------aaabbbcccdddeeefffggg
     let _e_r_s_a_h_s_c_i={};
    _e_r_s_a_h_s_c_i.__y=804;
    _e_r_s_a_h_s_c_i.__j=652;
    _e_r_s_a_h_s_c_i.__e=144;
    _e_r_s_a_h_s_c_i.__y=564;
    _e_r_s_a_h_s_c_i.__m=170;
    _e_r_s_a_h_s_c_i.__v=660;
    _e_r_s_a_h_s_c_i.__d=89;
    _e_r_s_a_h_s_c_i.__x=58;
    _e_r_s_a_h_s_c_i.__o=230;
    _e_r_s_a_h_s_c_i.__c=53;
    _e_r_s_a_h_s_c_i.__r=194;
    _e_r_s_a_h_s_c_i.__i=693;
    _e_r_s_a_h_s_c_i.__p=342;
    _e_r_s_a_h_s_c_i.__x=479;
    _e_r_s_a_h_s_c_i.__f=296;
    _e_r_s_a_h_s_c_i.__p=74;
    _e_r_s_a_h_s_c_i.__r=593;
    _e_r_s_a_h_s_c_i.__e=438;
    _e_r_s_a_h_s_c_i.__r=149;
    _e_r_s_a_h_s_c_i.__q=295;
    _e_r_s_a_h_s_c_i.__o=702;
    _e_r_s_a_h_s_c_i.__u=333;
    _e_r_s_a_h_s_c_i.__l=877;
    _e_r_s_a_h_s_c_i.__i=48;
    _e_r_s_a_h_s_c_i.__h=33;
    _e_r_s_a_h_s_c_i.__b=641;
    _e_r_s_a_h_s_c_i.__t=558;
    _e_r_s_a_h_s_c_i.__s=863;
    _e_r_s_a_h_s_c_i.__n=744;
    _e_r_s_a_h_s_c_i.__w=224;
    _e_r_s_a_h_s_c_i.__x=933;
    _e_r_s_a_h_s_c_i.__e=473;
    _e_r_s_a_h_s_c_i.__m=53;
    _e_r_s_a_h_s_c_i.__e=745;
    _e_r_s_a_h_s_c_i.__w=235;
    _e_r_s_a_h_s_c_i.__m=298;
    _e_r_s_a_h_s_c_i.__l=635;
    _e_r_s_a_h_s_c_i.__p=224;
    _e_r_s_a_h_s_c_i.__r=148;
    _e_r_s_a_h_s_c_i.__l=63;
    _e_r_s_a_h_s_c_i.__w=141;
    _e_r_s_a_h_s_c_i.__y=710;
    _e_r_s_a_h_s_c_i.__i=888;
    _e_r_s_a_h_s_c_i.__g=532;
    _e_r_s_a_h_s_c_i.__g=842;
    _e_r_s_a_h_s_c_i.__l=89;
    _e_r_s_a_h_s_c_i.__n=411;
    _e_r_s_a_h_s_c_i.__a=377;
    _e_r_s_a_h_s_c_i.__k=397;
    _e_r_s_a_h_s_c_i.__b=1000;
    _e_r_s_a_h_s_c_i.__u=743;
    _e_r_s_a_h_s_c_i.__s=159;
    _e_r_s_a_h_s_c_i.__s=753;
    _e_r_s_a_h_s_c_i.__e=893;
    _e_r_s_a_h_s_c_i.__k=441;
    _e_r_s_a_h_s_c_i.__a=447;
    _e_r_s_a_h_s_c_i.__q=158;
    _e_r_s_a_h_s_c_i.__h=202;
    _e_r_s_a_h_s_c_i.__s=169;
    _e_r_s_a_h_s_c_i.__f=53;
    _e_r_s_a_h_s_c_i.__y=309;
    _e_r_s_a_h_s_c_i.__u=648;
    _e_r_s_a_h_s_c_i.__l=410;
    _e_r_s_a_h_s_c_i.__k=398;
    _e_r_s_a_h_s_c_i.__v=621;
    _e_r_s_a_h_s_c_i.__b=660;
    _e_r_s_a_h_s_c_i.__g=299;
    _e_r_s_a_h_s_c_i.__s=998;
    _e_r_s_a_h_s_c_i.__g=622;
    _e_r_s_a_h_s_c_i.__a=931;
    _e_r_s_a_h_s_c_i.__c=574;
    _e_r_s_a_h_s_c_i.__t=77;
    _e_r_s_a_h_s_c_i.__d=471;
    _e_r_s_a_h_s_c_i.__d=91;
    _e_r_s_a_h_s_c_i.__j=664;
    _e_r_s_a_h_s_c_i.__c=309;
    _e_r_s_a_h_s_c_i.__h=603;
    _e_r_s_a_h_s_c_i.__x=508;
    _e_r_s_a_h_s_c_i.__f=891;
    _e_r_s_a_h_s_c_i.__r=677;
    _e_r_s_a_h_s_c_i.__p=502;
    _e_r_s_a_h_s_c_i.__b=216;
    _e_r_s_a_h_s_c_i.__b=808;
    _e_r_s_a_h_s_c_i.__a=463;
    _e_r_s_a_h_s_c_i.__h=588;
    _e_r_s_a_h_s_c_i.__k=960;
    _e_r_s_a_h_s_c_i.__e=650;
    _e_r_s_a_h_s_c_i.__q=361;
    _e_r_s_a_h_s_c_i.__k=246;
    _e_r_s_a_h_s_c_i.__e=381;
    _e_r_s_a_h_s_c_i.__k=920;
    _e_r_s_a_h_s_c_i.__k=716;
    _e_r_s_a_h_s_c_i.__e=961;
    _e_r_s_a_h_s_c_i.__g=308;
    _e_r_s_a_h_s_c_i.__c=95;
    _e_r_s_a_h_s_c_i.__k=887;
    _e_r_s_a_h_s_c_i.__x=596;
    _e_r_s_a_h_s_c_i.__r=187;
    _e_r_s_a_h_s_c_i.__v=457;
    _e_r_s_a_h_s_c_i.__i=736;
    _e_r_s_a_h_s_c_i.__p=780;
    _e_r_s_a_h_s_c_i.__f=635;
    _e_r_s_a_h_s_c_i.__w=50;
    _e_r_s_a_h_s_c_i.__u=237;
    _e_r_s_a_h_s_c_i.__w=432;
    _e_r_s_a_h_s_c_i.__v=110;
    _e_r_s_a_h_s_c_i.__b=766;
    _e_r_s_a_h_s_c_i.__b=220;
    _e_r_s_a_h_s_c_i.__c=402;
    _e_r_s_a_h_s_c_i.__b=716;
    _e_r_s_a_h_s_c_i.__j=544;
    _e_r_s_a_h_s_c_i.__f=233;
    _e_r_s_a_h_s_c_i.__l=244;
    _e_r_s_a_h_s_c_i.__e=127;
    _e_r_s_a_h_s_c_i.__g=713;
    _e_r_s_a_h_s_c_i.__l=528;
    _e_r_s_a_h_s_c_i.__g=107;
    _e_r_s_a_h_s_c_i.__w=639;
    _e_r_s_a_h_s_c_i.__k=437;
    _e_r_s_a_h_s_c_i.__l=174;
    _e_r_s_a_h_s_c_i._s_g = function (){
    let _h_h_v_h_u = 995;
    let _s_d_k_d_b = 451;
    _h_h_v_h_u=_s_d_k_d_b;
    _s_d_k_d_b--;
    _h_h_v_h_u=_s_d_k_d_b;
    _s_d_k_d_b++;
    _h_h_v_h_u=_s_d_k_d_b;
    _s_d_k_d_b--;
    _h_h_v_h_u=_s_d_k_d_b;
    _s_d_k_d_b++;
    _h_h_v_h_u=_s_d_k_d_b;
    _s_d_k_d_b++;
    _h_h_v_h_u=_s_d_k_d_b;
    _s_d_k_d_b--;
    _h_h_v_h_u=_s_d_k_d_b;
    _s_d_k_d_b--;
    };
    _e_r_s_a_h_s_c_i._c_u = function (){
    let _q_r_x_s_a = 148;
    let _e_g_s_c_e = 937;
    _q_r_x_s_a=_e_g_s_c_e;
    _e_g_s_c_e++;
    _q_r_x_s_a=_e_g_s_c_e;
    _e_g_s_c_e++;
    _q_r_x_s_a=_e_g_s_c_e;
    _e_g_s_c_e++;
    _q_r_x_s_a=_e_g_s_c_e;
    _e_g_s_c_e++;
    _q_r_x_s_a=_e_g_s_c_e;
    _e_g_s_c_e--;
    _q_r_x_s_a=_e_g_s_c_e;
    _e_g_s_c_e--;
    };
    _e_r_s_a_h_s_c_i._n_q = function (){
    let _u_s_l_u_g = 711;
    let _u_i_j_e_e = 369;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e++;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e--;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e--;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e--;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e++;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e--;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e++;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e++;
    _u_s_l_u_g=_u_i_j_e_e;
    _u_i_j_e_e++;
    };
    _e_r_s_a_h_s_c_i._k_i = function (){
    let _s_b_d_u_s = 617;
    let _l_u_m_c_s = 787;
    _s_b_d_u_s=_l_u_m_c_s;
    _l_u_m_c_s++;
    _s_b_d_u_s=_l_u_m_c_s;
    _l_u_m_c_s++;
    _s_b_d_u_s=_l_u_m_c_s;
    _l_u_m_c_s--;
    _s_b_d_u_s=_l_u_m_c_s;
    _l_u_m_c_s++;
    _s_b_d_u_s=_l_u_m_c_s;
    _l_u_m_c_s--;
    _s_b_d_u_s=_l_u_m_c_s;
    _l_u_m_c_s++;
    _s_b_d_u_s=_l_u_m_c_s;
    _l_u_m_c_s++;
    _s_b_d_u_s=_l_u_m_c_s;
    _l_u_m_c_s--;
    };
    _e_r_s_a_h_s_c_i._x_q = function (){
    let _k_a_u_p_d = 246;
    let _f_w_k_a_s = 713;
    _k_a_u_p_d=_f_w_k_a_s;
    _f_w_k_a_s--;
    _k_a_u_p_d=_f_w_k_a_s;
    _f_w_k_a_s++;
    _k_a_u_p_d=_f_w_k_a_s;
    _f_w_k_a_s++;
    _k_a_u_p_d=_f_w_k_a_s;
    _f_w_k_a_s--;
    _k_a_u_p_d=_f_w_k_a_s;
    _f_w_k_a_s++;
    _k_a_u_p_d=_f_w_k_a_s;
    _f_w_k_a_s++;
    _k_a_u_p_d=_f_w_k_a_s;
    _f_w_k_a_s++;
    };
    _e_r_s_a_h_s_c_i._m_b = function (){
    let _q_a_q_s_b = 822;
    let _h_d_s_q_y = 540;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y--;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y--;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y--;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y++;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y--;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y--;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y++;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y++;
    _q_a_q_s_b=_h_d_s_q_y;
    _h_d_s_q_y++;
    };
    _e_r_s_a_h_s_c_i._e_h = function (){
    let _h_l_t_i_x = 129;
    let _i_f_v_s_e = 401;
    _h_l_t_i_x=_i_f_v_s_e;
    _i_f_v_s_e--;
    _h_l_t_i_x=_i_f_v_s_e;
    _i_f_v_s_e--;
    _h_l_t_i_x=_i_f_v_s_e;
    _i_f_v_s_e--;
    _h_l_t_i_x=_i_f_v_s_e;
    _i_f_v_s_e++;
    _h_l_t_i_x=_i_f_v_s_e;
    _i_f_v_s_e--;
    _h_l_t_i_x=_i_f_v_s_e;
    _i_f_v_s_e--;
    _h_l_t_i_x=_i_f_v_s_e;
    _i_f_v_s_e--;
    };

    /**This class is automatically generated by LayaAirIDE, please do not make any modifications. */
    var View=Laya.View;
    var Dialog=Laya.Dialog;
    var Scene=Laya.Scene;
    var REG = Laya.ClassUtils.regClass;
    class RockerViewUI extends View {
    	constructor(){ 
    		super();
    	}
    	createChildren() {
    		super.createChildren();
    		this.loadScene("RockerView");
    	}
    }
    REG("ui.RockerViewUI",RockerViewUI);
    class showAskUI extends Scene {
    	constructor(){ 
    		super();
    	}
    	createChildren() {
    		super.createChildren();
    		this.loadScene("showAsk");
    	}
    }
    REG("ui.showAskUI",showAskUI);
    class TranslateViewUI extends View {
    	constructor(){ 
    		super();
    	}
    	createChildren() {
    		super.createChildren();
    		this.loadScene("TranslateView");
    	}
    }
    REG("ui.TranslateViewUI",TranslateViewUI);

    class RockerView extends RockerViewUI {

        constructor() {
            super();
        }

        onEnable() {
            this.curTouchId = 0;
            /***手指（鼠标）是否按下****/
            this.isDown = false;
            /***摇杆的角度****/
            this.angle = -1;
            /***摇杆的弧度****/
            this.radians = -1;
            /***是否左手遥控****/
            this.isleftControl = true;
            //鼠标按下事件监听
            Laya.stage.on(Laya.Event.MOUSE_DOWN, this, this.onMouseDown);
            //鼠标抬起事件监听
            Laya.stage.on(Laya.Event.MOUSE_UP, this, this.onMouseUp);
            //鼠标是否移除屏幕事件监听
            // this.touchRect.on(Laya.Event.MOUSE_OUT,this,onBlur);
            //控制器中心点位置初始化
            this.originPiont = new Laya.Point(this.width / 2, this.height / 2);
            //默认为控制器不显示
            this.visible = false;
        }

        onMouseDown(e) {
            if (GameManager.pause || GameManager.isInstall) {
                return;
            }
            //左右手遥控
            if (this.isleftControl) {
                //如果按下时是右边屏幕位置或已经按下鼠标，则返回
                if (e.stageX > Laya.stage.width / 2 || this.isDown) return;
            }
            else {
                //如果按下时是左边屏幕位置或已经按下鼠标，则返回
                if (e.stageX < Laya.stage.width / 2 || this.isDown) return;
            }
            //记录当前按下id
            this.curTouchId = e.touchId;
            //已按下
            this.isDown = true;
            //更新摇杆到屏幕按下位置
            this.pos(Laya.stage.mouseX - (this.width / 2), Laya.stage.mouseY - (this.height / 2));
            //初始化摇杆控制点位置
            this.knob.pos(this.width / 2, this.height / 2);
            //按下后显示摇杆
            this.visible = true;
            //摇杆移动控制事件监听
            Laya.stage.on(Laya.Event.MOUSE_MOVE, this, this.onMove);
        }

        /*鼠标抬起事件回调*/
        onMouseUp(e) {
            //如果不是上次的点击id，返回（避免多点抬起，以第一次按下id为准）
            if (e.touchId != this.curTouchId) return;
            this.isDown = false;
            this.visible = false;
            //移除摇杆移动事件监听
            Laya.stage.off(Laya.Event.MOUSE_MOVE, this, this.onMove);
            //修改摇杆角度与弧度为-1（代表无角度）
            this.radians = this.angle = -1;
        }

        /*鼠标移动事件回调*/
        onMove(e) {
            //如果不是上次的点击id，返回（避免多点抬起，以第一次按下id为准）
            if (e.touchId != this.curTouchId) return;
            //将移动时的鼠标屏幕坐标转化为摇杆局部坐标
            var locationPos = this.globalToLocal(new Laya.Point(Laya.stage.mouseX, Laya.stage.mouseY), false);
            //更新摇杆控制点位置
            this.knob.pos(locationPos.x, locationPos.y);
            //更新控制点与摇杆中心点位置距离
            this.deltaX = locationPos.x - this.originPiont.x;
            this.deltaY = locationPos.y - this.originPiont.y;
            //计算控制点在摇杆中的角度
            var dx = this.deltaX * this.deltaX;
            var dy = this.deltaY * this.deltaY;
            this.angle = Math.atan2(this.deltaX, this.deltaY) * 180 / Math.PI;
            if (this.angle < 0) this.angle += 360;
            //对角度取整
            this.angle = Math.round(this.angle);
            //计算控制点在摇杆中的弧度
            this.radians = Math.PI / 180 * this.angle;
            //强制控制点与中心距离不超过80像素
            if (dx + dy >= 80 * 80) {
                //控制点在半径为80像素的位置（根据弧度变化）
                var x = Math.floor(Math.sin(this.radians) * 80 + this.originPiont.x);
                var y = Math.floor(Math.cos(this.radians) * 80 + this.originPiont.y);
                this.knob.pos(x, y);
            }
            else {
                //不超过80像素取原坐标
                this.knob.pos(locationPos.x, locationPos.y);
            }
        }

        onDisable() {

        }
    }//--------aaabbbcccdddeeefffggg
     let _g_p_s_i_i_l_h_u={};
    _g_p_s_i_i_l_h_u.__d=797;
    _g_p_s_i_i_l_h_u.__f=709;
    _g_p_s_i_i_l_h_u.__m=401;
    _g_p_s_i_i_l_h_u.__c=662;
    _g_p_s_i_i_l_h_u.__l=647;
    _g_p_s_i_i_l_h_u.__k=501;
    _g_p_s_i_i_l_h_u.__x=559;
    _g_p_s_i_i_l_h_u.__i=249;
    _g_p_s_i_i_l_h_u.__i=425;
    _g_p_s_i_i_l_h_u.__e=155;
    _g_p_s_i_i_l_h_u.__f=580;
    _g_p_s_i_i_l_h_u.__a=65;
    _g_p_s_i_i_l_h_u.__y=993;
    _g_p_s_i_i_l_h_u.__e=911;
    _g_p_s_i_i_l_h_u.__v=922;
    _g_p_s_i_i_l_h_u.__i=850;
    _g_p_s_i_i_l_h_u.__i=417;
    _g_p_s_i_i_l_h_u.__c=86;
    _g_p_s_i_i_l_h_u.__w=969;
    _g_p_s_i_i_l_h_u.__h=905;
    _g_p_s_i_i_l_h_u.__e=64;
    _g_p_s_i_i_l_h_u.__i=950;
    _g_p_s_i_i_l_h_u.__a=939;
    _g_p_s_i_i_l_h_u.__d=281;
    _g_p_s_i_i_l_h_u.__r=321;
    _g_p_s_i_i_l_h_u.__w=230;
    _g_p_s_i_i_l_h_u.__f=416;
    _g_p_s_i_i_l_h_u.__l=601;
    _g_p_s_i_i_l_h_u.__y=948;
    _g_p_s_i_i_l_h_u.__e=239;
    _g_p_s_i_i_l_h_u.__h=515;
    _g_p_s_i_i_l_h_u.__a=497;
    _g_p_s_i_i_l_h_u.__u=50;
    _g_p_s_i_i_l_h_u.__h=633;
    _g_p_s_i_i_l_h_u.__s=665;
    _g_p_s_i_i_l_h_u.__g=678;
    _g_p_s_i_i_l_h_u.__e=669;
    _g_p_s_i_i_l_h_u.__d=785;
    _g_p_s_i_i_l_h_u.__k=19;
    _g_p_s_i_i_l_h_u.__y=620;
    _g_p_s_i_i_l_h_u.__p=14;
    _g_p_s_i_i_l_h_u.__q=792;
    _g_p_s_i_i_l_h_u.__t=488;
    _g_p_s_i_i_l_h_u.__k=886;
    _g_p_s_i_i_l_h_u.__u=303;
    _g_p_s_i_i_l_h_u.__m=104;
    _g_p_s_i_i_l_h_u.__q=405;
    _g_p_s_i_i_l_h_u.__c=63;
    _g_p_s_i_i_l_h_u.__d=241;
    _g_p_s_i_i_l_h_u.__j=775;
    _g_p_s_i_i_l_h_u.__w=806;
    _g_p_s_i_i_l_h_u.__e=332;
    _g_p_s_i_i_l_h_u.__t=111;
    _g_p_s_i_i_l_h_u.__a=345;
    _g_p_s_i_i_l_h_u.__j=342;
    _g_p_s_i_i_l_h_u.__m=655;
    _g_p_s_i_i_l_h_u.__e=503;
    _g_p_s_i_i_l_h_u.__s=345;
    _g_p_s_i_i_l_h_u.__p=816;
    _g_p_s_i_i_l_h_u.__b=598;
    _g_p_s_i_i_l_h_u.__p=659;
    _g_p_s_i_i_l_h_u.__n=420;
    _g_p_s_i_i_l_h_u.__n=337;
    _g_p_s_i_i_l_h_u.__p=766;
    _g_p_s_i_i_l_h_u.__x=444;
    _g_p_s_i_i_l_h_u.__g=90;
    _g_p_s_i_i_l_h_u.__y=114;
    _g_p_s_i_i_l_h_u.__g=872;
    _g_p_s_i_i_l_h_u.__c=945;
    _g_p_s_i_i_l_h_u.__p=124;
    _g_p_s_i_i_l_h_u.__p=859;
    _g_p_s_i_i_l_h_u.__c=431;
    _g_p_s_i_i_l_h_u.__n=697;
    _g_p_s_i_i_l_h_u.__p=545;
    _g_p_s_i_i_l_h_u.__c=824;
    _g_p_s_i_i_l_h_u.__k=71;
    _g_p_s_i_i_l_h_u.__s=524;
    _g_p_s_i_i_l_h_u.__c=261;
    _g_p_s_i_i_l_h_u.__x=464;
    _g_p_s_i_i_l_h_u.__i=478;
    _g_p_s_i_i_l_h_u.__u=18;
    _g_p_s_i_i_l_h_u.__c=317;
    _g_p_s_i_i_l_h_u.__x=719;
    _g_p_s_i_i_l_h_u.__g=962;
    _g_p_s_i_i_l_h_u.__m=632;
    _g_p_s_i_i_l_h_u.__t=772;
    _g_p_s_i_i_l_h_u.__l=924;
    _g_p_s_i_i_l_h_u.__a=649;
    _g_p_s_i_i_l_h_u.__t=406;
    _g_p_s_i_i_l_h_u.__e=209;
    _g_p_s_i_i_l_h_u.__x=347;
    _g_p_s_i_i_l_h_u.__f=295;
    _g_p_s_i_i_l_h_u.__k=313;
    _g_p_s_i_i_l_h_u.__d=856;
    _g_p_s_i_i_l_h_u.__j=346;
    _g_p_s_i_i_l_h_u.__u=729;
    _g_p_s_i_i_l_h_u.__k=230;
    _g_p_s_i_i_l_h_u.__i=347;
    _g_p_s_i_i_l_h_u.__k=156;
    _g_p_s_i_i_l_h_u.__w=920;
    _g_p_s_i_i_l_h_u.__f=540;
    _g_p_s_i_i_l_h_u.__r=97;
    _g_p_s_i_i_l_h_u.__s=300;
    _g_p_s_i_i_l_h_u.__d=667;
    _g_p_s_i_i_l_h_u.__d=351;
    _g_p_s_i_i_l_h_u.__m=306;
    _g_p_s_i_i_l_h_u.__m=621;
    _g_p_s_i_i_l_h_u.__x=917;
    _g_p_s_i_i_l_h_u.__x=346;
    _g_p_s_i_i_l_h_u.__x=589;
    _g_p_s_i_i_l_h_u.__a=946;
    _g_p_s_i_i_l_h_u.__l=705;
    _g_p_s_i_i_l_h_u.__m=252;
    _g_p_s_i_i_l_h_u.__s=231;
    _g_p_s_i_i_l_h_u.__l=367;
    _g_p_s_i_i_l_h_u.__n=720;
    _g_p_s_i_i_l_h_u.__o=942;
    _g_p_s_i_i_l_h_u.__s=62;
    _g_p_s_i_i_l_h_u.__u=155;
    _g_p_s_i_i_l_h_u.__f=499;
    _g_p_s_i_i_l_h_u.__u=157;
    _g_p_s_i_i_l_h_u.__w=964;
    _g_p_s_i_i_l_h_u.__p=293;
    _g_p_s_i_i_l_h_u.__a=241;
    _g_p_s_i_i_l_h_u.__q=850;
    _g_p_s_i_i_l_h_u.__c=2;
    _g_p_s_i_i_l_h_u.__l=636;
    _g_p_s_i_i_l_h_u.__i=248;
    _g_p_s_i_i_l_h_u.__s=161;
    _g_p_s_i_i_l_h_u.__g=172;
    _g_p_s_i_i_l_h_u.__s=699;
    _g_p_s_i_i_l_h_u.__l=995;
    _g_p_s_i_i_l_h_u.__x=19;
    _g_p_s_i_i_l_h_u.__q=785;
    _g_p_s_i_i_l_h_u.__p=63;
    _g_p_s_i_i_l_h_u.__v=816;
    _g_p_s_i_i_l_h_u.__a=354;
    _g_p_s_i_i_l_h_u.__c=467;
    _g_p_s_i_i_l_h_u.__t=412;
    _g_p_s_i_i_l_h_u.__k=225;
    _g_p_s_i_i_l_h_u.__x=957;
    _g_p_s_i_i_l_h_u.__l=793;
    _g_p_s_i_i_l_h_u.__v=195;
    _g_p_s_i_i_l_h_u.__l=857;
    _g_p_s_i_i_l_h_u.__x=944;
    _g_p_s_i_i_l_h_u.__g=534;
    _g_p_s_i_i_l_h_u.__k=907;
    _g_p_s_i_i_l_h_u.__o=30;
    _g_p_s_i_i_l_h_u.__r=855;
    _g_p_s_i_i_l_h_u.__k=543;
    _g_p_s_i_i_l_h_u.__l=5;
    _g_p_s_i_i_l_h_u.__g=942;
    _g_p_s_i_i_l_h_u.__a=382;
    _g_p_s_i_i_l_h_u.__y=254;
    _g_p_s_i_i_l_h_u.__v=437;
    _g_p_s_i_i_l_h_u.__d=485;
    _g_p_s_i_i_l_h_u.__f=708;
    _g_p_s_i_i_l_h_u.__d=814;
    _g_p_s_i_i_l_h_u.__w=805;
    _g_p_s_i_i_l_h_u.__k=685;
    _g_p_s_i_i_l_h_u.__u=489;
    _g_p_s_i_i_l_h_u.__h=833;
    _g_p_s_i_i_l_h_u.__e=152;
    _g_p_s_i_i_l_h_u.__r=770;
    _g_p_s_i_i_l_h_u.__h=445;
    _g_p_s_i_i_l_h_u.__h=767;
    _g_p_s_i_i_l_h_u.__k=368;
    _g_p_s_i_i_l_h_u.__o=862;
    _g_p_s_i_i_l_h_u.__e=582;
    _g_p_s_i_i_l_h_u.__t=921;
    _g_p_s_i_i_l_h_u.__h=230;
    _g_p_s_i_i_l_h_u.__s=293;
    _g_p_s_i_i_l_h_u.__x=48;
    _g_p_s_i_i_l_h_u.__n=76;
    _g_p_s_i_i_l_h_u.__t=57;
    _g_p_s_i_i_l_h_u.__s=544;
    _g_p_s_i_i_l_h_u.__f=596;
    _g_p_s_i_i_l_h_u.__f=744;
    _g_p_s_i_i_l_h_u.__g=999;
    _g_p_s_i_i_l_h_u.__i=815;
    _g_p_s_i_i_l_h_u.__d=685;
    _g_p_s_i_i_l_h_u.__w=46;
    _g_p_s_i_i_l_h_u.__w=946;
    _g_p_s_i_i_l_h_u.__r=214;
    _g_p_s_i_i_l_h_u.__s=207;
    _g_p_s_i_i_l_h_u.__b=221;
    _g_p_s_i_i_l_h_u.__d=62;
    _g_p_s_i_i_l_h_u.__s=576;
    _g_p_s_i_i_l_h_u.__m=829;
    _g_p_s_i_i_l_h_u.__k=745;
    _g_p_s_i_i_l_h_u.__h=947;
    _g_p_s_i_i_l_h_u.__r=900;
    _g_p_s_i_i_l_h_u.__y=966;
    _g_p_s_i_i_l_h_u.__e=96;
    _g_p_s_i_i_l_h_u.__k=422;
    _g_p_s_i_i_l_h_u.__w=420;
    _g_p_s_i_i_l_h_u.__s=383;
    _g_p_s_i_i_l_h_u.__y=124;
    _g_p_s_i_i_l_h_u.__x=937;
    _g_p_s_i_i_l_h_u.__f=293;
    _g_p_s_i_i_l_h_u.__d=413;
    _g_p_s_i_i_l_h_u.__m=61;
    _g_p_s_i_i_l_h_u.__v=608;
    _g_p_s_i_i_l_h_u.__h=919;
    _g_p_s_i_i_l_h_u.__l=808;
    _g_p_s_i_i_l_h_u.__r=145;
    _g_p_s_i_i_l_h_u.__s=878;
    _g_p_s_i_i_l_h_u.__i=878;
    _g_p_s_i_i_l_h_u.__a=210;
    _g_p_s_i_i_l_h_u.__o=878;
    _g_p_s_i_i_l_h_u.__x=800;
    _g_p_s_i_i_l_h_u.__k=498;
    _g_p_s_i_i_l_h_u._g_r = function (){
    let _d_x_o_b_s = 436;
    let _g_f_m_o_x = 562;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x--;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x++;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x++;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x++;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x++;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x++;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x--;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x--;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x--;
    _d_x_o_b_s=_g_f_m_o_x;
    _g_f_m_o_x++;
    };
    _g_p_s_i_i_l_h_u._d_f = function (){
    let _w_u_p_h_w = 96;
    let _l_k_m_y_b = 971;
    _w_u_p_h_w=_l_k_m_y_b;
    _l_k_m_y_b++;
    _w_u_p_h_w=_l_k_m_y_b;
    _l_k_m_y_b++;
    _w_u_p_h_w=_l_k_m_y_b;
    _l_k_m_y_b++;
    _w_u_p_h_w=_l_k_m_y_b;
    _l_k_m_y_b++;
    _w_u_p_h_w=_l_k_m_y_b;
    _l_k_m_y_b++;
    _w_u_p_h_w=_l_k_m_y_b;
    _l_k_m_y_b++;
    _w_u_p_h_w=_l_k_m_y_b;
    _l_k_m_y_b--;
    _w_u_p_h_w=_l_k_m_y_b;
    _l_k_m_y_b++;
    };
    _g_p_s_i_i_l_h_u._x_u = function (){
    let _b_m_r_l_n = 789;
    let _h_u_l_w_y = 5;
    _b_m_r_l_n=_h_u_l_w_y;
    _h_u_l_w_y--;
    _b_m_r_l_n=_h_u_l_w_y;
    _h_u_l_w_y++;
    _b_m_r_l_n=_h_u_l_w_y;
    _h_u_l_w_y++;
    _b_m_r_l_n=_h_u_l_w_y;
    _h_u_l_w_y++;
    _b_m_r_l_n=_h_u_l_w_y;
    _h_u_l_w_y++;
    _b_m_r_l_n=_h_u_l_w_y;
    _h_u_l_w_y--;
    };
    _g_p_s_i_i_l_h_u._o_r = function (){
    let _q_c_g_r_j = 290;
    let _k_y_y_c_a = 159;
    _q_c_g_r_j=_k_y_y_c_a;
    _k_y_y_c_a--;
    _q_c_g_r_j=_k_y_y_c_a;
    _k_y_y_c_a--;
    _q_c_g_r_j=_k_y_y_c_a;
    _k_y_y_c_a++;
    _q_c_g_r_j=_k_y_y_c_a;
    _k_y_y_c_a++;
    _q_c_g_r_j=_k_y_y_c_a;
    _k_y_y_c_a++;
    _q_c_g_r_j=_k_y_y_c_a;
    _k_y_y_c_a++;
    };
    _g_p_s_i_i_l_h_u._a_n = function (){
    let _t_n_j_n_a = 209;
    let _t_s_g_x_s = 888;
    _t_n_j_n_a=_t_s_g_x_s;
    _t_s_g_x_s++;
    _t_n_j_n_a=_t_s_g_x_s;
    _t_s_g_x_s--;
    _t_n_j_n_a=_t_s_g_x_s;
    _t_s_g_x_s++;
    _t_n_j_n_a=_t_s_g_x_s;
    _t_s_g_x_s++;
    _t_n_j_n_a=_t_s_g_x_s;
    _t_s_g_x_s--;
    _t_n_j_n_a=_t_s_g_x_s;
    _t_s_g_x_s++;
    _t_n_j_n_a=_t_s_g_x_s;
    _t_s_g_x_s--;
    _t_n_j_n_a=_t_s_g_x_s;
    _t_s_g_x_s++;
    };
    _g_p_s_i_i_l_h_u._h_x = function (){
    let _g_s_k_k_u = 758;
    let _x_m_b_q_a = 50;
    _g_s_k_k_u=_x_m_b_q_a;
    _x_m_b_q_a--;
    _g_s_k_k_u=_x_m_b_q_a;
    _x_m_b_q_a--;
    _g_s_k_k_u=_x_m_b_q_a;
    _x_m_b_q_a--;
    _g_s_k_k_u=_x_m_b_q_a;
    _x_m_b_q_a--;
    _g_s_k_k_u=_x_m_b_q_a;
    _x_m_b_q_a++;
    _g_s_k_k_u=_x_m_b_q_a;
    _x_m_b_q_a++;
    _g_s_k_k_u=_x_m_b_q_a;
    _x_m_b_q_a++;
    _g_s_k_k_u=_x_m_b_q_a;
    _x_m_b_q_a--;
    };
    _g_p_s_i_i_l_h_u._b_u = function (){
    let _p_d_i_w_l = 690;
    let _q_d_h_i_q = 331;
    _p_d_i_w_l=_q_d_h_i_q;
    _q_d_h_i_q--;
    _p_d_i_w_l=_q_d_h_i_q;
    _q_d_h_i_q--;
    _p_d_i_w_l=_q_d_h_i_q;
    _q_d_h_i_q++;
    _p_d_i_w_l=_q_d_h_i_q;
    _q_d_h_i_q++;
    _p_d_i_w_l=_q_d_h_i_q;
    _q_d_h_i_q--;
    };
    _g_p_s_i_i_l_h_u._s_m = function (){
    let _a_k_n_s_b = 662;
    let _x_f_g_w_t = 19;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t++;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t++;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t++;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t++;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t++;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t--;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t--;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t++;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t++;
    _a_k_n_s_b=_x_f_g_w_t;
    _x_f_g_w_t--;
    };//--------aaabbbcccdddeeefffggg
     let _v_y_k_i_q_b_i_y={};
    _v_y_k_i_q_b_i_y.__l=871;
    _v_y_k_i_q_b_i_y.__v=945;
    _v_y_k_i_q_b_i_y.__h=715;
    _v_y_k_i_q_b_i_y.__c=282;
    _v_y_k_i_q_b_i_y.__c=857;
    _v_y_k_i_q_b_i_y.__m=559;
    _v_y_k_i_q_b_i_y.__t=451;
    _v_y_k_i_q_b_i_y.__a=446;
    _v_y_k_i_q_b_i_y.__o=962;
    _v_y_k_i_q_b_i_y.__g=19;
    _v_y_k_i_q_b_i_y.__f=267;
    _v_y_k_i_q_b_i_y.__q=994;
    _v_y_k_i_q_b_i_y.__c=33;
    _v_y_k_i_q_b_i_y.__b=302;
    _v_y_k_i_q_b_i_y.__s=121;
    _v_y_k_i_q_b_i_y.__x=32;
    _v_y_k_i_q_b_i_y.__c=322;
    _v_y_k_i_q_b_i_y.__e=272;
    _v_y_k_i_q_b_i_y.__g=191;
    _v_y_k_i_q_b_i_y.__r=884;
    _v_y_k_i_q_b_i_y.__b=269;
    _v_y_k_i_q_b_i_y.__y=742;
    _v_y_k_i_q_b_i_y.__p=469;
    _v_y_k_i_q_b_i_y.__x=465;
    _v_y_k_i_q_b_i_y.__f=913;
    _v_y_k_i_q_b_i_y.__r=170;
    _v_y_k_i_q_b_i_y.__g=989;
    _v_y_k_i_q_b_i_y.__g=291;
    _v_y_k_i_q_b_i_y.__s=929;
    _v_y_k_i_q_b_i_y.__f=973;
    _v_y_k_i_q_b_i_y.__k=669;
    _v_y_k_i_q_b_i_y.__c=103;
    _v_y_k_i_q_b_i_y.__q=285;
    _v_y_k_i_q_b_i_y.__f=470;
    _v_y_k_i_q_b_i_y.__g=785;
    _v_y_k_i_q_b_i_y.__m=125;
    _v_y_k_i_q_b_i_y.__f=529;
    _v_y_k_i_q_b_i_y.__f=445;
    _v_y_k_i_q_b_i_y.__c=72;
    _v_y_k_i_q_b_i_y.__t=941;
    _v_y_k_i_q_b_i_y.__f=700;
    _v_y_k_i_q_b_i_y.__y=344;
    _v_y_k_i_q_b_i_y.__y=444;
    _v_y_k_i_q_b_i_y.__i=997;
    _v_y_k_i_q_b_i_y.__l=860;
    _v_y_k_i_q_b_i_y.__s=85;
    _v_y_k_i_q_b_i_y.__c=341;
    _v_y_k_i_q_b_i_y.__p=733;
    _v_y_k_i_q_b_i_y.__k=258;
    _v_y_k_i_q_b_i_y.__t=505;
    _v_y_k_i_q_b_i_y.__o=702;
    _v_y_k_i_q_b_i_y.__d=336;
    _v_y_k_i_q_b_i_y.__w=112;
    _v_y_k_i_q_b_i_y.__d=424;
    _v_y_k_i_q_b_i_y.__e=565;
    _v_y_k_i_q_b_i_y.__u=118;
    _v_y_k_i_q_b_i_y.__b=21;
    _v_y_k_i_q_b_i_y.__j=334;
    _v_y_k_i_q_b_i_y.__f=288;
    _v_y_k_i_q_b_i_y.__f=521;
    _v_y_k_i_q_b_i_y.__f=1;
    _v_y_k_i_q_b_i_y.__i=721;
    _v_y_k_i_q_b_i_y.__t=395;
    _v_y_k_i_q_b_i_y.__a=745;
    _v_y_k_i_q_b_i_y.__b=142;
    _v_y_k_i_q_b_i_y.__j=1;
    _v_y_k_i_q_b_i_y.__q=51;
    _v_y_k_i_q_b_i_y.__o=3;
    _v_y_k_i_q_b_i_y.__v=895;
    _v_y_k_i_q_b_i_y.__h=90;
    _v_y_k_i_q_b_i_y.__v=159;
    _v_y_k_i_q_b_i_y.__r=397;
    _v_y_k_i_q_b_i_y.__u=984;
    _v_y_k_i_q_b_i_y.__s=593;
    _v_y_k_i_q_b_i_y.__w=84;
    _v_y_k_i_q_b_i_y.__l=428;
    _v_y_k_i_q_b_i_y.__p=936;
    _v_y_k_i_q_b_i_y.__o=622;
    _v_y_k_i_q_b_i_y.__l=996;
    _v_y_k_i_q_b_i_y.__a=118;
    _v_y_k_i_q_b_i_y.__a=247;
    _v_y_k_i_q_b_i_y.__j=238;
    _v_y_k_i_q_b_i_y.__w=848;
    _v_y_k_i_q_b_i_y.__y=768;
    _v_y_k_i_q_b_i_y.__k=165;
    _v_y_k_i_q_b_i_y.__c=513;
    _v_y_k_i_q_b_i_y.__f=972;
    _v_y_k_i_q_b_i_y.__h=336;
    _v_y_k_i_q_b_i_y.__b=98;
    _v_y_k_i_q_b_i_y.__u=228;
    _v_y_k_i_q_b_i_y.__y=300;
    _v_y_k_i_q_b_i_y.__v=439;
    _v_y_k_i_q_b_i_y.__s=652;
    _v_y_k_i_q_b_i_y.__r=186;
    _v_y_k_i_q_b_i_y.__e=214;
    _v_y_k_i_q_b_i_y.__r=987;
    _v_y_k_i_q_b_i_y.__a=288;
    _v_y_k_i_q_b_i_y.__v=150;
    _v_y_k_i_q_b_i_y.__r=16;
    _v_y_k_i_q_b_i_y.__v=431;
    _v_y_k_i_q_b_i_y.__l=613;
    _v_y_k_i_q_b_i_y.__r=417;
    _v_y_k_i_q_b_i_y.__h=27;
    _v_y_k_i_q_b_i_y.__u=646;
    _v_y_k_i_q_b_i_y.__w=283;
    _v_y_k_i_q_b_i_y.__c=4;
    _v_y_k_i_q_b_i_y.__i=313;
    _v_y_k_i_q_b_i_y.__o=431;
    _v_y_k_i_q_b_i_y.__f=544;
    _v_y_k_i_q_b_i_y.__s=464;
    _v_y_k_i_q_b_i_y.__c=26;
    _v_y_k_i_q_b_i_y.__j=643;
    _v_y_k_i_q_b_i_y.__n=386;
    _v_y_k_i_q_b_i_y.__r=331;
    _v_y_k_i_q_b_i_y.__o=381;
    _v_y_k_i_q_b_i_y.__x=948;
    _v_y_k_i_q_b_i_y.__h=337;
    _v_y_k_i_q_b_i_y.__c=184;
    _v_y_k_i_q_b_i_y.__g=255;
    _v_y_k_i_q_b_i_y.__r=197;
    _v_y_k_i_q_b_i_y.__y=864;
    _v_y_k_i_q_b_i_y.__v=339;
    _v_y_k_i_q_b_i_y.__a=403;
    _v_y_k_i_q_b_i_y.__y=437;
    _v_y_k_i_q_b_i_y.__d=413;
    _v_y_k_i_q_b_i_y.__o=166;
    _v_y_k_i_q_b_i_y.__h=315;
    _v_y_k_i_q_b_i_y.__o=534;
    _v_y_k_i_q_b_i_y.__k=69;
    _v_y_k_i_q_b_i_y.__o=28;
    _v_y_k_i_q_b_i_y.__a=680;
    _v_y_k_i_q_b_i_y.__i=429;
    _v_y_k_i_q_b_i_y.__w=841;
    _v_y_k_i_q_b_i_y.__a=850;
    _v_y_k_i_q_b_i_y.__e=490;
    _v_y_k_i_q_b_i_y.__r=16;
    _v_y_k_i_q_b_i_y.__m=570;
    _v_y_k_i_q_b_i_y.__e=311;
    _v_y_k_i_q_b_i_y.__b=759;
    _v_y_k_i_q_b_i_y.__u=648;
    _v_y_k_i_q_b_i_y.__f=467;
    _v_y_k_i_q_b_i_y.__v=658;
    _v_y_k_i_q_b_i_y.__x=870;
    _v_y_k_i_q_b_i_y.__h=263;
    _v_y_k_i_q_b_i_y.__d=271;
    _v_y_k_i_q_b_i_y.__x=146;
    _v_y_k_i_q_b_i_y.__o=553;
    _v_y_k_i_q_b_i_y.__h=142;
    _v_y_k_i_q_b_i_y.__s=35;
    _v_y_k_i_q_b_i_y.__x=110;
    _v_y_k_i_q_b_i_y.__g=477;
    _v_y_k_i_q_b_i_y.__u=283;
    _v_y_k_i_q_b_i_y.__c=539;
    _v_y_k_i_q_b_i_y.__v=653;
    _v_y_k_i_q_b_i_y.__l=474;
    _v_y_k_i_q_b_i_y.__a=408;
    _v_y_k_i_q_b_i_y.__r=319;
    _v_y_k_i_q_b_i_y.__y=961;
    _v_y_k_i_q_b_i_y.__e=388;
    _v_y_k_i_q_b_i_y.__p=591;
    _v_y_k_i_q_b_i_y.__p=331;
    _v_y_k_i_q_b_i_y.__a=246;
    _v_y_k_i_q_b_i_y.__u=548;
    _v_y_k_i_q_b_i_y.__l=513;
    _v_y_k_i_q_b_i_y.__s=237;
    _v_y_k_i_q_b_i_y.__f=313;
    _v_y_k_i_q_b_i_y.__q=863;
    _v_y_k_i_q_b_i_y.__j=338;
    _v_y_k_i_q_b_i_y.__b=314;
    _v_y_k_i_q_b_i_y.__n=753;
    _v_y_k_i_q_b_i_y.__i=548;
    _v_y_k_i_q_b_i_y.__v=221;
    _v_y_k_i_q_b_i_y.__h=988;
    _v_y_k_i_q_b_i_y.__c=753;
    _v_y_k_i_q_b_i_y.__g=469;
    _v_y_k_i_q_b_i_y.__y=434;
    _v_y_k_i_q_b_i_y.__k=996;
    _v_y_k_i_q_b_i_y.__v=544;
    _v_y_k_i_q_b_i_y.__h=116;
    _v_y_k_i_q_b_i_y.__s=120;
    _v_y_k_i_q_b_i_y.__k=169;
    _v_y_k_i_q_b_i_y.__w=466;
    _v_y_k_i_q_b_i_y.__r=203;
    _v_y_k_i_q_b_i_y.__y=674;
    _v_y_k_i_q_b_i_y.__d=845;
    _v_y_k_i_q_b_i_y.__p=656;
    _v_y_k_i_q_b_i_y.__u=888;
    _v_y_k_i_q_b_i_y.__u=744;
    _v_y_k_i_q_b_i_y.__g=902;
    _v_y_k_i_q_b_i_y.__g=369;
    _v_y_k_i_q_b_i_y.__l=621;
    _v_y_k_i_q_b_i_y.__e=863;
    _v_y_k_i_q_b_i_y.__n=418;
    _v_y_k_i_q_b_i_y.__e=915;
    _v_y_k_i_q_b_i_y.__r=619;
    _v_y_k_i_q_b_i_y.__h=700;
    _v_y_k_i_q_b_i_y.__u=960;
    _v_y_k_i_q_b_i_y.__v=230;
    _v_y_k_i_q_b_i_y.__n=959;
    _v_y_k_i_q_b_i_y.__k=942;
    _v_y_k_i_q_b_i_y.__p=487;
    _v_y_k_i_q_b_i_y.__g=64;
    _v_y_k_i_q_b_i_y.__a=307;
    _v_y_k_i_q_b_i_y.__s=793;
    _v_y_k_i_q_b_i_y.__l=891;
    _v_y_k_i_q_b_i_y.__d=799;
    _v_y_k_i_q_b_i_y.__y=260;
    _v_y_k_i_q_b_i_y.__d=109;
    _v_y_k_i_q_b_i_y.__n=157;
    _v_y_k_i_q_b_i_y.__o=888;
    _v_y_k_i_q_b_i_y.__r=322;
    _v_y_k_i_q_b_i_y.__o=147;
    _v_y_k_i_q_b_i_y.__n=145;
    _v_y_k_i_q_b_i_y.__s=925;
    _v_y_k_i_q_b_i_y.__n=499;
    _v_y_k_i_q_b_i_y.__x=949;
    _v_y_k_i_q_b_i_y.__j=2;
    _v_y_k_i_q_b_i_y.__l=335;
    _v_y_k_i_q_b_i_y.__d=524;
    _v_y_k_i_q_b_i_y.__s=338;
    _v_y_k_i_q_b_i_y.__e=196;
    _v_y_k_i_q_b_i_y.__h=689;
    _v_y_k_i_q_b_i_y.__f=706;
    _v_y_k_i_q_b_i_y.__f=555;
    _v_y_k_i_q_b_i_y.__n=178;
    _v_y_k_i_q_b_i_y.__l=647;
    _v_y_k_i_q_b_i_y.__w=397;
    _v_y_k_i_q_b_i_y.__h=510;
    _v_y_k_i_q_b_i_y.__q=667;
    _v_y_k_i_q_b_i_y.__y=525;
    _v_y_k_i_q_b_i_y.__y=94;
    _v_y_k_i_q_b_i_y.__w=658;
    _v_y_k_i_q_b_i_y.__r=558;
    _v_y_k_i_q_b_i_y.__y=482;
    _v_y_k_i_q_b_i_y.__i=164;
    _v_y_k_i_q_b_i_y.__d=506;
    _v_y_k_i_q_b_i_y.__h=459;
    _v_y_k_i_q_b_i_y.__b=343;
    _v_y_k_i_q_b_i_y.__l=185;
    _v_y_k_i_q_b_i_y.__y=744;
    _v_y_k_i_q_b_i_y.__d=851;
    _v_y_k_i_q_b_i_y.__w=37;
    _v_y_k_i_q_b_i_y.__c=922;
    _v_y_k_i_q_b_i_y.__m=993;
    _v_y_k_i_q_b_i_y.__u=873;
    _v_y_k_i_q_b_i_y.__s=661;
    _v_y_k_i_q_b_i_y.__h=927;
    _v_y_k_i_q_b_i_y.__b=188;
    _v_y_k_i_q_b_i_y.__n=730;
    _v_y_k_i_q_b_i_y.__h=176;
    _v_y_k_i_q_b_i_y.__w=759;
    _v_y_k_i_q_b_i_y.__p=582;
    _v_y_k_i_q_b_i_y.__f=733;
    _v_y_k_i_q_b_i_y.__n=720;
    _v_y_k_i_q_b_i_y.__b=830;
    _v_y_k_i_q_b_i_y.__f=373;
    _v_y_k_i_q_b_i_y.__n=955;
    _v_y_k_i_q_b_i_y.__v=554;
    _v_y_k_i_q_b_i_y.__b=882;
    _v_y_k_i_q_b_i_y.__l=958;
    _v_y_k_i_q_b_i_y.__e=517;
    _v_y_k_i_q_b_i_y.__b=620;
    _v_y_k_i_q_b_i_y.__t=83;
    _v_y_k_i_q_b_i_y.__j=816;
    _v_y_k_i_q_b_i_y.__h=499;
    _v_y_k_i_q_b_i_y.__s=742;
    _v_y_k_i_q_b_i_y.__c=745;
    _v_y_k_i_q_b_i_y.__d=4;
    _v_y_k_i_q_b_i_y.__w=475;
    _v_y_k_i_q_b_i_y.__o=436;
    _v_y_k_i_q_b_i_y.__l=681;
    _v_y_k_i_q_b_i_y._h_j = function (){
    let _y_i_m_e_s = 902;
    let _x_l_s_q_i = 553;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i--;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i++;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i++;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i--;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i--;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i--;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i--;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i--;
    _y_i_m_e_s=_x_l_s_q_i;
    _x_l_s_q_i++;
    };
    _v_y_k_i_q_b_i_y._j_s = function (){
    let _v_t_c_r_a = 323;
    let _m_v_o_u_g = 578;
    _v_t_c_r_a=_m_v_o_u_g;
    _m_v_o_u_g--;
    _v_t_c_r_a=_m_v_o_u_g;
    _m_v_o_u_g++;
    _v_t_c_r_a=_m_v_o_u_g;
    _m_v_o_u_g++;
    _v_t_c_r_a=_m_v_o_u_g;
    _m_v_o_u_g--;
    _v_t_c_r_a=_m_v_o_u_g;
    _m_v_o_u_g--;
    _v_t_c_r_a=_m_v_o_u_g;
    _m_v_o_u_g--;
    _v_t_c_r_a=_m_v_o_u_g;
    _m_v_o_u_g--;
    _v_t_c_r_a=_m_v_o_u_g;
    _m_v_o_u_g--;
    };
    _v_y_k_i_q_b_i_y._v_g = function (){
    let _t_d_c_p_e = 626;
    let _j_k_t_f_u = 445;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u++;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u++;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u--;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u++;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u++;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u++;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u++;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u--;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u++;
    _t_d_c_p_e=_j_k_t_f_u;
    _j_k_t_f_u--;
    };
    _v_y_k_i_q_b_i_y._r_d = function (){
    let _u_d_v_x_k = 625;
    let _j_i_h_p_t = 30;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t--;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t--;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t++;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t--;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t++;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t++;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t++;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t--;
    _u_d_v_x_k=_j_i_h_p_t;
    _j_i_h_p_t--;
    };
    _v_y_k_i_q_b_i_y._r_l = function (){
    let _i_u_j_m_s = 719;
    let _i_o_t_t_k = 375;
    _i_u_j_m_s=_i_o_t_t_k;
    _i_o_t_t_k++;
    _i_u_j_m_s=_i_o_t_t_k;
    _i_o_t_t_k--;
    _i_u_j_m_s=_i_o_t_t_k;
    _i_o_t_t_k++;
    _i_u_j_m_s=_i_o_t_t_k;
    _i_o_t_t_k--;
    _i_u_j_m_s=_i_o_t_t_k;
    _i_o_t_t_k--;
    _i_u_j_m_s=_i_o_t_t_k;
    _i_o_t_t_k--;
    _i_u_j_m_s=_i_o_t_t_k;
    _i_o_t_t_k++;
    };//--------aaabbbcccdddeeefffggg
     let _t_r_y_o_s_q_s_e={};
    _t_r_y_o_s_q_s_e.__b=490;
    _t_r_y_o_s_q_s_e.__j=351;
    _t_r_y_o_s_q_s_e.__r=856;
    _t_r_y_o_s_q_s_e.__k=259;
    _t_r_y_o_s_q_s_e.__r=497;
    _t_r_y_o_s_q_s_e.__k=101;
    _t_r_y_o_s_q_s_e.__k=820;
    _t_r_y_o_s_q_s_e.__c=608;
    _t_r_y_o_s_q_s_e.__u=40;
    _t_r_y_o_s_q_s_e.__c=499;
    _t_r_y_o_s_q_s_e.__j=586;
    _t_r_y_o_s_q_s_e.__j=354;
    _t_r_y_o_s_q_s_e.__y=237;
    _t_r_y_o_s_q_s_e.__o=122;
    _t_r_y_o_s_q_s_e.__c=907;
    _t_r_y_o_s_q_s_e.__d=405;
    _t_r_y_o_s_q_s_e.__q=473;
    _t_r_y_o_s_q_s_e.__l=186;
    _t_r_y_o_s_q_s_e.__h=562;
    _t_r_y_o_s_q_s_e.__h=151;
    _t_r_y_o_s_q_s_e.__d=698;
    _t_r_y_o_s_q_s_e.__r=260;
    _t_r_y_o_s_q_s_e.__s=718;
    _t_r_y_o_s_q_s_e.__s=731;
    _t_r_y_o_s_q_s_e.__p=856;
    _t_r_y_o_s_q_s_e.__l=88;
    _t_r_y_o_s_q_s_e.__u=419;
    _t_r_y_o_s_q_s_e.__v=427;
    _t_r_y_o_s_q_s_e.__u=433;
    _t_r_y_o_s_q_s_e.__i=557;
    _t_r_y_o_s_q_s_e.__p=200;
    _t_r_y_o_s_q_s_e.__s=184;
    _t_r_y_o_s_q_s_e.__u=135;
    _t_r_y_o_s_q_s_e.__k=772;
    _t_r_y_o_s_q_s_e.__q=824;
    _t_r_y_o_s_q_s_e.__t=257;
    _t_r_y_o_s_q_s_e.__r=685;
    _t_r_y_o_s_q_s_e.__v=263;
    _t_r_y_o_s_q_s_e.__j=147;
    _t_r_y_o_s_q_s_e.__j=975;
    _t_r_y_o_s_q_s_e.__n=755;
    _t_r_y_o_s_q_s_e.__c=322;
    _t_r_y_o_s_q_s_e.__y=105;
    _t_r_y_o_s_q_s_e.__r=641;
    _t_r_y_o_s_q_s_e.__o=12;
    _t_r_y_o_s_q_s_e.__t=455;
    _t_r_y_o_s_q_s_e.__f=826;
    _t_r_y_o_s_q_s_e.__n=548;
    _t_r_y_o_s_q_s_e.__i=292;
    _t_r_y_o_s_q_s_e.__a=967;
    _t_r_y_o_s_q_s_e.__m=870;
    _t_r_y_o_s_q_s_e.__l=126;
    _t_r_y_o_s_q_s_e.__v=909;
    _t_r_y_o_s_q_s_e.__s=666;
    _t_r_y_o_s_q_s_e.__x=595;
    _t_r_y_o_s_q_s_e.__u=211;
    _t_r_y_o_s_q_s_e.__f=71;
    _t_r_y_o_s_q_s_e.__g=700;
    _t_r_y_o_s_q_s_e.__q=638;
    _t_r_y_o_s_q_s_e.__e=436;
    _t_r_y_o_s_q_s_e.__e=439;
    _t_r_y_o_s_q_s_e.__s=509;
    _t_r_y_o_s_q_s_e.__b=536;
    _t_r_y_o_s_q_s_e.__p=757;
    _t_r_y_o_s_q_s_e.__r=795;
    _t_r_y_o_s_q_s_e.__y=911;
    _t_r_y_o_s_q_s_e.__p=460;
    _t_r_y_o_s_q_s_e.__i=91;
    _t_r_y_o_s_q_s_e.__x=851;
    _t_r_y_o_s_q_s_e.__e=303;
    _t_r_y_o_s_q_s_e.__c=77;
    _t_r_y_o_s_q_s_e.__g=91;
    _t_r_y_o_s_q_s_e.__y=168;
    _t_r_y_o_s_q_s_e.__c=3;
    _t_r_y_o_s_q_s_e.__r=544;
    _t_r_y_o_s_q_s_e.__y=35;
    _t_r_y_o_s_q_s_e.__e=211;
    _t_r_y_o_s_q_s_e.__y=696;
    _t_r_y_o_s_q_s_e.__m=614;
    _t_r_y_o_s_q_s_e.__h=853;
    _t_r_y_o_s_q_s_e.__a=523;
    _t_r_y_o_s_q_s_e.__w=25;
    _t_r_y_o_s_q_s_e.__a=882;
    _t_r_y_o_s_q_s_e.__s=263;
    _t_r_y_o_s_q_s_e.__u=24;
    _t_r_y_o_s_q_s_e.__v=291;
    _t_r_y_o_s_q_s_e.__v=142;
    _t_r_y_o_s_q_s_e.__i=47;
    _t_r_y_o_s_q_s_e.__s=442;
    _t_r_y_o_s_q_s_e.__r=292;
    _t_r_y_o_s_q_s_e.__e=877;
    _t_r_y_o_s_q_s_e.__d=441;
    _t_r_y_o_s_q_s_e.__t=859;
    _t_r_y_o_s_q_s_e.__f=272;
    _t_r_y_o_s_q_s_e.__y=873;
    _t_r_y_o_s_q_s_e.__k=660;
    _t_r_y_o_s_q_s_e.__c=387;
    _t_r_y_o_s_q_s_e.__h=12;
    _t_r_y_o_s_q_s_e.__v=960;
    _t_r_y_o_s_q_s_e.__m=537;
    _t_r_y_o_s_q_s_e.__c=973;
    _t_r_y_o_s_q_s_e.__k=28;
    _t_r_y_o_s_q_s_e.__e=869;
    _t_r_y_o_s_q_s_e.__a=294;
    _t_r_y_o_s_q_s_e.__e=320;
    _t_r_y_o_s_q_s_e.__y=910;
    _t_r_y_o_s_q_s_e.__h=224;
    _t_r_y_o_s_q_s_e.__e=439;
    _t_r_y_o_s_q_s_e.__y=940;
    _t_r_y_o_s_q_s_e.__x=776;
    _t_r_y_o_s_q_s_e.__d=658;
    _t_r_y_o_s_q_s_e.__f=783;
    _t_r_y_o_s_q_s_e.__i=330;
    _t_r_y_o_s_q_s_e.__p=855;
    _t_r_y_o_s_q_s_e.__j=45;
    _t_r_y_o_s_q_s_e.__t=586;
    _t_r_y_o_s_q_s_e.__y=272;
    _t_r_y_o_s_q_s_e.__k=191;
    _t_r_y_o_s_q_s_e.__h=868;
    _t_r_y_o_s_q_s_e.__t=826;
    _t_r_y_o_s_q_s_e.__l=260;
    _t_r_y_o_s_q_s_e.__u=482;
    _t_r_y_o_s_q_s_e.__m=706;
    _t_r_y_o_s_q_s_e.__a=593;
    _t_r_y_o_s_q_s_e.__f=47;
    _t_r_y_o_s_q_s_e.__r=27;
    _t_r_y_o_s_q_s_e.__u=845;
    _t_r_y_o_s_q_s_e.__h=608;
    _t_r_y_o_s_q_s_e.__w=326;
    _t_r_y_o_s_q_s_e.__d=819;
    _t_r_y_o_s_q_s_e.__b=22;
    _t_r_y_o_s_q_s_e.__e=869;
    _t_r_y_o_s_q_s_e.__j=529;
    _t_r_y_o_s_q_s_e.__f=743;
    _t_r_y_o_s_q_s_e.__q=282;
    _t_r_y_o_s_q_s_e.__j=422;
    _t_r_y_o_s_q_s_e.__o=751;
    _t_r_y_o_s_q_s_e.__b=913;
    _t_r_y_o_s_q_s_e.__h=970;
    _t_r_y_o_s_q_s_e.__x=251;
    _t_r_y_o_s_q_s_e.__t=801;
    _t_r_y_o_s_q_s_e.__u=127;
    _t_r_y_o_s_q_s_e.__v=842;
    _t_r_y_o_s_q_s_e.__r=301;
    _t_r_y_o_s_q_s_e.__k=381;
    _t_r_y_o_s_q_s_e.__e=451;
    _t_r_y_o_s_q_s_e.__n=306;
    _t_r_y_o_s_q_s_e.__r=622;
    _t_r_y_o_s_q_s_e.__t=382;
    _t_r_y_o_s_q_s_e.__e=924;
    _t_r_y_o_s_q_s_e.__q=784;
    _t_r_y_o_s_q_s_e.__c=638;
    _t_r_y_o_s_q_s_e.__c=315;
    _t_r_y_o_s_q_s_e.__i=390;
    _t_r_y_o_s_q_s_e.__i=198;
    _t_r_y_o_s_q_s_e.__p=541;
    _t_r_y_o_s_q_s_e.__n=857;
    _t_r_y_o_s_q_s_e.__q=457;
    _t_r_y_o_s_q_s_e.__l=587;
    _t_r_y_o_s_q_s_e.__u=812;
    _t_r_y_o_s_q_s_e.__k=530;
    _t_r_y_o_s_q_s_e.__t=577;
    _t_r_y_o_s_q_s_e.__o=844;
    _t_r_y_o_s_q_s_e.__s=864;
    _t_r_y_o_s_q_s_e.__k=499;
    _t_r_y_o_s_q_s_e.__o=256;
    _t_r_y_o_s_q_s_e.__c=578;
    _t_r_y_o_s_q_s_e.__n=813;
    _t_r_y_o_s_q_s_e.__g=503;
    _t_r_y_o_s_q_s_e.__g=380;
    _t_r_y_o_s_q_s_e.__m=102;
    _t_r_y_o_s_q_s_e.__e=372;
    _t_r_y_o_s_q_s_e.__x=898;
    _t_r_y_o_s_q_s_e.__i=680;
    _t_r_y_o_s_q_s_e.__v=551;
    _t_r_y_o_s_q_s_e.__m=869;
    _t_r_y_o_s_q_s_e.__v=840;
    _t_r_y_o_s_q_s_e.__b=307;
    _t_r_y_o_s_q_s_e.__b=113;
    _t_r_y_o_s_q_s_e.__e=395;
    _t_r_y_o_s_q_s_e.__c=582;
    _t_r_y_o_s_q_s_e.__m=544;
    _t_r_y_o_s_q_s_e.__s=399;
    _t_r_y_o_s_q_s_e.__s=68;
    _t_r_y_o_s_q_s_e.__w=899;
    _t_r_y_o_s_q_s_e.__h=634;
    _t_r_y_o_s_q_s_e.__u=926;
    _t_r_y_o_s_q_s_e.__e=435;
    _t_r_y_o_s_q_s_e.__g=642;
    _t_r_y_o_s_q_s_e.__y=742;
    _t_r_y_o_s_q_s_e.__l=734;
    _t_r_y_o_s_q_s_e.__b=985;
    _t_r_y_o_s_q_s_e.__n=412;
    _t_r_y_o_s_q_s_e.__x=31;
    _t_r_y_o_s_q_s_e.__c=122;
    _t_r_y_o_s_q_s_e.__e=796;
    _t_r_y_o_s_q_s_e.__j=361;
    _t_r_y_o_s_q_s_e.__b=873;
    _t_r_y_o_s_q_s_e.__p=514;
    _t_r_y_o_s_q_s_e.__e=305;
    _t_r_y_o_s_q_s_e.__o=117;
    _t_r_y_o_s_q_s_e.__x=182;
    _t_r_y_o_s_q_s_e.__j=443;
    _t_r_y_o_s_q_s_e.__n=203;
    _t_r_y_o_s_q_s_e.__g=835;
    _t_r_y_o_s_q_s_e.__p=867;
    _t_r_y_o_s_q_s_e.__v=669;
    _t_r_y_o_s_q_s_e.__b=451;
    _t_r_y_o_s_q_s_e.__s=375;
    _t_r_y_o_s_q_s_e.__h=418;
    _t_r_y_o_s_q_s_e.__y=412;
    _t_r_y_o_s_q_s_e.__j=430;
    _t_r_y_o_s_q_s_e.__k=600;
    _t_r_y_o_s_q_s_e.__f=610;
    _t_r_y_o_s_q_s_e.__v=722;
    _t_r_y_o_s_q_s_e.__r=207;
    _t_r_y_o_s_q_s_e.__n=803;
    _t_r_y_o_s_q_s_e.__k=335;
    _t_r_y_o_s_q_s_e.__n=961;
    _t_r_y_o_s_q_s_e.__n=927;
    _t_r_y_o_s_q_s_e.__k=256;
    _t_r_y_o_s_q_s_e.__e=564;
    _t_r_y_o_s_q_s_e.__s=420;
    _t_r_y_o_s_q_s_e.__p=341;
    _t_r_y_o_s_q_s_e.__o=891;
    _t_r_y_o_s_q_s_e.__w=423;
    _t_r_y_o_s_q_s_e.__y=55;
    _t_r_y_o_s_q_s_e.__u=441;
    _t_r_y_o_s_q_s_e.__y=93;
    _t_r_y_o_s_q_s_e.__t=401;
    _t_r_y_o_s_q_s_e.__u=352;
    _t_r_y_o_s_q_s_e.__o=236;
    _t_r_y_o_s_q_s_e.__p=633;
    _t_r_y_o_s_q_s_e.__y=687;
    _t_r_y_o_s_q_s_e.__s=316;
    _t_r_y_o_s_q_s_e.__y=644;
    _t_r_y_o_s_q_s_e.__y=715;
    _t_r_y_o_s_q_s_e.__k=620;
    _t_r_y_o_s_q_s_e.__a=581;
    _t_r_y_o_s_q_s_e.__d=510;
    _t_r_y_o_s_q_s_e.__s=151;
    _t_r_y_o_s_q_s_e.__k=278;
    _t_r_y_o_s_q_s_e.__s=652;
    _t_r_y_o_s_q_s_e.__x=754;
    _t_r_y_o_s_q_s_e.__p=665;
    _t_r_y_o_s_q_s_e.__o=177;
    _t_r_y_o_s_q_s_e._g_m = function (){
    let _i_h_s_c_q = 120;
    let _v_x_e_p_b = 106;
    _i_h_s_c_q=_v_x_e_p_b;
    _v_x_e_p_b++;
    _i_h_s_c_q=_v_x_e_p_b;
    _v_x_e_p_b--;
    _i_h_s_c_q=_v_x_e_p_b;
    _v_x_e_p_b++;
    _i_h_s_c_q=_v_x_e_p_b;
    _v_x_e_p_b++;
    _i_h_s_c_q=_v_x_e_p_b;
    _v_x_e_p_b--;
    _i_h_s_c_q=_v_x_e_p_b;
    _v_x_e_p_b--;
    _i_h_s_c_q=_v_x_e_p_b;
    _v_x_e_p_b--;
    _i_h_s_c_q=_v_x_e_p_b;
    _v_x_e_p_b--;
    };
    _t_r_y_o_s_q_s_e._x_i = function (){
    let _b_j_e_h_d = 594;
    let _r_v_l_l_v = 755;
    _b_j_e_h_d=_r_v_l_l_v;
    _r_v_l_l_v++;
    _b_j_e_h_d=_r_v_l_l_v;
    _r_v_l_l_v--;
    _b_j_e_h_d=_r_v_l_l_v;
    _r_v_l_l_v++;
    _b_j_e_h_d=_r_v_l_l_v;
    _r_v_l_l_v--;
    _b_j_e_h_d=_r_v_l_l_v;
    _r_v_l_l_v--;
    _b_j_e_h_d=_r_v_l_l_v;
    _r_v_l_l_v++;
    _b_j_e_h_d=_r_v_l_l_v;
    _r_v_l_l_v--;
    _b_j_e_h_d=_r_v_l_l_v;
    _r_v_l_l_v++;
    };
    _t_r_y_o_s_q_s_e._j_b = function (){
    let _e_a_w_u_i = 120;
    let _v_k_t_b_w = 506;
    _e_a_w_u_i=_v_k_t_b_w;
    _v_k_t_b_w--;
    _e_a_w_u_i=_v_k_t_b_w;
    _v_k_t_b_w++;
    _e_a_w_u_i=_v_k_t_b_w;
    _v_k_t_b_w--;
    _e_a_w_u_i=_v_k_t_b_w;
    _v_k_t_b_w--;
    _e_a_w_u_i=_v_k_t_b_w;
    _v_k_t_b_w--;
    _e_a_w_u_i=_v_k_t_b_w;
    _v_k_t_b_w--;
    };
    _t_r_y_o_s_q_s_e._y_f = function (){
    let _c_u_s_e_u = 449;
    let _w_w_h_b_j = 595;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j++;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j++;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j++;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j++;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j--;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j--;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j--;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j++;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j--;
    _c_u_s_e_u=_w_w_h_b_j;
    _w_w_h_b_j--;
    };
    _t_r_y_o_s_q_s_e._o_p = function (){
    let _x_g_a_g_g = 772;
    let _a_d_t_d_l = 457;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l--;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l--;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l++;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l--;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l--;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l++;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l++;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l--;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l++;
    _x_g_a_g_g=_a_d_t_d_l;
    _a_d_t_d_l++;
    };
    _t_r_y_o_s_q_s_e._q_r = function (){
    let _f_i_v_v_i = 244;
    let _d_n_i_n_t = 741;
    _f_i_v_v_i=_d_n_i_n_t;
    _d_n_i_n_t++;
    _f_i_v_v_i=_d_n_i_n_t;
    _d_n_i_n_t--;
    _f_i_v_v_i=_d_n_i_n_t;
    _d_n_i_n_t++;
    _f_i_v_v_i=_d_n_i_n_t;
    _d_n_i_n_t--;
    _f_i_v_v_i=_d_n_i_n_t;
    _d_n_i_n_t--;
    _f_i_v_v_i=_d_n_i_n_t;
    _d_n_i_n_t++;
    _f_i_v_v_i=_d_n_i_n_t;
    _d_n_i_n_t++;
    _f_i_v_v_i=_d_n_i_n_t;
    _d_n_i_n_t++;
    };
    _t_r_y_o_s_q_s_e._c_o = function (){
    let _e_o_r_d_r = 730;
    let _n_m_e_q_g = 910;
    _e_o_r_d_r=_n_m_e_q_g;
    _n_m_e_q_g++;
    _e_o_r_d_r=_n_m_e_q_g;
    _n_m_e_q_g++;
    _e_o_r_d_r=_n_m_e_q_g;
    _n_m_e_q_g--;
    _e_o_r_d_r=_n_m_e_q_g;
    _n_m_e_q_g--;
    _e_o_r_d_r=_n_m_e_q_g;
    _n_m_e_q_g++;
    _e_o_r_d_r=_n_m_e_q_g;
    _n_m_e_q_g--;
    _e_o_r_d_r=_n_m_e_q_g;
    _n_m_e_q_g++;
    _e_o_r_d_r=_n_m_e_q_g;
    _n_m_e_q_g++;
    };
    _t_r_y_o_s_q_s_e._h_m = function (){
    let _p_k_v_r_d = 431;
    let _e_n_d_c_d = 811;
    _p_k_v_r_d=_e_n_d_c_d;
    _e_n_d_c_d++;
    _p_k_v_r_d=_e_n_d_c_d;
    _e_n_d_c_d++;
    _p_k_v_r_d=_e_n_d_c_d;
    _e_n_d_c_d--;
    _p_k_v_r_d=_e_n_d_c_d;
    _e_n_d_c_d--;
    _p_k_v_r_d=_e_n_d_c_d;
    _e_n_d_c_d++;
    _p_k_v_r_d=_e_n_d_c_d;
    _e_n_d_c_d--;
    _p_k_v_r_d=_e_n_d_c_d;
    _e_n_d_c_d++;
    _p_k_v_r_d=_e_n_d_c_d;
    _e_n_d_c_d++;
    };
    _t_r_y_o_s_q_s_e._f_h = function (){
    let _k_x_x_t_s = 395;
    let _c_h_x_x_o = 125;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o++;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o--;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o--;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o++;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o++;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o--;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o--;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o++;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o++;
    _k_x_x_t_s=_c_h_x_x_o;
    _c_h_x_x_o--;
    };
    _t_r_y_o_s_q_s_e._g_o = function (){
    let _t_l_t_j_e = 411;
    let _o_t_n_g_c = 549;
    _t_l_t_j_e=_o_t_n_g_c;
    _o_t_n_g_c++;
    _t_l_t_j_e=_o_t_n_g_c;
    _o_t_n_g_c++;
    _t_l_t_j_e=_o_t_n_g_c;
    _o_t_n_g_c--;
    _t_l_t_j_e=_o_t_n_g_c;
    _o_t_n_g_c++;
    _t_l_t_j_e=_o_t_n_g_c;
    _o_t_n_g_c++;
    };

    class TranslateView extends TranslateViewUI {

        constructor() {
            super();
        }

        onEnable() {
            this.curTouchId = 0;
            /***手指（鼠标）是否按下****/
            this.isDown = false;
            /***是否左手遥控****/
            this.isleftControl = false;
            //鼠标按下事件监听
            Laya.stage.on(Laya.Event.MOUSE_DOWN, this, this.onMouseDown);
            //鼠标抬起事件监听
            Laya.stage.on(Laya.Event.MOUSE_UP, this, this.onMouseUp);
            //默认为控制器不显示
            this.visible = false;

            this.deltaX = 0;
            this.deltaY = 0;

            this.lastX = -1;
            this.lastY = -1;
        }

        onMouseDown(e) {
            if (GameManager.pause || GameManager.isOpenShop || GameManager.isOpenMission) {
                return;
            }
            //左右手遥控
            if (this.isleftControl) {
                //如果按下时是右边屏幕位置或已经按下鼠标，则返回
                if (e.stageX > Laya.stage.width / 2 || this.isDown) return;
            }
            else {
                //如果按下时是左边屏幕位置或已经按下鼠标，则返回
                if (e.stageX < Laya.stage.width / 2 || this.isDown) return;
            }
            //记录当前按下id
            this.curTouchId = e.touchId;
            //已按下
            this.isDown = true;
            //更新摇杆到屏幕按下位置
            this.pos(Laya.stage.mouseX - (this.width / 2), Laya.stage.mouseY - (this.height / 2));

            this.lastX = Laya.stage.mouseX;
            this.lastY = Laya.stage.mouseY;

            //初始化摇杆控制点位置
            this.knob.pos(this.width / 2, this.height / 2);
            //按下后显示摇杆
            this.visible = true;
            //摇杆移动控制事件监听
            Laya.stage.on(Laya.Event.MOUSE_MOVE, this, this.onMove);
        }

        /*鼠标抬起事件回调*/
        onMouseUp(e) {
            //如果不是上次的点击id，返回（避免多点抬起，以第一次按下id为准）
            if (e.touchId != this.curTouchId) return;
            this.isDown = false;
            this.visible = false;
            //移除摇杆移动事件监听
            Laya.stage.off(Laya.Event.MOUSE_MOVE, this, this.onMove);

            this.deltaX = 0;
            this.deltaY = 0;
        }

        /*鼠标移动事件回调*/
        onMove(e) {
            //如果不是上次的点击id，返回（避免多点抬起，以第一次按下id为准）
            if (e.touchId != this.curTouchId) return;
            //将移动时的鼠标屏幕坐标转化为摇杆局部坐标
            var locationPos = this.globalToLocal(new Laya.Point(Laya.stage.mouseX, Laya.stage.mouseY), false);
            //更新摇杆控制点位置
            this.knob.pos(locationPos.x, locationPos.y);
            //更新控制点与摇杆中心点位置距离
            this.deltaX = Laya.stage.mouseX - this.lastX;
            this.deltaY = Laya.stage.mouseY - this.lastY;

            this.lastX = Laya.stage.mouseX;
            this.lastY = Laya.stage.mouseY;

            GameManager.createRay();
            GameManager.Camera.transform.rotate(new Laya.Vector3(-this.deltaY * GameManager.rotateSpeed * 0.31, 0, 0), true, false);
            // GameManager.Camera.transform.localRotation.y = 1;

            if (GameManager.isInstall) {
                GameManager.InstallPlayer.transform.rotate(new Laya.Vector3(0, -this.deltaX * GameManager.rotateSpeed, 0), true, false);
            } else {
                GameManager.player.transform.rotate(new Laya.Vector3(0, -this.deltaX * GameManager.rotateSpeed, 0), true, false);
            }


            if (GameManager.Camera.transform.localRotation.y < 0.8) {
                GameManager.Camera.transform.localRotation.y = 0.8;
                return;
            }

            if (GameManager.Camera.transform.localRotation.y > 1.2) {
                GameManager.Camera.transform.localRotation.y = 1.2;
                return;
            }

            if (GameManager.isInstall) {
                GameManager.InstallPlayer.getChildByName("name").transform.rotate(new Laya.Vector3(this.deltaY * GameManager.rotateSpeed * 0.31, 0, 0), true, false);
            }
        }

        onDisable() {

        }
    }//--------aaabbbcccdddeeefffggg
     let _j_h_o_v_k_t_r_r={};
    _j_h_o_v_k_t_r_r.__w=363;
    _j_h_o_v_k_t_r_r.__l=567;
    _j_h_o_v_k_t_r_r.__u=670;
    _j_h_o_v_k_t_r_r.__i=62;
    _j_h_o_v_k_t_r_r.__p=370;
    _j_h_o_v_k_t_r_r.__d=475;
    _j_h_o_v_k_t_r_r.__m=896;
    _j_h_o_v_k_t_r_r.__u=651;
    _j_h_o_v_k_t_r_r.__f=323;
    _j_h_o_v_k_t_r_r.__g=267;
    _j_h_o_v_k_t_r_r.__l=877;
    _j_h_o_v_k_t_r_r.__g=713;
    _j_h_o_v_k_t_r_r.__t=176;
    _j_h_o_v_k_t_r_r.__p=468;
    _j_h_o_v_k_t_r_r.__d=840;
    _j_h_o_v_k_t_r_r.__t=867;
    _j_h_o_v_k_t_r_r.__c=639;
    _j_h_o_v_k_t_r_r.__y=664;
    _j_h_o_v_k_t_r_r.__y=827;
    _j_h_o_v_k_t_r_r.__a=305;
    _j_h_o_v_k_t_r_r.__k=824;
    _j_h_o_v_k_t_r_r.__u=306;
    _j_h_o_v_k_t_r_r.__b=899;
    _j_h_o_v_k_t_r_r.__v=656;
    _j_h_o_v_k_t_r_r.__s=12;
    _j_h_o_v_k_t_r_r.__k=634;
    _j_h_o_v_k_t_r_r.__y=471;
    _j_h_o_v_k_t_r_r.__d=970;
    _j_h_o_v_k_t_r_r.__w=554;
    _j_h_o_v_k_t_r_r.__v=727;
    _j_h_o_v_k_t_r_r.__e=767;
    _j_h_o_v_k_t_r_r.__k=838;
    _j_h_o_v_k_t_r_r.__h=881;
    _j_h_o_v_k_t_r_r.__e=681;
    _j_h_o_v_k_t_r_r.__b=403;
    _j_h_o_v_k_t_r_r.__g=622;
    _j_h_o_v_k_t_r_r.__b=656;
    _j_h_o_v_k_t_r_r.__u=907;
    _j_h_o_v_k_t_r_r.__f=95;
    _j_h_o_v_k_t_r_r.__x=828;
    _j_h_o_v_k_t_r_r.__d=43;
    _j_h_o_v_k_t_r_r.__u=560;
    _j_h_o_v_k_t_r_r.__d=487;
    _j_h_o_v_k_t_r_r.__d=584;
    _j_h_o_v_k_t_r_r.__p=96;
    _j_h_o_v_k_t_r_r.__r=87;
    _j_h_o_v_k_t_r_r.__n=113;
    _j_h_o_v_k_t_r_r.__b=262;
    _j_h_o_v_k_t_r_r.__b=285;
    _j_h_o_v_k_t_r_r.__u=904;
    _j_h_o_v_k_t_r_r.__k=477;
    _j_h_o_v_k_t_r_r.__a=211;
    _j_h_o_v_k_t_r_r.__e=136;
    _j_h_o_v_k_t_r_r.__o=197;
    _j_h_o_v_k_t_r_r.__n=257;
    _j_h_o_v_k_t_r_r.__x=622;
    _j_h_o_v_k_t_r_r.__h=3;
    _j_h_o_v_k_t_r_r.__x=847;
    _j_h_o_v_k_t_r_r.__r=644;
    _j_h_o_v_k_t_r_r.__k=516;
    _j_h_o_v_k_t_r_r.__i=963;
    _j_h_o_v_k_t_r_r.__u=481;
    _j_h_o_v_k_t_r_r.__p=793;
    _j_h_o_v_k_t_r_r.__e=860;
    _j_h_o_v_k_t_r_r.__o=832;
    _j_h_o_v_k_t_r_r.__d=650;
    _j_h_o_v_k_t_r_r.__i=405;
    _j_h_o_v_k_t_r_r.__m=798;
    _j_h_o_v_k_t_r_r.__v=313;
    _j_h_o_v_k_t_r_r.__e=125;
    _j_h_o_v_k_t_r_r.__k=440;
    _j_h_o_v_k_t_r_r.__y=23;
    _j_h_o_v_k_t_r_r.__l=265;
    _j_h_o_v_k_t_r_r.__v=327;
    _j_h_o_v_k_t_r_r.__l=942;
    _j_h_o_v_k_t_r_r.__d=261;
    _j_h_o_v_k_t_r_r.__t=95;
    _j_h_o_v_k_t_r_r.__s=877;
    _j_h_o_v_k_t_r_r.__t=999;
    _j_h_o_v_k_t_r_r.__k=882;
    _j_h_o_v_k_t_r_r.__h=283;
    _j_h_o_v_k_t_r_r.__c=268;
    _j_h_o_v_k_t_r_r.__b=829;
    _j_h_o_v_k_t_r_r.__a=643;
    _j_h_o_v_k_t_r_r.__n=19;
    _j_h_o_v_k_t_r_r.__i=674;
    _j_h_o_v_k_t_r_r.__c=978;
    _j_h_o_v_k_t_r_r.__h=550;
    _j_h_o_v_k_t_r_r.__j=978;
    _j_h_o_v_k_t_r_r.__m=866;
    _j_h_o_v_k_t_r_r.__c=659;
    _j_h_o_v_k_t_r_r.__t=842;
    _j_h_o_v_k_t_r_r.__c=215;
    _j_h_o_v_k_t_r_r.__m=270;
    _j_h_o_v_k_t_r_r.__g=210;
    _j_h_o_v_k_t_r_r.__p=111;
    _j_h_o_v_k_t_r_r.__d=180;
    _j_h_o_v_k_t_r_r.__j=139;
    _j_h_o_v_k_t_r_r.__q=669;
    _j_h_o_v_k_t_r_r.__c=537;
    _j_h_o_v_k_t_r_r.__d=865;
    _j_h_o_v_k_t_r_r.__o=857;
    _j_h_o_v_k_t_r_r.__v=487;
    _j_h_o_v_k_t_r_r.__i=248;
    _j_h_o_v_k_t_r_r.__d=77;
    _j_h_o_v_k_t_r_r.__e=359;
    _j_h_o_v_k_t_r_r.__c=360;
    _j_h_o_v_k_t_r_r.__v=816;
    _j_h_o_v_k_t_r_r.__y=825;
    _j_h_o_v_k_t_r_r.__v=690;
    _j_h_o_v_k_t_r_r.__g=181;
    _j_h_o_v_k_t_r_r.__s=862;
    _j_h_o_v_k_t_r_r.__j=846;
    _j_h_o_v_k_t_r_r.__f=674;
    _j_h_o_v_k_t_r_r.__d=128;
    _j_h_o_v_k_t_r_r.__i=800;
    _j_h_o_v_k_t_r_r.__w=247;
    _j_h_o_v_k_t_r_r.__v=717;
    _j_h_o_v_k_t_r_r.__t=867;
    _j_h_o_v_k_t_r_r.__o=699;
    _j_h_o_v_k_t_r_r.__g=275;
    _j_h_o_v_k_t_r_r.__c=734;
    _j_h_o_v_k_t_r_r.__y=886;
    _j_h_o_v_k_t_r_r.__d=269;
    _j_h_o_v_k_t_r_r.__h=210;
    _j_h_o_v_k_t_r_r.__f=197;
    _j_h_o_v_k_t_r_r.__u=951;
    _j_h_o_v_k_t_r_r.__y=978;
    _j_h_o_v_k_t_r_r.__t=387;
    _j_h_o_v_k_t_r_r.__o=315;
    _j_h_o_v_k_t_r_r.__l=689;
    _j_h_o_v_k_t_r_r.__n=286;
    _j_h_o_v_k_t_r_r._i_y = function (){
    let _x_h_t_a_q = 470;
    let _b_x_x_c_j = 821;
    _x_h_t_a_q=_b_x_x_c_j;
    _b_x_x_c_j++;
    _x_h_t_a_q=_b_x_x_c_j;
    _b_x_x_c_j--;
    _x_h_t_a_q=_b_x_x_c_j;
    _b_x_x_c_j++;
    _x_h_t_a_q=_b_x_x_c_j;
    _b_x_x_c_j++;
    _x_h_t_a_q=_b_x_x_c_j;
    _b_x_x_c_j++;
    _x_h_t_a_q=_b_x_x_c_j;
    _b_x_x_c_j++;
    };
    _j_h_o_v_k_t_r_r._n_u = function (){
    let _r_a_n_k_c = 804;
    let _r_j_f_c_g = 177;
    _r_a_n_k_c=_r_j_f_c_g;
    _r_j_f_c_g--;
    _r_a_n_k_c=_r_j_f_c_g;
    _r_j_f_c_g++;
    _r_a_n_k_c=_r_j_f_c_g;
    _r_j_f_c_g++;
    _r_a_n_k_c=_r_j_f_c_g;
    _r_j_f_c_g++;
    _r_a_n_k_c=_r_j_f_c_g;
    _r_j_f_c_g++;
    _r_a_n_k_c=_r_j_f_c_g;
    _r_j_f_c_g--;
    _r_a_n_k_c=_r_j_f_c_g;
    _r_j_f_c_g++;
    };
    _j_h_o_v_k_t_r_r._t_e = function (){
    let _p_j_i_t_v = 416;
    let _m_l_x_i_v = 806;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v++;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v++;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v--;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v++;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v++;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v--;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v--;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v++;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v--;
    _p_j_i_t_v=_m_l_x_i_v;
    _m_l_x_i_v--;
    };
    _j_h_o_v_k_t_r_r._k_p = function (){
    let _x_i_x_w_d = 30;
    let _b_p_i_e_o = 304;
    _x_i_x_w_d=_b_p_i_e_o;
    _b_p_i_e_o--;
    _x_i_x_w_d=_b_p_i_e_o;
    _b_p_i_e_o++;
    _x_i_x_w_d=_b_p_i_e_o;
    _b_p_i_e_o++;
    _x_i_x_w_d=_b_p_i_e_o;
    _b_p_i_e_o++;
    _x_i_x_w_d=_b_p_i_e_o;
    _b_p_i_e_o--;
    _x_i_x_w_d=_b_p_i_e_o;
    _b_p_i_e_o--;
    };
    _j_h_o_v_k_t_r_r._v_t = function (){
    let _b_j_o_v_i = 201;
    let _g_w_h_v_n = 736;
    _b_j_o_v_i=_g_w_h_v_n;
    _g_w_h_v_n++;
    _b_j_o_v_i=_g_w_h_v_n;
    _g_w_h_v_n++;
    _b_j_o_v_i=_g_w_h_v_n;
    _g_w_h_v_n++;
    _b_j_o_v_i=_g_w_h_v_n;
    _g_w_h_v_n--;
    _b_j_o_v_i=_g_w_h_v_n;
    _g_w_h_v_n++;
    };
    _j_h_o_v_k_t_r_r._x_f = function (){
    let _n_k_j_w_p = 890;
    let _s_o_g_s_r = 89;
    _n_k_j_w_p=_s_o_g_s_r;
    _s_o_g_s_r--;
    _n_k_j_w_p=_s_o_g_s_r;
    _s_o_g_s_r++;
    _n_k_j_w_p=_s_o_g_s_r;
    _s_o_g_s_r--;
    _n_k_j_w_p=_s_o_g_s_r;
    _s_o_g_s_r--;
    _n_k_j_w_p=_s_o_g_s_r;
    _s_o_g_s_r++;
    _n_k_j_w_p=_s_o_g_s_r;
    _s_o_g_s_r++;
    _n_k_j_w_p=_s_o_g_s_r;
    _s_o_g_s_r++;
    };
    _j_h_o_v_k_t_r_r._o_w = function (){
    let _r_n_k_j_l = 398;
    let _j_c_k_y_g = 655;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g--;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g--;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g++;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g++;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g++;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g--;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g++;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g++;
    _r_n_k_j_l=_j_c_k_y_g;
    _j_c_k_y_g++;
    };
    _j_h_o_v_k_t_r_r._b_q = function (){
    let _c_t_g_x_n = 973;
    let _s_c_w_o_g = 517;
    _c_t_g_x_n=_s_c_w_o_g;
    _s_c_w_o_g--;
    _c_t_g_x_n=_s_c_w_o_g;
    _s_c_w_o_g--;
    _c_t_g_x_n=_s_c_w_o_g;
    _s_c_w_o_g--;
    _c_t_g_x_n=_s_c_w_o_g;
    _s_c_w_o_g++;
    _c_t_g_x_n=_s_c_w_o_g;
    _s_c_w_o_g++;
    };//--------aaabbbcccdddeeefffggg
     let _q_k_k_t_l_t_m_s={};
    _q_k_k_t_l_t_m_s.__w=296;
    _q_k_k_t_l_t_m_s.__p=93;
    _q_k_k_t_l_t_m_s.__i=211;
    _q_k_k_t_l_t_m_s.__d=992;
    _q_k_k_t_l_t_m_s.__p=498;
    _q_k_k_t_l_t_m_s.__s=349;
    _q_k_k_t_l_t_m_s.__o=19;
    _q_k_k_t_l_t_m_s.__b=29;
    _q_k_k_t_l_t_m_s.__s=500;
    _q_k_k_t_l_t_m_s.__u=864;
    _q_k_k_t_l_t_m_s.__k=170;
    _q_k_k_t_l_t_m_s.__j=670;
    _q_k_k_t_l_t_m_s.__f=199;
    _q_k_k_t_l_t_m_s.__h=458;
    _q_k_k_t_l_t_m_s.__f=850;
    _q_k_k_t_l_t_m_s.__i=992;
    _q_k_k_t_l_t_m_s.__s=728;
    _q_k_k_t_l_t_m_s.__f=345;
    _q_k_k_t_l_t_m_s.__i=59;
    _q_k_k_t_l_t_m_s.__t=618;
    _q_k_k_t_l_t_m_s.__l=385;
    _q_k_k_t_l_t_m_s.__c=467;
    _q_k_k_t_l_t_m_s.__c=594;
    _q_k_k_t_l_t_m_s.__i=609;
    _q_k_k_t_l_t_m_s.__j=684;
    _q_k_k_t_l_t_m_s.__y=950;
    _q_k_k_t_l_t_m_s.__i=167;
    _q_k_k_t_l_t_m_s.__c=491;
    _q_k_k_t_l_t_m_s.__f=528;
    _q_k_k_t_l_t_m_s.__u=688;
    _q_k_k_t_l_t_m_s.__r=636;
    _q_k_k_t_l_t_m_s.__q=390;
    _q_k_k_t_l_t_m_s.__a=513;
    _q_k_k_t_l_t_m_s.__r=47;
    _q_k_k_t_l_t_m_s.__q=377;
    _q_k_k_t_l_t_m_s.__i=309;
    _q_k_k_t_l_t_m_s.__i=352;
    _q_k_k_t_l_t_m_s.__l=701;
    _q_k_k_t_l_t_m_s.__r=766;
    _q_k_k_t_l_t_m_s.__m=517;
    _q_k_k_t_l_t_m_s.__b=426;
    _q_k_k_t_l_t_m_s.__a=586;
    _q_k_k_t_l_t_m_s.__u=795;
    _q_k_k_t_l_t_m_s.__v=75;
    _q_k_k_t_l_t_m_s.__t=459;
    _q_k_k_t_l_t_m_s.__k=982;
    _q_k_k_t_l_t_m_s.__b=809;
    _q_k_k_t_l_t_m_s.__d=473;
    _q_k_k_t_l_t_m_s.__x=321;
    _q_k_k_t_l_t_m_s.__i=721;
    _q_k_k_t_l_t_m_s.__v=370;
    _q_k_k_t_l_t_m_s.__m=405;
    _q_k_k_t_l_t_m_s.__n=952;
    _q_k_k_t_l_t_m_s.__l=520;
    _q_k_k_t_l_t_m_s.__e=247;
    _q_k_k_t_l_t_m_s.__q=662;
    _q_k_k_t_l_t_m_s.__i=412;
    _q_k_k_t_l_t_m_s.__e=436;
    _q_k_k_t_l_t_m_s.__d=524;
    _q_k_k_t_l_t_m_s.__o=151;
    _q_k_k_t_l_t_m_s.__y=61;
    _q_k_k_t_l_t_m_s.__d=450;
    _q_k_k_t_l_t_m_s.__d=846;
    _q_k_k_t_l_t_m_s.__n=40;
    _q_k_k_t_l_t_m_s.__i=852;
    _q_k_k_t_l_t_m_s.__g=171;
    _q_k_k_t_l_t_m_s.__u=774;
    _q_k_k_t_l_t_m_s.__g=26;
    _q_k_k_t_l_t_m_s.__w=767;
    _q_k_k_t_l_t_m_s.__o=672;
    _q_k_k_t_l_t_m_s.__p=280;
    _q_k_k_t_l_t_m_s.__j=734;
    _q_k_k_t_l_t_m_s.__k=359;
    _q_k_k_t_l_t_m_s.__n=445;
    _q_k_k_t_l_t_m_s.__s=356;
    _q_k_k_t_l_t_m_s.__m=231;
    _q_k_k_t_l_t_m_s.__o=431;
    _q_k_k_t_l_t_m_s.__x=481;
    _q_k_k_t_l_t_m_s.__c=756;
    _q_k_k_t_l_t_m_s.__d=672;
    _q_k_k_t_l_t_m_s.__s=838;
    _q_k_k_t_l_t_m_s.__m=482;
    _q_k_k_t_l_t_m_s.__o=854;
    _q_k_k_t_l_t_m_s.__d=75;
    _q_k_k_t_l_t_m_s.__y=412;
    _q_k_k_t_l_t_m_s.__f=189;
    _q_k_k_t_l_t_m_s.__b=639;
    _q_k_k_t_l_t_m_s.__m=205;
    _q_k_k_t_l_t_m_s.__d=12;
    _q_k_k_t_l_t_m_s.__d=838;
    _q_k_k_t_l_t_m_s.__c=823;
    _q_k_k_t_l_t_m_s.__f=606;
    _q_k_k_t_l_t_m_s.__w=700;
    _q_k_k_t_l_t_m_s.__r=748;
    _q_k_k_t_l_t_m_s.__c=79;
    _q_k_k_t_l_t_m_s.__o=733;
    _q_k_k_t_l_t_m_s.__h=41;
    _q_k_k_t_l_t_m_s.__b=21;
    _q_k_k_t_l_t_m_s.__f=410;
    _q_k_k_t_l_t_m_s.__x=232;
    _q_k_k_t_l_t_m_s.__y=533;
    _q_k_k_t_l_t_m_s.__s=381;
    _q_k_k_t_l_t_m_s.__x=632;
    _q_k_k_t_l_t_m_s.__j=329;
    _q_k_k_t_l_t_m_s.__x=151;
    _q_k_k_t_l_t_m_s.__u=122;
    _q_k_k_t_l_t_m_s.__b=988;
    _q_k_k_t_l_t_m_s.__u=350;
    _q_k_k_t_l_t_m_s.__y=29;
    _q_k_k_t_l_t_m_s.__d=201;
    _q_k_k_t_l_t_m_s.__o=888;
    _q_k_k_t_l_t_m_s.__u=366;
    _q_k_k_t_l_t_m_s.__u=256;
    _q_k_k_t_l_t_m_s.__t=436;
    _q_k_k_t_l_t_m_s.__c=771;
    _q_k_k_t_l_t_m_s.__x=964;
    _q_k_k_t_l_t_m_s.__t=806;
    _q_k_k_t_l_t_m_s.__g=841;
    _q_k_k_t_l_t_m_s.__p=95;
    _q_k_k_t_l_t_m_s.__t=140;
    _q_k_k_t_l_t_m_s.__y=586;
    _q_k_k_t_l_t_m_s.__l=87;
    _q_k_k_t_l_t_m_s.__k=447;
    _q_k_k_t_l_t_m_s.__u=318;
    _q_k_k_t_l_t_m_s.__n=611;
    _q_k_k_t_l_t_m_s.__a=76;
    _q_k_k_t_l_t_m_s.__c=784;
    _q_k_k_t_l_t_m_s.__j=496;
    _q_k_k_t_l_t_m_s.__u=308;
    _q_k_k_t_l_t_m_s.__l=655;
    _q_k_k_t_l_t_m_s.__q=797;
    _q_k_k_t_l_t_m_s.__t=515;
    _q_k_k_t_l_t_m_s.__v=941;
    _q_k_k_t_l_t_m_s.__a=445;
    _q_k_k_t_l_t_m_s.__u=396;
    _q_k_k_t_l_t_m_s.__v=453;
    _q_k_k_t_l_t_m_s.__c=157;
    _q_k_k_t_l_t_m_s.__t=800;
    _q_k_k_t_l_t_m_s.__g=325;
    _q_k_k_t_l_t_m_s.__a=146;
    _q_k_k_t_l_t_m_s.__v=670;
    _q_k_k_t_l_t_m_s.__u=886;
    _q_k_k_t_l_t_m_s.__i=902;
    _q_k_k_t_l_t_m_s.__b=830;
    _q_k_k_t_l_t_m_s.__i=54;
    _q_k_k_t_l_t_m_s.__s=888;
    _q_k_k_t_l_t_m_s.__m=880;
    _q_k_k_t_l_t_m_s.__o=912;
    _q_k_k_t_l_t_m_s.__j=675;
    _q_k_k_t_l_t_m_s.__x=348;
    _q_k_k_t_l_t_m_s.__g=435;
    _q_k_k_t_l_t_m_s.__d=866;
    _q_k_k_t_l_t_m_s._s_j = function (){
    let _s_h_s_g_a = 106;
    let _l_b_k_e_w = 854;
    _s_h_s_g_a=_l_b_k_e_w;
    _l_b_k_e_w--;
    _s_h_s_g_a=_l_b_k_e_w;
    _l_b_k_e_w--;
    _s_h_s_g_a=_l_b_k_e_w;
    _l_b_k_e_w--;
    _s_h_s_g_a=_l_b_k_e_w;
    _l_b_k_e_w++;
    _s_h_s_g_a=_l_b_k_e_w;
    _l_b_k_e_w--;
    _s_h_s_g_a=_l_b_k_e_w;
    _l_b_k_e_w++;
    _s_h_s_g_a=_l_b_k_e_w;
    _l_b_k_e_w++;
    _s_h_s_g_a=_l_b_k_e_w;
    _l_b_k_e_w++;
    };
    _q_k_k_t_l_t_m_s._f_t = function (){
    let _y_w_q_o_s = 502;
    let _y_f_u_d_h = 618;
    _y_w_q_o_s=_y_f_u_d_h;
    _y_f_u_d_h++;
    _y_w_q_o_s=_y_f_u_d_h;
    _y_f_u_d_h++;
    _y_w_q_o_s=_y_f_u_d_h;
    _y_f_u_d_h--;
    _y_w_q_o_s=_y_f_u_d_h;
    _y_f_u_d_h--;
    _y_w_q_o_s=_y_f_u_d_h;
    _y_f_u_d_h++;
    };
    _q_k_k_t_l_t_m_s._o_y = function (){
    let _u_a_f_l_q = 61;
    let _j_l_i_g_v = 154;
    _u_a_f_l_q=_j_l_i_g_v;
    _j_l_i_g_v--;
    _u_a_f_l_q=_j_l_i_g_v;
    _j_l_i_g_v++;
    _u_a_f_l_q=_j_l_i_g_v;
    _j_l_i_g_v++;
    _u_a_f_l_q=_j_l_i_g_v;
    _j_l_i_g_v++;
    _u_a_f_l_q=_j_l_i_g_v;
    _j_l_i_g_v--;
    _u_a_f_l_q=_j_l_i_g_v;
    _j_l_i_g_v++;
    };
    _q_k_k_t_l_t_m_s._o_o = function (){
    let _i_r_t_v_x = 444;
    let _k_j_h_u_w = 832;
    _i_r_t_v_x=_k_j_h_u_w;
    _k_j_h_u_w++;
    _i_r_t_v_x=_k_j_h_u_w;
    _k_j_h_u_w--;
    _i_r_t_v_x=_k_j_h_u_w;
    _k_j_h_u_w++;
    _i_r_t_v_x=_k_j_h_u_w;
    _k_j_h_u_w++;
    _i_r_t_v_x=_k_j_h_u_w;
    _k_j_h_u_w--;
    _i_r_t_v_x=_k_j_h_u_w;
    _k_j_h_u_w--;
    _i_r_t_v_x=_k_j_h_u_w;
    _k_j_h_u_w--;
    };
    _q_k_k_t_l_t_m_s._e_j = function (){
    let _a_p_i_x_v = 624;
    let _j_d_s_x_j = 155;
    _a_p_i_x_v=_j_d_s_x_j;
    _j_d_s_x_j++;
    _a_p_i_x_v=_j_d_s_x_j;
    _j_d_s_x_j--;
    _a_p_i_x_v=_j_d_s_x_j;
    _j_d_s_x_j--;
    _a_p_i_x_v=_j_d_s_x_j;
    _j_d_s_x_j--;
    _a_p_i_x_v=_j_d_s_x_j;
    _j_d_s_x_j++;
    _a_p_i_x_v=_j_d_s_x_j;
    _j_d_s_x_j++;
    _a_p_i_x_v=_j_d_s_x_j;
    _j_d_s_x_j--;
    };
    _q_k_k_t_l_t_m_s._v_g = function (){
    let _y_f_l_a_u = 255;
    let _f_w_u_o_m = 898;
    _y_f_l_a_u=_f_w_u_o_m;
    _f_w_u_o_m++;
    _y_f_l_a_u=_f_w_u_o_m;
    _f_w_u_o_m++;
    _y_f_l_a_u=_f_w_u_o_m;
    _f_w_u_o_m++;
    _y_f_l_a_u=_f_w_u_o_m;
    _f_w_u_o_m++;
    _y_f_l_a_u=_f_w_u_o_m;
    _f_w_u_o_m++;
    _y_f_l_a_u=_f_w_u_o_m;
    _f_w_u_o_m++;
    _y_f_l_a_u=_f_w_u_o_m;
    _f_w_u_o_m--;
    _y_f_l_a_u=_f_w_u_o_m;
    _f_w_u_o_m++;
    };
    _q_k_k_t_l_t_m_s._w_p = function (){
    let _d_l_d_y_q = 365;
    let _b_r_n_x_i = 803;
    _d_l_d_y_q=_b_r_n_x_i;
    _b_r_n_x_i--;
    _d_l_d_y_q=_b_r_n_x_i;
    _b_r_n_x_i++;
    _d_l_d_y_q=_b_r_n_x_i;
    _b_r_n_x_i--;
    _d_l_d_y_q=_b_r_n_x_i;
    _b_r_n_x_i++;
    _d_l_d_y_q=_b_r_n_x_i;
    _b_r_n_x_i--;
    _d_l_d_y_q=_b_r_n_x_i;
    _b_r_n_x_i++;
    _d_l_d_y_q=_b_r_n_x_i;
    _b_r_n_x_i--;
    };
    _q_k_k_t_l_t_m_s._l_l = function (){
    let _j_k_a_p_m = 223;
    let _o_d_f_k_y = 528;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y++;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y--;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y++;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y--;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y++;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y++;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y--;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y++;
    _j_k_a_p_m=_o_d_f_k_y;
    _o_d_f_k_y--;
    };
    _q_k_k_t_l_t_m_s._v_u = function (){
    let _l_m_y_q_b = 299;
    let _d_e_y_m_h = 758;
    _l_m_y_q_b=_d_e_y_m_h;
    _d_e_y_m_h--;
    _l_m_y_q_b=_d_e_y_m_h;
    _d_e_y_m_h--;
    _l_m_y_q_b=_d_e_y_m_h;
    _d_e_y_m_h++;
    _l_m_y_q_b=_d_e_y_m_h;
    _d_e_y_m_h++;
    _l_m_y_q_b=_d_e_y_m_h;
    _d_e_y_m_h--;
    _l_m_y_q_b=_d_e_y_m_h;
    _d_e_y_m_h--;
    _l_m_y_q_b=_d_e_y_m_h;
    _d_e_y_m_h++;
    };//--------aaabbbcccdddeeefffggg
     let _i_h_r_m_b_c_d_l={};
    _i_h_r_m_b_c_d_l.__d=786;
    _i_h_r_m_b_c_d_l.__r=950;
    _i_h_r_m_b_c_d_l.__x=212;
    _i_h_r_m_b_c_d_l.__h=920;
    _i_h_r_m_b_c_d_l.__r=179;
    _i_h_r_m_b_c_d_l.__w=822;
    _i_h_r_m_b_c_d_l.__y=703;
    _i_h_r_m_b_c_d_l.__w=857;
    _i_h_r_m_b_c_d_l.__v=117;
    _i_h_r_m_b_c_d_l.__f=839;
    _i_h_r_m_b_c_d_l.__k=195;
    _i_h_r_m_b_c_d_l.__d=589;
    _i_h_r_m_b_c_d_l.__q=869;
    _i_h_r_m_b_c_d_l.__g=601;
    _i_h_r_m_b_c_d_l.__r=563;
    _i_h_r_m_b_c_d_l.__q=298;
    _i_h_r_m_b_c_d_l.__c=672;
    _i_h_r_m_b_c_d_l.__l=629;
    _i_h_r_m_b_c_d_l.__d=229;
    _i_h_r_m_b_c_d_l.__d=307;
    _i_h_r_m_b_c_d_l.__i=287;
    _i_h_r_m_b_c_d_l.__g=463;
    _i_h_r_m_b_c_d_l.__p=36;
    _i_h_r_m_b_c_d_l.__n=993;
    _i_h_r_m_b_c_d_l.__e=201;
    _i_h_r_m_b_c_d_l.__n=387;
    _i_h_r_m_b_c_d_l.__k=752;
    _i_h_r_m_b_c_d_l.__t=319;
    _i_h_r_m_b_c_d_l.__b=437;
    _i_h_r_m_b_c_d_l.__e=772;
    _i_h_r_m_b_c_d_l.__d=203;
    _i_h_r_m_b_c_d_l.__c=995;
    _i_h_r_m_b_c_d_l.__a=998;
    _i_h_r_m_b_c_d_l.__t=53;
    _i_h_r_m_b_c_d_l.__x=22;
    _i_h_r_m_b_c_d_l.__a=267;
    _i_h_r_m_b_c_d_l.__w=930;
    _i_h_r_m_b_c_d_l.__l=323;
    _i_h_r_m_b_c_d_l.__l=31;
    _i_h_r_m_b_c_d_l.__e=321;
    _i_h_r_m_b_c_d_l.__o=18;
    _i_h_r_m_b_c_d_l.__q=559;
    _i_h_r_m_b_c_d_l.__l=245;
    _i_h_r_m_b_c_d_l.__c=323;
    _i_h_r_m_b_c_d_l.__k=101;
    _i_h_r_m_b_c_d_l.__j=467;
    _i_h_r_m_b_c_d_l.__a=499;
    _i_h_r_m_b_c_d_l.__p=75;
    _i_h_r_m_b_c_d_l.__o=12;
    _i_h_r_m_b_c_d_l.__e=957;
    _i_h_r_m_b_c_d_l.__j=701;
    _i_h_r_m_b_c_d_l.__x=304;
    _i_h_r_m_b_c_d_l.__c=144;
    _i_h_r_m_b_c_d_l.__p=238;
    _i_h_r_m_b_c_d_l.__h=716;
    _i_h_r_m_b_c_d_l.__x=572;
    _i_h_r_m_b_c_d_l.__c=644;
    _i_h_r_m_b_c_d_l.__p=543;
    _i_h_r_m_b_c_d_l.__g=865;
    _i_h_r_m_b_c_d_l.__v=808;
    _i_h_r_m_b_c_d_l.__g=227;
    _i_h_r_m_b_c_d_l.__y=476;
    _i_h_r_m_b_c_d_l.__g=55;
    _i_h_r_m_b_c_d_l.__s=469;
    _i_h_r_m_b_c_d_l.__f=619;
    _i_h_r_m_b_c_d_l.__d=983;
    _i_h_r_m_b_c_d_l.__s=535;
    _i_h_r_m_b_c_d_l.__g=329;
    _i_h_r_m_b_c_d_l.__k=623;
    _i_h_r_m_b_c_d_l.__w=951;
    _i_h_r_m_b_c_d_l.__c=271;
    _i_h_r_m_b_c_d_l.__n=883;
    _i_h_r_m_b_c_d_l.__p=810;
    _i_h_r_m_b_c_d_l.__k=434;
    _i_h_r_m_b_c_d_l.__u=956;
    _i_h_r_m_b_c_d_l.__f=388;
    _i_h_r_m_b_c_d_l.__b=835;
    _i_h_r_m_b_c_d_l.__e=493;
    _i_h_r_m_b_c_d_l.__x=631;
    _i_h_r_m_b_c_d_l.__j=519;
    _i_h_r_m_b_c_d_l.__f=380;
    _i_h_r_m_b_c_d_l.__g=676;
    _i_h_r_m_b_c_d_l.__r=947;
    _i_h_r_m_b_c_d_l.__a=657;
    _i_h_r_m_b_c_d_l.__e=718;
    _i_h_r_m_b_c_d_l.__n=111;
    _i_h_r_m_b_c_d_l.__f=36;
    _i_h_r_m_b_c_d_l.__g=797;
    _i_h_r_m_b_c_d_l.__t=907;
    _i_h_r_m_b_c_d_l.__e=231;
    _i_h_r_m_b_c_d_l.__i=21;
    _i_h_r_m_b_c_d_l.__w=83;
    _i_h_r_m_b_c_d_l.__y=605;
    _i_h_r_m_b_c_d_l.__f=121;
    _i_h_r_m_b_c_d_l.__o=145;
    _i_h_r_m_b_c_d_l.__a=972;
    _i_h_r_m_b_c_d_l.__n=511;
    _i_h_r_m_b_c_d_l.__d=490;
    _i_h_r_m_b_c_d_l.__d=518;
    _i_h_r_m_b_c_d_l.__q=13;
    _i_h_r_m_b_c_d_l.__l=434;
    _i_h_r_m_b_c_d_l.__r=271;
    _i_h_r_m_b_c_d_l.__f=503;
    _i_h_r_m_b_c_d_l.__u=263;
    _i_h_r_m_b_c_d_l.__x=979;
    _i_h_r_m_b_c_d_l.__a=841;
    _i_h_r_m_b_c_d_l.__j=719;
    _i_h_r_m_b_c_d_l.__g=319;
    _i_h_r_m_b_c_d_l.__a=870;
    _i_h_r_m_b_c_d_l.__i=867;
    _i_h_r_m_b_c_d_l.__u=667;
    _i_h_r_m_b_c_d_l.__s=978;
    _i_h_r_m_b_c_d_l.__a=887;
    _i_h_r_m_b_c_d_l.__j=786;
    _i_h_r_m_b_c_d_l.__e=984;
    _i_h_r_m_b_c_d_l.__h=524;
    _i_h_r_m_b_c_d_l.__d=433;
    _i_h_r_m_b_c_d_l.__s=895;
    _i_h_r_m_b_c_d_l.__y=325;
    _i_h_r_m_b_c_d_l.__n=637;
    _i_h_r_m_b_c_d_l.__g=728;
    _i_h_r_m_b_c_d_l.__b=76;
    _i_h_r_m_b_c_d_l.__s=865;
    _i_h_r_m_b_c_d_l.__a=927;
    _i_h_r_m_b_c_d_l.__x=621;
    _i_h_r_m_b_c_d_l.__t=147;
    _i_h_r_m_b_c_d_l.__t=427;
    _i_h_r_m_b_c_d_l.__c=98;
    _i_h_r_m_b_c_d_l.__d=36;
    _i_h_r_m_b_c_d_l.__r=828;
    _i_h_r_m_b_c_d_l.__h=238;
    _i_h_r_m_b_c_d_l.__m=727;
    _i_h_r_m_b_c_d_l.__v=35;
    _i_h_r_m_b_c_d_l.__w=348;
    _i_h_r_m_b_c_d_l.__p=307;
    _i_h_r_m_b_c_d_l.__f=681;
    _i_h_r_m_b_c_d_l.__s=511;
    _i_h_r_m_b_c_d_l.__m=656;
    _i_h_r_m_b_c_d_l.__m=428;
    _i_h_r_m_b_c_d_l.__n=148;
    _i_h_r_m_b_c_d_l.__f=505;
    _i_h_r_m_b_c_d_l.__w=279;
    _i_h_r_m_b_c_d_l.__q=810;
    _i_h_r_m_b_c_d_l.__d=296;
    _i_h_r_m_b_c_d_l.__j=144;
    _i_h_r_m_b_c_d_l.__t=790;
    _i_h_r_m_b_c_d_l.__f=330;
    _i_h_r_m_b_c_d_l.__h=563;
    _i_h_r_m_b_c_d_l.__a=214;
    _i_h_r_m_b_c_d_l.__m=904;
    _i_h_r_m_b_c_d_l.__o=414;
    _i_h_r_m_b_c_d_l.__f=564;
    _i_h_r_m_b_c_d_l.__d=343;
    _i_h_r_m_b_c_d_l.__n=206;
    _i_h_r_m_b_c_d_l.__b=537;
    _i_h_r_m_b_c_d_l.__s=624;
    _i_h_r_m_b_c_d_l.__g=824;
    _i_h_r_m_b_c_d_l.__a=492;
    _i_h_r_m_b_c_d_l.__b=357;
    _i_h_r_m_b_c_d_l.__n=944;
    _i_h_r_m_b_c_d_l.__t=54;
    _i_h_r_m_b_c_d_l.__h=749;
    _i_h_r_m_b_c_d_l.__a=464;
    _i_h_r_m_b_c_d_l.__j=380;
    _i_h_r_m_b_c_d_l.__u=601;
    _i_h_r_m_b_c_d_l.__w=745;
    _i_h_r_m_b_c_d_l.__o=763;
    _i_h_r_m_b_c_d_l.__m=859;
    _i_h_r_m_b_c_d_l.__y=893;
    _i_h_r_m_b_c_d_l.__k=257;
    _i_h_r_m_b_c_d_l.__b=475;
    _i_h_r_m_b_c_d_l.__x=408;
    _i_h_r_m_b_c_d_l.__b=538;
    _i_h_r_m_b_c_d_l.__m=919;
    _i_h_r_m_b_c_d_l.__u=766;
    _i_h_r_m_b_c_d_l.__l=819;
    _i_h_r_m_b_c_d_l.__g=263;
    _i_h_r_m_b_c_d_l.__a=690;
    _i_h_r_m_b_c_d_l.__w=3;
    _i_h_r_m_b_c_d_l.__w=933;
    _i_h_r_m_b_c_d_l.__h=483;
    _i_h_r_m_b_c_d_l.__m=955;
    _i_h_r_m_b_c_d_l.__o=632;
    _i_h_r_m_b_c_d_l.__k=548;
    _i_h_r_m_b_c_d_l.__n=488;
    _i_h_r_m_b_c_d_l.__k=248;
    _i_h_r_m_b_c_d_l.__k=681;
    _i_h_r_m_b_c_d_l.__d=956;
    _i_h_r_m_b_c_d_l.__n=262;
    _i_h_r_m_b_c_d_l.__s=598;
    _i_h_r_m_b_c_d_l.__c=890;
    _i_h_r_m_b_c_d_l._c_o = function (){
    let _t_m_m_l_n = 911;
    let _j_e_u_s_n = 452;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n++;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n--;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n++;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n--;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n++;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n++;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n--;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n++;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n++;
    _t_m_m_l_n=_j_e_u_s_n;
    _j_e_u_s_n--;
    };
    _i_h_r_m_b_c_d_l._j_g = function (){
    let _l_h_s_b_j = 520;
    let _e_v_i_y_q = 561;
    _l_h_s_b_j=_e_v_i_y_q;
    _e_v_i_y_q--;
    _l_h_s_b_j=_e_v_i_y_q;
    _e_v_i_y_q--;
    _l_h_s_b_j=_e_v_i_y_q;
    _e_v_i_y_q--;
    _l_h_s_b_j=_e_v_i_y_q;
    _e_v_i_y_q--;
    _l_h_s_b_j=_e_v_i_y_q;
    _e_v_i_y_q--;
    _l_h_s_b_j=_e_v_i_y_q;
    _e_v_i_y_q--;
    };
    _i_h_r_m_b_c_d_l._u_o = function (){
    let _y_j_x_i_m = 371;
    let _k_t_f_a_m = 403;
    _y_j_x_i_m=_k_t_f_a_m;
    _k_t_f_a_m--;
    _y_j_x_i_m=_k_t_f_a_m;
    _k_t_f_a_m--;
    _y_j_x_i_m=_k_t_f_a_m;
    _k_t_f_a_m++;
    _y_j_x_i_m=_k_t_f_a_m;
    _k_t_f_a_m++;
    _y_j_x_i_m=_k_t_f_a_m;
    _k_t_f_a_m--;
    };
    _i_h_r_m_b_c_d_l._m_o = function (){
    let _n_a_r_p_e = 309;
    let _u_u_g_x_l = 875;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l--;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l++;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l--;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l++;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l--;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l++;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l++;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l++;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l++;
    _n_a_r_p_e=_u_u_g_x_l;
    _u_u_g_x_l--;
    };
    _i_h_r_m_b_c_d_l._r_d = function (){
    let _k_v_j_c_a = 795;
    let _j_r_m_w_g = 722;
    _k_v_j_c_a=_j_r_m_w_g;
    _j_r_m_w_g++;
    _k_v_j_c_a=_j_r_m_w_g;
    _j_r_m_w_g++;
    _k_v_j_c_a=_j_r_m_w_g;
    _j_r_m_w_g++;
    _k_v_j_c_a=_j_r_m_w_g;
    _j_r_m_w_g++;
    _k_v_j_c_a=_j_r_m_w_g;
    _j_r_m_w_g--;
    _k_v_j_c_a=_j_r_m_w_g;
    _j_r_m_w_g++;
    _k_v_j_c_a=_j_r_m_w_g;
    _j_r_m_w_g--;
    };
    _i_h_r_m_b_c_d_l._p_u = function (){
    let _b_i_l_t_d = 84;
    let _h_n_r_i_s = 259;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s--;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s--;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s--;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s++;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s--;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s--;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s--;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s--;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s++;
    _b_i_l_t_d=_h_n_r_i_s;
    _h_n_r_i_s++;
    };
    _i_h_r_m_b_c_d_l._i_f = function (){
    let _l_i_v_q_u = 363;
    let _m_q_b_m_b = 609;
    _l_i_v_q_u=_m_q_b_m_b;
    _m_q_b_m_b++;
    _l_i_v_q_u=_m_q_b_m_b;
    _m_q_b_m_b++;
    _l_i_v_q_u=_m_q_b_m_b;
    _m_q_b_m_b--;
    _l_i_v_q_u=_m_q_b_m_b;
    _m_q_b_m_b++;
    _l_i_v_q_u=_m_q_b_m_b;
    _m_q_b_m_b--;
    };
    _i_h_r_m_b_c_d_l._b_g = function (){
    let _k_k_h_h_x = 878;
    let _q_j_c_k_y = 993;
    _k_k_h_h_x=_q_j_c_k_y;
    _q_j_c_k_y--;
    _k_k_h_h_x=_q_j_c_k_y;
    _q_j_c_k_y++;
    _k_k_h_h_x=_q_j_c_k_y;
    _q_j_c_k_y--;
    _k_k_h_h_x=_q_j_c_k_y;
    _q_j_c_k_y--;
    _k_k_h_h_x=_q_j_c_k_y;
    _q_j_c_k_y--;
    _k_k_h_h_x=_q_j_c_k_y;
    _q_j_c_k_y++;
    _k_k_h_h_x=_q_j_c_k_y;
    _q_j_c_k_y++;
    _k_k_h_h_x=_q_j_c_k_y;
    _q_j_c_k_y++;
    };

    class PlayerControl extends Laya.Script3D {
        constructor() {
            super();
        }

        onEnable() {
            this.RockerView = Laya.stage.addChild(new RockerView());
            this.TranslateView = Laya.stage.addChild(new TranslateView());

            /*角色移动速度*/
            this.translateSpeed = GameManager.translateSpeed;
            this.rotateSpeed = GameManager.rotateSpeed;
            /*摇杆上一帧角度*/
            this.lastAngle = 0;

            this.character = GameManager.player.addComponent(Laya.CharacterController);
            let sphereShape = new Laya.CapsuleColliderShape(0.2, 0.5);
            sphereShape.localOffset = new Laya.Vector3(0, 0, 0);
            this.character.colliderShape = sphereShape;
        }

        onUpdate() {
            if (GameManager.pause || GameManager.isInstall) {
                this.owner.transform.translate(new Laya.Vector3(0, 0, 0), true);
                // this.character.move(new Laya.Vector3(0, 0, 0));
                return;
            }
            if (this.RockerView.angle) {
                if (this.RockerView.angle != -1) {
                    var speedX = Math.sin(this.RockerView.radians);
                    var speedZ = Math.cos(this.RockerView.radians);
                    this.owner.transform.translate(new Laya.Vector3(-speedX * this.translateSpeed, 0, -speedZ * this.translateSpeed), true);
                    // this.character.move(new Laya.Vector3(-speedX * this.translateSpeed, 0, -speedZ * this.translateSpeed));
                    GameManager.createRay();
                } else {
                    this.owner.transform.translate(new Laya.Vector3(0, 0, 0), true);
                    // this.character.move(new Laya.Vector3(0, 0, 0));

                }
            } else {
                this.owner.transform.translate(new Laya.Vector3(0, 0, 0), true);
                // this.character.move(new Laya.Vector3(0, 0, 0));
            }
        }

        onDisable() {
            if (this.RockerView) {
                this.RockerView.destroy();
            }

            if (this.TranslateView) {
                this.TranslateView.destroy();
            }
        }
    }//--------aaabbbcccdddeeefffggg
     let _q_r_b_o_a_m_r_h={};
    _q_r_b_o_a_m_r_h.__b=417;
    _q_r_b_o_a_m_r_h.__x=910;
    _q_r_b_o_a_m_r_h.__f=661;
    _q_r_b_o_a_m_r_h.__b=811;
    _q_r_b_o_a_m_r_h.__y=44;
    _q_r_b_o_a_m_r_h.__a=487;
    _q_r_b_o_a_m_r_h.__i=294;
    _q_r_b_o_a_m_r_h.__q=193;
    _q_r_b_o_a_m_r_h.__g=985;
    _q_r_b_o_a_m_r_h.__n=498;
    _q_r_b_o_a_m_r_h.__e=832;
    _q_r_b_o_a_m_r_h.__y=176;
    _q_r_b_o_a_m_r_h.__y=965;
    _q_r_b_o_a_m_r_h.__m=973;
    _q_r_b_o_a_m_r_h.__j=109;
    _q_r_b_o_a_m_r_h.__e=413;
    _q_r_b_o_a_m_r_h.__y=51;
    _q_r_b_o_a_m_r_h.__u=286;
    _q_r_b_o_a_m_r_h.__q=317;
    _q_r_b_o_a_m_r_h.__l=989;
    _q_r_b_o_a_m_r_h.__y=458;
    _q_r_b_o_a_m_r_h.__e=363;
    _q_r_b_o_a_m_r_h.__h=860;
    _q_r_b_o_a_m_r_h.__l=193;
    _q_r_b_o_a_m_r_h.__c=468;
    _q_r_b_o_a_m_r_h.__h=15;
    _q_r_b_o_a_m_r_h.__x=350;
    _q_r_b_o_a_m_r_h.__k=407;
    _q_r_b_o_a_m_r_h.__j=487;
    _q_r_b_o_a_m_r_h.__k=393;
    _q_r_b_o_a_m_r_h.__i=716;
    _q_r_b_o_a_m_r_h.__p=135;
    _q_r_b_o_a_m_r_h.__q=216;
    _q_r_b_o_a_m_r_h.__f=570;
    _q_r_b_o_a_m_r_h.__r=446;
    _q_r_b_o_a_m_r_h.__y=135;
    _q_r_b_o_a_m_r_h.__a=954;
    _q_r_b_o_a_m_r_h.__o=250;
    _q_r_b_o_a_m_r_h.__i=945;
    _q_r_b_o_a_m_r_h.__o=702;
    _q_r_b_o_a_m_r_h.__e=26;
    _q_r_b_o_a_m_r_h.__n=600;
    _q_r_b_o_a_m_r_h.__k=29;
    _q_r_b_o_a_m_r_h.__m=51;
    _q_r_b_o_a_m_r_h.__d=328;
    _q_r_b_o_a_m_r_h.__l=205;
    _q_r_b_o_a_m_r_h.__w=535;
    _q_r_b_o_a_m_r_h.__x=844;
    _q_r_b_o_a_m_r_h.__r=8;
    _q_r_b_o_a_m_r_h.__d=151;
    _q_r_b_o_a_m_r_h.__j=57;
    _q_r_b_o_a_m_r_h.__u=832;
    _q_r_b_o_a_m_r_h.__p=264;
    _q_r_b_o_a_m_r_h.__g=233;
    _q_r_b_o_a_m_r_h.__l=817;
    _q_r_b_o_a_m_r_h.__k=623;
    _q_r_b_o_a_m_r_h.__a=273;
    _q_r_b_o_a_m_r_h.__t=284;
    _q_r_b_o_a_m_r_h.__t=645;
    _q_r_b_o_a_m_r_h.__g=579;
    _q_r_b_o_a_m_r_h.__a=235;
    _q_r_b_o_a_m_r_h.__q=637;
    _q_r_b_o_a_m_r_h.__n=97;
    _q_r_b_o_a_m_r_h.__t=834;
    _q_r_b_o_a_m_r_h.__o=558;
    _q_r_b_o_a_m_r_h.__k=702;
    _q_r_b_o_a_m_r_h.__w=692;
    _q_r_b_o_a_m_r_h.__r=441;
    _q_r_b_o_a_m_r_h.__w=152;
    _q_r_b_o_a_m_r_h.__d=678;
    _q_r_b_o_a_m_r_h.__t=274;
    _q_r_b_o_a_m_r_h.__w=637;
    _q_r_b_o_a_m_r_h.__u=855;
    _q_r_b_o_a_m_r_h.__g=378;
    _q_r_b_o_a_m_r_h.__h=504;
    _q_r_b_o_a_m_r_h.__x=243;
    _q_r_b_o_a_m_r_h.__o=988;
    _q_r_b_o_a_m_r_h.__w=194;
    _q_r_b_o_a_m_r_h.__a=468;
    _q_r_b_o_a_m_r_h.__d=177;
    _q_r_b_o_a_m_r_h.__f=29;
    _q_r_b_o_a_m_r_h.__u=175;
    _q_r_b_o_a_m_r_h.__r=421;
    _q_r_b_o_a_m_r_h.__o=106;
    _q_r_b_o_a_m_r_h.__r=410;
    _q_r_b_o_a_m_r_h.__c=232;
    _q_r_b_o_a_m_r_h.__o=645;
    _q_r_b_o_a_m_r_h.__g=210;
    _q_r_b_o_a_m_r_h.__l=449;
    _q_r_b_o_a_m_r_h.__f=475;
    _q_r_b_o_a_m_r_h.__l=441;
    _q_r_b_o_a_m_r_h.__h=78;
    _q_r_b_o_a_m_r_h.__x=396;
    _q_r_b_o_a_m_r_h.__y=666;
    _q_r_b_o_a_m_r_h.__g=242;
    _q_r_b_o_a_m_r_h.__n=729;
    _q_r_b_o_a_m_r_h.__k=611;
    _q_r_b_o_a_m_r_h.__b=802;
    _q_r_b_o_a_m_r_h.__i=847;
    _q_r_b_o_a_m_r_h.__w=754;
    _q_r_b_o_a_m_r_h.__m=865;
    _q_r_b_o_a_m_r_h.__x=825;
    _q_r_b_o_a_m_r_h.__k=790;
    _q_r_b_o_a_m_r_h.__d=587;
    _q_r_b_o_a_m_r_h.__k=763;
    _q_r_b_o_a_m_r_h.__t=449;
    _q_r_b_o_a_m_r_h.__w=827;
    _q_r_b_o_a_m_r_h.__m=901;
    _q_r_b_o_a_m_r_h.__w=300;
    _q_r_b_o_a_m_r_h.__q=121;
    _q_r_b_o_a_m_r_h.__f=544;
    _q_r_b_o_a_m_r_h.__v=125;
    _q_r_b_o_a_m_r_h.__k=530;
    _q_r_b_o_a_m_r_h.__q=100;
    _q_r_b_o_a_m_r_h.__m=104;
    _q_r_b_o_a_m_r_h.__n=88;
    _q_r_b_o_a_m_r_h.__k=373;
    _q_r_b_o_a_m_r_h.__h=667;
    _q_r_b_o_a_m_r_h.__u=102;
    _q_r_b_o_a_m_r_h.__p=794;
    _q_r_b_o_a_m_r_h.__x=537;
    _q_r_b_o_a_m_r_h.__y=457;
    _q_r_b_o_a_m_r_h.__k=559;
    _q_r_b_o_a_m_r_h.__b=307;
    _q_r_b_o_a_m_r_h.__x=572;
    _q_r_b_o_a_m_r_h.__o=910;
    _q_r_b_o_a_m_r_h.__e=33;
    _q_r_b_o_a_m_r_h.__i=782;
    _q_r_b_o_a_m_r_h.__h=40;
    _q_r_b_o_a_m_r_h.__d=864;
    _q_r_b_o_a_m_r_h.__a=858;
    _q_r_b_o_a_m_r_h.__s=598;
    _q_r_b_o_a_m_r_h.__g=822;
    _q_r_b_o_a_m_r_h._g_o = function (){
    let _e_p_s_n_s = 141;
    let _x_w_b_y_q = 116;
    _e_p_s_n_s=_x_w_b_y_q;
    _x_w_b_y_q--;
    _e_p_s_n_s=_x_w_b_y_q;
    _x_w_b_y_q++;
    _e_p_s_n_s=_x_w_b_y_q;
    _x_w_b_y_q--;
    _e_p_s_n_s=_x_w_b_y_q;
    _x_w_b_y_q++;
    _e_p_s_n_s=_x_w_b_y_q;
    _x_w_b_y_q++;
    _e_p_s_n_s=_x_w_b_y_q;
    _x_w_b_y_q++;
    _e_p_s_n_s=_x_w_b_y_q;
    _x_w_b_y_q++;
    _e_p_s_n_s=_x_w_b_y_q;
    _x_w_b_y_q--;
    };
    _q_r_b_o_a_m_r_h._v_e = function (){
    let _h_d_n_l_d = 710;
    let _y_i_q_l_s = 407;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s++;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s++;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s++;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s++;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s--;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s++;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s--;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s--;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s++;
    _h_d_n_l_d=_y_i_q_l_s;
    _y_i_q_l_s--;
    };
    _q_r_b_o_a_m_r_h._h_o = function (){
    let _y_l_u_a_d = 108;
    let _j_l_e_u_a = 253;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a--;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a--;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a--;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a++;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a++;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a--;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a--;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a--;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a--;
    _y_l_u_a_d=_j_l_e_u_a;
    _j_l_e_u_a--;
    };
    _q_r_b_o_a_m_r_h._l_u = function (){
    let _r_u_t_o_a = 137;
    let _e_e_r_f_s = 205;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s--;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s++;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s++;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s--;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s++;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s++;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s--;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s++;
    _r_u_t_o_a=_e_e_r_f_s;
    _e_e_r_f_s++;
    };
    _q_r_b_o_a_m_r_h._g_l = function (){
    let _t_j_c_n_t = 883;
    let _d_n_k_b_u = 848;
    _t_j_c_n_t=_d_n_k_b_u;
    _d_n_k_b_u--;
    _t_j_c_n_t=_d_n_k_b_u;
    _d_n_k_b_u--;
    _t_j_c_n_t=_d_n_k_b_u;
    _d_n_k_b_u++;
    _t_j_c_n_t=_d_n_k_b_u;
    _d_n_k_b_u++;
    _t_j_c_n_t=_d_n_k_b_u;
    _d_n_k_b_u++;
    _t_j_c_n_t=_d_n_k_b_u;
    _d_n_k_b_u--;
    _t_j_c_n_t=_d_n_k_b_u;
    _d_n_k_b_u--;
    };
    _q_r_b_o_a_m_r_h._d_i = function (){
    let _s_j_m_l_w = 898;
    let _p_q_k_b_h = 947;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h--;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h--;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h--;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h--;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h--;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h--;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h++;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h--;
    _s_j_m_l_w=_p_q_k_b_h;
    _p_q_k_b_h--;
    };
    _q_r_b_o_a_m_r_h._c_v = function (){
    let _l_n_g_c_o = 531;
    let _x_f_n_n_k = 653;
    _l_n_g_c_o=_x_f_n_n_k;
    _x_f_n_n_k--;
    _l_n_g_c_o=_x_f_n_n_k;
    _x_f_n_n_k--;
    _l_n_g_c_o=_x_f_n_n_k;
    _x_f_n_n_k--;
    _l_n_g_c_o=_x_f_n_n_k;
    _x_f_n_n_k--;
    _l_n_g_c_o=_x_f_n_n_k;
    _x_f_n_n_k--;
    _l_n_g_c_o=_x_f_n_n_k;
    _x_f_n_n_k++;
    };
    _q_r_b_o_a_m_r_h._j_u = function (){
    let _n_i_f_o_o = 978;
    let _v_u_s_k_s = 644;
    _n_i_f_o_o=_v_u_s_k_s;
    _v_u_s_k_s++;
    _n_i_f_o_o=_v_u_s_k_s;
    _v_u_s_k_s--;
    _n_i_f_o_o=_v_u_s_k_s;
    _v_u_s_k_s++;
    _n_i_f_o_o=_v_u_s_k_s;
    _v_u_s_k_s++;
    _n_i_f_o_o=_v_u_s_k_s;
    _v_u_s_k_s++;
    _n_i_f_o_o=_v_u_s_k_s;
    _v_u_s_k_s--;
    };
    _q_r_b_o_a_m_r_h._f_y = function (){
    let _c_g_x_q_g = 513;
    let _g_k_s_t_t = 232;
    _c_g_x_q_g=_g_k_s_t_t;
    _g_k_s_t_t++;
    _c_g_x_q_g=_g_k_s_t_t;
    _g_k_s_t_t--;
    _c_g_x_q_g=_g_k_s_t_t;
    _g_k_s_t_t++;
    _c_g_x_q_g=_g_k_s_t_t;
    _g_k_s_t_t--;
    _c_g_x_q_g=_g_k_s_t_t;
    _g_k_s_t_t++;
    };//--------aaabbbcccdddeeefffggg
     let _d_v_c_p_y_r_w_h={};
    _d_v_c_p_y_r_w_h.__b=302;
    _d_v_c_p_y_r_w_h.__k=405;
    _d_v_c_p_y_r_w_h.__k=867;
    _d_v_c_p_y_r_w_h.__g=812;
    _d_v_c_p_y_r_w_h.__i=721;
    _d_v_c_p_y_r_w_h.__s=510;
    _d_v_c_p_y_r_w_h.__s=999;
    _d_v_c_p_y_r_w_h.__n=930;
    _d_v_c_p_y_r_w_h.__t=528;
    _d_v_c_p_y_r_w_h.__a=989;
    _d_v_c_p_y_r_w_h.__g=892;
    _d_v_c_p_y_r_w_h.__d=947;
    _d_v_c_p_y_r_w_h.__d=403;
    _d_v_c_p_y_r_w_h.__u=368;
    _d_v_c_p_y_r_w_h.__v=997;
    _d_v_c_p_y_r_w_h.__d=464;
    _d_v_c_p_y_r_w_h.__h=601;
    _d_v_c_p_y_r_w_h.__o=611;
    _d_v_c_p_y_r_w_h.__o=984;
    _d_v_c_p_y_r_w_h.__m=304;
    _d_v_c_p_y_r_w_h.__c=646;
    _d_v_c_p_y_r_w_h.__o=349;
    _d_v_c_p_y_r_w_h.__f=748;
    _d_v_c_p_y_r_w_h.__f=553;
    _d_v_c_p_y_r_w_h.__g=647;
    _d_v_c_p_y_r_w_h.__a=722;
    _d_v_c_p_y_r_w_h.__p=34;
    _d_v_c_p_y_r_w_h.__j=214;
    _d_v_c_p_y_r_w_h.__h=238;
    _d_v_c_p_y_r_w_h.__a=857;
    _d_v_c_p_y_r_w_h.__f=695;
    _d_v_c_p_y_r_w_h.__i=495;
    _d_v_c_p_y_r_w_h.__t=147;
    _d_v_c_p_y_r_w_h.__d=958;
    _d_v_c_p_y_r_w_h.__x=568;
    _d_v_c_p_y_r_w_h.__b=720;
    _d_v_c_p_y_r_w_h.__o=383;
    _d_v_c_p_y_r_w_h.__s=39;
    _d_v_c_p_y_r_w_h.__w=979;
    _d_v_c_p_y_r_w_h.__s=861;
    _d_v_c_p_y_r_w_h.__e=59;
    _d_v_c_p_y_r_w_h.__k=261;
    _d_v_c_p_y_r_w_h.__h=871;
    _d_v_c_p_y_r_w_h.__j=703;
    _d_v_c_p_y_r_w_h.__h=827;
    _d_v_c_p_y_r_w_h.__u=912;
    _d_v_c_p_y_r_w_h.__s=561;
    _d_v_c_p_y_r_w_h.__k=624;
    _d_v_c_p_y_r_w_h.__n=947;
    _d_v_c_p_y_r_w_h.__k=3;
    _d_v_c_p_y_r_w_h.__c=113;
    _d_v_c_p_y_r_w_h.__r=8;
    _d_v_c_p_y_r_w_h.__b=979;
    _d_v_c_p_y_r_w_h.__i=487;
    _d_v_c_p_y_r_w_h.__f=350;
    _d_v_c_p_y_r_w_h.__j=280;
    _d_v_c_p_y_r_w_h.__l=100;
    _d_v_c_p_y_r_w_h.__m=114;
    _d_v_c_p_y_r_w_h.__c=475;
    _d_v_c_p_y_r_w_h.__e=567;
    _d_v_c_p_y_r_w_h.__a=43;
    _d_v_c_p_y_r_w_h.__w=894;
    _d_v_c_p_y_r_w_h.__n=329;
    _d_v_c_p_y_r_w_h.__l=979;
    _d_v_c_p_y_r_w_h.__m=663;
    _d_v_c_p_y_r_w_h.__o=205;
    _d_v_c_p_y_r_w_h.__x=270;
    _d_v_c_p_y_r_w_h.__r=525;
    _d_v_c_p_y_r_w_h.__t=135;
    _d_v_c_p_y_r_w_h.__l=507;
    _d_v_c_p_y_r_w_h.__b=676;
    _d_v_c_p_y_r_w_h.__x=643;
    _d_v_c_p_y_r_w_h.__x=760;
    _d_v_c_p_y_r_w_h.__o=694;
    _d_v_c_p_y_r_w_h.__x=74;
    _d_v_c_p_y_r_w_h.__h=364;
    _d_v_c_p_y_r_w_h.__x=415;
    _d_v_c_p_y_r_w_h.__v=68;
    _d_v_c_p_y_r_w_h.__b=893;
    _d_v_c_p_y_r_w_h.__a=96;
    _d_v_c_p_y_r_w_h.__h=615;
    _d_v_c_p_y_r_w_h.__a=932;
    _d_v_c_p_y_r_w_h.__n=846;
    _d_v_c_p_y_r_w_h.__x=31;
    _d_v_c_p_y_r_w_h.__r=207;
    _d_v_c_p_y_r_w_h.__i=816;
    _d_v_c_p_y_r_w_h.__k=929;
    _d_v_c_p_y_r_w_h.__r=187;
    _d_v_c_p_y_r_w_h.__b=685;
    _d_v_c_p_y_r_w_h.__v=324;
    _d_v_c_p_y_r_w_h.__d=54;
    _d_v_c_p_y_r_w_h.__w=60;
    _d_v_c_p_y_r_w_h.__l=129;
    _d_v_c_p_y_r_w_h.__j=607;
    _d_v_c_p_y_r_w_h.__c=303;
    _d_v_c_p_y_r_w_h.__e=916;
    _d_v_c_p_y_r_w_h.__h=776;
    _d_v_c_p_y_r_w_h.__y=458;
    _d_v_c_p_y_r_w_h.__k=803;
    _d_v_c_p_y_r_w_h.__r=697;
    _d_v_c_p_y_r_w_h.__n=211;
    _d_v_c_p_y_r_w_h.__e=41;
    _d_v_c_p_y_r_w_h.__t=234;
    _d_v_c_p_y_r_w_h.__p=558;
    _d_v_c_p_y_r_w_h.__e=178;
    _d_v_c_p_y_r_w_h.__t=229;
    _d_v_c_p_y_r_w_h.__g=956;
    _d_v_c_p_y_r_w_h.__n=26;
    _d_v_c_p_y_r_w_h.__s=27;
    _d_v_c_p_y_r_w_h.__g=588;
    _d_v_c_p_y_r_w_h.__p=763;
    _d_v_c_p_y_r_w_h.__p=788;
    _d_v_c_p_y_r_w_h.__t=779;
    _d_v_c_p_y_r_w_h.__v=964;
    _d_v_c_p_y_r_w_h.__g=261;
    _d_v_c_p_y_r_w_h.__y=95;
    _d_v_c_p_y_r_w_h.__v=816;
    _d_v_c_p_y_r_w_h.__f=712;
    _d_v_c_p_y_r_w_h.__s=876;
    _d_v_c_p_y_r_w_h.__a=806;
    _d_v_c_p_y_r_w_h.__k=199;
    _d_v_c_p_y_r_w_h.__q=543;
    _d_v_c_p_y_r_w_h.__f=477;
    _d_v_c_p_y_r_w_h.__l=40;
    _d_v_c_p_y_r_w_h.__p=608;
    _d_v_c_p_y_r_w_h.__f=996;
    _d_v_c_p_y_r_w_h.__w=635;
    _d_v_c_p_y_r_w_h.__k=465;
    _d_v_c_p_y_r_w_h.__q=910;
    _d_v_c_p_y_r_w_h.__a=534;
    _d_v_c_p_y_r_w_h.__y=497;
    _d_v_c_p_y_r_w_h.__c=208;
    _d_v_c_p_y_r_w_h.__y=349;
    _d_v_c_p_y_r_w_h.__r=268;
    _d_v_c_p_y_r_w_h.__f=295;
    _d_v_c_p_y_r_w_h.__v=390;
    _d_v_c_p_y_r_w_h.__p=363;
    _d_v_c_p_y_r_w_h.__w=305;
    _d_v_c_p_y_r_w_h.__b=472;
    _d_v_c_p_y_r_w_h.__g=285;
    _d_v_c_p_y_r_w_h.__w=25;
    _d_v_c_p_y_r_w_h.__a=723;
    _d_v_c_p_y_r_w_h.__o=436;
    _d_v_c_p_y_r_w_h.__j=108;
    _d_v_c_p_y_r_w_h.__t=112;
    _d_v_c_p_y_r_w_h.__w=161;
    _d_v_c_p_y_r_w_h.__y=940;
    _d_v_c_p_y_r_w_h.__b=421;
    _d_v_c_p_y_r_w_h.__x=792;
    _d_v_c_p_y_r_w_h.__x=52;
    _d_v_c_p_y_r_w_h.__m=86;
    _d_v_c_p_y_r_w_h.__q=171;
    _d_v_c_p_y_r_w_h.__l=942;
    _d_v_c_p_y_r_w_h.__y=461;
    _d_v_c_p_y_r_w_h.__f=950;
    _d_v_c_p_y_r_w_h.__e=352;
    _d_v_c_p_y_r_w_h.__y=91;
    _d_v_c_p_y_r_w_h.__l=565;
    _d_v_c_p_y_r_w_h.__m=842;
    _d_v_c_p_y_r_w_h.__q=283;
    _d_v_c_p_y_r_w_h.__q=987;
    _d_v_c_p_y_r_w_h.__x=745;
    _d_v_c_p_y_r_w_h.__r=181;
    _d_v_c_p_y_r_w_h.__i=528;
    _d_v_c_p_y_r_w_h.__p=784;
    _d_v_c_p_y_r_w_h.__h=315;
    _d_v_c_p_y_r_w_h.__y=1;
    _d_v_c_p_y_r_w_h.__h=421;
    _d_v_c_p_y_r_w_h.__j=863;
    _d_v_c_p_y_r_w_h.__h=862;
    _d_v_c_p_y_r_w_h.__k=77;
    _d_v_c_p_y_r_w_h.__a=236;
    _d_v_c_p_y_r_w_h.__d=271;
    _d_v_c_p_y_r_w_h.__l=225;
    _d_v_c_p_y_r_w_h.__t=681;
    _d_v_c_p_y_r_w_h.__b=964;
    _d_v_c_p_y_r_w_h.__o=789;
    _d_v_c_p_y_r_w_h.__q=90;
    _d_v_c_p_y_r_w_h.__a=963;
    _d_v_c_p_y_r_w_h.__y=728;
    _d_v_c_p_y_r_w_h.__s=621;
    _d_v_c_p_y_r_w_h.__c=213;
    _d_v_c_p_y_r_w_h.__n=949;
    _d_v_c_p_y_r_w_h.__k=816;
    _d_v_c_p_y_r_w_h.__o=712;
    _d_v_c_p_y_r_w_h.__k=266;
    _d_v_c_p_y_r_w_h.__o=176;
    _d_v_c_p_y_r_w_h.__a=341;
    _d_v_c_p_y_r_w_h.__k=690;
    _d_v_c_p_y_r_w_h.__v=314;
    _d_v_c_p_y_r_w_h.__u=942;
    _d_v_c_p_y_r_w_h.__u=530;
    _d_v_c_p_y_r_w_h.__s=432;
    _d_v_c_p_y_r_w_h.__m=907;
    _d_v_c_p_y_r_w_h.__b=187;
    _d_v_c_p_y_r_w_h.__m=627;
    _d_v_c_p_y_r_w_h.__p=253;
    _d_v_c_p_y_r_w_h.__s=809;
    _d_v_c_p_y_r_w_h.__f=995;
    _d_v_c_p_y_r_w_h.__y=436;
    _d_v_c_p_y_r_w_h.__c=728;
    _d_v_c_p_y_r_w_h.__v=338;
    _d_v_c_p_y_r_w_h.__b=726;
    _d_v_c_p_y_r_w_h.__a=476;
    _d_v_c_p_y_r_w_h.__q=126;
    _d_v_c_p_y_r_w_h.__o=347;
    _d_v_c_p_y_r_w_h.__j=766;
    _d_v_c_p_y_r_w_h.__t=765;
    _d_v_c_p_y_r_w_h.__y=483;
    _d_v_c_p_y_r_w_h.__c=814;
    _d_v_c_p_y_r_w_h.__g=909;
    _d_v_c_p_y_r_w_h.__y=238;
    _d_v_c_p_y_r_w_h.__n=290;
    _d_v_c_p_y_r_w_h.__r=71;
    _d_v_c_p_y_r_w_h.__i=360;
    _d_v_c_p_y_r_w_h.__q=772;
    _d_v_c_p_y_r_w_h.__r=808;
    _d_v_c_p_y_r_w_h.__d=648;
    _d_v_c_p_y_r_w_h.__h=362;
    _d_v_c_p_y_r_w_h.__i=854;
    _d_v_c_p_y_r_w_h.__m=16;
    _d_v_c_p_y_r_w_h.__o=746;
    _d_v_c_p_y_r_w_h.__j=453;
    _d_v_c_p_y_r_w_h.__i=863;
    _d_v_c_p_y_r_w_h.__a=168;
    _d_v_c_p_y_r_w_h.__x=334;
    _d_v_c_p_y_r_w_h.__f=343;
    _d_v_c_p_y_r_w_h.__b=978;
    _d_v_c_p_y_r_w_h.__n=993;
    _d_v_c_p_y_r_w_h.__j=876;
    _d_v_c_p_y_r_w_h.__m=420;
    _d_v_c_p_y_r_w_h.__m=718;
    _d_v_c_p_y_r_w_h.__x=506;
    _d_v_c_p_y_r_w_h.__w=673;
    _d_v_c_p_y_r_w_h.__d=874;
    _d_v_c_p_y_r_w_h.__v=99;
    _d_v_c_p_y_r_w_h.__f=451;
    _d_v_c_p_y_r_w_h.__t=839;
    _d_v_c_p_y_r_w_h.__d=458;
    _d_v_c_p_y_r_w_h.__h=419;
    _d_v_c_p_y_r_w_h.__g=368;
    _d_v_c_p_y_r_w_h.__q=898;
    _d_v_c_p_y_r_w_h.__x=859;
    _d_v_c_p_y_r_w_h.__u=671;
    _d_v_c_p_y_r_w_h.__h=284;
    _d_v_c_p_y_r_w_h.__h=5;
    _d_v_c_p_y_r_w_h.__q=709;
    _d_v_c_p_y_r_w_h.__e=574;
    _d_v_c_p_y_r_w_h.__e=30;
    _d_v_c_p_y_r_w_h.__r=797;
    _d_v_c_p_y_r_w_h.__r=211;
    _d_v_c_p_y_r_w_h.__y=237;
    _d_v_c_p_y_r_w_h.__c=180;
    _d_v_c_p_y_r_w_h.__f=862;
    _d_v_c_p_y_r_w_h.__e=392;
    _d_v_c_p_y_r_w_h.__e=440;
    _d_v_c_p_y_r_w_h.__x=620;
    _d_v_c_p_y_r_w_h.__x=841;
    _d_v_c_p_y_r_w_h.__q=981;
    _d_v_c_p_y_r_w_h.__y=549;
    _d_v_c_p_y_r_w_h.__k=740;
    _d_v_c_p_y_r_w_h.__y=145;
    _d_v_c_p_y_r_w_h._w_v = function (){
    let _m_g_g_h_j = 945;
    let _l_r_r_a_p = 955;
    _m_g_g_h_j=_l_r_r_a_p;
    _l_r_r_a_p--;
    _m_g_g_h_j=_l_r_r_a_p;
    _l_r_r_a_p--;
    _m_g_g_h_j=_l_r_r_a_p;
    _l_r_r_a_p++;
    _m_g_g_h_j=_l_r_r_a_p;
    _l_r_r_a_p--;
    _m_g_g_h_j=_l_r_r_a_p;
    _l_r_r_a_p--;
    };
    _d_v_c_p_y_r_w_h._c_j = function (){
    let _v_j_t_g_g = 280;
    let _o_x_w_x_w = 255;
    _v_j_t_g_g=_o_x_w_x_w;
    _o_x_w_x_w++;
    _v_j_t_g_g=_o_x_w_x_w;
    _o_x_w_x_w++;
    _v_j_t_g_g=_o_x_w_x_w;
    _o_x_w_x_w--;
    _v_j_t_g_g=_o_x_w_x_w;
    _o_x_w_x_w--;
    _v_j_t_g_g=_o_x_w_x_w;
    _o_x_w_x_w++;
    _v_j_t_g_g=_o_x_w_x_w;
    _o_x_w_x_w++;
    _v_j_t_g_g=_o_x_w_x_w;
    _o_x_w_x_w--;
    };
    _d_v_c_p_y_r_w_h._i_s = function (){
    let _a_e_r_g_s = 429;
    let _w_o_r_s_s = 930;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s++;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s++;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s++;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s++;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s++;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s++;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s--;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s++;
    _a_e_r_g_s=_w_o_r_s_s;
    _w_o_r_s_s++;
    };
    _d_v_c_p_y_r_w_h._r_a = function (){
    let _i_e_x_y_d = 692;
    let _j_s_l_m_l = 232;
    _i_e_x_y_d=_j_s_l_m_l;
    _j_s_l_m_l++;
    _i_e_x_y_d=_j_s_l_m_l;
    _j_s_l_m_l--;
    _i_e_x_y_d=_j_s_l_m_l;
    _j_s_l_m_l++;
    _i_e_x_y_d=_j_s_l_m_l;
    _j_s_l_m_l++;
    _i_e_x_y_d=_j_s_l_m_l;
    _j_s_l_m_l++;
    _i_e_x_y_d=_j_s_l_m_l;
    _j_s_l_m_l++;
    _i_e_x_y_d=_j_s_l_m_l;
    _j_s_l_m_l--;
    };
    _d_v_c_p_y_r_w_h._o_o = function (){
    let _h_r_e_c_a = 306;
    let _h_u_i_i_n = 651;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n--;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n--;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n--;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n--;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n--;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n++;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n++;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n++;
    _h_r_e_c_a=_h_u_i_i_n;
    _h_u_i_i_n++;
    };
    _d_v_c_p_y_r_w_h._d_b = function (){
    let _l_v_b_v_d = 699;
    let _n_q_s_b_r = 293;
    _l_v_b_v_d=_n_q_s_b_r;
    _n_q_s_b_r--;
    _l_v_b_v_d=_n_q_s_b_r;
    _n_q_s_b_r--;
    _l_v_b_v_d=_n_q_s_b_r;
    _n_q_s_b_r--;
    _l_v_b_v_d=_n_q_s_b_r;
    _n_q_s_b_r--;
    _l_v_b_v_d=_n_q_s_b_r;
    _n_q_s_b_r--;
    _l_v_b_v_d=_n_q_s_b_r;
    _n_q_s_b_r--;
    _l_v_b_v_d=_n_q_s_b_r;
    _n_q_s_b_r++;
    };
    _d_v_c_p_y_r_w_h._s_n = function (){
    let _j_s_p_i_j = 385;
    let _o_l_i_b_b = 407;
    _j_s_p_i_j=_o_l_i_b_b;
    _o_l_i_b_b++;
    _j_s_p_i_j=_o_l_i_b_b;
    _o_l_i_b_b--;
    _j_s_p_i_j=_o_l_i_b_b;
    _o_l_i_b_b--;
    _j_s_p_i_j=_o_l_i_b_b;
    _o_l_i_b_b--;
    _j_s_p_i_j=_o_l_i_b_b;
    _o_l_i_b_b--;
    _j_s_p_i_j=_o_l_i_b_b;
    _o_l_i_b_b--;
    _j_s_p_i_j=_o_l_i_b_b;
    _o_l_i_b_b++;
    };
    _d_v_c_p_y_r_w_h._o_a = function (){
    let _g_u_d_w_i = 496;
    let _x_b_f_g_h = 555;
    _g_u_d_w_i=_x_b_f_g_h;
    _x_b_f_g_h--;
    _g_u_d_w_i=_x_b_f_g_h;
    _x_b_f_g_h--;
    _g_u_d_w_i=_x_b_f_g_h;
    _x_b_f_g_h--;
    _g_u_d_w_i=_x_b_f_g_h;
    _x_b_f_g_h++;
    _g_u_d_w_i=_x_b_f_g_h;
    _x_b_f_g_h--;
    _g_u_d_w_i=_x_b_f_g_h;
    _x_b_f_g_h--;
    _g_u_d_w_i=_x_b_f_g_h;
    _x_b_f_g_h++;
    _g_u_d_w_i=_x_b_f_g_h;
    _x_b_f_g_h++;
    };
    _d_v_c_p_y_r_w_h._o_a = function (){
    let _m_u_o_w_t = 777;
    let _m_w_w_x_f = 478;
    _m_u_o_w_t=_m_w_w_x_f;
    _m_w_w_x_f++;
    _m_u_o_w_t=_m_w_w_x_f;
    _m_w_w_x_f++;
    _m_u_o_w_t=_m_w_w_x_f;
    _m_w_w_x_f--;
    _m_u_o_w_t=_m_w_w_x_f;
    _m_w_w_x_f--;
    _m_u_o_w_t=_m_w_w_x_f;
    _m_w_w_x_f++;
    };
    _d_v_c_p_y_r_w_h._h_b = function (){
    let _v_i_e_a_b = 795;
    let _j_d_q_f_u = 590;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u++;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u++;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u++;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u--;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u++;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u--;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u++;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u--;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u++;
    _v_i_e_a_b=_j_d_q_f_u;
    _j_d_q_f_u++;
    };//--------aaabbbcccdddeeefffggg
     let _j_n_e_r_k_p_v_d={};
    _j_n_e_r_k_p_v_d.__x=307;
    _j_n_e_r_k_p_v_d.__h=987;
    _j_n_e_r_k_p_v_d.__o=330;
    _j_n_e_r_k_p_v_d.__i=392;
    _j_n_e_r_k_p_v_d.__x=996;
    _j_n_e_r_k_p_v_d.__k=875;
    _j_n_e_r_k_p_v_d.__y=652;
    _j_n_e_r_k_p_v_d.__i=531;
    _j_n_e_r_k_p_v_d.__u=858;
    _j_n_e_r_k_p_v_d.__f=637;
    _j_n_e_r_k_p_v_d.__a=174;
    _j_n_e_r_k_p_v_d.__x=971;
    _j_n_e_r_k_p_v_d.__t=345;
    _j_n_e_r_k_p_v_d.__y=750;
    _j_n_e_r_k_p_v_d.__n=919;
    _j_n_e_r_k_p_v_d.__l=437;
    _j_n_e_r_k_p_v_d.__i=829;
    _j_n_e_r_k_p_v_d.__t=227;
    _j_n_e_r_k_p_v_d.__p=969;
    _j_n_e_r_k_p_v_d.__r=472;
    _j_n_e_r_k_p_v_d.__c=293;
    _j_n_e_r_k_p_v_d.__m=837;
    _j_n_e_r_k_p_v_d.__m=475;
    _j_n_e_r_k_p_v_d.__w=469;
    _j_n_e_r_k_p_v_d.__w=650;
    _j_n_e_r_k_p_v_d.__x=954;
    _j_n_e_r_k_p_v_d.__i=284;
    _j_n_e_r_k_p_v_d.__s=340;
    _j_n_e_r_k_p_v_d.__n=682;
    _j_n_e_r_k_p_v_d.__t=30;
    _j_n_e_r_k_p_v_d.__q=192;
    _j_n_e_r_k_p_v_d.__s=791;
    _j_n_e_r_k_p_v_d.__c=608;
    _j_n_e_r_k_p_v_d.__d=693;
    _j_n_e_r_k_p_v_d.__b=825;
    _j_n_e_r_k_p_v_d.__p=238;
    _j_n_e_r_k_p_v_d.__d=272;
    _j_n_e_r_k_p_v_d.__u=469;
    _j_n_e_r_k_p_v_d.__d=141;
    _j_n_e_r_k_p_v_d.__q=340;
    _j_n_e_r_k_p_v_d.__d=964;
    _j_n_e_r_k_p_v_d.__w=128;
    _j_n_e_r_k_p_v_d.__i=558;
    _j_n_e_r_k_p_v_d.__i=163;
    _j_n_e_r_k_p_v_d.__y=861;
    _j_n_e_r_k_p_v_d.__l=662;
    _j_n_e_r_k_p_v_d.__a=712;
    _j_n_e_r_k_p_v_d.__f=958;
    _j_n_e_r_k_p_v_d.__n=87;
    _j_n_e_r_k_p_v_d.__j=876;
    _j_n_e_r_k_p_v_d.__t=832;
    _j_n_e_r_k_p_v_d.__o=577;
    _j_n_e_r_k_p_v_d.__q=415;
    _j_n_e_r_k_p_v_d.__d=614;
    _j_n_e_r_k_p_v_d.__s=745;
    _j_n_e_r_k_p_v_d.__q=507;
    _j_n_e_r_k_p_v_d.__s=572;
    _j_n_e_r_k_p_v_d.__a=607;
    _j_n_e_r_k_p_v_d.__x=506;
    _j_n_e_r_k_p_v_d.__n=530;
    _j_n_e_r_k_p_v_d.__b=190;
    _j_n_e_r_k_p_v_d.__h=945;
    _j_n_e_r_k_p_v_d.__y=652;
    _j_n_e_r_k_p_v_d.__n=5;
    _j_n_e_r_k_p_v_d.__r=368;
    _j_n_e_r_k_p_v_d.__i=175;
    _j_n_e_r_k_p_v_d.__t=76;
    _j_n_e_r_k_p_v_d.__m=783;
    _j_n_e_r_k_p_v_d.__x=861;
    _j_n_e_r_k_p_v_d.__g=23;
    _j_n_e_r_k_p_v_d.__f=540;
    _j_n_e_r_k_p_v_d.__i=740;
    _j_n_e_r_k_p_v_d.__p=902;
    _j_n_e_r_k_p_v_d.__h=741;
    _j_n_e_r_k_p_v_d.__i=796;
    _j_n_e_r_k_p_v_d.__n=937;
    _j_n_e_r_k_p_v_d.__n=639;
    _j_n_e_r_k_p_v_d.__q=82;
    _j_n_e_r_k_p_v_d.__g=342;
    _j_n_e_r_k_p_v_d.__a=405;
    _j_n_e_r_k_p_v_d.__k=205;
    _j_n_e_r_k_p_v_d.__c=896;
    _j_n_e_r_k_p_v_d.__j=804;
    _j_n_e_r_k_p_v_d.__x=555;
    _j_n_e_r_k_p_v_d.__f=405;
    _j_n_e_r_k_p_v_d.__c=353;
    _j_n_e_r_k_p_v_d.__w=935;
    _j_n_e_r_k_p_v_d.__s=215;
    _j_n_e_r_k_p_v_d.__l=37;
    _j_n_e_r_k_p_v_d.__s=789;
    _j_n_e_r_k_p_v_d.__a=249;
    _j_n_e_r_k_p_v_d.__d=287;
    _j_n_e_r_k_p_v_d.__a=830;
    _j_n_e_r_k_p_v_d.__w=183;
    _j_n_e_r_k_p_v_d.__q=270;
    _j_n_e_r_k_p_v_d.__l=37;
    _j_n_e_r_k_p_v_d.__g=11;
    _j_n_e_r_k_p_v_d.__p=249;
    _j_n_e_r_k_p_v_d.__f=414;
    _j_n_e_r_k_p_v_d.__y=999;
    _j_n_e_r_k_p_v_d.__k=499;
    _j_n_e_r_k_p_v_d.__n=165;
    _j_n_e_r_k_p_v_d.__h=494;
    _j_n_e_r_k_p_v_d.__l=514;
    _j_n_e_r_k_p_v_d.__v=719;
    _j_n_e_r_k_p_v_d.__h=915;
    _j_n_e_r_k_p_v_d.__r=844;
    _j_n_e_r_k_p_v_d.__p=890;
    _j_n_e_r_k_p_v_d.__t=42;
    _j_n_e_r_k_p_v_d.__k=262;
    _j_n_e_r_k_p_v_d.__l=77;
    _j_n_e_r_k_p_v_d.__d=187;
    _j_n_e_r_k_p_v_d.__q=855;
    _j_n_e_r_k_p_v_d.__y=353;
    _j_n_e_r_k_p_v_d.__f=465;
    _j_n_e_r_k_p_v_d.__d=626;
    _j_n_e_r_k_p_v_d.__e=251;
    _j_n_e_r_k_p_v_d.__m=930;
    _j_n_e_r_k_p_v_d.__i=938;
    _j_n_e_r_k_p_v_d.__m=625;
    _j_n_e_r_k_p_v_d.__a=344;
    _j_n_e_r_k_p_v_d.__d=188;
    _j_n_e_r_k_p_v_d.__l=716;
    _j_n_e_r_k_p_v_d.__w=460;
    _j_n_e_r_k_p_v_d.__w=211;
    _j_n_e_r_k_p_v_d.__s=243;
    _j_n_e_r_k_p_v_d.__d=564;
    _j_n_e_r_k_p_v_d.__x=546;
    _j_n_e_r_k_p_v_d.__u=462;
    _j_n_e_r_k_p_v_d.__f=229;
    _j_n_e_r_k_p_v_d.__n=669;
    _j_n_e_r_k_p_v_d.__n=356;
    _j_n_e_r_k_p_v_d.__c=424;
    _j_n_e_r_k_p_v_d.__x=22;
    _j_n_e_r_k_p_v_d.__b=144;
    _j_n_e_r_k_p_v_d.__o=944;
    _j_n_e_r_k_p_v_d.__b=965;
    _j_n_e_r_k_p_v_d.__g=588;
    _j_n_e_r_k_p_v_d.__p=156;
    _j_n_e_r_k_p_v_d.__h=117;
    _j_n_e_r_k_p_v_d.__i=930;
    _j_n_e_r_k_p_v_d.__g=954;
    _j_n_e_r_k_p_v_d.__l=685;
    _j_n_e_r_k_p_v_d.__f=213;
    _j_n_e_r_k_p_v_d.__p=212;
    _j_n_e_r_k_p_v_d.__l=809;
    _j_n_e_r_k_p_v_d.__o=896;
    _j_n_e_r_k_p_v_d._m_j = function (){
    let _u_s_w_d_t = 730;
    let _g_t_h_u_y = 613;
    _u_s_w_d_t=_g_t_h_u_y;
    _g_t_h_u_y++;
    _u_s_w_d_t=_g_t_h_u_y;
    _g_t_h_u_y--;
    _u_s_w_d_t=_g_t_h_u_y;
    _g_t_h_u_y++;
    _u_s_w_d_t=_g_t_h_u_y;
    _g_t_h_u_y--;
    _u_s_w_d_t=_g_t_h_u_y;
    _g_t_h_u_y--;
    _u_s_w_d_t=_g_t_h_u_y;
    _g_t_h_u_y--;
    _u_s_w_d_t=_g_t_h_u_y;
    _g_t_h_u_y--;
    };
    _j_n_e_r_k_p_v_d._n_w = function (){
    let _v_d_u_x_e = 233;
    let _e_f_u_c_j = 220;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j++;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j--;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j++;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j++;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j++;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j++;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j++;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j--;
    _v_d_u_x_e=_e_f_u_c_j;
    _e_f_u_c_j++;
    };
    _j_n_e_r_k_p_v_d._r_q = function (){
    let _l_q_y_k_l = 515;
    let _k_m_w_a_x = 331;
    _l_q_y_k_l=_k_m_w_a_x;
    _k_m_w_a_x--;
    _l_q_y_k_l=_k_m_w_a_x;
    _k_m_w_a_x++;
    _l_q_y_k_l=_k_m_w_a_x;
    _k_m_w_a_x--;
    _l_q_y_k_l=_k_m_w_a_x;
    _k_m_w_a_x--;
    _l_q_y_k_l=_k_m_w_a_x;
    _k_m_w_a_x--;
    _l_q_y_k_l=_k_m_w_a_x;
    _k_m_w_a_x++;
    };
    _j_n_e_r_k_p_v_d._e_p = function (){
    let _l_u_e_p_e = 929;
    let _x_w_s_d_a = 819;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a--;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a--;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a--;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a--;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a++;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a++;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a--;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a--;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a++;
    _l_u_e_p_e=_x_w_s_d_a;
    _x_w_s_d_a++;
    };
    _j_n_e_r_k_p_v_d._q_h = function (){
    let _m_v_b_o_s = 369;
    let _w_k_p_q_k = 439;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k++;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k++;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k--;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k++;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k--;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k--;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k++;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k--;
    _m_v_b_o_s=_w_k_p_q_k;
    _w_k_p_q_k--;
    };
    _j_n_e_r_k_p_v_d._j_e = function (){
    let _p_d_e_g_q = 272;
    let _m_r_w_k_c = 284;
    _p_d_e_g_q=_m_r_w_k_c;
    _m_r_w_k_c--;
    _p_d_e_g_q=_m_r_w_k_c;
    _m_r_w_k_c++;
    _p_d_e_g_q=_m_r_w_k_c;
    _m_r_w_k_c--;
    _p_d_e_g_q=_m_r_w_k_c;
    _m_r_w_k_c--;
    _p_d_e_g_q=_m_r_w_k_c;
    _m_r_w_k_c++;
    };
    _j_n_e_r_k_p_v_d._w_a = function (){
    let _b_c_x_a_q = 983;
    let _k_g_k_w_w = 180;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w++;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w--;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w--;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w--;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w++;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w--;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w--;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w++;
    _b_c_x_a_q=_k_g_k_w_w;
    _k_g_k_w_w--;
    };
    _j_n_e_r_k_p_v_d._l_y = function (){
    let _f_q_u_e_g = 859;
    let _m_h_g_s_m = 735;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m--;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m++;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m++;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m++;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m--;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m--;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m++;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m++;
    _f_q_u_e_g=_m_h_g_s_m;
    _m_h_g_s_m++;
    };
    _j_n_e_r_k_p_v_d._i_u = function (){
    let _u_i_m_c_i = 664;
    let _s_d_k_m_q = 424;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q--;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q--;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q++;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q--;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q--;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q--;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q--;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q--;
    _u_i_m_c_i=_s_d_k_m_q;
    _s_d_k_m_q++;
    };
    _j_n_e_r_k_p_v_d._r_l = function (){
    let _j_g_r_i_a = 515;
    let _a_u_h_q_y = 956;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y++;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y--;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y++;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y--;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y--;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y++;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y--;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y--;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y--;
    _j_g_r_i_a=_a_u_h_q_y;
    _a_u_h_q_y--;
    };

    class gameScene extends Laya.Scene {

        constructor() {
            super();
        }

        onEnable() {
            GameManager.gameScene = this;
            console.log("============进入游戏场景============");
            this.width = Laya.stage.width;
            this.height = Laya.stage.height;
            if (GameManager.PlayerJS == null) {
                GameManager.PlayerJS = GameManager.player.addComponent(PlayerControl);
            }
            GameManager.pause = false;
            Laya.timer.loop(1, this, this.update);
            this.InitUI();
            GameManager.createRay();

            if (GameData.GetUserData("frist") == 0) {
                this.startUI.visible = true;
                SDK_apk.showNativeAd();
            } else {
                this.startUI.visible = false;
            }
        }

        InitUI() {
            /////////////////////////////////////////////////////////////////////
            //互动按钮
            this.touch1.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                if (GameManager.isOpenComputer) {
                    Laya.Scene.open("prefab/installUI.scene", false);
                } else {
                    GameManager.showAsk("请先开机~");
                }
            });

            this.touch2.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                if (GameManager.isMission) {
                    this.changeCamera();
                    GameManager.RebackColor();
                    GameManager.createRay();
                    this.exitBtn.visible = true;
                } else {
                    GameManager.showAsk("未接受任务，请先接收任务~");
                }
            });

            this.touch3.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                this.showComputer_M();
            });

            this.touch4.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装机箱");
                this.clickShowShop(false);
            });
            this.touch5.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装主板");
                GameManager.clickInstallPart();
            });
            this.touch6.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装cpu");
                GameManager.clickInstallPart();
            });
            this.touch7.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装cpu风扇");
                GameManager.clickInstallPart();
                GameManager.hideCollider("cpu");
            });
            this.touch8.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装内存");
                GameManager.clickInstallMemory();
            });
            this.touch9.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装显卡");
                GameManager.clickInstallPart();
            });
            this.touch10.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装电源");
                GameManager.clickInstallPart();
            });
            this.touch11.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装硬盘");
                GameManager.clickInstallPart();
            });
            this.touch12.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装水冷");
                GameManager.clickInstallPart();
            });
            this.touch13.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("安装风扇");
                GameManager.clickInstallPart();
            });
            //////////////////////////////////////////////////////////////////////
            this.exitBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                if (GameManager.isInstall) {
                    this.closeShop();
                    this.closeMission();
                    console.log("退出安装");
                    this.changeCamera();
                    GameManager.RebackColor();
                    GameManager.createRay();
                    this.exitBtn.visible = false;
                }
            });
            ////////////////////////////////////////////////////////////////////////
            this.btn_zt.on(Laya.Event.CLICK, this, this.showPauseUI); //游戏暂停按钮
            ////////////////////////////////////////////////////////////////////////
            //暂停界面按钮事件
            this.ReStartBtn.on(Laya.Event.CLICK, this, function () {
                for (var key1 in GameManager.InstallPart) {
                    if (key1 == 5) {
                        for (var key2 in GameManager.InstallPart[key1]) {
                            if (GameManager.InstallPart[key1][key2] != null) {
                                let moneyNum = GameManager.InstallPart[key1][key2].price;
                                GameData.addMoney(moneyNum);
                            }
                        }
                    } else {
                        if (GameManager.InstallPart[key1] != null) {
                            let moneyNum = GameManager.InstallPart[key1].price;
                            GameData.addMoney(moneyNum);
                        }
                    }
                }
                GameManager.PlaySound("an");
                GameManager.reStart();
                this.hidePauseUI();
            });
            this.continueBtn.on(Laya.Event.CLICK, this, this.hidePauseUI);
            this.ToIndexBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                Laya.Scene.open("gameMain.scene");
            });

            this.sensitivity.on(Laya.Event.MOUSE_DOWN, this, this.onSensitivityBarDown);
            this.sensitivity.on(Laya.Event.MOUSE_UP, this, this.onSensitivityBarUp);
            this.sensitivity.getChildByName("img").x = GameManager.rotateSpeed * this.sensitivity.width;
            this.sensitivity.value = GameManager.rotateSpeed;

            //////////////////////////////////////////////////////////////////////////
            //任务界面
            this.renwuAni.play(0, true);
            this.mession_btn.on(Laya.Event.CLICK, this, this.clickMission);
            this.btn_tjrw.on(Laya.Event.CLICK, this, this.isPassMission);
            ///////////////////////////////////////////////////////////////////////////////////////
            //商城界面
            this.shop3.visible = false;
            this.shop3Ani.play(0, true);
            this.shop_btn.on(Laya.Event.CLICK, this, this.clickShowShop);
            //////////////////////////////////////////////////////////////////////////////////////
            //开机
            this.kaijiBtn.on(Laya.Event.CLICK, this, this.OpenComputer);
            this.guanjiBtn.on(Laya.Event.CLICK, this, this.closeComputer);
            this.closeFailBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                this.failUI.visible = false;
            });
            //////////////////////////////////////////////////////////////////////////////////////
            //商品购买撤回
            this.rebackBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("============撤回购买============");
                this.tishi1UI.visible = true;
                this.closeShop();

                SDK_apk.showBanner();
            });
            this.tishi1CloseBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("============返回============");
                this.tishi1UI.visible = false;
            });
            this.tishi1Btn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("============确定撤回============");
                this.reBackBuy();
            });
            ////////////////////////////////////////////////////////////////////////////////////////
            //失败界面
            this.lose_restart.on(Laya.Event.CLICK, this, function () {
                for (var key1 in GameManager.InstallPart) {
                    if (key1 == 5) {
                        for (var key2 in GameManager.InstallPart[key1]) {
                            if (GameManager.InstallPart[key1][key2] != null) {
                                let moneyNum = GameManager.InstallPart[key1][key2].price;
                                GameData.addMoney(moneyNum);
                            }
                        }
                    } else {
                        if (GameManager.InstallPart[key1] != null) {
                            let moneyNum = GameManager.InstallPart[key1].price;
                            GameData.addMoney(moneyNum);
                        }
                    }
                }
                GameManager.PlaySound("an");
                GameManager.reStart();
                this.loseUI.visible = false;
                this.exitStall();
                GameManager.createRay();
            });
            this.lose_next.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                let moneyNum = parseInt(this.rewardNum.text);
                GameData.addMoney(moneyNum / 2);
                GameManager.reStart(true);
                this.loseUI.visible = false;
                this.shop3.visible = false;
                this.exitStall();
                GameManager.createRay();
            });
            ////////////////////////////////////////////////////////////////////////////////////////
            //成功界面
            this.success_next1.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                let moneyNum = parseInt(this.rewardNum.text);
                GameData.addMoney(moneyNum);
                GameManager.reStart(true);
                this.successUI.visible = false;
                this.shop3.visible = false;
                this.exitStall();
                GameManager.createRay();
            });
            this.success_next2.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                let moneyNum = parseInt(this.rewardNum.text);
                GameData.addMoney(moneyNum * 2);
                GameManager.reStart(true);
                this.successUI.visible = false;
                this.shop3.visible = false;
                this.exitStall();
                GameManager.createRay();
            });
            ///////////////////////////////////////////////////////////////////////////////////////////
            //开始界面
            this.start_Btn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                GameData.SetData("frist", 1);
                this.startUI.visible = false;
            });
            /////////////////////////////////////////////////////////////////////////////////////////
            //提示2界面
            this.tishi2_Btn.on(Laya.Event.CLICK, this, function () {
    			GameManager.PlaySound("an");
                SDK_apk.showVideoAd(function () {
                    GameData.addMoney(5000);
                    this.tishi2UI.visible = false;
                }.bind(this), function () {
    				this.tishi2UI.visible = false;
                }.bind(this), function () {
    				this.tishi2UI.visible = false;
                }.bind(this));
            });
        }

        clickMission() {
            GameManager.PlaySound("an");
            this.renwuAni.stop();
            if (GameManager.isOpenMission) {
                GameManager.isOpenMission = false;
                this.shouhui1.play(0, false);
                Laya.timer.once(1000, this, function () {
                    this.renwuAni.play(0, true);
                    if (GameManager.InstallPart[10] != null) {
                        this.shop3.visible = true;
                    }
                });
            } else {
                GameManager.isOpenMission = true;
                this.zhankai1.play(0, false);
                this.shop3.visible = false;

                console.log("GameManager.isMission:" + GameManager.isMission);
                if (GameManager.isMission) {
                    this.missionBox.visible = true;
                    this.nomessionBox.visible = false;
                    this.MissionUI();
                } else {
                    this.missionBox.visible = false;
                    this.nomessionBox.visible = true;
                    SDK_apk.showNativeAd();
                }
            }
        }

        closeMission() {
            if (GameManager.isOpenMission) {
                GameManager.isOpenMission = false;
                this.shouhui1.play(0, false);
                Laya.timer.once(1000, this, function () {
                    this.renwuAni.play(0, true);
                    if (GameManager.InstallPart[10] != null) {
                        this.shop3.visible = true;
                    }
                });
            }
        }

        isPassMission() {
            GameManager.PlaySound("an");
            this.closeMission();
            console.log("Mission:", GameManager.MissionData);
            GameManager.pause = true;
            if (this.isPart()) {
                if (GameManager.MissionData.Run_point_requirements != 0) {
                    if (GameManager.computerMark >= GameManager.MissionData.Run_point_requirements) {
                        this.rewardNum.text = GameManager.MissionData.reward_gold;
                        this.successUI.visible = true;
                    } else {
                        this.rewardNum.text = GameManager.MissionData.reward_gold;
                        this.loseStr.text = "跑分软件没有运行";
                        this.loseUI.visible = true;
                        SDK_apk.showNativeAd();
                    }
                } else {
                    if (GameManager.MissionData.complete_requirements.CPU != "") {
                        if (GameManager.MissionData.complete_requirements.CPU != GameManager.InstallPart[0].ID) {
                            this.loseStr.text = "CPU型号不匹配";
                            this.loseUI.visible = true;
                            SDK_apk.showNativeAd();
                            return;
                        }
                    }
                    if (GameManager.MissionData.complete_requirements.Disk != "") {
                        if (GameManager.MissionData.complete_requirements.Disk != GameManager.InstallPart[1].ID) {
                            this.loseStr.text = "硬盘型号不匹配";
                            this.loseUI.visible = true;
                            SDK_apk.showNativeAd();
                            return;
                        }
                    }
                    if (GameManager.MissionData.complete_requirements.Fan_CPU != "") {
                        if (GameManager.MissionData.complete_requirements.Fan_CPU != GameManager.InstallPart[2].ID) {
                            this.loseStr.text = "CPU散热型号不匹配";
                            this.loseUI.visible = true;
                            SDK_apk.showNativeAd();
                            return;
                        }
                    }
                    if (GameManager.MissionData.complete_requirements.Fan != "") {
                        if (GameManager.MissionData.complete_requirements.Fan != GameManager.InstallPart[3].ID) {
                            this.loseStr.text = "机箱风扇型号不匹配";
                            this.loseUI.visible = true;
                            SDK_apk.showNativeAd();
                            return;
                        }
                    }
                    if (GameManager.MissionData.complete_requirements.GPU != "") {
                        if (GameManager.MissionData.complete_requirements.GPU != GameManager.InstallPart[4].ID) {
                            this.loseStr.text = "显卡型号不匹配";
                            this.loseUI.visible = true;
                            SDK_apk.showNativeAd();
                            return;
                        }
                    }
                    if (GameManager.MissionData.complete_requirements.Memory != "") {
                        if (GameManager.MissionData.complete_requirements.Memory != GameManager.InstallPart[5][0].ID && GameManager.MissionData.complete_requirements.Memory != GameManager.InstallPart[5][1].ID) {
                            this.loseStr.text = "内存型号不匹配";
                            this.loseUI.visible = true;
                            SDK_apk.showNativeAd();
                            return;
                        }
                    }
                    if (GameManager.MissionData.complete_requirements.Mobo != "") {
                        if (GameManager.MissionData.complete_requirements.Mobo != GameManager.InstallPart[7].ID) {
                            this.loseStr.text = "主板型号不匹配";
                            this.loseUI.visible = true;
                            SDK_apk.showNativeAd();
                            return;
                        }
                    }
                    if (GameManager.MissionData.complete_requirements.Power != "") {
                        if (GameManager.MissionData.complete_requirements.Power != GameManager.InstallPart[8].ID) {
                            this.loseStr.text = "电源型号不匹配";
                            this.loseUI.visible = true;
                            SDK_apk.showNativeAd();
                            return;
                        }
                    }
                    this.rewardNum.text = GameManager.MissionData.reward_gold;
                    this.successUI.visible = true;
                }
            } else {
                this.rewardNum.text = GameManager.MissionData.reward_gold;
                this.loseUI.visible = true;
                SDK_apk.showNativeAd();
            }
        }

        isPart() {
            if (GameManager.InstallPart[10] == null) {
                console.log("============机箱缺失============");
                this.loseStr.text = "机箱缺失";
                return false;
            } else if (GameManager.InstallPart[8] == null) {
                console.log("============电源缺失============");
                this.loseStr.text = "电源缺失";
                return false;
            } else if (GameManager.InstallPart[7] == null) {
                console.log("============主板缺失============");
                this.loseStr.text = "主板缺失";
                return false;
            } else if (GameManager.InstallPart[0] == null) {
                console.log("============CPU缺失============");
                this.loseStr.text = "CPU缺失";
                return false;
            } else if (GameManager.InstallPart[5][0] == null && GameManager.InstallPart[5][1] == null) {
                console.log("============内存缺失============");
                this.loseStr.text = "内存缺失";
                return false;
            } else if (GameManager.InstallPart[4] == null) {
                console.log("============显卡缺失============");
                this.loseStr.text = "显卡缺失";
                return false;
            } else if (GameManager.InstallPart[1] == null) {
                console.log("============硬盘缺失============");
                this.loseStr.text = "硬盘缺失";
                return false;
            } else if (GameManager.InstallPart[2] == null) {
                console.log("============CPU散热缺失============");
                this.loseStr.text = "CPU散热缺失";
                return false;
            }
            return true;
        }

        OpenComputer() {
            GameManager.PlaySound("an");
            if (this.isPart()) {
                GameManager.isOpenComputer = true;
                GameManager.Scene.getChildByName("xsp2").active = false;
                GameManager.Scene.getChildByName("xian01").active = true;
                GameManager.Scene.getChildByName("xian02").active = true;
                GameManager.Scene.getChildByName("usb").active = true;

                GameManager.Scene.getChildByName("jxg3Ani").active = true;
                GameManager.Scene.getChildByName("jxg4Ani").active = true;
                this.openPartLight();
            } else {
                this.failUI.visible = true;
            }
        }

        closeComputer() {
            GameManager.PlaySound("an");
            GameManager.isOpenComputer = false;
            GameManager.Scene.getChildByName("xsp2").active = true;
            this.closePartLight();
        }

        closePartLight() {
            for (var key1 in GameManager.Install3DPart) {
                if (key1 == 5) {
                    for (var key2 in GameManager.Install3DPart[key1]) {
                        var partJSON = GameManager.InstallPart[key1][key2];
                        var part3D = GameManager.Install3DPart[key1][key2];
                        if (partJSON != null && part3D != null) {
                            if (partJSON.light) {
                                part3D.getChildByName("faguang").active = false;
                            }
                        }
                    }
                } else {
                    var partJSON = GameManager.InstallPart[key1];
                    var part3D = GameManager.Install3DPart[key1];

                    if (partJSON != null && part3D != null) {
                        if (partJSON.light) {
                            part3D.getChildByName("faguang").active = false;
                        }
                    }
                }
            }
        }

        openPartLight() {
            for (var key1 in GameManager.Install3DPart) {
                if (key1 == 5) {
                    for (var key2 in GameManager.Install3DPart[key1]) {
                        var partJSON = GameManager.InstallPart[key1][key2];
                        var part3D = GameManager.Install3DPart[key1][key2];
                        if (partJSON != null && part3D != null) {
                            if (partJSON.light) {
                                part3D.getChildByName("faguang").active = true;
                            }
                        }
                    }
                } else {
                    var partJSON = GameManager.InstallPart[key1];
                    var part3D = GameManager.Install3DPart[key1];

                    if (partJSON != null && part3D != null) {
                        if (partJSON.light) {
                            part3D.getChildByName("faguang").active = true;
                        }
                    }
                }
            }
        }


        ///////////////////////////////////////////////////////////////////////////////////////////
        //任务界面
        MissionUI() {
            if (GameManager.MissionData != null) {
                this.mession_rwID.text = GameManager.MissionData.ID;
                this.mession_context.text = GameManager.MissionData.content;
                this.mession_mubiao.text = GameManager.MissionData.target;
                this.mession_jiangli.text = GameManager.MissionData.reward_gold;
            } else {
                this.missionBox.visible = false;
                this.nomessionBox.visible = true;
                SDK_apk.showNativeAd();
            }
        }
        ///////////////////////////////////////////////////////////////////////////////////////////
        //商城界面
        closeShop() {
            if (GameManager.isOpenShop) {
                GameManager.isOpenShop = false;
                this.shouhui2.play(0, false);
                Laya.timer.once(1000, this, function () {
                    if (GameManager.InstallPart[10] != null) {
                        this.shop3Ani.play(0, true);
                    }
                });
            }
        }
        clickShowShop(showMenu) {
            GameManager.PlaySound("an");
            this.shop3.visible = true;
            this.shop3Ani.stop();
            if (GameManager.isOpenShop) {
                GameManager.isOpenShop = false;
                this.shouhui2.play(0, false);
                Laya.timer.once(1000, this, function () {
                    if (GameManager.InstallPart[10] != null) {
                        this.shop3Ani.play(0, true);
                    }
                });
            } else {
                GameManager.isOpenShop = true;
                this.zhankai2.play(0, false);
                if (GameManager.InstallPart[10] != null) {
                    this.showShop(showMenu);
                } else {
                    this.showShop(false);
                }
            }
        }

        showShop(showMenu = true) {
            this.shop3.visible = true;

            this.shop3_menu.renderHandler = new Laya.Handler(this, this.updateShopMenu);
            this.shop3_menu.array = [];

            if (showMenu) {
                let array = [];
                for (var key in GameData.JSONData[9]) {
                    let data = GameData.JSONData[9][key];
                    if (data.ID == 5) {
                        if (GameManager.InstallPart[5][0] == null) {
                            let obj = {};
                            obj['menuID'] = { text: data.ID };
                            obj['name'] = { text: data.name };
                            array.push(obj);
                            this.shopContext(data.ID);
                        } else if (GameManager.InstallPart[5][1] == null) {
                            let obj = {};
                            obj['menuID'] = { text: data.ID };
                            obj['name'] = { text: data.name };
                            array.push(obj);
                            this.shopContext(data.ID);
                        }
                    } else {
                        if (GameManager.InstallPart[data.ID] == null) {
                            let obj = {};
                            obj['menuID'] = { text: data.ID };
                            obj['name'] = { text: data.name };
                            array.push(obj);
                            this.shopContext(data.ID);
                        }
                    }
                }
                // console.log("array.length:" + array.length);
                if (array.length == 0) {
                    this.shop3_list.visible = false;
                } else {
                    this.shop3_list.visible = true;
                }
                this.shop3_menu.array = array;
            } else {
                this.shop3_list.visible = true;
                let array = [];
                let data = GameData.JSONData[9][10];
                let obj = {};
                obj['menuID'] = { text: data.ID };
                obj['name'] = { text: data.name };
                array.push(obj);
                this.shop3_menu.array = array;
                this.shopContext(10);
            }

        }

        updateShopMenu(cell) {
            let mentBtn = cell.getChildByName("mentBtn");
            let id = cell.getChildByName("menuID").text;
            mentBtn.offAll();
            mentBtn.on(Laya.Event.CLICK, this, this.shopContext, [id]);
        }

        shopContext(index) {
            GameManager.PlaySound("an");
            this.index = index;
            this.shop3_list.renderHandler = new Laya.Handler(this, this.updateShop3);
            this.shop3_list.array = [];
            let array = [];
            for (var key in GameData.JSONData[this.index]) {
                let data = GameData.JSONData[this.index][key];
                let obj = {};
                obj['shopID'] = { text: data.ID };
                obj['name'] = { text: data.name };
                obj['partPIC'] = { skin: "displayUI/pj/" + data.picture_name };
                obj['money'] = { text: data.price };
                array.push(obj);
            }
            this.shop3_list.array = array;
        }

        updateShop3(cell) {
            let Btn_buy = cell.getChildByName("Btn_buy");
            let id = cell.getChildByName("shopID").text;
            Btn_buy.offAll();
            Btn_buy.on(Laya.Event.CLICK, this, this.clickBuy, [id]);
        }

        clickBuy(id) {
            GameManager.PlaySound("an");
            if (GameManager.isBuyType == "" || GameManager.isBuyType == "display_c") {
                GameManager.buyPart = GameData.getJsonData_one(this.index, id);
                console.log("购买的配件：", GameManager.buyPart);
                GameData.subtractMoney(GameManager.buyPart.price, function () {
                    GameManager.isBuyType = GameManager.getName(this.index);
                    console.log("GameManager.isBuyType:" + GameManager.isBuyType);
                    if (this.index == 10) {
                        this.buyComputerCase();
                    } else {
                        GameManager.showCameraPart(GameManager.buyPart);
                    }
                    this.clickShowShop();
                    GameManager.createRay();
                }.bind(this), function () {
                    GameManager.buyPart = "";
                });
            } else {
                GameManager.showAsk("请先安装当前配件");
            }
        }
        ///////////////////////////////////////////////////////////////////////////////////////////
        //装机操作
        changeCamera() {
            if (GameManager.isInstall) {
                GameManager.isInstall = false;
                this.shop3.visible = false;
                GameManager.Camera.active = false;
                GameManager.Camera = GameManager.player.getChildByName("Camera");
                GameManager.Camera.active = true;
            } else {
                GameManager.isInstall = true;
                if (GameManager.InstallPart[10] != null) {
                    this.shop3.visible = true;
                }
                GameManager.Camera.active = false;
                GameManager.Camera = GameManager.InstallPlayer.getChildByName("Camera");
                GameManager.Camera.active = true;
            }
        }

        exitStall() {
            if (GameManager.isInstall) {
                GameManager.isInstall = false;
                this.shop3.visible = false;
                GameManager.Camera.active = false;
                GameManager.Camera = GameManager.player.getChildByName("Camera");
                GameManager.Camera.active = true;
            }
        }

        buyComputerCase() {
            GameManager.showComputerCase();
            GameManager.RebackColor();
            this.hideBtn();
            GameManager.isBuyType = "";
        }

        reBackBuy() {
            if (GameManager.buyPart != null && GameManager.isBuyType != "") {
                GameData.addMoney(GameManager.buyPart.price / 2);
                GameManager.hideCameraPart(GameManager.buyPart);

                this.showShop();
                GameManager.buyPart = null;
                GameManager.isBuyType = "";
                GameManager.createRay();
            }
            this.tishi1UI.visible = false;
        }

        ///////////////////////////////////////////////////////////////////////////////////////////
        //暂停界面
        showPauseUI() {
            SDK_apk.showNativeAd();
            GameManager.PlaySound("an");
            GameManager.pause = true;
            this.zantingUI.visible = true;

            this.closeShop();
        }

        hidePauseUI() {
            GameManager.PlaySound("an");
            GameManager.pause = false;
            this.zantingUI.visible = false;
        }

        onMouseOut(e) {
            e.target.off(Laya.Event.MOUSE_OUT, this);
            e.target.off(Laya.Event.MOUSE_MOVE, this);
        }

        onSensitivityBarDown(e) {
            let img = e.target.getChildByName("img");
            e.target.on(Laya.Event.MOUSE_MOVE, this, function (ee) {
                img.x = ee.target.mouseX;
                let v = img.x / e.target.width;//300;
                e.target.value = v;
                GameData.SetData("sensitivity", v);
                GameManager.rotateSpeed = GameData.GetUserData("sensitivity");
            });
            e.target.once(Laya.Event.MOUSE_OUT, this, this.onMouseOut);
        }

        onSensitivityBarUp(e) {
            let img = e.target.getChildByName("img");
            img.x = e.target.mouseX;

            this.onMouseOut(e);
            let v = img.x / e.target.width;
            e.target.value = v;
            GameData.SetData("sensitivity", v);
            GameManager.rotateSpeed = GameData.GetUserData("sensitivity");
        }
        ///////////////////////////////////////////////////////////////////////////////////////////
        //电脑画面
        showComputer_M() {
            Laya.Scene.open("prefab/displayUI.scene", false);
        }
        ///////////////////////////////////////////////////////////////////////////////////////////
        showBtn(btnName) {
            this.zuzhuangUI.getChildByName(btnName).visible = true;
        }

        hideBtn() {
            for (var key in GameManager.Interaction) {
                this.zuzhuangUI.getChildByName(GameManager.Interaction[key].button).visible = false;
            }
        }

        update() {
            this.moneyNum.text = GameData.GetUserData("gold");
            if (GameManager.buyPart) {
                this.rebackBtn.visible = true;
            } else {
                this.rebackBtn.visible = false;
            }
            if (GameManager.isInstall) {
                GameManager.Camera.transform.position.y = 0.96;
                this.exitBtn.visible = true;
            } else {
                GameManager.Camera.transform.position.y = 1.17;
                this.exitBtn.visible = false;
            }

            if (GameManager.isOpenComputer) {
                this.guanjiBtn.visible = true;
                this.kaijiBtn.visible = false;
            } else {
                this.guanjiBtn.visible = false;
                this.kaijiBtn.visible = true;
            }

            if (GameManager.isMission) {
                this.ReStartBtn.visible = true;
            } else {
                this.ReStartBtn.visible = false;
            }

        }

        onDisable() {
            GameManager.gameScene = null;
        }
    }//--------aaabbbcccdddeeefffggg
     let _a_j_g_f_n_u_u_w={};
    _a_j_g_f_n_u_u_w.__c=792;
    _a_j_g_f_n_u_u_w.__u=318;
    _a_j_g_f_n_u_u_w.__x=625;
    _a_j_g_f_n_u_u_w.__e=494;
    _a_j_g_f_n_u_u_w.__x=891;
    _a_j_g_f_n_u_u_w.__u=217;
    _a_j_g_f_n_u_u_w.__p=604;
    _a_j_g_f_n_u_u_w.__n=228;
    _a_j_g_f_n_u_u_w.__c=810;
    _a_j_g_f_n_u_u_w.__i=405;
    _a_j_g_f_n_u_u_w.__h=814;
    _a_j_g_f_n_u_u_w.__x=143;
    _a_j_g_f_n_u_u_w.__s=840;
    _a_j_g_f_n_u_u_w.__y=476;
    _a_j_g_f_n_u_u_w.__q=379;
    _a_j_g_f_n_u_u_w.__w=474;
    _a_j_g_f_n_u_u_w.__n=15;
    _a_j_g_f_n_u_u_w.__t=949;
    _a_j_g_f_n_u_u_w.__i=14;
    _a_j_g_f_n_u_u_w.__p=994;
    _a_j_g_f_n_u_u_w.__b=456;
    _a_j_g_f_n_u_u_w.__c=398;
    _a_j_g_f_n_u_u_w.__k=180;
    _a_j_g_f_n_u_u_w.__u=456;
    _a_j_g_f_n_u_u_w.__s=346;
    _a_j_g_f_n_u_u_w.__t=209;
    _a_j_g_f_n_u_u_w.__d=871;
    _a_j_g_f_n_u_u_w.__f=656;
    _a_j_g_f_n_u_u_w.__i=531;
    _a_j_g_f_n_u_u_w.__i=951;
    _a_j_g_f_n_u_u_w.__u=23;
    _a_j_g_f_n_u_u_w.__i=130;
    _a_j_g_f_n_u_u_w.__d=737;
    _a_j_g_f_n_u_u_w.__e=391;
    _a_j_g_f_n_u_u_w.__v=552;
    _a_j_g_f_n_u_u_w.__i=466;
    _a_j_g_f_n_u_u_w.__u=419;
    _a_j_g_f_n_u_u_w.__e=111;
    _a_j_g_f_n_u_u_w.__s=12;
    _a_j_g_f_n_u_u_w.__d=246;
    _a_j_g_f_n_u_u_w.__t=238;
    _a_j_g_f_n_u_u_w.__g=774;
    _a_j_g_f_n_u_u_w.__j=879;
    _a_j_g_f_n_u_u_w.__m=615;
    _a_j_g_f_n_u_u_w.__g=153;
    _a_j_g_f_n_u_u_w.__b=990;
    _a_j_g_f_n_u_u_w.__n=464;
    _a_j_g_f_n_u_u_w.__h=469;
    _a_j_g_f_n_u_u_w.__x=146;
    _a_j_g_f_n_u_u_w.__r=833;
    _a_j_g_f_n_u_u_w.__d=447;
    _a_j_g_f_n_u_u_w.__x=274;
    _a_j_g_f_n_u_u_w.__j=571;
    _a_j_g_f_n_u_u_w.__x=960;
    _a_j_g_f_n_u_u_w.__x=35;
    _a_j_g_f_n_u_u_w.__w=505;
    _a_j_g_f_n_u_u_w.__t=126;
    _a_j_g_f_n_u_u_w.__b=368;
    _a_j_g_f_n_u_u_w.__k=750;
    _a_j_g_f_n_u_u_w.__g=715;
    _a_j_g_f_n_u_u_w.__r=447;
    _a_j_g_f_n_u_u_w.__d=775;
    _a_j_g_f_n_u_u_w.__l=841;
    _a_j_g_f_n_u_u_w.__p=225;
    _a_j_g_f_n_u_u_w.__y=336;
    _a_j_g_f_n_u_u_w.__j=623;
    _a_j_g_f_n_u_u_w.__j=311;
    _a_j_g_f_n_u_u_w.__w=440;
    _a_j_g_f_n_u_u_w.__x=607;
    _a_j_g_f_n_u_u_w.__o=703;
    _a_j_g_f_n_u_u_w.__b=588;
    _a_j_g_f_n_u_u_w.__j=792;
    _a_j_g_f_n_u_u_w.__h=556;
    _a_j_g_f_n_u_u_w.__u=416;
    _a_j_g_f_n_u_u_w.__g=801;
    _a_j_g_f_n_u_u_w.__v=305;
    _a_j_g_f_n_u_u_w.__u=62;
    _a_j_g_f_n_u_u_w.__v=644;
    _a_j_g_f_n_u_u_w.__v=695;
    _a_j_g_f_n_u_u_w.__x=785;
    _a_j_g_f_n_u_u_w.__i=308;
    _a_j_g_f_n_u_u_w.__j=261;
    _a_j_g_f_n_u_u_w.__j=165;
    _a_j_g_f_n_u_u_w.__j=642;
    _a_j_g_f_n_u_u_w.__q=128;
    _a_j_g_f_n_u_u_w.__n=258;
    _a_j_g_f_n_u_u_w.__p=418;
    _a_j_g_f_n_u_u_w.__o=325;
    _a_j_g_f_n_u_u_w.__y=983;
    _a_j_g_f_n_u_u_w.__j=497;
    _a_j_g_f_n_u_u_w.__k=753;
    _a_j_g_f_n_u_u_w.__j=391;
    _a_j_g_f_n_u_u_w.__w=554;
    _a_j_g_f_n_u_u_w.__v=91;
    _a_j_g_f_n_u_u_w.__l=976;
    _a_j_g_f_n_u_u_w.__q=196;
    _a_j_g_f_n_u_u_w.__e=967;
    _a_j_g_f_n_u_u_w.__g=408;
    _a_j_g_f_n_u_u_w.__i=435;
    _a_j_g_f_n_u_u_w.__h=215;
    _a_j_g_f_n_u_u_w.__v=643;
    _a_j_g_f_n_u_u_w.__m=698;
    _a_j_g_f_n_u_u_w.__o=677;
    _a_j_g_f_n_u_u_w.__g=977;
    _a_j_g_f_n_u_u_w.__k=766;
    _a_j_g_f_n_u_u_w.__y=349;
    _a_j_g_f_n_u_u_w.__w=736;
    _a_j_g_f_n_u_u_w.__p=635;
    _a_j_g_f_n_u_u_w.__e=383;
    _a_j_g_f_n_u_u_w.__y=767;
    _a_j_g_f_n_u_u_w.__p=41;
    _a_j_g_f_n_u_u_w.__w=159;
    _a_j_g_f_n_u_u_w.__o=128;
    _a_j_g_f_n_u_u_w.__u=876;
    _a_j_g_f_n_u_u_w.__d=953;
    _a_j_g_f_n_u_u_w.__m=149;
    _a_j_g_f_n_u_u_w.__s=566;
    _a_j_g_f_n_u_u_w.__m=250;
    _a_j_g_f_n_u_u_w.__n=925;
    _a_j_g_f_n_u_u_w.__a=277;
    _a_j_g_f_n_u_u_w.__h=171;
    _a_j_g_f_n_u_u_w.__a=865;
    _a_j_g_f_n_u_u_w.__h=285;
    _a_j_g_f_n_u_u_w.__h=357;
    _a_j_g_f_n_u_u_w.__y=917;
    _a_j_g_f_n_u_u_w.__j=479;
    _a_j_g_f_n_u_u_w.__d=650;
    _a_j_g_f_n_u_u_w.__r=31;
    _a_j_g_f_n_u_u_w.__s=507;
    _a_j_g_f_n_u_u_w.__e=638;
    _a_j_g_f_n_u_u_w.__c=957;
    _a_j_g_f_n_u_u_w.__k=90;
    _a_j_g_f_n_u_u_w.__r=217;
    _a_j_g_f_n_u_u_w.__u=300;
    _a_j_g_f_n_u_u_w.__p=126;
    _a_j_g_f_n_u_u_w.__f=412;
    _a_j_g_f_n_u_u_w.__g=369;
    _a_j_g_f_n_u_u_w.__f=92;
    _a_j_g_f_n_u_u_w.__r=343;
    _a_j_g_f_n_u_u_w.__t=531;
    _a_j_g_f_n_u_u_w.__o=430;
    _a_j_g_f_n_u_u_w.__m=190;
    _a_j_g_f_n_u_u_w.__i=973;
    _a_j_g_f_n_u_u_w.__t=827;
    _a_j_g_f_n_u_u_w.__w=732;
    _a_j_g_f_n_u_u_w.__s=820;
    _a_j_g_f_n_u_u_w.__b=93;
    _a_j_g_f_n_u_u_w.__l=342;
    _a_j_g_f_n_u_u_w.__a=824;
    _a_j_g_f_n_u_u_w.__b=389;
    _a_j_g_f_n_u_u_w.__j=652;
    _a_j_g_f_n_u_u_w.__a=223;
    _a_j_g_f_n_u_u_w.__c=441;
    _a_j_g_f_n_u_u_w.__q=237;
    _a_j_g_f_n_u_u_w.__s=257;
    _a_j_g_f_n_u_u_w.__h=788;
    _a_j_g_f_n_u_u_w.__j=101;
    _a_j_g_f_n_u_u_w.__y=19;
    _a_j_g_f_n_u_u_w.__e=584;
    _a_j_g_f_n_u_u_w.__q=215;
    _a_j_g_f_n_u_u_w.__g=333;
    _a_j_g_f_n_u_u_w.__b=706;
    _a_j_g_f_n_u_u_w.__k=411;
    _a_j_g_f_n_u_u_w.__q=863;
    _a_j_g_f_n_u_u_w.__b=519;
    _a_j_g_f_n_u_u_w.__a=215;
    _a_j_g_f_n_u_u_w.__b=280;
    _a_j_g_f_n_u_u_w.__g=209;
    _a_j_g_f_n_u_u_w.__m=369;
    _a_j_g_f_n_u_u_w.__p=662;
    _a_j_g_f_n_u_u_w.__o=781;
    _a_j_g_f_n_u_u_w.__v=415;
    _a_j_g_f_n_u_u_w.__t=17;
    _a_j_g_f_n_u_u_w.__w=242;
    _a_j_g_f_n_u_u_w.__a=463;
    _a_j_g_f_n_u_u_w.__q=524;
    _a_j_g_f_n_u_u_w.__c=749;
    _a_j_g_f_n_u_u_w.__e=736;
    _a_j_g_f_n_u_u_w.__d=369;
    _a_j_g_f_n_u_u_w.__x=270;
    _a_j_g_f_n_u_u_w.__h=342;
    _a_j_g_f_n_u_u_w.__v=631;
    _a_j_g_f_n_u_u_w.__g=194;
    _a_j_g_f_n_u_u_w.__r=524;
    _a_j_g_f_n_u_u_w.__h=45;
    _a_j_g_f_n_u_u_w._w_y = function (){
    let _f_i_c_e_l = 734;
    let _h_v_y_u_s = 322;
    _f_i_c_e_l=_h_v_y_u_s;
    _h_v_y_u_s--;
    _f_i_c_e_l=_h_v_y_u_s;
    _h_v_y_u_s++;
    _f_i_c_e_l=_h_v_y_u_s;
    _h_v_y_u_s++;
    _f_i_c_e_l=_h_v_y_u_s;
    _h_v_y_u_s++;
    _f_i_c_e_l=_h_v_y_u_s;
    _h_v_y_u_s++;
    };
    _a_j_g_f_n_u_u_w._u_b = function (){
    let _a_q_h_y_t = 76;
    let _y_g_g_o_o = 707;
    _a_q_h_y_t=_y_g_g_o_o;
    _y_g_g_o_o++;
    _a_q_h_y_t=_y_g_g_o_o;
    _y_g_g_o_o--;
    _a_q_h_y_t=_y_g_g_o_o;
    _y_g_g_o_o++;
    _a_q_h_y_t=_y_g_g_o_o;
    _y_g_g_o_o--;
    _a_q_h_y_t=_y_g_g_o_o;
    _y_g_g_o_o--;
    _a_q_h_y_t=_y_g_g_o_o;
    _y_g_g_o_o++;
    };
    _a_j_g_f_n_u_u_w._e_y = function (){
    let _m_m_h_u_t = 59;
    let _y_b_b_m_x = 131;
    _m_m_h_u_t=_y_b_b_m_x;
    _y_b_b_m_x--;
    _m_m_h_u_t=_y_b_b_m_x;
    _y_b_b_m_x++;
    _m_m_h_u_t=_y_b_b_m_x;
    _y_b_b_m_x++;
    _m_m_h_u_t=_y_b_b_m_x;
    _y_b_b_m_x++;
    _m_m_h_u_t=_y_b_b_m_x;
    _y_b_b_m_x--;
    };
    _a_j_g_f_n_u_u_w._h_s = function (){
    let _o_r_q_g_f = 612;
    let _p_r_d_j_y = 70;
    _o_r_q_g_f=_p_r_d_j_y;
    _p_r_d_j_y--;
    _o_r_q_g_f=_p_r_d_j_y;
    _p_r_d_j_y++;
    _o_r_q_g_f=_p_r_d_j_y;
    _p_r_d_j_y++;
    _o_r_q_g_f=_p_r_d_j_y;
    _p_r_d_j_y++;
    _o_r_q_g_f=_p_r_d_j_y;
    _p_r_d_j_y--;
    _o_r_q_g_f=_p_r_d_j_y;
    _p_r_d_j_y++;
    _o_r_q_g_f=_p_r_d_j_y;
    _p_r_d_j_y++;
    _o_r_q_g_f=_p_r_d_j_y;
    _p_r_d_j_y++;
    };
    _a_j_g_f_n_u_u_w._u_i = function (){
    let _f_h_f_o_t = 73;
    let _u_h_b_d_v = 280;
    _f_h_f_o_t=_u_h_b_d_v;
    _u_h_b_d_v--;
    _f_h_f_o_t=_u_h_b_d_v;
    _u_h_b_d_v--;
    _f_h_f_o_t=_u_h_b_d_v;
    _u_h_b_d_v++;
    _f_h_f_o_t=_u_h_b_d_v;
    _u_h_b_d_v++;
    _f_h_f_o_t=_u_h_b_d_v;
    _u_h_b_d_v--;
    _f_h_f_o_t=_u_h_b_d_v;
    _u_h_b_d_v--;
    _f_h_f_o_t=_u_h_b_d_v;
    _u_h_b_d_v++;
    _f_h_f_o_t=_u_h_b_d_v;
    _u_h_b_d_v--;
    };
    _a_j_g_f_n_u_u_w._f_l = function (){
    let _a_s_n_q_x = 743;
    let _m_a_u_k_m = 213;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m++;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m++;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m--;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m--;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m++;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m++;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m++;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m--;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m--;
    _a_s_n_q_x=_m_a_u_k_m;
    _m_a_u_k_m--;
    };
    _a_j_g_f_n_u_u_w._c_w = function (){
    let _u_v_s_q_r = 655;
    let _f_g_t_m_j = 192;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j++;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j--;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j++;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j--;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j++;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j--;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j--;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j++;
    _u_v_s_q_r=_f_g_t_m_j;
    _f_g_t_m_j++;
    };
    _a_j_g_f_n_u_u_w._j_r = function (){
    let _t_a_a_d_j = 426;
    let _s_o_q_r_y = 482;
    _t_a_a_d_j=_s_o_q_r_y;
    _s_o_q_r_y++;
    _t_a_a_d_j=_s_o_q_r_y;
    _s_o_q_r_y++;
    _t_a_a_d_j=_s_o_q_r_y;
    _s_o_q_r_y--;
    _t_a_a_d_j=_s_o_q_r_y;
    _s_o_q_r_y--;
    _t_a_a_d_j=_s_o_q_r_y;
    _s_o_q_r_y++;
    _t_a_a_d_j=_s_o_q_r_y;
    _s_o_q_r_y--;
    };//--------aaabbbcccdddeeefffggg
     let _o_s_h_w_b_s_l_c={};
    _o_s_h_w_b_s_l_c.__r=342;
    _o_s_h_w_b_s_l_c.__k=233;
    _o_s_h_w_b_s_l_c.__s=669;
    _o_s_h_w_b_s_l_c.__r=235;
    _o_s_h_w_b_s_l_c.__a=158;
    _o_s_h_w_b_s_l_c.__l=363;
    _o_s_h_w_b_s_l_c.__y=459;
    _o_s_h_w_b_s_l_c.__r=564;
    _o_s_h_w_b_s_l_c.__v=848;
    _o_s_h_w_b_s_l_c.__r=26;
    _o_s_h_w_b_s_l_c.__h=524;
    _o_s_h_w_b_s_l_c.__i=170;
    _o_s_h_w_b_s_l_c.__i=804;
    _o_s_h_w_b_s_l_c.__p=606;
    _o_s_h_w_b_s_l_c.__t=980;
    _o_s_h_w_b_s_l_c.__g=84;
    _o_s_h_w_b_s_l_c.__k=113;
    _o_s_h_w_b_s_l_c.__i=972;
    _o_s_h_w_b_s_l_c.__r=577;
    _o_s_h_w_b_s_l_c.__w=283;
    _o_s_h_w_b_s_l_c.__t=588;
    _o_s_h_w_b_s_l_c.__i=800;
    _o_s_h_w_b_s_l_c.__k=545;
    _o_s_h_w_b_s_l_c.__s=312;
    _o_s_h_w_b_s_l_c.__d=430;
    _o_s_h_w_b_s_l_c.__o=507;
    _o_s_h_w_b_s_l_c.__v=68;
    _o_s_h_w_b_s_l_c.__e=542;
    _o_s_h_w_b_s_l_c.__g=516;
    _o_s_h_w_b_s_l_c.__p=825;
    _o_s_h_w_b_s_l_c.__n=377;
    _o_s_h_w_b_s_l_c.__y=47;
    _o_s_h_w_b_s_l_c.__l=303;
    _o_s_h_w_b_s_l_c.__w=984;
    _o_s_h_w_b_s_l_c.__b=480;
    _o_s_h_w_b_s_l_c.__h=109;
    _o_s_h_w_b_s_l_c.__a=371;
    _o_s_h_w_b_s_l_c.__d=538;
    _o_s_h_w_b_s_l_c.__t=503;
    _o_s_h_w_b_s_l_c.__l=348;
    _o_s_h_w_b_s_l_c.__w=574;
    _o_s_h_w_b_s_l_c.__v=796;
    _o_s_h_w_b_s_l_c.__j=666;
    _o_s_h_w_b_s_l_c.__e=471;
    _o_s_h_w_b_s_l_c.__j=835;
    _o_s_h_w_b_s_l_c.__w=899;
    _o_s_h_w_b_s_l_c.__p=881;
    _o_s_h_w_b_s_l_c.__t=658;
    _o_s_h_w_b_s_l_c.__y=549;
    _o_s_h_w_b_s_l_c.__m=503;
    _o_s_h_w_b_s_l_c.__k=973;
    _o_s_h_w_b_s_l_c.__j=560;
    _o_s_h_w_b_s_l_c.__j=619;
    _o_s_h_w_b_s_l_c.__t=98;
    _o_s_h_w_b_s_l_c.__s=527;
    _o_s_h_w_b_s_l_c.__l=931;
    _o_s_h_w_b_s_l_c.__p=120;
    _o_s_h_w_b_s_l_c.__e=954;
    _o_s_h_w_b_s_l_c.__w=366;
    _o_s_h_w_b_s_l_c.__l=881;
    _o_s_h_w_b_s_l_c.__g=580;
    _o_s_h_w_b_s_l_c.__g=678;
    _o_s_h_w_b_s_l_c.__t=640;
    _o_s_h_w_b_s_l_c.__l=755;
    _o_s_h_w_b_s_l_c.__t=894;
    _o_s_h_w_b_s_l_c.__e=416;
    _o_s_h_w_b_s_l_c.__i=555;
    _o_s_h_w_b_s_l_c.__w=636;
    _o_s_h_w_b_s_l_c.__d=853;
    _o_s_h_w_b_s_l_c.__x=660;
    _o_s_h_w_b_s_l_c.__y=721;
    _o_s_h_w_b_s_l_c.__s=478;
    _o_s_h_w_b_s_l_c.__g=314;
    _o_s_h_w_b_s_l_c.__d=697;
    _o_s_h_w_b_s_l_c.__n=121;
    _o_s_h_w_b_s_l_c.__k=852;
    _o_s_h_w_b_s_l_c.__u=973;
    _o_s_h_w_b_s_l_c.__h=669;
    _o_s_h_w_b_s_l_c.__s=708;
    _o_s_h_w_b_s_l_c.__b=332;
    _o_s_h_w_b_s_l_c.__c=787;
    _o_s_h_w_b_s_l_c.__v=269;
    _o_s_h_w_b_s_l_c.__k=635;
    _o_s_h_w_b_s_l_c.__v=498;
    _o_s_h_w_b_s_l_c.__c=1000;
    _o_s_h_w_b_s_l_c.__c=57;
    _o_s_h_w_b_s_l_c.__h=93;
    _o_s_h_w_b_s_l_c.__l=561;
    _o_s_h_w_b_s_l_c.__j=808;
    _o_s_h_w_b_s_l_c.__y=399;
    _o_s_h_w_b_s_l_c.__k=790;
    _o_s_h_w_b_s_l_c.__q=620;
    _o_s_h_w_b_s_l_c.__p=643;
    _o_s_h_w_b_s_l_c.__i=33;
    _o_s_h_w_b_s_l_c.__g=48;
    _o_s_h_w_b_s_l_c.__y=541;
    _o_s_h_w_b_s_l_c.__s=84;
    _o_s_h_w_b_s_l_c.__h=264;
    _o_s_h_w_b_s_l_c.__h=523;
    _o_s_h_w_b_s_l_c.__o=459;
    _o_s_h_w_b_s_l_c.__m=390;
    _o_s_h_w_b_s_l_c.__m=780;
    _o_s_h_w_b_s_l_c.__k=555;
    _o_s_h_w_b_s_l_c.__f=910;
    _o_s_h_w_b_s_l_c.__b=661;
    _o_s_h_w_b_s_l_c.__s=89;
    _o_s_h_w_b_s_l_c.__r=140;
    _o_s_h_w_b_s_l_c.__f=579;
    _o_s_h_w_b_s_l_c.__t=626;
    _o_s_h_w_b_s_l_c.__n=589;
    _o_s_h_w_b_s_l_c.__d=527;
    _o_s_h_w_b_s_l_c.__w=688;
    _o_s_h_w_b_s_l_c.__a=47;
    _o_s_h_w_b_s_l_c.__v=259;
    _o_s_h_w_b_s_l_c.__r=440;
    _o_s_h_w_b_s_l_c.__r=991;
    _o_s_h_w_b_s_l_c.__f=763;
    _o_s_h_w_b_s_l_c._y_f = function (){
    let _r_k_v_i_j = 860;
    let _l_o_v_h_g = 363;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g++;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g++;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g--;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g++;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g++;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g--;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g++;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g--;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g++;
    _r_k_v_i_j=_l_o_v_h_g;
    _l_o_v_h_g++;
    };
    _o_s_h_w_b_s_l_c._h_m = function (){
    let _s_p_g_y_l = 713;
    let _l_x_b_c_x = 437;
    _s_p_g_y_l=_l_x_b_c_x;
    _l_x_b_c_x++;
    _s_p_g_y_l=_l_x_b_c_x;
    _l_x_b_c_x--;
    _s_p_g_y_l=_l_x_b_c_x;
    _l_x_b_c_x--;
    _s_p_g_y_l=_l_x_b_c_x;
    _l_x_b_c_x--;
    _s_p_g_y_l=_l_x_b_c_x;
    _l_x_b_c_x--;
    };
    _o_s_h_w_b_s_l_c._a_r = function (){
    let _u_h_w_p_u = 766;
    let _n_b_h_x_v = 765;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v--;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v++;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v--;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v--;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v++;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v--;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v--;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v++;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v--;
    _u_h_w_p_u=_n_b_h_x_v;
    _n_b_h_x_v++;
    };
    _o_s_h_w_b_s_l_c._b_j = function (){
    let _b_n_h_v_w = 133;
    let _w_h_k_i_b = 171;
    _b_n_h_v_w=_w_h_k_i_b;
    _w_h_k_i_b--;
    _b_n_h_v_w=_w_h_k_i_b;
    _w_h_k_i_b++;
    _b_n_h_v_w=_w_h_k_i_b;
    _w_h_k_i_b++;
    _b_n_h_v_w=_w_h_k_i_b;
    _w_h_k_i_b++;
    _b_n_h_v_w=_w_h_k_i_b;
    _w_h_k_i_b--;
    _b_n_h_v_w=_w_h_k_i_b;
    _w_h_k_i_b--;
    };
    _o_s_h_w_b_s_l_c._i_b = function (){
    let _g_y_r_w_i = 293;
    let _y_y_a_b_j = 200;
    _g_y_r_w_i=_y_y_a_b_j;
    _y_y_a_b_j--;
    _g_y_r_w_i=_y_y_a_b_j;
    _y_y_a_b_j--;
    _g_y_r_w_i=_y_y_a_b_j;
    _y_y_a_b_j++;
    _g_y_r_w_i=_y_y_a_b_j;
    _y_y_a_b_j++;
    _g_y_r_w_i=_y_y_a_b_j;
    _y_y_a_b_j++;
    _g_y_r_w_i=_y_y_a_b_j;
    _y_y_a_b_j--;
    _g_y_r_w_i=_y_y_a_b_j;
    _y_y_a_b_j--;
    _g_y_r_w_i=_y_y_a_b_j;
    _y_y_a_b_j--;
    };
    _o_s_h_w_b_s_l_c._w_a = function (){
    let _v_a_m_i_w = 760;
    let _m_k_r_p_b = 384;
    _v_a_m_i_w=_m_k_r_p_b;
    _m_k_r_p_b++;
    _v_a_m_i_w=_m_k_r_p_b;
    _m_k_r_p_b++;
    _v_a_m_i_w=_m_k_r_p_b;
    _m_k_r_p_b--;
    _v_a_m_i_w=_m_k_r_p_b;
    _m_k_r_p_b--;
    _v_a_m_i_w=_m_k_r_p_b;
    _m_k_r_p_b++;
    _v_a_m_i_w=_m_k_r_p_b;
    _m_k_r_p_b++;
    };//--------aaabbbcccdddeeefffggg
     let _q_f_r_b_e_l_a_f={};
    _q_f_r_b_e_l_a_f.__y=251;
    _q_f_r_b_e_l_a_f.__l=563;
    _q_f_r_b_e_l_a_f.__x=712;
    _q_f_r_b_e_l_a_f.__q=576;
    _q_f_r_b_e_l_a_f.__a=294;
    _q_f_r_b_e_l_a_f.__w=506;
    _q_f_r_b_e_l_a_f.__i=744;
    _q_f_r_b_e_l_a_f.__f=998;
    _q_f_r_b_e_l_a_f.__h=121;
    _q_f_r_b_e_l_a_f.__u=694;
    _q_f_r_b_e_l_a_f.__p=253;
    _q_f_r_b_e_l_a_f.__j=632;
    _q_f_r_b_e_l_a_f.__n=628;
    _q_f_r_b_e_l_a_f.__y=466;
    _q_f_r_b_e_l_a_f.__x=605;
    _q_f_r_b_e_l_a_f.__b=655;
    _q_f_r_b_e_l_a_f.__i=367;
    _q_f_r_b_e_l_a_f.__h=282;
    _q_f_r_b_e_l_a_f.__c=517;
    _q_f_r_b_e_l_a_f.__g=646;
    _q_f_r_b_e_l_a_f.__g=716;
    _q_f_r_b_e_l_a_f.__i=307;
    _q_f_r_b_e_l_a_f.__a=291;
    _q_f_r_b_e_l_a_f.__i=720;
    _q_f_r_b_e_l_a_f.__j=183;
    _q_f_r_b_e_l_a_f.__l=118;
    _q_f_r_b_e_l_a_f.__j=183;
    _q_f_r_b_e_l_a_f.__x=809;
    _q_f_r_b_e_l_a_f.__m=829;
    _q_f_r_b_e_l_a_f.__i=534;
    _q_f_r_b_e_l_a_f.__k=888;
    _q_f_r_b_e_l_a_f.__m=47;
    _q_f_r_b_e_l_a_f.__v=823;
    _q_f_r_b_e_l_a_f.__q=574;
    _q_f_r_b_e_l_a_f.__t=154;
    _q_f_r_b_e_l_a_f.__j=297;
    _q_f_r_b_e_l_a_f.__q=115;
    _q_f_r_b_e_l_a_f.__s=540;
    _q_f_r_b_e_l_a_f.__k=519;
    _q_f_r_b_e_l_a_f.__s=790;
    _q_f_r_b_e_l_a_f.__d=235;
    _q_f_r_b_e_l_a_f.__h=224;
    _q_f_r_b_e_l_a_f.__x=177;
    _q_f_r_b_e_l_a_f.__x=898;
    _q_f_r_b_e_l_a_f.__f=223;
    _q_f_r_b_e_l_a_f.__r=240;
    _q_f_r_b_e_l_a_f.__q=963;
    _q_f_r_b_e_l_a_f.__l=26;
    _q_f_r_b_e_l_a_f.__w=678;
    _q_f_r_b_e_l_a_f.__r=477;
    _q_f_r_b_e_l_a_f.__c=470;
    _q_f_r_b_e_l_a_f.__q=635;
    _q_f_r_b_e_l_a_f.__c=932;
    _q_f_r_b_e_l_a_f.__a=688;
    _q_f_r_b_e_l_a_f.__j=283;
    _q_f_r_b_e_l_a_f.__b=382;
    _q_f_r_b_e_l_a_f.__f=353;
    _q_f_r_b_e_l_a_f.__k=192;
    _q_f_r_b_e_l_a_f.__a=346;
    _q_f_r_b_e_l_a_f.__g=394;
    _q_f_r_b_e_l_a_f.__m=770;
    _q_f_r_b_e_l_a_f.__i=708;
    _q_f_r_b_e_l_a_f.__m=449;
    _q_f_r_b_e_l_a_f.__i=658;
    _q_f_r_b_e_l_a_f.__o=23;
    _q_f_r_b_e_l_a_f.__h=311;
    _q_f_r_b_e_l_a_f.__i=840;
    _q_f_r_b_e_l_a_f.__g=546;
    _q_f_r_b_e_l_a_f.__f=642;
    _q_f_r_b_e_l_a_f.__a=515;
    _q_f_r_b_e_l_a_f.__u=966;
    _q_f_r_b_e_l_a_f.__l=453;
    _q_f_r_b_e_l_a_f.__c=643;
    _q_f_r_b_e_l_a_f.__r=481;
    _q_f_r_b_e_l_a_f.__m=332;
    _q_f_r_b_e_l_a_f.__g=573;
    _q_f_r_b_e_l_a_f.__r=458;
    _q_f_r_b_e_l_a_f.__n=344;
    _q_f_r_b_e_l_a_f.__a=495;
    _q_f_r_b_e_l_a_f.__a=790;
    _q_f_r_b_e_l_a_f.__o=981;
    _q_f_r_b_e_l_a_f.__k=677;
    _q_f_r_b_e_l_a_f.__x=172;
    _q_f_r_b_e_l_a_f.__s=696;
    _q_f_r_b_e_l_a_f.__f=750;
    _q_f_r_b_e_l_a_f.__l=69;
    _q_f_r_b_e_l_a_f.__v=483;
    _q_f_r_b_e_l_a_f.__j=741;
    _q_f_r_b_e_l_a_f.__s=244;
    _q_f_r_b_e_l_a_f.__a=832;
    _q_f_r_b_e_l_a_f.__i=308;
    _q_f_r_b_e_l_a_f.__p=495;
    _q_f_r_b_e_l_a_f.__x=308;
    _q_f_r_b_e_l_a_f.__o=834;
    _q_f_r_b_e_l_a_f.__j=782;
    _q_f_r_b_e_l_a_f.__p=50;
    _q_f_r_b_e_l_a_f.__g=705;
    _q_f_r_b_e_l_a_f.__u=457;
    _q_f_r_b_e_l_a_f.__n=905;
    _q_f_r_b_e_l_a_f.__y=535;
    _q_f_r_b_e_l_a_f.__b=793;
    _q_f_r_b_e_l_a_f.__a=676;
    _q_f_r_b_e_l_a_f.__u=281;
    _q_f_r_b_e_l_a_f.__s=763;
    _q_f_r_b_e_l_a_f.__v=324;
    _q_f_r_b_e_l_a_f.__d=269;
    _q_f_r_b_e_l_a_f.__u=978;
    _q_f_r_b_e_l_a_f.__m=997;
    _q_f_r_b_e_l_a_f.__x=372;
    _q_f_r_b_e_l_a_f.__l=147;
    _q_f_r_b_e_l_a_f.__x=523;
    _q_f_r_b_e_l_a_f.__t=848;
    _q_f_r_b_e_l_a_f.__p=379;
    _q_f_r_b_e_l_a_f.__f=814;
    _q_f_r_b_e_l_a_f.__w=9;
    _q_f_r_b_e_l_a_f.__j=293;
    _q_f_r_b_e_l_a_f.__g=337;
    _q_f_r_b_e_l_a_f.__e=945;
    _q_f_r_b_e_l_a_f.__a=337;
    _q_f_r_b_e_l_a_f.__w=821;
    _q_f_r_b_e_l_a_f.__v=85;
    _q_f_r_b_e_l_a_f.__p=95;
    _q_f_r_b_e_l_a_f.__e=578;
    _q_f_r_b_e_l_a_f.__m=700;
    _q_f_r_b_e_l_a_f.__c=734;
    _q_f_r_b_e_l_a_f.__f=532;
    _q_f_r_b_e_l_a_f.__d=460;
    _q_f_r_b_e_l_a_f.__n=373;
    _q_f_r_b_e_l_a_f.__j=221;
    _q_f_r_b_e_l_a_f.__e=193;
    _q_f_r_b_e_l_a_f.__v=985;
    _q_f_r_b_e_l_a_f.__p=979;
    _q_f_r_b_e_l_a_f.__b=982;
    _q_f_r_b_e_l_a_f.__k=765;
    _q_f_r_b_e_l_a_f.__d=162;
    _q_f_r_b_e_l_a_f.__n=995;
    _q_f_r_b_e_l_a_f.__q=757;
    _q_f_r_b_e_l_a_f.__c=895;
    _q_f_r_b_e_l_a_f.__y=875;
    _q_f_r_b_e_l_a_f.__m=5;
    _q_f_r_b_e_l_a_f.__k=507;
    _q_f_r_b_e_l_a_f.__s=519;
    _q_f_r_b_e_l_a_f.__s=869;
    _q_f_r_b_e_l_a_f.__h=599;
    _q_f_r_b_e_l_a_f.__u=476;
    _q_f_r_b_e_l_a_f.__f=319;
    _q_f_r_b_e_l_a_f.__o=865;
    _q_f_r_b_e_l_a_f.__w=387;
    _q_f_r_b_e_l_a_f.__h=359;
    _q_f_r_b_e_l_a_f.__d=309;
    _q_f_r_b_e_l_a_f.__v=794;
    _q_f_r_b_e_l_a_f.__t=148;
    _q_f_r_b_e_l_a_f.__x=603;
    _q_f_r_b_e_l_a_f.__a=537;
    _q_f_r_b_e_l_a_f.__v=166;
    _q_f_r_b_e_l_a_f.__v=96;
    _q_f_r_b_e_l_a_f.__q=839;
    _q_f_r_b_e_l_a_f.__w=920;
    _q_f_r_b_e_l_a_f.__m=555;
    _q_f_r_b_e_l_a_f.__w=278;
    _q_f_r_b_e_l_a_f.__a=425;
    _q_f_r_b_e_l_a_f.__t=200;
    _q_f_r_b_e_l_a_f.__g=213;
    _q_f_r_b_e_l_a_f.__s=90;
    _q_f_r_b_e_l_a_f.__o=127;
    _q_f_r_b_e_l_a_f.__o=28;
    _q_f_r_b_e_l_a_f.__b=806;
    _q_f_r_b_e_l_a_f.__f=924;
    _q_f_r_b_e_l_a_f.__c=919;
    _q_f_r_b_e_l_a_f.__r=167;
    _q_f_r_b_e_l_a_f.__p=282;
    _q_f_r_b_e_l_a_f.__j=937;
    _q_f_r_b_e_l_a_f.__e=905;
    _q_f_r_b_e_l_a_f.__i=828;
    _q_f_r_b_e_l_a_f.__j=856;
    _q_f_r_b_e_l_a_f.__o=945;
    _q_f_r_b_e_l_a_f.__n=376;
    _q_f_r_b_e_l_a_f.__d=125;
    _q_f_r_b_e_l_a_f.__h=124;
    _q_f_r_b_e_l_a_f.__d=442;
    _q_f_r_b_e_l_a_f.__y=981;
    _q_f_r_b_e_l_a_f.__w=656;
    _q_f_r_b_e_l_a_f.__v=300;
    _q_f_r_b_e_l_a_f.__s=748;
    _q_f_r_b_e_l_a_f.__a=28;
    _q_f_r_b_e_l_a_f.__m=215;
    _q_f_r_b_e_l_a_f.__f=583;
    _q_f_r_b_e_l_a_f.__e=273;
    _q_f_r_b_e_l_a_f.__x=914;
    _q_f_r_b_e_l_a_f.__s=617;
    _q_f_r_b_e_l_a_f.__n=640;
    _q_f_r_b_e_l_a_f.__y=915;
    _q_f_r_b_e_l_a_f.__r=671;
    _q_f_r_b_e_l_a_f.__n=661;
    _q_f_r_b_e_l_a_f.__e=224;
    _q_f_r_b_e_l_a_f.__l=580;
    _q_f_r_b_e_l_a_f.__k=643;
    _q_f_r_b_e_l_a_f.__e=208;
    _q_f_r_b_e_l_a_f.__j=911;
    _q_f_r_b_e_l_a_f.__s=826;
    _q_f_r_b_e_l_a_f.__j=289;
    _q_f_r_b_e_l_a_f.__n=391;
    _q_f_r_b_e_l_a_f.__t=960;
    _q_f_r_b_e_l_a_f.__w=630;
    _q_f_r_b_e_l_a_f.__p=106;
    _q_f_r_b_e_l_a_f.__o=944;
    _q_f_r_b_e_l_a_f.__g=306;
    _q_f_r_b_e_l_a_f.__d=285;
    _q_f_r_b_e_l_a_f.__m=681;
    _q_f_r_b_e_l_a_f.__d=662;
    _q_f_r_b_e_l_a_f.__q=672;
    _q_f_r_b_e_l_a_f.__m=421;
    _q_f_r_b_e_l_a_f.__j=869;
    _q_f_r_b_e_l_a_f._y_b = function (){
    let _x_d_k_c_w = 581;
    let _r_o_u_l_h = 751;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h--;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h++;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h++;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h++;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h++;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h++;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h++;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h++;
    _x_d_k_c_w=_r_o_u_l_h;
    _r_o_u_l_h++;
    };
    _q_f_r_b_e_l_a_f._g_o = function (){
    let _j_q_a_l_m = 158;
    let _n_j_q_l_l = 845;
    _j_q_a_l_m=_n_j_q_l_l;
    _n_j_q_l_l++;
    _j_q_a_l_m=_n_j_q_l_l;
    _n_j_q_l_l--;
    _j_q_a_l_m=_n_j_q_l_l;
    _n_j_q_l_l--;
    _j_q_a_l_m=_n_j_q_l_l;
    _n_j_q_l_l--;
    _j_q_a_l_m=_n_j_q_l_l;
    _n_j_q_l_l--;
    };
    _q_f_r_b_e_l_a_f._k_t = function (){
    let _j_f_f_n_b = 937;
    let _n_a_m_y_v = 892;
    _j_f_f_n_b=_n_a_m_y_v;
    _n_a_m_y_v++;
    _j_f_f_n_b=_n_a_m_y_v;
    _n_a_m_y_v++;
    _j_f_f_n_b=_n_a_m_y_v;
    _n_a_m_y_v--;
    _j_f_f_n_b=_n_a_m_y_v;
    _n_a_m_y_v--;
    _j_f_f_n_b=_n_a_m_y_v;
    _n_a_m_y_v--;
    };
    _q_f_r_b_e_l_a_f._t_y = function (){
    let _x_j_d_a_n = 876;
    let _a_t_k_d_u = 639;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u++;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u++;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u++;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u++;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u++;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u--;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u++;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u--;
    _x_j_d_a_n=_a_t_k_d_u;
    _a_t_k_d_u++;
    };
    _q_f_r_b_e_l_a_f._e_w = function (){
    let _o_b_f_x_g = 637;
    let _t_s_t_i_d = 67;
    _o_b_f_x_g=_t_s_t_i_d;
    _t_s_t_i_d--;
    _o_b_f_x_g=_t_s_t_i_d;
    _t_s_t_i_d--;
    _o_b_f_x_g=_t_s_t_i_d;
    _t_s_t_i_d++;
    _o_b_f_x_g=_t_s_t_i_d;
    _t_s_t_i_d++;
    _o_b_f_x_g=_t_s_t_i_d;
    _t_s_t_i_d--;
    _o_b_f_x_g=_t_s_t_i_d;
    _t_s_t_i_d--;
    _o_b_f_x_g=_t_s_t_i_d;
    _t_s_t_i_d--;
    _o_b_f_x_g=_t_s_t_i_d;
    _t_s_t_i_d++;
    };
    _q_f_r_b_e_l_a_f._b_o = function (){
    let _j_v_b_x_k = 502;
    let _t_d_u_q_g = 372;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g++;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g--;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g--;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g++;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g--;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g++;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g++;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g++;
    _j_v_b_x_k=_t_d_u_q_g;
    _t_d_u_q_g++;
    };
    _q_f_r_b_e_l_a_f._e_s = function (){
    let _j_d_v_n_j = 222;
    let _y_g_v_b_w = 152;
    _j_d_v_n_j=_y_g_v_b_w;
    _y_g_v_b_w++;
    _j_d_v_n_j=_y_g_v_b_w;
    _y_g_v_b_w++;
    _j_d_v_n_j=_y_g_v_b_w;
    _y_g_v_b_w--;
    _j_d_v_n_j=_y_g_v_b_w;
    _y_g_v_b_w--;
    _j_d_v_n_j=_y_g_v_b_w;
    _y_g_v_b_w++;
    };

    class loading extends Laya.Scene {

        constructor() {
            super();
        }

        onEnable() {
            this.width = Laya.stage.width;
            this.height = Laya.stage.height;

            this.loadValue = 1;
            this.updateLoadValue = 0;

            Laya.timer.loop(1, this, this.update);
        }

        update() {
            this.updateLoadValue += 0.01;
            if (this.updateLoadValue > this.loadValue) {
                this.updateLoadValue = this.loadValue;
            }
            this.loadBar.value = this.updateLoadValue;

            if (this.loadBar.value >= 1) {
                Laya.timer.clear(this, this.update);

                this.loadStr.text = "正在加载数据";
                GameData.InitData(function () {
                    Laya.Scene.open("gameMain.scene");
                });
            }
        }

        onDisable() {

        }
    }//--------aaabbbcccdddeeefffggg
     let _d_w_x_f_s_t_w_s={};
    _d_w_x_f_s_t_w_s.__i=433;
    _d_w_x_f_s_t_w_s.__y=211;
    _d_w_x_f_s_t_w_s.__g=326;
    _d_w_x_f_s_t_w_s.__s=529;
    _d_w_x_f_s_t_w_s.__e=339;
    _d_w_x_f_s_t_w_s.__d=436;
    _d_w_x_f_s_t_w_s.__b=318;
    _d_w_x_f_s_t_w_s.__b=127;
    _d_w_x_f_s_t_w_s.__e=300;
    _d_w_x_f_s_t_w_s.__d=472;
    _d_w_x_f_s_t_w_s.__j=972;
    _d_w_x_f_s_t_w_s.__h=402;
    _d_w_x_f_s_t_w_s.__m=399;
    _d_w_x_f_s_t_w_s.__b=703;
    _d_w_x_f_s_t_w_s.__q=426;
    _d_w_x_f_s_t_w_s.__y=876;
    _d_w_x_f_s_t_w_s.__e=659;
    _d_w_x_f_s_t_w_s.__j=216;
    _d_w_x_f_s_t_w_s.__g=429;
    _d_w_x_f_s_t_w_s.__y=771;
    _d_w_x_f_s_t_w_s.__h=656;
    _d_w_x_f_s_t_w_s.__a=328;
    _d_w_x_f_s_t_w_s.__a=6;
    _d_w_x_f_s_t_w_s.__j=94;
    _d_w_x_f_s_t_w_s.__r=257;
    _d_w_x_f_s_t_w_s.__d=222;
    _d_w_x_f_s_t_w_s.__j=269;
    _d_w_x_f_s_t_w_s.__f=838;
    _d_w_x_f_s_t_w_s.__j=483;
    _d_w_x_f_s_t_w_s.__o=724;
    _d_w_x_f_s_t_w_s.__w=333;
    _d_w_x_f_s_t_w_s.__o=319;
    _d_w_x_f_s_t_w_s.__n=498;
    _d_w_x_f_s_t_w_s.__v=192;
    _d_w_x_f_s_t_w_s.__p=376;
    _d_w_x_f_s_t_w_s.__n=633;
    _d_w_x_f_s_t_w_s.__b=722;
    _d_w_x_f_s_t_w_s.__w=539;
    _d_w_x_f_s_t_w_s.__e=809;
    _d_w_x_f_s_t_w_s.__n=233;
    _d_w_x_f_s_t_w_s.__a=69;
    _d_w_x_f_s_t_w_s.__d=377;
    _d_w_x_f_s_t_w_s.__d=577;
    _d_w_x_f_s_t_w_s.__o=642;
    _d_w_x_f_s_t_w_s.__g=312;
    _d_w_x_f_s_t_w_s.__s=284;
    _d_w_x_f_s_t_w_s.__g=588;
    _d_w_x_f_s_t_w_s.__w=283;
    _d_w_x_f_s_t_w_s.__f=567;
    _d_w_x_f_s_t_w_s.__v=203;
    _d_w_x_f_s_t_w_s.__m=260;
    _d_w_x_f_s_t_w_s.__i=433;
    _d_w_x_f_s_t_w_s.__s=912;
    _d_w_x_f_s_t_w_s.__v=956;
    _d_w_x_f_s_t_w_s.__c=200;
    _d_w_x_f_s_t_w_s.__h=310;
    _d_w_x_f_s_t_w_s.__a=121;
    _d_w_x_f_s_t_w_s.__f=894;
    _d_w_x_f_s_t_w_s.__x=3;
    _d_w_x_f_s_t_w_s.__h=276;
    _d_w_x_f_s_t_w_s.__a=528;
    _d_w_x_f_s_t_w_s.__v=662;
    _d_w_x_f_s_t_w_s.__f=178;
    _d_w_x_f_s_t_w_s.__g=172;
    _d_w_x_f_s_t_w_s.__g=17;
    _d_w_x_f_s_t_w_s.__c=97;
    _d_w_x_f_s_t_w_s.__m=200;
    _d_w_x_f_s_t_w_s.__i=773;
    _d_w_x_f_s_t_w_s.__s=135;
    _d_w_x_f_s_t_w_s.__l=246;
    _d_w_x_f_s_t_w_s.__a=684;
    _d_w_x_f_s_t_w_s.__k=370;
    _d_w_x_f_s_t_w_s.__v=327;
    _d_w_x_f_s_t_w_s.__w=509;
    _d_w_x_f_s_t_w_s.__x=685;
    _d_w_x_f_s_t_w_s.__e=480;
    _d_w_x_f_s_t_w_s.__p=304;
    _d_w_x_f_s_t_w_s.__p=913;
    _d_w_x_f_s_t_w_s.__t=127;
    _d_w_x_f_s_t_w_s.__t=674;
    _d_w_x_f_s_t_w_s.__w=529;
    _d_w_x_f_s_t_w_s.__u=502;
    _d_w_x_f_s_t_w_s.__b=353;
    _d_w_x_f_s_t_w_s.__g=535;
    _d_w_x_f_s_t_w_s.__r=829;
    _d_w_x_f_s_t_w_s.__q=857;
    _d_w_x_f_s_t_w_s.__u=797;
    _d_w_x_f_s_t_w_s.__o=742;
    _d_w_x_f_s_t_w_s.__u=135;
    _d_w_x_f_s_t_w_s.__b=743;
    _d_w_x_f_s_t_w_s.__s=791;
    _d_w_x_f_s_t_w_s.__a=278;
    _d_w_x_f_s_t_w_s.__h=345;
    _d_w_x_f_s_t_w_s.__f=879;
    _d_w_x_f_s_t_w_s.__r=485;
    _d_w_x_f_s_t_w_s.__o=755;
    _d_w_x_f_s_t_w_s.__l=314;
    _d_w_x_f_s_t_w_s.__q=827;
    _d_w_x_f_s_t_w_s.__d=901;
    _d_w_x_f_s_t_w_s.__v=881;
    _d_w_x_f_s_t_w_s.__j=963;
    _d_w_x_f_s_t_w_s.__s=19;
    _d_w_x_f_s_t_w_s.__d=108;
    _d_w_x_f_s_t_w_s.__g=34;
    _d_w_x_f_s_t_w_s.__h=521;
    _d_w_x_f_s_t_w_s.__a=895;
    _d_w_x_f_s_t_w_s.__s=523;
    _d_w_x_f_s_t_w_s.__k=972;
    _d_w_x_f_s_t_w_s.__k=887;
    _d_w_x_f_s_t_w_s.__f=177;
    _d_w_x_f_s_t_w_s.__j=336;
    _d_w_x_f_s_t_w_s.__r=667;
    _d_w_x_f_s_t_w_s.__k=117;
    _d_w_x_f_s_t_w_s.__q=263;
    _d_w_x_f_s_t_w_s.__m=62;
    _d_w_x_f_s_t_w_s.__q=257;
    _d_w_x_f_s_t_w_s.__r=40;
    _d_w_x_f_s_t_w_s.__m=742;
    _d_w_x_f_s_t_w_s.__d=215;
    _d_w_x_f_s_t_w_s.__x=135;
    _d_w_x_f_s_t_w_s.__v=996;
    _d_w_x_f_s_t_w_s.__n=46;
    _d_w_x_f_s_t_w_s.__x=112;
    _d_w_x_f_s_t_w_s.__x=149;
    _d_w_x_f_s_t_w_s.__j=695;
    _d_w_x_f_s_t_w_s.__l=212;
    _d_w_x_f_s_t_w_s.__u=794;
    _d_w_x_f_s_t_w_s.__y=938;
    _d_w_x_f_s_t_w_s.__l=211;
    _d_w_x_f_s_t_w_s.__d=782;
    _d_w_x_f_s_t_w_s.__j=82;
    _d_w_x_f_s_t_w_s.__f=389;
    _d_w_x_f_s_t_w_s.__r=92;
    _d_w_x_f_s_t_w_s.__b=821;
    _d_w_x_f_s_t_w_s.__r=748;
    _d_w_x_f_s_t_w_s.__y=217;
    _d_w_x_f_s_t_w_s.__g=599;
    _d_w_x_f_s_t_w_s.__r=59;
    _d_w_x_f_s_t_w_s.__y=820;
    _d_w_x_f_s_t_w_s.__c=675;
    _d_w_x_f_s_t_w_s.__x=68;
    _d_w_x_f_s_t_w_s.__k=165;
    _d_w_x_f_s_t_w_s.__t=5;
    _d_w_x_f_s_t_w_s.__h=382;
    _d_w_x_f_s_t_w_s.__k=403;
    _d_w_x_f_s_t_w_s.__b=137;
    _d_w_x_f_s_t_w_s.__u=240;
    _d_w_x_f_s_t_w_s.__x=283;
    _d_w_x_f_s_t_w_s.__q=682;
    _d_w_x_f_s_t_w_s.__a=826;
    _d_w_x_f_s_t_w_s.__i=369;
    _d_w_x_f_s_t_w_s.__q=733;
    _d_w_x_f_s_t_w_s.__k=901;
    _d_w_x_f_s_t_w_s.__b=577;
    _d_w_x_f_s_t_w_s.__e=943;
    _d_w_x_f_s_t_w_s.__e=697;
    _d_w_x_f_s_t_w_s.__u=836;
    _d_w_x_f_s_t_w_s.__t=1000;
    _d_w_x_f_s_t_w_s.__p=146;
    _d_w_x_f_s_t_w_s.__i=90;
    _d_w_x_f_s_t_w_s.__f=30;
    _d_w_x_f_s_t_w_s.__o=863;
    _d_w_x_f_s_t_w_s.__m=846;
    _d_w_x_f_s_t_w_s.__e=228;
    _d_w_x_f_s_t_w_s.__w=906;
    _d_w_x_f_s_t_w_s.__h=115;
    _d_w_x_f_s_t_w_s.__g=770;
    _d_w_x_f_s_t_w_s.__e=415;
    _d_w_x_f_s_t_w_s.__i=7;
    _d_w_x_f_s_t_w_s.__o=26;
    _d_w_x_f_s_t_w_s.__n=805;
    _d_w_x_f_s_t_w_s.__m=645;
    _d_w_x_f_s_t_w_s.__a=359;
    _d_w_x_f_s_t_w_s.__s=463;
    _d_w_x_f_s_t_w_s.__h=426;
    _d_w_x_f_s_t_w_s.__s=437;
    _d_w_x_f_s_t_w_s.__a=960;
    _d_w_x_f_s_t_w_s.__i=275;
    _d_w_x_f_s_t_w_s.__q=241;
    _d_w_x_f_s_t_w_s.__c=794;
    _d_w_x_f_s_t_w_s.__b=389;
    _d_w_x_f_s_t_w_s.__g=821;
    _d_w_x_f_s_t_w_s.__h=675;
    _d_w_x_f_s_t_w_s.__n=279;
    _d_w_x_f_s_t_w_s.__g=549;
    _d_w_x_f_s_t_w_s.__o=613;
    _d_w_x_f_s_t_w_s.__r=764;
    _d_w_x_f_s_t_w_s.__g=228;
    _d_w_x_f_s_t_w_s.__r=529;
    _d_w_x_f_s_t_w_s.__w=80;
    _d_w_x_f_s_t_w_s.__n=83;
    _d_w_x_f_s_t_w_s.__a=79;
    _d_w_x_f_s_t_w_s.__c=593;
    _d_w_x_f_s_t_w_s.__k=470;
    _d_w_x_f_s_t_w_s.__h=798;
    _d_w_x_f_s_t_w_s.__v=830;
    _d_w_x_f_s_t_w_s.__s=289;
    _d_w_x_f_s_t_w_s.__s=864;
    _d_w_x_f_s_t_w_s.__y=840;
    _d_w_x_f_s_t_w_s.__t=621;
    _d_w_x_f_s_t_w_s.__n=693;
    _d_w_x_f_s_t_w_s.__u=323;
    _d_w_x_f_s_t_w_s.__w=207;
    _d_w_x_f_s_t_w_s.__m=439;
    _d_w_x_f_s_t_w_s.__b=769;
    _d_w_x_f_s_t_w_s.__e=159;
    _d_w_x_f_s_t_w_s.__p=389;
    _d_w_x_f_s_t_w_s.__p=953;
    _d_w_x_f_s_t_w_s.__v=859;
    _d_w_x_f_s_t_w_s.__h=326;
    _d_w_x_f_s_t_w_s.__y=919;
    _d_w_x_f_s_t_w_s.__n=470;
    _d_w_x_f_s_t_w_s.__u=295;
    _d_w_x_f_s_t_w_s.__v=940;
    _d_w_x_f_s_t_w_s.__k=50;
    _d_w_x_f_s_t_w_s.__s=18;
    _d_w_x_f_s_t_w_s.__q=135;
    _d_w_x_f_s_t_w_s.__l=928;
    _d_w_x_f_s_t_w_s.__c=553;
    _d_w_x_f_s_t_w_s.__g=549;
    _d_w_x_f_s_t_w_s.__o=34;
    _d_w_x_f_s_t_w_s.__y=790;
    _d_w_x_f_s_t_w_s.__o=645;
    _d_w_x_f_s_t_w_s.__v=276;
    _d_w_x_f_s_t_w_s.__y=222;
    _d_w_x_f_s_t_w_s.__u=503;
    _d_w_x_f_s_t_w_s.__b=40;
    _d_w_x_f_s_t_w_s.__a=127;
    _d_w_x_f_s_t_w_s.__i=626;
    _d_w_x_f_s_t_w_s.__g=531;
    _d_w_x_f_s_t_w_s.__l=123;
    _d_w_x_f_s_t_w_s.__h=329;
    _d_w_x_f_s_t_w_s.__i=104;
    _d_w_x_f_s_t_w_s.__b=975;
    _d_w_x_f_s_t_w_s.__x=253;
    _d_w_x_f_s_t_w_s.__j=113;
    _d_w_x_f_s_t_w_s.__u=808;
    _d_w_x_f_s_t_w_s.__d=843;
    _d_w_x_f_s_t_w_s.__y=185;
    _d_w_x_f_s_t_w_s.__b=548;
    _d_w_x_f_s_t_w_s.__d=674;
    _d_w_x_f_s_t_w_s.__f=441;
    _d_w_x_f_s_t_w_s.__j=627;
    _d_w_x_f_s_t_w_s.__f=495;
    _d_w_x_f_s_t_w_s.__k=35;
    _d_w_x_f_s_t_w_s.__w=896;
    _d_w_x_f_s_t_w_s.__n=909;
    _d_w_x_f_s_t_w_s.__b=694;
    _d_w_x_f_s_t_w_s.__j=358;
    _d_w_x_f_s_t_w_s.__p=797;
    _d_w_x_f_s_t_w_s.__p=788;
    _d_w_x_f_s_t_w_s.__s=966;
    _d_w_x_f_s_t_w_s.__n=109;
    _d_w_x_f_s_t_w_s.__u=969;
    _d_w_x_f_s_t_w_s.__f=374;
    _d_w_x_f_s_t_w_s.__h=549;
    _d_w_x_f_s_t_w_s.__g=740;
    _d_w_x_f_s_t_w_s.__f=363;
    _d_w_x_f_s_t_w_s.__o=177;
    _d_w_x_f_s_t_w_s.__u=550;
    _d_w_x_f_s_t_w_s.__l=803;
    _d_w_x_f_s_t_w_s.__f=78;
    _d_w_x_f_s_t_w_s.__u=286;
    _d_w_x_f_s_t_w_s.__s=534;
    _d_w_x_f_s_t_w_s.__u=188;
    _d_w_x_f_s_t_w_s.__m=507;
    _d_w_x_f_s_t_w_s._q_y = function (){
    let _p_m_q_p_d = 857;
    let _p_r_i_k_l = 271;
    _p_m_q_p_d=_p_r_i_k_l;
    _p_r_i_k_l++;
    _p_m_q_p_d=_p_r_i_k_l;
    _p_r_i_k_l--;
    _p_m_q_p_d=_p_r_i_k_l;
    _p_r_i_k_l++;
    _p_m_q_p_d=_p_r_i_k_l;
    _p_r_i_k_l++;
    _p_m_q_p_d=_p_r_i_k_l;
    _p_r_i_k_l++;
    _p_m_q_p_d=_p_r_i_k_l;
    _p_r_i_k_l++;
    };
    _d_w_x_f_s_t_w_s._a_w = function (){
    let _e_t_n_r_k = 287;
    let _m_y_w_l_s = 179;
    _e_t_n_r_k=_m_y_w_l_s;
    _m_y_w_l_s--;
    _e_t_n_r_k=_m_y_w_l_s;
    _m_y_w_l_s++;
    _e_t_n_r_k=_m_y_w_l_s;
    _m_y_w_l_s++;
    _e_t_n_r_k=_m_y_w_l_s;
    _m_y_w_l_s--;
    _e_t_n_r_k=_m_y_w_l_s;
    _m_y_w_l_s--;
    };
    _d_w_x_f_s_t_w_s._e_g = function (){
    let _l_q_x_f_h = 970;
    let _x_a_g_f_l = 632;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l--;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l++;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l++;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l--;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l--;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l++;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l++;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l--;
    _l_q_x_f_h=_x_a_g_f_l;
    _x_a_g_f_l++;
    };
    _d_w_x_f_s_t_w_s._o_u = function (){
    let _h_e_a_h_x = 966;
    let _q_x_v_u_m = 87;
    _h_e_a_h_x=_q_x_v_u_m;
    _q_x_v_u_m--;
    _h_e_a_h_x=_q_x_v_u_m;
    _q_x_v_u_m--;
    _h_e_a_h_x=_q_x_v_u_m;
    _q_x_v_u_m++;
    _h_e_a_h_x=_q_x_v_u_m;
    _q_x_v_u_m++;
    _h_e_a_h_x=_q_x_v_u_m;
    _q_x_v_u_m--;
    _h_e_a_h_x=_q_x_v_u_m;
    _q_x_v_u_m--;
    _h_e_a_h_x=_q_x_v_u_m;
    _q_x_v_u_m++;
    };
    _d_w_x_f_s_t_w_s._s_g = function (){
    let _i_j_a_x_u = 512;
    let _d_a_w_u_o = 93;
    _i_j_a_x_u=_d_a_w_u_o;
    _d_a_w_u_o++;
    _i_j_a_x_u=_d_a_w_u_o;
    _d_a_w_u_o++;
    _i_j_a_x_u=_d_a_w_u_o;
    _d_a_w_u_o++;
    _i_j_a_x_u=_d_a_w_u_o;
    _d_a_w_u_o++;
    _i_j_a_x_u=_d_a_w_u_o;
    _d_a_w_u_o--;
    _i_j_a_x_u=_d_a_w_u_o;
    _d_a_w_u_o--;
    _i_j_a_x_u=_d_a_w_u_o;
    _d_a_w_u_o--;
    _i_j_a_x_u=_d_a_w_u_o;
    _d_a_w_u_o++;
    };//--------aaabbbcccdddeeefffggg
     let _r_e_c_q_g_i_v_g={};
    _r_e_c_q_g_i_v_g.__v=16;
    _r_e_c_q_g_i_v_g.__w=301;
    _r_e_c_q_g_i_v_g.__c=634;
    _r_e_c_q_g_i_v_g.__m=189;
    _r_e_c_q_g_i_v_g.__w=890;
    _r_e_c_q_g_i_v_g.__m=507;
    _r_e_c_q_g_i_v_g.__a=320;
    _r_e_c_q_g_i_v_g.__n=167;
    _r_e_c_q_g_i_v_g.__t=825;
    _r_e_c_q_g_i_v_g.__b=660;
    _r_e_c_q_g_i_v_g.__k=501;
    _r_e_c_q_g_i_v_g.__n=850;
    _r_e_c_q_g_i_v_g.__c=983;
    _r_e_c_q_g_i_v_g.__b=275;
    _r_e_c_q_g_i_v_g.__r=446;
    _r_e_c_q_g_i_v_g.__u=380;
    _r_e_c_q_g_i_v_g.__v=909;
    _r_e_c_q_g_i_v_g.__y=573;
    _r_e_c_q_g_i_v_g.__f=25;
    _r_e_c_q_g_i_v_g.__v=522;
    _r_e_c_q_g_i_v_g.__i=988;
    _r_e_c_q_g_i_v_g.__w=593;
    _r_e_c_q_g_i_v_g.__y=724;
    _r_e_c_q_g_i_v_g.__o=836;
    _r_e_c_q_g_i_v_g.__p=27;
    _r_e_c_q_g_i_v_g.__t=430;
    _r_e_c_q_g_i_v_g.__y=787;
    _r_e_c_q_g_i_v_g.__p=982;
    _r_e_c_q_g_i_v_g.__m=966;
    _r_e_c_q_g_i_v_g.__g=601;
    _r_e_c_q_g_i_v_g.__a=492;
    _r_e_c_q_g_i_v_g.__r=142;
    _r_e_c_q_g_i_v_g.__k=706;
    _r_e_c_q_g_i_v_g.__g=530;
    _r_e_c_q_g_i_v_g.__k=539;
    _r_e_c_q_g_i_v_g.__l=573;
    _r_e_c_q_g_i_v_g.__r=64;
    _r_e_c_q_g_i_v_g.__b=163;
    _r_e_c_q_g_i_v_g.__y=575;
    _r_e_c_q_g_i_v_g.__q=282;
    _r_e_c_q_g_i_v_g.__m=863;
    _r_e_c_q_g_i_v_g.__c=705;
    _r_e_c_q_g_i_v_g.__t=835;
    _r_e_c_q_g_i_v_g.__o=826;
    _r_e_c_q_g_i_v_g.__m=131;
    _r_e_c_q_g_i_v_g.__g=487;
    _r_e_c_q_g_i_v_g.__t=910;
    _r_e_c_q_g_i_v_g.__m=241;
    _r_e_c_q_g_i_v_g.__a=437;
    _r_e_c_q_g_i_v_g.__w=947;
    _r_e_c_q_g_i_v_g.__r=648;
    _r_e_c_q_g_i_v_g.__a=89;
    _r_e_c_q_g_i_v_g.__a=346;
    _r_e_c_q_g_i_v_g.__p=751;
    _r_e_c_q_g_i_v_g.__q=168;
    _r_e_c_q_g_i_v_g.__d=634;
    _r_e_c_q_g_i_v_g.__i=4;
    _r_e_c_q_g_i_v_g.__h=27;
    _r_e_c_q_g_i_v_g.__m=6;
    _r_e_c_q_g_i_v_g.__p=146;
    _r_e_c_q_g_i_v_g.__a=844;
    _r_e_c_q_g_i_v_g.__e=730;
    _r_e_c_q_g_i_v_g.__v=383;
    _r_e_c_q_g_i_v_g.__j=324;
    _r_e_c_q_g_i_v_g.__x=414;
    _r_e_c_q_g_i_v_g.__f=129;
    _r_e_c_q_g_i_v_g.__i=605;
    _r_e_c_q_g_i_v_g.__d=848;
    _r_e_c_q_g_i_v_g.__d=339;
    _r_e_c_q_g_i_v_g.__f=420;
    _r_e_c_q_g_i_v_g.__b=575;
    _r_e_c_q_g_i_v_g.__b=54;
    _r_e_c_q_g_i_v_g.__u=403;
    _r_e_c_q_g_i_v_g.__t=467;
    _r_e_c_q_g_i_v_g.__e=444;
    _r_e_c_q_g_i_v_g.__n=735;
    _r_e_c_q_g_i_v_g.__x=752;
    _r_e_c_q_g_i_v_g.__j=662;
    _r_e_c_q_g_i_v_g.__l=376;
    _r_e_c_q_g_i_v_g.__e=68;
    _r_e_c_q_g_i_v_g.__j=230;
    _r_e_c_q_g_i_v_g.__q=914;
    _r_e_c_q_g_i_v_g.__c=444;
    _r_e_c_q_g_i_v_g.__x=661;
    _r_e_c_q_g_i_v_g.__y=833;
    _r_e_c_q_g_i_v_g.__u=766;
    _r_e_c_q_g_i_v_g.__r=652;
    _r_e_c_q_g_i_v_g.__c=735;
    _r_e_c_q_g_i_v_g.__r=293;
    _r_e_c_q_g_i_v_g.__b=627;
    _r_e_c_q_g_i_v_g.__g=75;
    _r_e_c_q_g_i_v_g.__u=420;
    _r_e_c_q_g_i_v_g.__a=785;
    _r_e_c_q_g_i_v_g.__h=141;
    _r_e_c_q_g_i_v_g.__g=132;
    _r_e_c_q_g_i_v_g.__l=180;
    _r_e_c_q_g_i_v_g.__m=759;
    _r_e_c_q_g_i_v_g.__v=671;
    _r_e_c_q_g_i_v_g.__c=981;
    _r_e_c_q_g_i_v_g.__e=368;
    _r_e_c_q_g_i_v_g.__e=896;
    _r_e_c_q_g_i_v_g.__k=914;
    _r_e_c_q_g_i_v_g.__j=33;
    _r_e_c_q_g_i_v_g.__o=901;
    _r_e_c_q_g_i_v_g.__m=189;
    _r_e_c_q_g_i_v_g.__v=642;
    _r_e_c_q_g_i_v_g.__n=604;
    _r_e_c_q_g_i_v_g.__p=56;
    _r_e_c_q_g_i_v_g.__x=153;
    _r_e_c_q_g_i_v_g.__o=560;
    _r_e_c_q_g_i_v_g.__i=680;
    _r_e_c_q_g_i_v_g.__j=400;
    _r_e_c_q_g_i_v_g.__h=158;
    _r_e_c_q_g_i_v_g.__q=298;
    _r_e_c_q_g_i_v_g.__x=812;
    _r_e_c_q_g_i_v_g.__j=843;
    _r_e_c_q_g_i_v_g.__k=879;
    _r_e_c_q_g_i_v_g.__f=523;
    _r_e_c_q_g_i_v_g.__l=137;
    _r_e_c_q_g_i_v_g.__n=806;
    _r_e_c_q_g_i_v_g.__s=886;
    _r_e_c_q_g_i_v_g.__a=177;
    _r_e_c_q_g_i_v_g.__i=520;
    _r_e_c_q_g_i_v_g.__q=531;
    _r_e_c_q_g_i_v_g.__i=348;
    _r_e_c_q_g_i_v_g.__y=842;
    _r_e_c_q_g_i_v_g.__f=827;
    _r_e_c_q_g_i_v_g.__s=500;
    _r_e_c_q_g_i_v_g.__s=862;
    _r_e_c_q_g_i_v_g.__w=227;
    _r_e_c_q_g_i_v_g.__n=317;
    _r_e_c_q_g_i_v_g.__p=987;
    _r_e_c_q_g_i_v_g.__f=415;
    _r_e_c_q_g_i_v_g.__p=780;
    _r_e_c_q_g_i_v_g.__o=162;
    _r_e_c_q_g_i_v_g.__p=738;
    _r_e_c_q_g_i_v_g.__t=464;
    _r_e_c_q_g_i_v_g.__o=428;
    _r_e_c_q_g_i_v_g.__g=91;
    _r_e_c_q_g_i_v_g.__l=766;
    _r_e_c_q_g_i_v_g.__p=141;
    _r_e_c_q_g_i_v_g.__j=442;
    _r_e_c_q_g_i_v_g.__t=162;
    _r_e_c_q_g_i_v_g.__a=280;
    _r_e_c_q_g_i_v_g.__q=590;
    _r_e_c_q_g_i_v_g.__s=420;
    _r_e_c_q_g_i_v_g.__g=654;
    _r_e_c_q_g_i_v_g.__q=737;
    _r_e_c_q_g_i_v_g.__b=417;
    _r_e_c_q_g_i_v_g.__b=406;
    _r_e_c_q_g_i_v_g.__t=87;
    _r_e_c_q_g_i_v_g.__c=13;
    _r_e_c_q_g_i_v_g.__w=279;
    _r_e_c_q_g_i_v_g.__r=124;
    _r_e_c_q_g_i_v_g.__k=367;
    _r_e_c_q_g_i_v_g.__b=710;
    _r_e_c_q_g_i_v_g.__g=588;
    _r_e_c_q_g_i_v_g.__y=344;
    _r_e_c_q_g_i_v_g.__g=56;
    _r_e_c_q_g_i_v_g.__k=575;
    _r_e_c_q_g_i_v_g.__t=340;
    _r_e_c_q_g_i_v_g.__l=370;
    _r_e_c_q_g_i_v_g.__w=764;
    _r_e_c_q_g_i_v_g.__x=58;
    _r_e_c_q_g_i_v_g.__g=79;
    _r_e_c_q_g_i_v_g.__g=651;
    _r_e_c_q_g_i_v_g.__q=674;
    _r_e_c_q_g_i_v_g.__y=981;
    _r_e_c_q_g_i_v_g._y_s = function (){
    let _g_e_g_i_m = 648;
    let _a_w_b_k_q = 248;
    _g_e_g_i_m=_a_w_b_k_q;
    _a_w_b_k_q++;
    _g_e_g_i_m=_a_w_b_k_q;
    _a_w_b_k_q--;
    _g_e_g_i_m=_a_w_b_k_q;
    _a_w_b_k_q--;
    _g_e_g_i_m=_a_w_b_k_q;
    _a_w_b_k_q--;
    _g_e_g_i_m=_a_w_b_k_q;
    _a_w_b_k_q++;
    _g_e_g_i_m=_a_w_b_k_q;
    _a_w_b_k_q--;
    _g_e_g_i_m=_a_w_b_k_q;
    _a_w_b_k_q++;
    _g_e_g_i_m=_a_w_b_k_q;
    _a_w_b_k_q++;
    };
    _r_e_c_q_g_i_v_g._b_v = function (){
    let _h_b_l_w_a = 141;
    let _g_l_e_k_r = 436;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r++;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r++;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r--;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r++;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r++;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r--;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r++;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r--;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r--;
    _h_b_l_w_a=_g_l_e_k_r;
    _g_l_e_k_r--;
    };
    _r_e_c_q_g_i_v_g._h_d = function (){
    let _y_y_g_k_q = 99;
    let _o_h_q_g_t = 546;
    _y_y_g_k_q=_o_h_q_g_t;
    _o_h_q_g_t++;
    _y_y_g_k_q=_o_h_q_g_t;
    _o_h_q_g_t++;
    _y_y_g_k_q=_o_h_q_g_t;
    _o_h_q_g_t++;
    _y_y_g_k_q=_o_h_q_g_t;
    _o_h_q_g_t--;
    _y_y_g_k_q=_o_h_q_g_t;
    _o_h_q_g_t++;
    _y_y_g_k_q=_o_h_q_g_t;
    _o_h_q_g_t++;
    };
    _r_e_c_q_g_i_v_g._q_t = function (){
    let _p_r_r_l_m = 668;
    let _f_i_p_x_k = 5;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k++;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k--;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k++;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k--;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k--;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k--;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k++;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k--;
    _p_r_r_l_m=_f_i_p_x_k;
    _f_i_p_x_k++;
    };
    _r_e_c_q_g_i_v_g._n_y = function (){
    let _x_v_m_s_v = 289;
    let _r_q_s_u_u = 831;
    _x_v_m_s_v=_r_q_s_u_u;
    _r_q_s_u_u++;
    _x_v_m_s_v=_r_q_s_u_u;
    _r_q_s_u_u--;
    _x_v_m_s_v=_r_q_s_u_u;
    _r_q_s_u_u++;
    _x_v_m_s_v=_r_q_s_u_u;
    _r_q_s_u_u--;
    _x_v_m_s_v=_r_q_s_u_u;
    _r_q_s_u_u--;
    _x_v_m_s_v=_r_q_s_u_u;
    _r_q_s_u_u--;
    };
    _r_e_c_q_g_i_v_g._f_b = function (){
    let _c_l_k_b_e = 183;
    let _l_m_f_t_v = 169;
    _c_l_k_b_e=_l_m_f_t_v;
    _l_m_f_t_v++;
    _c_l_k_b_e=_l_m_f_t_v;
    _l_m_f_t_v++;
    _c_l_k_b_e=_l_m_f_t_v;
    _l_m_f_t_v--;
    _c_l_k_b_e=_l_m_f_t_v;
    _l_m_f_t_v++;
    _c_l_k_b_e=_l_m_f_t_v;
    _l_m_f_t_v++;
    };
    _r_e_c_q_g_i_v_g._m_r = function (){
    let _v_c_r_n_f = 972;
    let _c_n_c_f_x = 523;
    _v_c_r_n_f=_c_n_c_f_x;
    _c_n_c_f_x--;
    _v_c_r_n_f=_c_n_c_f_x;
    _c_n_c_f_x--;
    _v_c_r_n_f=_c_n_c_f_x;
    _c_n_c_f_x--;
    _v_c_r_n_f=_c_n_c_f_x;
    _c_n_c_f_x++;
    _v_c_r_n_f=_c_n_c_f_x;
    _c_n_c_f_x++;
    _v_c_r_n_f=_c_n_c_f_x;
    _c_n_c_f_x--;
    };//--------aaabbbcccdddeeefffggg
     let _b_h_w_h_d_a_n_o={};
    _b_h_w_h_d_a_n_o.__o=132;
    _b_h_w_h_d_a_n_o.__d=115;
    _b_h_w_h_d_a_n_o.__f=82;
    _b_h_w_h_d_a_n_o.__m=30;
    _b_h_w_h_d_a_n_o.__n=716;
    _b_h_w_h_d_a_n_o.__m=478;
    _b_h_w_h_d_a_n_o.__v=196;
    _b_h_w_h_d_a_n_o.__j=685;
    _b_h_w_h_d_a_n_o.__p=436;
    _b_h_w_h_d_a_n_o.__k=655;
    _b_h_w_h_d_a_n_o.__j=463;
    _b_h_w_h_d_a_n_o.__t=676;
    _b_h_w_h_d_a_n_o.__l=275;
    _b_h_w_h_d_a_n_o.__b=283;
    _b_h_w_h_d_a_n_o.__d=720;
    _b_h_w_h_d_a_n_o.__y=444;
    _b_h_w_h_d_a_n_o.__h=439;
    _b_h_w_h_d_a_n_o.__k=258;
    _b_h_w_h_d_a_n_o.__k=388;
    _b_h_w_h_d_a_n_o.__e=944;
    _b_h_w_h_d_a_n_o.__p=987;
    _b_h_w_h_d_a_n_o.__p=398;
    _b_h_w_h_d_a_n_o.__h=414;
    _b_h_w_h_d_a_n_o.__r=113;
    _b_h_w_h_d_a_n_o.__l=83;
    _b_h_w_h_d_a_n_o.__b=722;
    _b_h_w_h_d_a_n_o.__y=837;
    _b_h_w_h_d_a_n_o.__d=970;
    _b_h_w_h_d_a_n_o.__f=878;
    _b_h_w_h_d_a_n_o.__u=367;
    _b_h_w_h_d_a_n_o.__u=981;
    _b_h_w_h_d_a_n_o.__u=339;
    _b_h_w_h_d_a_n_o.__p=9;
    _b_h_w_h_d_a_n_o.__e=118;
    _b_h_w_h_d_a_n_o.__w=269;
    _b_h_w_h_d_a_n_o.__l=195;
    _b_h_w_h_d_a_n_o.__k=733;
    _b_h_w_h_d_a_n_o.__d=572;
    _b_h_w_h_d_a_n_o.__n=666;
    _b_h_w_h_d_a_n_o.__t=638;
    _b_h_w_h_d_a_n_o.__t=678;
    _b_h_w_h_d_a_n_o.__f=919;
    _b_h_w_h_d_a_n_o.__u=746;
    _b_h_w_h_d_a_n_o.__h=492;
    _b_h_w_h_d_a_n_o.__e=223;
    _b_h_w_h_d_a_n_o.__h=356;
    _b_h_w_h_d_a_n_o.__l=380;
    _b_h_w_h_d_a_n_o.__f=523;
    _b_h_w_h_d_a_n_o.__y=500;
    _b_h_w_h_d_a_n_o.__r=121;
    _b_h_w_h_d_a_n_o.__s=59;
    _b_h_w_h_d_a_n_o.__n=291;
    _b_h_w_h_d_a_n_o.__s=27;
    _b_h_w_h_d_a_n_o.__c=152;
    _b_h_w_h_d_a_n_o.__i=826;
    _b_h_w_h_d_a_n_o.__g=622;
    _b_h_w_h_d_a_n_o.__u=957;
    _b_h_w_h_d_a_n_o.__x=373;
    _b_h_w_h_d_a_n_o.__s=852;
    _b_h_w_h_d_a_n_o.__o=703;
    _b_h_w_h_d_a_n_o.__f=961;
    _b_h_w_h_d_a_n_o.__u=604;
    _b_h_w_h_d_a_n_o.__g=621;
    _b_h_w_h_d_a_n_o.__i=809;
    _b_h_w_h_d_a_n_o.__g=728;
    _b_h_w_h_d_a_n_o.__t=98;
    _b_h_w_h_d_a_n_o.__o=749;
    _b_h_w_h_d_a_n_o.__s=646;
    _b_h_w_h_d_a_n_o.__m=98;
    _b_h_w_h_d_a_n_o.__b=696;
    _b_h_w_h_d_a_n_o.__g=424;
    _b_h_w_h_d_a_n_o.__t=328;
    _b_h_w_h_d_a_n_o.__a=814;
    _b_h_w_h_d_a_n_o.__w=620;
    _b_h_w_h_d_a_n_o.__i=475;
    _b_h_w_h_d_a_n_o.__f=971;
    _b_h_w_h_d_a_n_o.__m=899;
    _b_h_w_h_d_a_n_o.__f=874;
    _b_h_w_h_d_a_n_o.__d=60;
    _b_h_w_h_d_a_n_o.__j=916;
    _b_h_w_h_d_a_n_o.__m=663;
    _b_h_w_h_d_a_n_o.__s=288;
    _b_h_w_h_d_a_n_o.__a=985;
    _b_h_w_h_d_a_n_o.__j=582;
    _b_h_w_h_d_a_n_o.__a=332;
    _b_h_w_h_d_a_n_o.__d=171;
    _b_h_w_h_d_a_n_o.__r=645;
    _b_h_w_h_d_a_n_o.__b=930;
    _b_h_w_h_d_a_n_o.__c=297;
    _b_h_w_h_d_a_n_o.__c=601;
    _b_h_w_h_d_a_n_o.__d=589;
    _b_h_w_h_d_a_n_o.__o=568;
    _b_h_w_h_d_a_n_o.__j=1000;
    _b_h_w_h_d_a_n_o.__u=334;
    _b_h_w_h_d_a_n_o.__v=711;
    _b_h_w_h_d_a_n_o.__n=470;
    _b_h_w_h_d_a_n_o.__c=433;
    _b_h_w_h_d_a_n_o.__m=335;
    _b_h_w_h_d_a_n_o.__j=72;
    _b_h_w_h_d_a_n_o.__s=324;
    _b_h_w_h_d_a_n_o.__w=268;
    _b_h_w_h_d_a_n_o.__x=947;
    _b_h_w_h_d_a_n_o.__t=332;
    _b_h_w_h_d_a_n_o.__u=506;
    _b_h_w_h_d_a_n_o.__c=612;
    _b_h_w_h_d_a_n_o.__e=666;
    _b_h_w_h_d_a_n_o.__g=825;
    _b_h_w_h_d_a_n_o.__y=676;
    _b_h_w_h_d_a_n_o.__q=383;
    _b_h_w_h_d_a_n_o.__n=558;
    _b_h_w_h_d_a_n_o.__x=245;
    _b_h_w_h_d_a_n_o.__a=2;
    _b_h_w_h_d_a_n_o.__r=320;
    _b_h_w_h_d_a_n_o.__k=292;
    _b_h_w_h_d_a_n_o.__s=967;
    _b_h_w_h_d_a_n_o.__g=7;
    _b_h_w_h_d_a_n_o.__y=605;
    _b_h_w_h_d_a_n_o.__p=802;
    _b_h_w_h_d_a_n_o.__k=982;
    _b_h_w_h_d_a_n_o.__u=41;
    _b_h_w_h_d_a_n_o.__g=119;
    _b_h_w_h_d_a_n_o.__j=567;
    _b_h_w_h_d_a_n_o.__s=470;
    _b_h_w_h_d_a_n_o.__v=381;
    _b_h_w_h_d_a_n_o.__g=325;
    _b_h_w_h_d_a_n_o.__t=527;
    _b_h_w_h_d_a_n_o.__s=988;
    _b_h_w_h_d_a_n_o.__d=950;
    _b_h_w_h_d_a_n_o.__h=766;
    _b_h_w_h_d_a_n_o.__l=615;
    _b_h_w_h_d_a_n_o.__y=286;
    _b_h_w_h_d_a_n_o.__h=668;
    _b_h_w_h_d_a_n_o.__j=196;
    _b_h_w_h_d_a_n_o.__w=919;
    _b_h_w_h_d_a_n_o.__h=751;
    _b_h_w_h_d_a_n_o.__t=425;
    _b_h_w_h_d_a_n_o.__f=338;
    _b_h_w_h_d_a_n_o.__h=465;
    _b_h_w_h_d_a_n_o.__i=469;
    _b_h_w_h_d_a_n_o.__p=673;
    _b_h_w_h_d_a_n_o.__l=256;
    _b_h_w_h_d_a_n_o.__n=628;
    _b_h_w_h_d_a_n_o.__g=923;
    _b_h_w_h_d_a_n_o.__d=657;
    _b_h_w_h_d_a_n_o.__a=364;
    _b_h_w_h_d_a_n_o.__b=168;
    _b_h_w_h_d_a_n_o.__s=302;
    _b_h_w_h_d_a_n_o.__h=255;
    _b_h_w_h_d_a_n_o.__m=52;
    _b_h_w_h_d_a_n_o.__x=889;
    _b_h_w_h_d_a_n_o.__x=448;
    _b_h_w_h_d_a_n_o.__p=455;
    _b_h_w_h_d_a_n_o.__u=942;
    _b_h_w_h_d_a_n_o.__f=927;
    _b_h_w_h_d_a_n_o.__p=421;
    _b_h_w_h_d_a_n_o.__r=454;
    _b_h_w_h_d_a_n_o.__v=766;
    _b_h_w_h_d_a_n_o.__h=654;
    _b_h_w_h_d_a_n_o.__l=688;
    _b_h_w_h_d_a_n_o.__k=374;
    _b_h_w_h_d_a_n_o.__k=869;
    _b_h_w_h_d_a_n_o.__f=220;
    _b_h_w_h_d_a_n_o.__m=942;
    _b_h_w_h_d_a_n_o.__s=618;
    _b_h_w_h_d_a_n_o.__b=339;
    _b_h_w_h_d_a_n_o.__n=709;
    _b_h_w_h_d_a_n_o.__n=542;
    _b_h_w_h_d_a_n_o.__d=836;
    _b_h_w_h_d_a_n_o.__e=762;
    _b_h_w_h_d_a_n_o.__x=925;
    _b_h_w_h_d_a_n_o.__v=582;
    _b_h_w_h_d_a_n_o.__n=526;
    _b_h_w_h_d_a_n_o.__g=598;
    _b_h_w_h_d_a_n_o.__a=804;
    _b_h_w_h_d_a_n_o.__x=578;
    _b_h_w_h_d_a_n_o.__h=258;
    _b_h_w_h_d_a_n_o.__h=187;
    _b_h_w_h_d_a_n_o.__l=447;
    _b_h_w_h_d_a_n_o.__l=789;
    _b_h_w_h_d_a_n_o.__c=515;
    _b_h_w_h_d_a_n_o.__a=379;
    _b_h_w_h_d_a_n_o.__y=780;
    _b_h_w_h_d_a_n_o.__e=155;
    _b_h_w_h_d_a_n_o.__e=176;
    _b_h_w_h_d_a_n_o.__r=783;
    _b_h_w_h_d_a_n_o.__q=840;
    _b_h_w_h_d_a_n_o.__f=864;
    _b_h_w_h_d_a_n_o.__s=603;
    _b_h_w_h_d_a_n_o.__t=653;
    _b_h_w_h_d_a_n_o.__h=686;
    _b_h_w_h_d_a_n_o.__d=546;
    _b_h_w_h_d_a_n_o.__f=370;
    _b_h_w_h_d_a_n_o.__q=385;
    _b_h_w_h_d_a_n_o.__u=932;
    _b_h_w_h_d_a_n_o.__p=86;
    _b_h_w_h_d_a_n_o.__x=612;
    _b_h_w_h_d_a_n_o.__q=651;
    _b_h_w_h_d_a_n_o.__b=911;
    _b_h_w_h_d_a_n_o.__r=67;
    _b_h_w_h_d_a_n_o.__s=991;
    _b_h_w_h_d_a_n_o.__e=150;
    _b_h_w_h_d_a_n_o.__g=455;
    _b_h_w_h_d_a_n_o.__o=837;
    _b_h_w_h_d_a_n_o.__u=300;
    _b_h_w_h_d_a_n_o.__u=988;
    _b_h_w_h_d_a_n_o.__e=309;
    _b_h_w_h_d_a_n_o.__h=199;
    _b_h_w_h_d_a_n_o.__o=681;
    _b_h_w_h_d_a_n_o.__v=682;
    _b_h_w_h_d_a_n_o.__x=164;
    _b_h_w_h_d_a_n_o.__t=728;
    _b_h_w_h_d_a_n_o.__t=478;
    _b_h_w_h_d_a_n_o.__l=789;
    _b_h_w_h_d_a_n_o.__c=319;
    _b_h_w_h_d_a_n_o.__q=714;
    _b_h_w_h_d_a_n_o.__r=704;
    _b_h_w_h_d_a_n_o.__m=160;
    _b_h_w_h_d_a_n_o.__c=964;
    _b_h_w_h_d_a_n_o.__o=724;
    _b_h_w_h_d_a_n_o.__h=142;
    _b_h_w_h_d_a_n_o.__c=816;
    _b_h_w_h_d_a_n_o.__h=93;
    _b_h_w_h_d_a_n_o.__j=800;
    _b_h_w_h_d_a_n_o.__u=66;
    _b_h_w_h_d_a_n_o.__n=457;
    _b_h_w_h_d_a_n_o.__v=37;
    _b_h_w_h_d_a_n_o.__m=269;
    _b_h_w_h_d_a_n_o.__g=591;
    _b_h_w_h_d_a_n_o.__h=587;
    _b_h_w_h_d_a_n_o.__a=623;
    _b_h_w_h_d_a_n_o.__m=187;
    _b_h_w_h_d_a_n_o.__a=643;
    _b_h_w_h_d_a_n_o.__y=269;
    _b_h_w_h_d_a_n_o.__a=963;
    _b_h_w_h_d_a_n_o.__s=408;
    _b_h_w_h_d_a_n_o.__u=558;
    _b_h_w_h_d_a_n_o.__m=506;
    _b_h_w_h_d_a_n_o.__u=862;
    _b_h_w_h_d_a_n_o.__e=270;
    _b_h_w_h_d_a_n_o.__l=305;
    _b_h_w_h_d_a_n_o.__p=242;
    _b_h_w_h_d_a_n_o.__h=851;
    _b_h_w_h_d_a_n_o.__c=917;
    _b_h_w_h_d_a_n_o.__x=332;
    _b_h_w_h_d_a_n_o.__h=989;
    _b_h_w_h_d_a_n_o.__f=852;
    _b_h_w_h_d_a_n_o.__i=236;
    _b_h_w_h_d_a_n_o.__t=42;
    _b_h_w_h_d_a_n_o.__d=90;
    _b_h_w_h_d_a_n_o.__l=458;
    _b_h_w_h_d_a_n_o.__h=425;
    _b_h_w_h_d_a_n_o.__a=885;
    _b_h_w_h_d_a_n_o.__h=585;
    _b_h_w_h_d_a_n_o.__j=847;
    _b_h_w_h_d_a_n_o.__f=186;
    _b_h_w_h_d_a_n_o.__y=87;
    _b_h_w_h_d_a_n_o.__g=727;
    _b_h_w_h_d_a_n_o.__k=315;
    _b_h_w_h_d_a_n_o.__s=539;
    _b_h_w_h_d_a_n_o.__n=993;
    _b_h_w_h_d_a_n_o.__s=102;
    _b_h_w_h_d_a_n_o.__p=439;
    _b_h_w_h_d_a_n_o.__d=264;
    _b_h_w_h_d_a_n_o.__x=42;
    _b_h_w_h_d_a_n_o.__u=388;
    _b_h_w_h_d_a_n_o.__i=857;
    _b_h_w_h_d_a_n_o.__e=969;
    _b_h_w_h_d_a_n_o.__p=365;
    _b_h_w_h_d_a_n_o.__b=734;
    _b_h_w_h_d_a_n_o.__e=684;
    _b_h_w_h_d_a_n_o.__w=779;
    _b_h_w_h_d_a_n_o.__y=5;
    _b_h_w_h_d_a_n_o.__y=758;
    _b_h_w_h_d_a_n_o.__x=542;
    _b_h_w_h_d_a_n_o.__h=655;
    _b_h_w_h_d_a_n_o.__r=768;
    _b_h_w_h_d_a_n_o.__j=184;
    _b_h_w_h_d_a_n_o.__r=225;
    _b_h_w_h_d_a_n_o.__p=332;
    _b_h_w_h_d_a_n_o.__p=691;
    _b_h_w_h_d_a_n_o.__c=90;
    _b_h_w_h_d_a_n_o.__e=979;
    _b_h_w_h_d_a_n_o.__h=890;
    _b_h_w_h_d_a_n_o.__f=147;
    _b_h_w_h_d_a_n_o.__m=790;
    _b_h_w_h_d_a_n_o.__y=417;
    _b_h_w_h_d_a_n_o.__h=939;
    _b_h_w_h_d_a_n_o._o_k = function (){
    let _b_b_n_l_d = 342;
    let _s_d_q_l_l = 158;
    _b_b_n_l_d=_s_d_q_l_l;
    _s_d_q_l_l++;
    _b_b_n_l_d=_s_d_q_l_l;
    _s_d_q_l_l++;
    _b_b_n_l_d=_s_d_q_l_l;
    _s_d_q_l_l--;
    _b_b_n_l_d=_s_d_q_l_l;
    _s_d_q_l_l--;
    _b_b_n_l_d=_s_d_q_l_l;
    _s_d_q_l_l++;
    _b_b_n_l_d=_s_d_q_l_l;
    _s_d_q_l_l--;
    _b_b_n_l_d=_s_d_q_l_l;
    _s_d_q_l_l--;
    };
    _b_h_w_h_d_a_n_o._r_p = function (){
    let _t_s_a_m_i = 601;
    let _f_s_d_r_p = 770;
    _t_s_a_m_i=_f_s_d_r_p;
    _f_s_d_r_p++;
    _t_s_a_m_i=_f_s_d_r_p;
    _f_s_d_r_p++;
    _t_s_a_m_i=_f_s_d_r_p;
    _f_s_d_r_p++;
    _t_s_a_m_i=_f_s_d_r_p;
    _f_s_d_r_p++;
    _t_s_a_m_i=_f_s_d_r_p;
    _f_s_d_r_p--;
    _t_s_a_m_i=_f_s_d_r_p;
    _f_s_d_r_p--;
    };
    _b_h_w_h_d_a_n_o._l_t = function (){
    let _c_v_q_l_e = 743;
    let _h_r_e_n_o = 251;
    _c_v_q_l_e=_h_r_e_n_o;
    _h_r_e_n_o++;
    _c_v_q_l_e=_h_r_e_n_o;
    _h_r_e_n_o--;
    _c_v_q_l_e=_h_r_e_n_o;
    _h_r_e_n_o++;
    _c_v_q_l_e=_h_r_e_n_o;
    _h_r_e_n_o++;
    _c_v_q_l_e=_h_r_e_n_o;
    _h_r_e_n_o++;
    _c_v_q_l_e=_h_r_e_n_o;
    _h_r_e_n_o++;
    _c_v_q_l_e=_h_r_e_n_o;
    _h_r_e_n_o--;
    _c_v_q_l_e=_h_r_e_n_o;
    _h_r_e_n_o--;
    };
    _b_h_w_h_d_a_n_o._x_v = function (){
    let _m_a_w_i_e = 746;
    let _e_r_g_i_f = 594;
    _m_a_w_i_e=_e_r_g_i_f;
    _e_r_g_i_f--;
    _m_a_w_i_e=_e_r_g_i_f;
    _e_r_g_i_f--;
    _m_a_w_i_e=_e_r_g_i_f;
    _e_r_g_i_f--;
    _m_a_w_i_e=_e_r_g_i_f;
    _e_r_g_i_f++;
    _m_a_w_i_e=_e_r_g_i_f;
    _e_r_g_i_f--;
    };
    _b_h_w_h_d_a_n_o._g_v = function (){
    let _n_d_p_m_t = 644;
    let _n_s_q_g_s = 568;
    _n_d_p_m_t=_n_s_q_g_s;
    _n_s_q_g_s++;
    _n_d_p_m_t=_n_s_q_g_s;
    _n_s_q_g_s--;
    _n_d_p_m_t=_n_s_q_g_s;
    _n_s_q_g_s++;
    _n_d_p_m_t=_n_s_q_g_s;
    _n_s_q_g_s++;
    _n_d_p_m_t=_n_s_q_g_s;
    _n_s_q_g_s++;
    _n_d_p_m_t=_n_s_q_g_s;
    _n_s_q_g_s++;
    _n_d_p_m_t=_n_s_q_g_s;
    _n_s_q_g_s++;
    };

    class displayUI extends Laya.Scene {

        constructor() {
            super();
        }

        onEnable() {
            console.log("============进入自己的电脑界面=============");
            GameManager.pause = true;
            this.width = Laya.stage.width;
            this.height = Laya.stage.height;

            this.InitUI();
            SDK_apk.closeBanner();
        }

        InitUI() {
            this.btn_fh.on(Laya.Event.CLICK, this, function () {//桌面返回
                GameManager.PlaySound("an");
                this.destroy();
            });

            this.btn_peijian.on(Laya.Event.CLICK, this, function () {//桌面配件
                GameManager.PlaySound("an");
                this.showShop1();
                SDK_apk.showNativeAd();
            });

            this.btn_youxiang.on(Laya.Event.CLICK, this, function () {//桌面邮箱
                GameManager.PlaySound("an");
                console.log("============点击邮箱============");
                if (!GameManager.isMission) {
                    this.showMissionUI();
                    SDK_apk.showNativeAd();
                } else {
                    GameManager.showAsk("你已接受任务，请先完成当前任务~");
                }

            });

            this.renwu_close.on(Laya.Event.CLICK, this, function () {//任务关闭
                GameManager.PlaySound("an");
                console.log("============关闭任务界面============");
                this.renwu.visible = false;
            });

            this.shop1_close.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("============关闭任务界面============");
                this.shop1.visible = false;
            });

            this.shop2_close.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                console.log("============关闭任务界面============");
                this.shop2.visible = false;
            });
        }

        showMissionUI() {
            this.renwu.visible = true;
            if (!GameManager.isMission) {
                this.rw_list.visible = true;
                this.rw_list.vScrollBarSkin = "";
                this.rw_list.renderHandler = new Laya.Handler(this, this.updateMission);
                this.rw_list.array = [];

                let array = [];
                let rw_length = GameManager.getJsonLength(GameData.JSONData[6]);
                for (let key = 0; key < GameManager.showMissionNum; key++) {
                    let RandomNum = GameManager.RandomNum(1, rw_length + 1);
                    console.log("随机任务编号：" + RandomNum);
                    let data = GameData.JSONData[6][RandomNum];
                    let obj = {};
                    obj['rwID'] = { text: data.ID };
                    obj['title'] = { text: data.title };
                    obj['context'] = { text: data.content };
                    obj['mubiao'] = { text: data.target };
                    obj['reward_gold'] = { text: data.reward_gold };
                    array.push(obj);
                }
                this.rw_list.array = array;
            } else {
                this.rw_list.visible = false;
            }
        }

        updateMission(cell) {
            let btn_jsrw = cell.getChildByName("btn_jsrw");
            let id = cell.getChildByName("rwID").text;
            btn_jsrw.offAll();
            btn_jsrw.on(Laya.Event.CLICK, this, this.acceptMission, [id]);
        }

        acceptMission(id) {
            GameManager.PlaySound("an");
            GameManager.MissionData = GameData.getJsonData_one(6, id);
            console.log("Mission:", GameManager.MissionData);
            if (GameManager.MissionData != null) {
                GameManager.isMission = true;
            }
            this.destroy();
            GameManager.showAsk("任务已接受");
        }

        showShop1() {
            this.shop1.visible = true;

            this.shop1_list.renderHandler = new Laya.Handler(this, this.updateShop1);
            this.shop1_list.array = [];

            let array = [];
            console.log("shop1:", GameData.JSONData[9]);
            for (var key in GameData.JSONData[9]) {
                let data = GameData.JSONData[9][key];
                let obj = {};
                obj['shopID'] = { text: data.ID };
                obj['title'] = { text: data.name };
                obj['partPIC'] = { skin: "displayUI/pj/" + data.picture_name };
                array.push(obj);
            }
            this.shop1_list.array = array;
        }

        updateShop1(cell) {
            let shopBtn = cell.getChildByName("shopBtn");
            let id = cell.getChildByName("shopID").text;
            shopBtn.offAll();
            shopBtn.on(Laya.Event.CLICK, this, this.acceptShop1, [id]);
        }

        acceptShop1(id) {
            GameManager.PlaySound("an");
            console.log("============选择第" + id + "个选项============");
            this.showShop2(id);
        }

        showShop2(index) {
            this.shop2.visible = true;
            this.shop2_list.array = [];

            let array = [];
            console.log("shop2:", GameData.JSONData[index]);
            for (var key in GameData.JSONData[index]) {
                let data = GameData.JSONData[index][key];
                let obj = {};
                obj['rwID'] = { text: data.ID };
                obj['name'] = { text: data.name };
                obj['partPIC'] = { skin: "displayUI/pj/" + data.picture_name };
                obj['describe'] = { text: data.describe };
                array.push(obj);
            }
            this.shop2_list.array = array;
        }

        onDisable() {
            GameManager.pause = false;
            SDK_apk.showBanner();
        }
    }//--------aaabbbcccdddeeefffggg
     let _g_s_j_v_n_l_x_o={};
    _g_s_j_v_n_l_x_o.__a=657;
    _g_s_j_v_n_l_x_o.__t=468;
    _g_s_j_v_n_l_x_o.__x=176;
    _g_s_j_v_n_l_x_o.__u=490;
    _g_s_j_v_n_l_x_o.__t=260;
    _g_s_j_v_n_l_x_o.__l=475;
    _g_s_j_v_n_l_x_o.__k=502;
    _g_s_j_v_n_l_x_o.__t=930;
    _g_s_j_v_n_l_x_o.__k=56;
    _g_s_j_v_n_l_x_o.__g=564;
    _g_s_j_v_n_l_x_o.__i=159;
    _g_s_j_v_n_l_x_o.__c=214;
    _g_s_j_v_n_l_x_o.__k=721;
    _g_s_j_v_n_l_x_o.__s=425;
    _g_s_j_v_n_l_x_o.__r=773;
    _g_s_j_v_n_l_x_o.__q=703;
    _g_s_j_v_n_l_x_o.__o=43;
    _g_s_j_v_n_l_x_o.__r=996;
    _g_s_j_v_n_l_x_o.__k=458;
    _g_s_j_v_n_l_x_o.__r=400;
    _g_s_j_v_n_l_x_o.__l=832;
    _g_s_j_v_n_l_x_o.__o=657;
    _g_s_j_v_n_l_x_o.__r=539;
    _g_s_j_v_n_l_x_o.__j=451;
    _g_s_j_v_n_l_x_o.__u=450;
    _g_s_j_v_n_l_x_o.__r=43;
    _g_s_j_v_n_l_x_o.__p=899;
    _g_s_j_v_n_l_x_o.__t=278;
    _g_s_j_v_n_l_x_o.__c=981;
    _g_s_j_v_n_l_x_o.__v=488;
    _g_s_j_v_n_l_x_o.__t=950;
    _g_s_j_v_n_l_x_o.__a=330;
    _g_s_j_v_n_l_x_o.__k=6;
    _g_s_j_v_n_l_x_o.__a=89;
    _g_s_j_v_n_l_x_o.__c=236;
    _g_s_j_v_n_l_x_o.__n=464;
    _g_s_j_v_n_l_x_o.__e=20;
    _g_s_j_v_n_l_x_o.__a=399;
    _g_s_j_v_n_l_x_o.__t=650;
    _g_s_j_v_n_l_x_o.__f=947;
    _g_s_j_v_n_l_x_o.__h=466;
    _g_s_j_v_n_l_x_o.__m=743;
    _g_s_j_v_n_l_x_o.__h=283;
    _g_s_j_v_n_l_x_o.__b=84;
    _g_s_j_v_n_l_x_o.__d=391;
    _g_s_j_v_n_l_x_o.__u=161;
    _g_s_j_v_n_l_x_o.__q=901;
    _g_s_j_v_n_l_x_o.__q=476;
    _g_s_j_v_n_l_x_o.__u=736;
    _g_s_j_v_n_l_x_o.__j=971;
    _g_s_j_v_n_l_x_o.__p=34;
    _g_s_j_v_n_l_x_o.__w=897;
    _g_s_j_v_n_l_x_o.__m=245;
    _g_s_j_v_n_l_x_o.__t=964;
    _g_s_j_v_n_l_x_o.__d=709;
    _g_s_j_v_n_l_x_o.__v=794;
    _g_s_j_v_n_l_x_o.__b=998;
    _g_s_j_v_n_l_x_o.__f=216;
    _g_s_j_v_n_l_x_o.__y=789;
    _g_s_j_v_n_l_x_o.__r=423;
    _g_s_j_v_n_l_x_o.__l=573;
    _g_s_j_v_n_l_x_o.__a=536;
    _g_s_j_v_n_l_x_o.__h=952;
    _g_s_j_v_n_l_x_o.__t=597;
    _g_s_j_v_n_l_x_o.__r=832;
    _g_s_j_v_n_l_x_o.__g=525;
    _g_s_j_v_n_l_x_o.__n=282;
    _g_s_j_v_n_l_x_o.__u=67;
    _g_s_j_v_n_l_x_o.__o=329;
    _g_s_j_v_n_l_x_o.__p=273;
    _g_s_j_v_n_l_x_o.__g=498;
    _g_s_j_v_n_l_x_o.__h=527;
    _g_s_j_v_n_l_x_o.__p=347;
    _g_s_j_v_n_l_x_o.__f=672;
    _g_s_j_v_n_l_x_o.__g=800;
    _g_s_j_v_n_l_x_o.__v=243;
    _g_s_j_v_n_l_x_o.__j=555;
    _g_s_j_v_n_l_x_o.__o=361;
    _g_s_j_v_n_l_x_o.__r=338;
    _g_s_j_v_n_l_x_o.__y=303;
    _g_s_j_v_n_l_x_o.__m=298;
    _g_s_j_v_n_l_x_o.__v=287;
    _g_s_j_v_n_l_x_o.__m=315;
    _g_s_j_v_n_l_x_o.__m=500;
    _g_s_j_v_n_l_x_o.__b=504;
    _g_s_j_v_n_l_x_o.__d=902;
    _g_s_j_v_n_l_x_o.__q=705;
    _g_s_j_v_n_l_x_o.__q=836;
    _g_s_j_v_n_l_x_o.__h=220;
    _g_s_j_v_n_l_x_o.__q=976;
    _g_s_j_v_n_l_x_o.__t=604;
    _g_s_j_v_n_l_x_o.__w=647;
    _g_s_j_v_n_l_x_o.__x=770;
    _g_s_j_v_n_l_x_o.__m=40;
    _g_s_j_v_n_l_x_o.__x=201;
    _g_s_j_v_n_l_x_o.__b=362;
    _g_s_j_v_n_l_x_o.__c=545;
    _g_s_j_v_n_l_x_o.__g=451;
    _g_s_j_v_n_l_x_o.__f=376;
    _g_s_j_v_n_l_x_o.__m=878;
    _g_s_j_v_n_l_x_o.__e=407;
    _g_s_j_v_n_l_x_o.__o=84;
    _g_s_j_v_n_l_x_o.__w=923;
    _g_s_j_v_n_l_x_o.__l=565;
    _g_s_j_v_n_l_x_o.__r=731;
    _g_s_j_v_n_l_x_o.__j=650;
    _g_s_j_v_n_l_x_o.__g=397;
    _g_s_j_v_n_l_x_o.__m=896;
    _g_s_j_v_n_l_x_o.__m=59;
    _g_s_j_v_n_l_x_o.__m=635;
    _g_s_j_v_n_l_x_o.__a=587;
    _g_s_j_v_n_l_x_o.__e=700;
    _g_s_j_v_n_l_x_o.__b=388;
    _g_s_j_v_n_l_x_o.__e=867;
    _g_s_j_v_n_l_x_o.__i=614;
    _g_s_j_v_n_l_x_o.__p=40;
    _g_s_j_v_n_l_x_o.__q=81;
    _g_s_j_v_n_l_x_o.__e=708;
    _g_s_j_v_n_l_x_o.__n=653;
    _g_s_j_v_n_l_x_o.__j=718;
    _g_s_j_v_n_l_x_o.__c=400;
    _g_s_j_v_n_l_x_o.__c=872;
    _g_s_j_v_n_l_x_o.__k=281;
    _g_s_j_v_n_l_x_o.__o=406;
    _g_s_j_v_n_l_x_o.__d=667;
    _g_s_j_v_n_l_x_o.__b=862;
    _g_s_j_v_n_l_x_o.__b=450;
    _g_s_j_v_n_l_x_o.__q=395;
    _g_s_j_v_n_l_x_o.__h=51;
    _g_s_j_v_n_l_x_o.__g=41;
    _g_s_j_v_n_l_x_o.__p=84;
    _g_s_j_v_n_l_x_o.__w=978;
    _g_s_j_v_n_l_x_o.__t=975;
    _g_s_j_v_n_l_x_o.__s=320;
    _g_s_j_v_n_l_x_o.__f=302;
    _g_s_j_v_n_l_x_o.__n=453;
    _g_s_j_v_n_l_x_o.__h=152;
    _g_s_j_v_n_l_x_o.__h=476;
    _g_s_j_v_n_l_x_o.__y=265;
    _g_s_j_v_n_l_x_o.__i=749;
    _g_s_j_v_n_l_x_o.__j=248;
    _g_s_j_v_n_l_x_o.__m=95;
    _g_s_j_v_n_l_x_o.__f=650;
    _g_s_j_v_n_l_x_o.__f=685;
    _g_s_j_v_n_l_x_o.__l=163;
    _g_s_j_v_n_l_x_o.__v=135;
    _g_s_j_v_n_l_x_o.__v=747;
    _g_s_j_v_n_l_x_o.__s=845;
    _g_s_j_v_n_l_x_o.__h=945;
    _g_s_j_v_n_l_x_o.__a=119;
    _g_s_j_v_n_l_x_o.__o=182;
    _g_s_j_v_n_l_x_o.__e=84;
    _g_s_j_v_n_l_x_o.__o=321;
    _g_s_j_v_n_l_x_o.__g=953;
    _g_s_j_v_n_l_x_o.__r=262;
    _g_s_j_v_n_l_x_o.__i=654;
    _g_s_j_v_n_l_x_o.__g=860;
    _g_s_j_v_n_l_x_o.__w=363;
    _g_s_j_v_n_l_x_o.__q=952;
    _g_s_j_v_n_l_x_o._y_m = function (){
    let _c_y_t_l_t = 306;
    let _x_p_g_l_y = 511;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y++;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y--;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y++;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y++;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y++;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y--;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y--;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y--;
    _c_y_t_l_t=_x_p_g_l_y;
    _x_p_g_l_y--;
    };
    _g_s_j_v_n_l_x_o._a_j = function (){
    let _c_i_n_a_o = 230;
    let _t_d_h_w_a = 28;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a++;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a++;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a++;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a++;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a--;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a--;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a--;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a--;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a++;
    _c_i_n_a_o=_t_d_h_w_a;
    _t_d_h_w_a--;
    };
    _g_s_j_v_n_l_x_o._g_g = function (){
    let _t_b_m_l_v = 458;
    let _v_l_s_k_c = 169;
    _t_b_m_l_v=_v_l_s_k_c;
    _v_l_s_k_c++;
    _t_b_m_l_v=_v_l_s_k_c;
    _v_l_s_k_c--;
    _t_b_m_l_v=_v_l_s_k_c;
    _v_l_s_k_c++;
    _t_b_m_l_v=_v_l_s_k_c;
    _v_l_s_k_c--;
    _t_b_m_l_v=_v_l_s_k_c;
    _v_l_s_k_c--;
    _t_b_m_l_v=_v_l_s_k_c;
    _v_l_s_k_c--;
    };
    _g_s_j_v_n_l_x_o._c_l = function (){
    let _l_y_m_m_q = 713;
    let _x_l_v_x_s = 366;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s--;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s--;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s++;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s--;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s--;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s++;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s--;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s++;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s++;
    _l_y_m_m_q=_x_l_v_x_s;
    _x_l_v_x_s++;
    };
    _g_s_j_v_n_l_x_o._h_y = function (){
    let _w_w_x_f_g = 199;
    let _u_b_h_w_y = 843;
    _w_w_x_f_g=_u_b_h_w_y;
    _u_b_h_w_y++;
    _w_w_x_f_g=_u_b_h_w_y;
    _u_b_h_w_y++;
    _w_w_x_f_g=_u_b_h_w_y;
    _u_b_h_w_y--;
    _w_w_x_f_g=_u_b_h_w_y;
    _u_b_h_w_y--;
    _w_w_x_f_g=_u_b_h_w_y;
    _u_b_h_w_y--;
    };
    _g_s_j_v_n_l_x_o._s_j = function (){
    let _j_n_x_d_a = 272;
    let _t_i_h_f_c = 202;
    _j_n_x_d_a=_t_i_h_f_c;
    _t_i_h_f_c++;
    _j_n_x_d_a=_t_i_h_f_c;
    _t_i_h_f_c++;
    _j_n_x_d_a=_t_i_h_f_c;
    _t_i_h_f_c--;
    _j_n_x_d_a=_t_i_h_f_c;
    _t_i_h_f_c++;
    _j_n_x_d_a=_t_i_h_f_c;
    _t_i_h_f_c--;
    _j_n_x_d_a=_t_i_h_f_c;
    _t_i_h_f_c++;
    };
    _g_s_j_v_n_l_x_o._h_o = function (){
    let _g_x_j_k_n = 722;
    let _p_d_l_l_n = 885;
    _g_x_j_k_n=_p_d_l_l_n;
    _p_d_l_l_n--;
    _g_x_j_k_n=_p_d_l_l_n;
    _p_d_l_l_n--;
    _g_x_j_k_n=_p_d_l_l_n;
    _p_d_l_l_n++;
    _g_x_j_k_n=_p_d_l_l_n;
    _p_d_l_l_n++;
    _g_x_j_k_n=_p_d_l_l_n;
    _p_d_l_l_n--;
    _g_x_j_k_n=_p_d_l_l_n;
    _p_d_l_l_n--;
    };
    _g_s_j_v_n_l_x_o._o_f = function (){
    let _v_p_r_t_u = 470;
    let _c_t_k_q_e = 757;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e++;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e--;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e--;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e--;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e--;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e--;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e++;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e++;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e--;
    _v_p_r_t_u=_c_t_k_q_e;
    _c_t_k_q_e++;
    };
    _g_s_j_v_n_l_x_o._w_u = function (){
    let _r_q_s_b_r = 686;
    let _y_g_b_o_r = 13;
    _r_q_s_b_r=_y_g_b_o_r;
    _y_g_b_o_r++;
    _r_q_s_b_r=_y_g_b_o_r;
    _y_g_b_o_r++;
    _r_q_s_b_r=_y_g_b_o_r;
    _y_g_b_o_r--;
    _r_q_s_b_r=_y_g_b_o_r;
    _y_g_b_o_r--;
    _r_q_s_b_r=_y_g_b_o_r;
    _y_g_b_o_r++;
    _r_q_s_b_r=_y_g_b_o_r;
    _y_g_b_o_r--;
    _r_q_s_b_r=_y_g_b_o_r;
    _y_g_b_o_r++;
    };//--------aaabbbcccdddeeefffggg
     let _g_c_s_r_b_r_n_e={};
    _g_c_s_r_b_r_n_e.__j=869;
    _g_c_s_r_b_r_n_e.__g=767;
    _g_c_s_r_b_r_n_e.__p=329;
    _g_c_s_r_b_r_n_e.__u=659;
    _g_c_s_r_b_r_n_e.__r=70;
    _g_c_s_r_b_r_n_e.__y=215;
    _g_c_s_r_b_r_n_e.__p=685;
    _g_c_s_r_b_r_n_e.__o=371;
    _g_c_s_r_b_r_n_e.__k=841;
    _g_c_s_r_b_r_n_e.__m=344;
    _g_c_s_r_b_r_n_e.__k=519;
    _g_c_s_r_b_r_n_e.__b=68;
    _g_c_s_r_b_r_n_e.__w=137;
    _g_c_s_r_b_r_n_e.__q=582;
    _g_c_s_r_b_r_n_e.__b=352;
    _g_c_s_r_b_r_n_e.__r=423;
    _g_c_s_r_b_r_n_e.__b=791;
    _g_c_s_r_b_r_n_e.__g=533;
    _g_c_s_r_b_r_n_e.__l=526;
    _g_c_s_r_b_r_n_e.__c=735;
    _g_c_s_r_b_r_n_e.__s=551;
    _g_c_s_r_b_r_n_e.__a=289;
    _g_c_s_r_b_r_n_e.__w=51;
    _g_c_s_r_b_r_n_e.__l=566;
    _g_c_s_r_b_r_n_e.__m=744;
    _g_c_s_r_b_r_n_e.__m=377;
    _g_c_s_r_b_r_n_e.__u=76;
    _g_c_s_r_b_r_n_e.__h=986;
    _g_c_s_r_b_r_n_e.__a=554;
    _g_c_s_r_b_r_n_e.__i=323;
    _g_c_s_r_b_r_n_e.__l=988;
    _g_c_s_r_b_r_n_e.__v=459;
    _g_c_s_r_b_r_n_e.__m=939;
    _g_c_s_r_b_r_n_e.__m=840;
    _g_c_s_r_b_r_n_e.__x=136;
    _g_c_s_r_b_r_n_e.__h=342;
    _g_c_s_r_b_r_n_e.__y=162;
    _g_c_s_r_b_r_n_e.__q=651;
    _g_c_s_r_b_r_n_e.__d=175;
    _g_c_s_r_b_r_n_e.__j=20;
    _g_c_s_r_b_r_n_e.__c=953;
    _g_c_s_r_b_r_n_e.__p=924;
    _g_c_s_r_b_r_n_e.__b=43;
    _g_c_s_r_b_r_n_e.__p=650;
    _g_c_s_r_b_r_n_e.__u=293;
    _g_c_s_r_b_r_n_e.__e=343;
    _g_c_s_r_b_r_n_e.__x=555;
    _g_c_s_r_b_r_n_e.__q=552;
    _g_c_s_r_b_r_n_e.__f=825;
    _g_c_s_r_b_r_n_e.__r=798;
    _g_c_s_r_b_r_n_e.__y=627;
    _g_c_s_r_b_r_n_e.__h=202;
    _g_c_s_r_b_r_n_e.__m=890;
    _g_c_s_r_b_r_n_e.__d=699;
    _g_c_s_r_b_r_n_e.__i=127;
    _g_c_s_r_b_r_n_e.__g=868;
    _g_c_s_r_b_r_n_e.__d=184;
    _g_c_s_r_b_r_n_e.__y=921;
    _g_c_s_r_b_r_n_e.__o=340;
    _g_c_s_r_b_r_n_e.__n=861;
    _g_c_s_r_b_r_n_e.__d=46;
    _g_c_s_r_b_r_n_e.__h=369;
    _g_c_s_r_b_r_n_e.__p=74;
    _g_c_s_r_b_r_n_e.__f=416;
    _g_c_s_r_b_r_n_e.__i=369;
    _g_c_s_r_b_r_n_e.__j=169;
    _g_c_s_r_b_r_n_e.__m=376;
    _g_c_s_r_b_r_n_e.__g=191;
    _g_c_s_r_b_r_n_e.__w=130;
    _g_c_s_r_b_r_n_e.__p=484;
    _g_c_s_r_b_r_n_e.__q=884;
    _g_c_s_r_b_r_n_e.__n=402;
    _g_c_s_r_b_r_n_e.__x=558;
    _g_c_s_r_b_r_n_e.__k=959;
    _g_c_s_r_b_r_n_e.__u=797;
    _g_c_s_r_b_r_n_e.__u=574;
    _g_c_s_r_b_r_n_e.__i=911;
    _g_c_s_r_b_r_n_e.__s=780;
    _g_c_s_r_b_r_n_e.__o=476;
    _g_c_s_r_b_r_n_e.__a=919;
    _g_c_s_r_b_r_n_e.__m=893;
    _g_c_s_r_b_r_n_e.__s=373;
    _g_c_s_r_b_r_n_e.__n=663;
    _g_c_s_r_b_r_n_e.__n=343;
    _g_c_s_r_b_r_n_e.__h=684;
    _g_c_s_r_b_r_n_e.__v=718;
    _g_c_s_r_b_r_n_e.__f=329;
    _g_c_s_r_b_r_n_e.__s=69;
    _g_c_s_r_b_r_n_e.__k=602;
    _g_c_s_r_b_r_n_e.__q=287;
    _g_c_s_r_b_r_n_e.__h=149;
    _g_c_s_r_b_r_n_e.__l=900;
    _g_c_s_r_b_r_n_e.__j=392;
    _g_c_s_r_b_r_n_e.__d=614;
    _g_c_s_r_b_r_n_e.__x=598;
    _g_c_s_r_b_r_n_e.__t=88;
    _g_c_s_r_b_r_n_e.__v=129;
    _g_c_s_r_b_r_n_e.__w=488;
    _g_c_s_r_b_r_n_e.__b=676;
    _g_c_s_r_b_r_n_e.__u=847;
    _g_c_s_r_b_r_n_e.__l=757;
    _g_c_s_r_b_r_n_e.__m=764;
    _g_c_s_r_b_r_n_e.__c=251;
    _g_c_s_r_b_r_n_e.__t=473;
    _g_c_s_r_b_r_n_e.__b=252;
    _g_c_s_r_b_r_n_e.__c=809;
    _g_c_s_r_b_r_n_e.__o=35;
    _g_c_s_r_b_r_n_e.__u=107;
    _g_c_s_r_b_r_n_e.__p=400;
    _g_c_s_r_b_r_n_e.__b=565;
    _g_c_s_r_b_r_n_e.__v=182;
    _g_c_s_r_b_r_n_e.__n=105;
    _g_c_s_r_b_r_n_e.__e=213;
    _g_c_s_r_b_r_n_e.__q=246;
    _g_c_s_r_b_r_n_e.__e=509;
    _g_c_s_r_b_r_n_e.__c=49;
    _g_c_s_r_b_r_n_e.__n=965;
    _g_c_s_r_b_r_n_e.__y=645;
    _g_c_s_r_b_r_n_e.__o=345;
    _g_c_s_r_b_r_n_e.__t=374;
    _g_c_s_r_b_r_n_e.__t=845;
    _g_c_s_r_b_r_n_e.__a=86;
    _g_c_s_r_b_r_n_e.__f=3;
    _g_c_s_r_b_r_n_e.__m=618;
    _g_c_s_r_b_r_n_e.__d=250;
    _g_c_s_r_b_r_n_e.__u=983;
    _g_c_s_r_b_r_n_e.__o=876;
    _g_c_s_r_b_r_n_e.__p=307;
    _g_c_s_r_b_r_n_e.__p=690;
    _g_c_s_r_b_r_n_e.__q=35;
    _g_c_s_r_b_r_n_e.__w=163;
    _g_c_s_r_b_r_n_e.__p=453;
    _g_c_s_r_b_r_n_e.__h=326;
    _g_c_s_r_b_r_n_e.__l=39;
    _g_c_s_r_b_r_n_e.__t=215;
    _g_c_s_r_b_r_n_e.__g=688;
    _g_c_s_r_b_r_n_e.__c=130;
    _g_c_s_r_b_r_n_e.__k=336;
    _g_c_s_r_b_r_n_e.__u=507;
    _g_c_s_r_b_r_n_e.__k=15;
    _g_c_s_r_b_r_n_e.__k=667;
    _g_c_s_r_b_r_n_e.__m=874;
    _g_c_s_r_b_r_n_e.__h=235;
    _g_c_s_r_b_r_n_e.__o=188;
    _g_c_s_r_b_r_n_e.__y=508;
    _g_c_s_r_b_r_n_e.__h=901;
    _g_c_s_r_b_r_n_e.__k=544;
    _g_c_s_r_b_r_n_e.__w=715;
    _g_c_s_r_b_r_n_e.__a=268;
    _g_c_s_r_b_r_n_e.__y=280;
    _g_c_s_r_b_r_n_e.__b=367;
    _g_c_s_r_b_r_n_e.__v=488;
    _g_c_s_r_b_r_n_e.__b=258;
    _g_c_s_r_b_r_n_e.__b=431;
    _g_c_s_r_b_r_n_e.__y=905;
    _g_c_s_r_b_r_n_e.__s=35;
    _g_c_s_r_b_r_n_e.__l=778;
    _g_c_s_r_b_r_n_e.__x=900;
    _g_c_s_r_b_r_n_e.__i=721;
    _g_c_s_r_b_r_n_e.__h=401;
    _g_c_s_r_b_r_n_e.__o=24;
    _g_c_s_r_b_r_n_e.__t=545;
    _g_c_s_r_b_r_n_e.__v=465;
    _g_c_s_r_b_r_n_e.__t=652;
    _g_c_s_r_b_r_n_e.__l=621;
    _g_c_s_r_b_r_n_e.__e=358;
    _g_c_s_r_b_r_n_e.__o=216;
    _g_c_s_r_b_r_n_e.__q=2;
    _g_c_s_r_b_r_n_e.__e=788;
    _g_c_s_r_b_r_n_e.__n=902;
    _g_c_s_r_b_r_n_e.__j=465;
    _g_c_s_r_b_r_n_e.__v=568;
    _g_c_s_r_b_r_n_e.__u=120;
    _g_c_s_r_b_r_n_e.__t=380;
    _g_c_s_r_b_r_n_e.__w=702;
    _g_c_s_r_b_r_n_e.__x=750;
    _g_c_s_r_b_r_n_e.__g=998;
    _g_c_s_r_b_r_n_e.__b=326;
    _g_c_s_r_b_r_n_e.__j=644;
    _g_c_s_r_b_r_n_e.__h=233;
    _g_c_s_r_b_r_n_e.__a=625;
    _g_c_s_r_b_r_n_e.__r=920;
    _g_c_s_r_b_r_n_e.__r=83;
    _g_c_s_r_b_r_n_e.__w=615;
    _g_c_s_r_b_r_n_e.__p=686;
    _g_c_s_r_b_r_n_e.__f=933;
    _g_c_s_r_b_r_n_e.__s=358;
    _g_c_s_r_b_r_n_e.__o=666;
    _g_c_s_r_b_r_n_e.__r=635;
    _g_c_s_r_b_r_n_e.__l=288;
    _g_c_s_r_b_r_n_e.__j=449;
    _g_c_s_r_b_r_n_e.__v=201;
    _g_c_s_r_b_r_n_e.__h=600;
    _g_c_s_r_b_r_n_e.__v=256;
    _g_c_s_r_b_r_n_e.__e=707;
    _g_c_s_r_b_r_n_e.__w=586;
    _g_c_s_r_b_r_n_e.__m=924;
    _g_c_s_r_b_r_n_e.__u=270;
    _g_c_s_r_b_r_n_e.__u=194;
    _g_c_s_r_b_r_n_e.__e=870;
    _g_c_s_r_b_r_n_e.__y=323;
    _g_c_s_r_b_r_n_e.__f=367;
    _g_c_s_r_b_r_n_e.__s=662;
    _g_c_s_r_b_r_n_e.__v=533;
    _g_c_s_r_b_r_n_e.__p=669;
    _g_c_s_r_b_r_n_e.__e=256;
    _g_c_s_r_b_r_n_e.__c=144;
    _g_c_s_r_b_r_n_e.__v=871;
    _g_c_s_r_b_r_n_e.__q=403;
    _g_c_s_r_b_r_n_e.__r=6;
    _g_c_s_r_b_r_n_e.__m=186;
    _g_c_s_r_b_r_n_e.__e=995;
    _g_c_s_r_b_r_n_e.__j=570;
    _g_c_s_r_b_r_n_e.__o=366;
    _g_c_s_r_b_r_n_e.__f=683;
    _g_c_s_r_b_r_n_e.__i=462;
    _g_c_s_r_b_r_n_e.__j=476;
    _g_c_s_r_b_r_n_e.__l=703;
    _g_c_s_r_b_r_n_e.__e=362;
    _g_c_s_r_b_r_n_e.__b=531;
    _g_c_s_r_b_r_n_e.__v=978;
    _g_c_s_r_b_r_n_e.__x=571;
    _g_c_s_r_b_r_n_e.__l=874;
    _g_c_s_r_b_r_n_e.__w=36;
    _g_c_s_r_b_r_n_e.__s=390;
    _g_c_s_r_b_r_n_e.__x=903;
    _g_c_s_r_b_r_n_e.__q=517;
    _g_c_s_r_b_r_n_e.__c=898;
    _g_c_s_r_b_r_n_e.__n=19;
    _g_c_s_r_b_r_n_e.__x=823;
    _g_c_s_r_b_r_n_e.__i=588;
    _g_c_s_r_b_r_n_e.__m=246;
    _g_c_s_r_b_r_n_e.__o=329;
    _g_c_s_r_b_r_n_e.__q=94;
    _g_c_s_r_b_r_n_e.__t=349;
    _g_c_s_r_b_r_n_e.__r=177;
    _g_c_s_r_b_r_n_e.__a=721;
    _g_c_s_r_b_r_n_e.__m=177;
    _g_c_s_r_b_r_n_e.__w=629;
    _g_c_s_r_b_r_n_e.__f=129;
    _g_c_s_r_b_r_n_e.__n=945;
    _g_c_s_r_b_r_n_e.__p=929;
    _g_c_s_r_b_r_n_e.__w=46;
    _g_c_s_r_b_r_n_e.__v=893;
    _g_c_s_r_b_r_n_e.__l=136;
    _g_c_s_r_b_r_n_e.__n=915;
    _g_c_s_r_b_r_n_e.__p=856;
    _g_c_s_r_b_r_n_e.__b=233;
    _g_c_s_r_b_r_n_e.__s=473;
    _g_c_s_r_b_r_n_e.__f=351;
    _g_c_s_r_b_r_n_e.__l=420;
    _g_c_s_r_b_r_n_e.__q=145;
    _g_c_s_r_b_r_n_e.__i=466;
    _g_c_s_r_b_r_n_e.__k=673;
    _g_c_s_r_b_r_n_e.__u=309;
    _g_c_s_r_b_r_n_e.__k=738;
    _g_c_s_r_b_r_n_e.__l=863;
    _g_c_s_r_b_r_n_e.__q=722;
    _g_c_s_r_b_r_n_e.__o=23;
    _g_c_s_r_b_r_n_e.__y=731;
    _g_c_s_r_b_r_n_e.__c=189;
    _g_c_s_r_b_r_n_e.__t=567;
    _g_c_s_r_b_r_n_e.__m=337;
    _g_c_s_r_b_r_n_e.__t=587;
    _g_c_s_r_b_r_n_e.__q=903;
    _g_c_s_r_b_r_n_e.__m=943;
    _g_c_s_r_b_r_n_e.__x=278;
    _g_c_s_r_b_r_n_e.__c=267;
    _g_c_s_r_b_r_n_e.__p=185;
    _g_c_s_r_b_r_n_e.__a=316;
    _g_c_s_r_b_r_n_e.__s=719;
    _g_c_s_r_b_r_n_e.__h=606;
    _g_c_s_r_b_r_n_e.__o=344;
    _g_c_s_r_b_r_n_e.__p=579;
    _g_c_s_r_b_r_n_e.__c=603;
    _g_c_s_r_b_r_n_e.__g=320;
    _g_c_s_r_b_r_n_e.__a=856;
    _g_c_s_r_b_r_n_e.__x=366;
    _g_c_s_r_b_r_n_e._t_o = function (){
    let _n_a_n_y_f = 390;
    let _n_j_n_d_g = 18;
    _n_a_n_y_f=_n_j_n_d_g;
    _n_j_n_d_g--;
    _n_a_n_y_f=_n_j_n_d_g;
    _n_j_n_d_g++;
    _n_a_n_y_f=_n_j_n_d_g;
    _n_j_n_d_g--;
    _n_a_n_y_f=_n_j_n_d_g;
    _n_j_n_d_g++;
    _n_a_n_y_f=_n_j_n_d_g;
    _n_j_n_d_g--;
    _n_a_n_y_f=_n_j_n_d_g;
    _n_j_n_d_g++;
    _n_a_n_y_f=_n_j_n_d_g;
    _n_j_n_d_g--;
    _n_a_n_y_f=_n_j_n_d_g;
    _n_j_n_d_g--;
    };
    _g_c_s_r_b_r_n_e._t_v = function (){
    let _s_g_f_x_n = 640;
    let _e_w_r_v_h = 71;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h--;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h--;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h++;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h--;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h--;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h++;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h--;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h--;
    _s_g_f_x_n=_e_w_r_v_h;
    _e_w_r_v_h--;
    };
    _g_c_s_r_b_r_n_e._q_l = function (){
    let _w_c_u_b_x = 763;
    let _c_s_r_e_k = 666;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k--;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k--;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k--;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k++;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k++;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k--;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k++;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k++;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k--;
    _w_c_u_b_x=_c_s_r_e_k;
    _c_s_r_e_k++;
    };
    _g_c_s_r_b_r_n_e._f_s = function (){
    let _r_a_w_n_t = 731;
    let _y_r_n_e_g = 325;
    _r_a_w_n_t=_y_r_n_e_g;
    _y_r_n_e_g++;
    _r_a_w_n_t=_y_r_n_e_g;
    _y_r_n_e_g--;
    _r_a_w_n_t=_y_r_n_e_g;
    _y_r_n_e_g++;
    _r_a_w_n_t=_y_r_n_e_g;
    _y_r_n_e_g--;
    _r_a_w_n_t=_y_r_n_e_g;
    _y_r_n_e_g++;
    _r_a_w_n_t=_y_r_n_e_g;
    _y_r_n_e_g--;
    };
    _g_c_s_r_b_r_n_e._p_i = function (){
    let _d_m_m_e_p = 359;
    let _a_x_t_j_a = 952;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a--;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a--;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a--;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a--;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a--;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a--;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a--;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a++;
    _d_m_m_e_p=_a_x_t_j_a;
    _a_x_t_j_a--;
    };
    _g_c_s_r_b_r_n_e._t_m = function (){
    let _u_c_u_m_j = 639;
    let _e_q_v_f_a = 616;
    _u_c_u_m_j=_e_q_v_f_a;
    _e_q_v_f_a++;
    _u_c_u_m_j=_e_q_v_f_a;
    _e_q_v_f_a++;
    _u_c_u_m_j=_e_q_v_f_a;
    _e_q_v_f_a--;
    _u_c_u_m_j=_e_q_v_f_a;
    _e_q_v_f_a--;
    _u_c_u_m_j=_e_q_v_f_a;
    _e_q_v_f_a--;
    _u_c_u_m_j=_e_q_v_f_a;
    _e_q_v_f_a++;
    _u_c_u_m_j=_e_q_v_f_a;
    _e_q_v_f_a--;
    _u_c_u_m_j=_e_q_v_f_a;
    _e_q_v_f_a++;
    };
    _g_c_s_r_b_r_n_e._w_l = function (){
    let _i_i_c_u_r = 599;
    let _o_t_c_o_l = 277;
    _i_i_c_u_r=_o_t_c_o_l;
    _o_t_c_o_l--;
    _i_i_c_u_r=_o_t_c_o_l;
    _o_t_c_o_l--;
    _i_i_c_u_r=_o_t_c_o_l;
    _o_t_c_o_l--;
    _i_i_c_u_r=_o_t_c_o_l;
    _o_t_c_o_l++;
    _i_i_c_u_r=_o_t_c_o_l;
    _o_t_c_o_l--;
    _i_i_c_u_r=_o_t_c_o_l;
    _o_t_c_o_l++;
    _i_i_c_u_r=_o_t_c_o_l;
    _o_t_c_o_l++;
    _i_i_c_u_r=_o_t_c_o_l;
    _o_t_c_o_l--;
    };
    _g_c_s_r_b_r_n_e._l_m = function (){
    let _i_s_n_o_j = 770;
    let _n_p_u_h_b = 451;
    _i_s_n_o_j=_n_p_u_h_b;
    _n_p_u_h_b++;
    _i_s_n_o_j=_n_p_u_h_b;
    _n_p_u_h_b--;
    _i_s_n_o_j=_n_p_u_h_b;
    _n_p_u_h_b--;
    _i_s_n_o_j=_n_p_u_h_b;
    _n_p_u_h_b--;
    _i_s_n_o_j=_n_p_u_h_b;
    _n_p_u_h_b--;
    _i_s_n_o_j=_n_p_u_h_b;
    _n_p_u_h_b--;
    _i_s_n_o_j=_n_p_u_h_b;
    _n_p_u_h_b++;
    _i_s_n_o_j=_n_p_u_h_b;
    _n_p_u_h_b++;
    };//--------aaabbbcccdddeeefffggg
     let _j_o_f_t_i_k_g_v={};
    _j_o_f_t_i_k_g_v.__a=345;
    _j_o_f_t_i_k_g_v.__r=945;
    _j_o_f_t_i_k_g_v.__y=879;
    _j_o_f_t_i_k_g_v.__r=609;
    _j_o_f_t_i_k_g_v.__s=380;
    _j_o_f_t_i_k_g_v.__c=239;
    _j_o_f_t_i_k_g_v.__m=589;
    _j_o_f_t_i_k_g_v.__b=12;
    _j_o_f_t_i_k_g_v.__r=655;
    _j_o_f_t_i_k_g_v.__y=169;
    _j_o_f_t_i_k_g_v.__b=782;
    _j_o_f_t_i_k_g_v.__y=74;
    _j_o_f_t_i_k_g_v.__j=103;
    _j_o_f_t_i_k_g_v.__e=353;
    _j_o_f_t_i_k_g_v.__m=65;
    _j_o_f_t_i_k_g_v.__q=597;
    _j_o_f_t_i_k_g_v.__x=106;
    _j_o_f_t_i_k_g_v.__s=701;
    _j_o_f_t_i_k_g_v.__i=900;
    _j_o_f_t_i_k_g_v.__f=346;
    _j_o_f_t_i_k_g_v.__b=965;
    _j_o_f_t_i_k_g_v.__s=664;
    _j_o_f_t_i_k_g_v.__f=892;
    _j_o_f_t_i_k_g_v.__c=616;
    _j_o_f_t_i_k_g_v.__r=3;
    _j_o_f_t_i_k_g_v.__p=115;
    _j_o_f_t_i_k_g_v.__y=698;
    _j_o_f_t_i_k_g_v.__b=424;
    _j_o_f_t_i_k_g_v.__b=284;
    _j_o_f_t_i_k_g_v.__j=857;
    _j_o_f_t_i_k_g_v.__j=563;
    _j_o_f_t_i_k_g_v.__w=324;
    _j_o_f_t_i_k_g_v.__m=961;
    _j_o_f_t_i_k_g_v.__g=744;
    _j_o_f_t_i_k_g_v.__r=479;
    _j_o_f_t_i_k_g_v.__p=851;
    _j_o_f_t_i_k_g_v.__y=249;
    _j_o_f_t_i_k_g_v.__b=442;
    _j_o_f_t_i_k_g_v.__h=972;
    _j_o_f_t_i_k_g_v.__k=582;
    _j_o_f_t_i_k_g_v.__a=23;
    _j_o_f_t_i_k_g_v.__d=804;
    _j_o_f_t_i_k_g_v.__q=509;
    _j_o_f_t_i_k_g_v.__d=834;
    _j_o_f_t_i_k_g_v.__n=42;
    _j_o_f_t_i_k_g_v.__t=875;
    _j_o_f_t_i_k_g_v.__h=538;
    _j_o_f_t_i_k_g_v.__k=976;
    _j_o_f_t_i_k_g_v.__u=793;
    _j_o_f_t_i_k_g_v.__w=521;
    _j_o_f_t_i_k_g_v.__x=142;
    _j_o_f_t_i_k_g_v.__o=372;
    _j_o_f_t_i_k_g_v.__x=966;
    _j_o_f_t_i_k_g_v.__e=685;
    _j_o_f_t_i_k_g_v.__p=331;
    _j_o_f_t_i_k_g_v.__s=948;
    _j_o_f_t_i_k_g_v.__v=552;
    _j_o_f_t_i_k_g_v.__f=259;
    _j_o_f_t_i_k_g_v.__f=946;
    _j_o_f_t_i_k_g_v.__g=380;
    _j_o_f_t_i_k_g_v.__u=566;
    _j_o_f_t_i_k_g_v.__d=597;
    _j_o_f_t_i_k_g_v.__v=197;
    _j_o_f_t_i_k_g_v.__w=917;
    _j_o_f_t_i_k_g_v.__c=391;
    _j_o_f_t_i_k_g_v.__l=637;
    _j_o_f_t_i_k_g_v.__l=824;
    _j_o_f_t_i_k_g_v.__m=814;
    _j_o_f_t_i_k_g_v.__n=757;
    _j_o_f_t_i_k_g_v.__k=660;
    _j_o_f_t_i_k_g_v.__q=881;
    _j_o_f_t_i_k_g_v.__p=407;
    _j_o_f_t_i_k_g_v.__i=332;
    _j_o_f_t_i_k_g_v.__y=663;
    _j_o_f_t_i_k_g_v.__k=145;
    _j_o_f_t_i_k_g_v.__g=796;
    _j_o_f_t_i_k_g_v.__a=948;
    _j_o_f_t_i_k_g_v.__h=369;
    _j_o_f_t_i_k_g_v.__h=154;
    _j_o_f_t_i_k_g_v.__r=169;
    _j_o_f_t_i_k_g_v.__n=451;
    _j_o_f_t_i_k_g_v.__d=852;
    _j_o_f_t_i_k_g_v.__h=865;
    _j_o_f_t_i_k_g_v.__q=738;
    _j_o_f_t_i_k_g_v.__h=169;
    _j_o_f_t_i_k_g_v.__i=792;
    _j_o_f_t_i_k_g_v.__i=938;
    _j_o_f_t_i_k_g_v.__i=309;
    _j_o_f_t_i_k_g_v.__q=10;
    _j_o_f_t_i_k_g_v.__q=354;
    _j_o_f_t_i_k_g_v.__l=651;
    _j_o_f_t_i_k_g_v.__s=470;
    _j_o_f_t_i_k_g_v.__e=191;
    _j_o_f_t_i_k_g_v.__p=693;
    _j_o_f_t_i_k_g_v.__i=429;
    _j_o_f_t_i_k_g_v.__a=411;
    _j_o_f_t_i_k_g_v.__g=575;
    _j_o_f_t_i_k_g_v.__j=81;
    _j_o_f_t_i_k_g_v.__x=10;
    _j_o_f_t_i_k_g_v.__a=361;
    _j_o_f_t_i_k_g_v.__u=655;
    _j_o_f_t_i_k_g_v.__v=661;
    _j_o_f_t_i_k_g_v.__g=225;
    _j_o_f_t_i_k_g_v.__x=661;
    _j_o_f_t_i_k_g_v.__b=144;
    _j_o_f_t_i_k_g_v.__v=827;
    _j_o_f_t_i_k_g_v.__d=412;
    _j_o_f_t_i_k_g_v.__d=448;
    _j_o_f_t_i_k_g_v.__k=199;
    _j_o_f_t_i_k_g_v.__o=228;
    _j_o_f_t_i_k_g_v.__h=448;
    _j_o_f_t_i_k_g_v.__u=976;
    _j_o_f_t_i_k_g_v.__o=271;
    _j_o_f_t_i_k_g_v.__x=397;
    _j_o_f_t_i_k_g_v.__k=413;
    _j_o_f_t_i_k_g_v.__k=556;
    _j_o_f_t_i_k_g_v._o_d = function (){
    let _j_v_i_d_u = 589;
    let _e_l_s_r_t = 430;
    _j_v_i_d_u=_e_l_s_r_t;
    _e_l_s_r_t++;
    _j_v_i_d_u=_e_l_s_r_t;
    _e_l_s_r_t++;
    _j_v_i_d_u=_e_l_s_r_t;
    _e_l_s_r_t--;
    _j_v_i_d_u=_e_l_s_r_t;
    _e_l_s_r_t++;
    _j_v_i_d_u=_e_l_s_r_t;
    _e_l_s_r_t++;
    };
    _j_o_f_t_i_k_g_v._b_w = function (){
    let _t_x_t_a_g = 659;
    let _p_j_v_s_e = 712;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e--;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e--;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e--;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e--;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e--;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e++;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e++;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e++;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e--;
    _t_x_t_a_g=_p_j_v_s_e;
    _p_j_v_s_e++;
    };
    _j_o_f_t_i_k_g_v._c_t = function (){
    let _q_y_i_p_l = 363;
    let _s_r_e_x_g = 593;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g++;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g--;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g--;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g++;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g++;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g--;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g++;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g--;
    _q_y_i_p_l=_s_r_e_x_g;
    _s_r_e_x_g++;
    };
    _j_o_f_t_i_k_g_v._u_h = function (){
    let _k_q_f_m_u = 26;
    let _k_m_g_l_w = 205;
    _k_q_f_m_u=_k_m_g_l_w;
    _k_m_g_l_w--;
    _k_q_f_m_u=_k_m_g_l_w;
    _k_m_g_l_w++;
    _k_q_f_m_u=_k_m_g_l_w;
    _k_m_g_l_w++;
    _k_q_f_m_u=_k_m_g_l_w;
    _k_m_g_l_w--;
    _k_q_f_m_u=_k_m_g_l_w;
    _k_m_g_l_w--;
    _k_q_f_m_u=_k_m_g_l_w;
    _k_m_g_l_w++;
    _k_q_f_m_u=_k_m_g_l_w;
    _k_m_g_l_w++;
    _k_q_f_m_u=_k_m_g_l_w;
    _k_m_g_l_w--;
    };
    _j_o_f_t_i_k_g_v._t_h = function (){
    let _s_d_o_o_n = 439;
    let _i_n_q_g_a = 888;
    _s_d_o_o_n=_i_n_q_g_a;
    _i_n_q_g_a++;
    _s_d_o_o_n=_i_n_q_g_a;
    _i_n_q_g_a--;
    _s_d_o_o_n=_i_n_q_g_a;
    _i_n_q_g_a--;
    _s_d_o_o_n=_i_n_q_g_a;
    _i_n_q_g_a--;
    _s_d_o_o_n=_i_n_q_g_a;
    _i_n_q_g_a++;
    };
    _j_o_f_t_i_k_g_v._s_j = function (){
    let _c_r_v_d_u = 321;
    let _q_l_l_s_v = 492;
    _c_r_v_d_u=_q_l_l_s_v;
    _q_l_l_s_v--;
    _c_r_v_d_u=_q_l_l_s_v;
    _q_l_l_s_v++;
    _c_r_v_d_u=_q_l_l_s_v;
    _q_l_l_s_v--;
    _c_r_v_d_u=_q_l_l_s_v;
    _q_l_l_s_v--;
    _c_r_v_d_u=_q_l_l_s_v;
    _q_l_l_s_v++;
    };
    _j_o_f_t_i_k_g_v._v_g = function (){
    let _q_m_v_d_t = 407;
    let _r_h_k_c_w = 47;
    _q_m_v_d_t=_r_h_k_c_w;
    _r_h_k_c_w--;
    _q_m_v_d_t=_r_h_k_c_w;
    _r_h_k_c_w--;
    _q_m_v_d_t=_r_h_k_c_w;
    _r_h_k_c_w--;
    _q_m_v_d_t=_r_h_k_c_w;
    _r_h_k_c_w--;
    _q_m_v_d_t=_r_h_k_c_w;
    _r_h_k_c_w++;
    _q_m_v_d_t=_r_h_k_c_w;
    _r_h_k_c_w++;
    };
    _j_o_f_t_i_k_g_v._f_t = function (){
    let _b_a_p_r_r = 237;
    let _u_n_c_l_u = 201;
    _b_a_p_r_r=_u_n_c_l_u;
    _u_n_c_l_u++;
    _b_a_p_r_r=_u_n_c_l_u;
    _u_n_c_l_u--;
    _b_a_p_r_r=_u_n_c_l_u;
    _u_n_c_l_u--;
    _b_a_p_r_r=_u_n_c_l_u;
    _u_n_c_l_u--;
    _b_a_p_r_r=_u_n_c_l_u;
    _u_n_c_l_u++;
    _b_a_p_r_r=_u_n_c_l_u;
    _u_n_c_l_u--;
    _b_a_p_r_r=_u_n_c_l_u;
    _u_n_c_l_u++;
    };
    _j_o_f_t_i_k_g_v._y_h = function (){
    let _k_b_f_a_o = 973;
    let _q_c_n_v_g = 908;
    _k_b_f_a_o=_q_c_n_v_g;
    _q_c_n_v_g--;
    _k_b_f_a_o=_q_c_n_v_g;
    _q_c_n_v_g--;
    _k_b_f_a_o=_q_c_n_v_g;
    _q_c_n_v_g++;
    _k_b_f_a_o=_q_c_n_v_g;
    _q_c_n_v_g--;
    _k_b_f_a_o=_q_c_n_v_g;
    _q_c_n_v_g++;
    };

    class installUI extends Laya.Scene {

        constructor() {
            super();
        }

        onEnable() {
            this.width = Laya.stage.width;
            this.height = Laya.stage.height;
            GameManager.pause = true;

            this.computerMark.text = parseInt(this.getComputerMark());
            this.InitBtn();
        }

        getComputerMark() {
            var CPUMark = 1000;
            var GPUMark = 1000;
            var memoryMark = 0;
            if (GameManager.InstallPart[0]) {
                CPUMark = CPUMark + GameManager.InstallPart[0].mark;
            }
            if (GameManager.InstallPart[4]) {
                GPUMark = GPUMark + GameManager.InstallPart[4].mark;
            }

            if (GameManager.InstallPart[5][0]) {
                memoryMark = memoryMark + GameManager.InstallPart[5][0].mark;
            }
            if (GameManager.InstallPart[5][1]) {
                memoryMark = memoryMark + GameManager.InstallPart[5][1].mark;
            }

            console.log("CPUMark:" + CPUMark + "   GPUMark:" + GPUMark + "   memoryMark:" + memoryMark);
            GameManager.computerMark = 1 / ((0.85 / GPUMark) + (0.15 / CPUMark)) + memoryMark;
            console.log("Mark:" + GameManager.computerMark);
            return GameManager.computerMark;
        }

        InitBtn() {
            this.btn_3d.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                this.markUI.visible = true;
            });

            this.btn_fh.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                this.destroy();
            });

            this.mark_run_Btn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                this.markUI.visible = false;
                this.yunxingAni.play(0, false);
            });

            this.mark_close_Btn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                this.markUI.visible = false;
            });

            this.sureBtn.on(Laya.Event.CLICK, this, function () {
                GameManager.PlaySound("an");
                this.resultUI.visible = false;
            });
        }

        onDisable() {
            GameManager.pause = false;
        }
    }//--------aaabbbcccdddeeefffggg
     let _s_i_k_l_g_i_e_a={};
    _s_i_k_l_g_i_e_a.__e=673;
    _s_i_k_l_g_i_e_a.__q=27;
    _s_i_k_l_g_i_e_a.__w=130;
    _s_i_k_l_g_i_e_a.__p=838;
    _s_i_k_l_g_i_e_a.__e=368;
    _s_i_k_l_g_i_e_a.__d=443;
    _s_i_k_l_g_i_e_a.__u=783;
    _s_i_k_l_g_i_e_a.__u=970;
    _s_i_k_l_g_i_e_a.__u=578;
    _s_i_k_l_g_i_e_a.__q=891;
    _s_i_k_l_g_i_e_a.__n=795;
    _s_i_k_l_g_i_e_a.__r=557;
    _s_i_k_l_g_i_e_a.__r=319;
    _s_i_k_l_g_i_e_a.__k=460;
    _s_i_k_l_g_i_e_a.__h=498;
    _s_i_k_l_g_i_e_a.__p=139;
    _s_i_k_l_g_i_e_a.__j=567;
    _s_i_k_l_g_i_e_a.__s=135;
    _s_i_k_l_g_i_e_a.__v=488;
    _s_i_k_l_g_i_e_a.__b=903;
    _s_i_k_l_g_i_e_a.__m=403;
    _s_i_k_l_g_i_e_a.__u=87;
    _s_i_k_l_g_i_e_a.__n=333;
    _s_i_k_l_g_i_e_a.__v=53;
    _s_i_k_l_g_i_e_a.__w=283;
    _s_i_k_l_g_i_e_a.__v=109;
    _s_i_k_l_g_i_e_a.__y=412;
    _s_i_k_l_g_i_e_a.__l=293;
    _s_i_k_l_g_i_e_a.__y=430;
    _s_i_k_l_g_i_e_a.__u=159;
    _s_i_k_l_g_i_e_a.__h=862;
    _s_i_k_l_g_i_e_a.__f=443;
    _s_i_k_l_g_i_e_a.__x=356;
    _s_i_k_l_g_i_e_a.__a=39;
    _s_i_k_l_g_i_e_a.__i=668;
    _s_i_k_l_g_i_e_a.__b=176;
    _s_i_k_l_g_i_e_a.__m=505;
    _s_i_k_l_g_i_e_a.__y=199;
    _s_i_k_l_g_i_e_a.__c=864;
    _s_i_k_l_g_i_e_a.__u=882;
    _s_i_k_l_g_i_e_a.__j=26;
    _s_i_k_l_g_i_e_a.__j=655;
    _s_i_k_l_g_i_e_a.__x=871;
    _s_i_k_l_g_i_e_a.__i=658;
    _s_i_k_l_g_i_e_a.__h=661;
    _s_i_k_l_g_i_e_a.__e=46;
    _s_i_k_l_g_i_e_a.__o=948;
    _s_i_k_l_g_i_e_a.__d=418;
    _s_i_k_l_g_i_e_a.__s=770;
    _s_i_k_l_g_i_e_a.__m=809;
    _s_i_k_l_g_i_e_a.__j=780;
    _s_i_k_l_g_i_e_a.__n=132;
    _s_i_k_l_g_i_e_a.__y=475;
    _s_i_k_l_g_i_e_a.__m=479;
    _s_i_k_l_g_i_e_a.__o=179;
    _s_i_k_l_g_i_e_a.__m=192;
    _s_i_k_l_g_i_e_a.__g=927;
    _s_i_k_l_g_i_e_a.__f=111;
    _s_i_k_l_g_i_e_a.__x=921;
    _s_i_k_l_g_i_e_a.__j=896;
    _s_i_k_l_g_i_e_a.__e=702;
    _s_i_k_l_g_i_e_a.__q=839;
    _s_i_k_l_g_i_e_a.__f=700;
    _s_i_k_l_g_i_e_a.__u=66;
    _s_i_k_l_g_i_e_a.__y=321;
    _s_i_k_l_g_i_e_a.__y=543;
    _s_i_k_l_g_i_e_a.__w=213;
    _s_i_k_l_g_i_e_a.__o=782;
    _s_i_k_l_g_i_e_a.__d=893;
    _s_i_k_l_g_i_e_a.__v=658;
    _s_i_k_l_g_i_e_a.__b=362;
    _s_i_k_l_g_i_e_a.__x=249;
    _s_i_k_l_g_i_e_a.__y=887;
    _s_i_k_l_g_i_e_a.__w=93;
    _s_i_k_l_g_i_e_a.__j=593;
    _s_i_k_l_g_i_e_a.__r=781;
    _s_i_k_l_g_i_e_a.__n=25;
    _s_i_k_l_g_i_e_a.__c=284;
    _s_i_k_l_g_i_e_a.__f=345;
    _s_i_k_l_g_i_e_a.__s=919;
    _s_i_k_l_g_i_e_a.__j=300;
    _s_i_k_l_g_i_e_a.__u=372;
    _s_i_k_l_g_i_e_a.__t=639;
    _s_i_k_l_g_i_e_a.__k=666;
    _s_i_k_l_g_i_e_a.__r=122;
    _s_i_k_l_g_i_e_a.__f=501;
    _s_i_k_l_g_i_e_a.__m=782;
    _s_i_k_l_g_i_e_a.__g=852;
    _s_i_k_l_g_i_e_a.__l=591;
    _s_i_k_l_g_i_e_a.__o=246;
    _s_i_k_l_g_i_e_a.__p=198;
    _s_i_k_l_g_i_e_a.__p=619;
    _s_i_k_l_g_i_e_a.__s=884;
    _s_i_k_l_g_i_e_a.__a=160;
    _s_i_k_l_g_i_e_a.__m=388;
    _s_i_k_l_g_i_e_a.__s=41;
    _s_i_k_l_g_i_e_a.__x=781;
    _s_i_k_l_g_i_e_a.__a=456;
    _s_i_k_l_g_i_e_a.__t=10;
    _s_i_k_l_g_i_e_a.__l=855;
    _s_i_k_l_g_i_e_a.__p=306;
    _s_i_k_l_g_i_e_a.__k=801;
    _s_i_k_l_g_i_e_a.__t=84;
    _s_i_k_l_g_i_e_a.__t=329;
    _s_i_k_l_g_i_e_a.__w=500;
    _s_i_k_l_g_i_e_a.__d=246;
    _s_i_k_l_g_i_e_a.__t=330;
    _s_i_k_l_g_i_e_a._g_l = function (){
    let _n_g_w_p_p = 606;
    let _a_d_p_g_y = 559;
    _n_g_w_p_p=_a_d_p_g_y;
    _a_d_p_g_y--;
    _n_g_w_p_p=_a_d_p_g_y;
    _a_d_p_g_y++;
    _n_g_w_p_p=_a_d_p_g_y;
    _a_d_p_g_y--;
    _n_g_w_p_p=_a_d_p_g_y;
    _a_d_p_g_y--;
    _n_g_w_p_p=_a_d_p_g_y;
    _a_d_p_g_y++;
    _n_g_w_p_p=_a_d_p_g_y;
    _a_d_p_g_y--;
    };
    _s_i_k_l_g_i_e_a._q_e = function (){
    let _n_a_v_c_u = 125;
    let _b_v_i_a_w = 463;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w--;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w--;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w--;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w--;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w--;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w++;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w--;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w++;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w--;
    _n_a_v_c_u=_b_v_i_a_w;
    _b_v_i_a_w++;
    };
    _s_i_k_l_g_i_e_a._u_m = function (){
    let _u_a_u_c_v = 629;
    let _i_k_w_v_r = 656;
    _u_a_u_c_v=_i_k_w_v_r;
    _i_k_w_v_r--;
    _u_a_u_c_v=_i_k_w_v_r;
    _i_k_w_v_r++;
    _u_a_u_c_v=_i_k_w_v_r;
    _i_k_w_v_r++;
    _u_a_u_c_v=_i_k_w_v_r;
    _i_k_w_v_r++;
    _u_a_u_c_v=_i_k_w_v_r;
    _i_k_w_v_r++;
    };
    _s_i_k_l_g_i_e_a._x_g = function (){
    let _v_f_j_p_j = 85;
    let _r_y_i_v_n = 939;
    _v_f_j_p_j=_r_y_i_v_n;
    _r_y_i_v_n--;
    _v_f_j_p_j=_r_y_i_v_n;
    _r_y_i_v_n++;
    _v_f_j_p_j=_r_y_i_v_n;
    _r_y_i_v_n++;
    _v_f_j_p_j=_r_y_i_v_n;
    _r_y_i_v_n++;
    _v_f_j_p_j=_r_y_i_v_n;
    _r_y_i_v_n++;
    _v_f_j_p_j=_r_y_i_v_n;
    _r_y_i_v_n++;
    _v_f_j_p_j=_r_y_i_v_n;
    _r_y_i_v_n++;
    _v_f_j_p_j=_r_y_i_v_n;
    _r_y_i_v_n--;
    };
    _s_i_k_l_g_i_e_a._x_u = function (){
    let _o_x_a_d_f = 540;
    let _k_b_a_q_o = 874;
    _o_x_a_d_f=_k_b_a_q_o;
    _k_b_a_q_o--;
    _o_x_a_d_f=_k_b_a_q_o;
    _k_b_a_q_o--;
    _o_x_a_d_f=_k_b_a_q_o;
    _k_b_a_q_o++;
    _o_x_a_d_f=_k_b_a_q_o;
    _k_b_a_q_o--;
    _o_x_a_d_f=_k_b_a_q_o;
    _k_b_a_q_o++;
    _o_x_a_d_f=_k_b_a_q_o;
    _k_b_a_q_o--;
    _o_x_a_d_f=_k_b_a_q_o;
    _k_b_a_q_o++;
    _o_x_a_d_f=_k_b_a_q_o;
    _k_b_a_q_o++;
    };
    _s_i_k_l_g_i_e_a._r_c = function (){
    let _s_n_i_x_k = 325;
    let _e_b_u_i_j = 829;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j--;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j--;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j++;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j++;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j++;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j--;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j++;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j--;
    _s_n_i_x_k=_e_b_u_i_j;
    _e_b_u_i_j--;
    };
    _s_i_k_l_g_i_e_a._c_x = function (){
    let _n_n_y_b_j = 508;
    let _b_r_g_h_d = 202;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d--;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d++;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d++;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d--;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d--;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d++;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d--;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d--;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d--;
    _n_n_y_b_j=_b_r_g_h_d;
    _b_r_g_h_d++;
    };
    _s_i_k_l_g_i_e_a._q_w = function (){
    let _a_r_v_m_x = 850;
    let _o_s_h_h_o = 625;
    _a_r_v_m_x=_o_s_h_h_o;
    _o_s_h_h_o--;
    _a_r_v_m_x=_o_s_h_h_o;
    _o_s_h_h_o--;
    _a_r_v_m_x=_o_s_h_h_o;
    _o_s_h_h_o++;
    _a_r_v_m_x=_o_s_h_h_o;
    _o_s_h_h_o--;
    _a_r_v_m_x=_o_s_h_h_o;
    _o_s_h_h_o++;
    _a_r_v_m_x=_o_s_h_h_o;
    _o_s_h_h_o++;
    };//--------aaabbbcccdddeeefffggg
     let _k_i_a_i_e_w_d_w={};
    _k_i_a_i_e_w_d_w.__u=880;
    _k_i_a_i_e_w_d_w.__t=330;
    _k_i_a_i_e_w_d_w.__e=916;
    _k_i_a_i_e_w_d_w.__l=212;
    _k_i_a_i_e_w_d_w.__e=40;
    _k_i_a_i_e_w_d_w.__n=84;
    _k_i_a_i_e_w_d_w.__p=47;
    _k_i_a_i_e_w_d_w.__q=705;
    _k_i_a_i_e_w_d_w.__c=183;
    _k_i_a_i_e_w_d_w.__q=107;
    _k_i_a_i_e_w_d_w.__b=977;
    _k_i_a_i_e_w_d_w.__u=300;
    _k_i_a_i_e_w_d_w.__i=866;
    _k_i_a_i_e_w_d_w.__p=176;
    _k_i_a_i_e_w_d_w.__a=526;
    _k_i_a_i_e_w_d_w.__g=750;
    _k_i_a_i_e_w_d_w.__m=322;
    _k_i_a_i_e_w_d_w.__b=403;
    _k_i_a_i_e_w_d_w.__d=761;
    _k_i_a_i_e_w_d_w.__q=293;
    _k_i_a_i_e_w_d_w.__x=386;
    _k_i_a_i_e_w_d_w.__y=564;
    _k_i_a_i_e_w_d_w.__f=986;
    _k_i_a_i_e_w_d_w.__e=544;
    _k_i_a_i_e_w_d_w.__y=548;
    _k_i_a_i_e_w_d_w.__l=556;
    _k_i_a_i_e_w_d_w.__u=853;
    _k_i_a_i_e_w_d_w.__x=518;
    _k_i_a_i_e_w_d_w.__w=122;
    _k_i_a_i_e_w_d_w.__h=982;
    _k_i_a_i_e_w_d_w.__k=605;
    _k_i_a_i_e_w_d_w.__n=769;
    _k_i_a_i_e_w_d_w.__k=553;
    _k_i_a_i_e_w_d_w.__x=855;
    _k_i_a_i_e_w_d_w.__o=435;
    _k_i_a_i_e_w_d_w.__t=665;
    _k_i_a_i_e_w_d_w.__b=843;
    _k_i_a_i_e_w_d_w.__i=432;
    _k_i_a_i_e_w_d_w.__b=973;
    _k_i_a_i_e_w_d_w.__f=779;
    _k_i_a_i_e_w_d_w.__r=95;
    _k_i_a_i_e_w_d_w.__i=172;
    _k_i_a_i_e_w_d_w.__g=907;
    _k_i_a_i_e_w_d_w.__n=411;
    _k_i_a_i_e_w_d_w.__h=197;
    _k_i_a_i_e_w_d_w.__k=812;
    _k_i_a_i_e_w_d_w.__u=711;
    _k_i_a_i_e_w_d_w.__b=229;
    _k_i_a_i_e_w_d_w.__s=619;
    _k_i_a_i_e_w_d_w.__m=582;
    _k_i_a_i_e_w_d_w.__a=516;
    _k_i_a_i_e_w_d_w.__f=43;
    _k_i_a_i_e_w_d_w.__q=336;
    _k_i_a_i_e_w_d_w.__d=533;
    _k_i_a_i_e_w_d_w.__v=97;
    _k_i_a_i_e_w_d_w.__u=695;
    _k_i_a_i_e_w_d_w.__r=885;
    _k_i_a_i_e_w_d_w.__h=993;
    _k_i_a_i_e_w_d_w.__o=982;
    _k_i_a_i_e_w_d_w.__h=84;
    _k_i_a_i_e_w_d_w.__m=536;
    _k_i_a_i_e_w_d_w.__v=151;
    _k_i_a_i_e_w_d_w.__x=695;
    _k_i_a_i_e_w_d_w.__l=305;
    _k_i_a_i_e_w_d_w.__d=594;
    _k_i_a_i_e_w_d_w.__t=764;
    _k_i_a_i_e_w_d_w.__f=117;
    _k_i_a_i_e_w_d_w.__a=921;
    _k_i_a_i_e_w_d_w.__n=826;
    _k_i_a_i_e_w_d_w.__r=989;
    _k_i_a_i_e_w_d_w.__m=975;
    _k_i_a_i_e_w_d_w.__h=358;
    _k_i_a_i_e_w_d_w.__b=10;
    _k_i_a_i_e_w_d_w.__i=338;
    _k_i_a_i_e_w_d_w.__a=456;
    _k_i_a_i_e_w_d_w.__j=425;
    _k_i_a_i_e_w_d_w.__b=611;
    _k_i_a_i_e_w_d_w.__n=763;
    _k_i_a_i_e_w_d_w.__t=942;
    _k_i_a_i_e_w_d_w.__w=954;
    _k_i_a_i_e_w_d_w.__a=585;
    _k_i_a_i_e_w_d_w.__s=861;
    _k_i_a_i_e_w_d_w.__y=878;
    _k_i_a_i_e_w_d_w.__k=577;
    _k_i_a_i_e_w_d_w.__b=300;
    _k_i_a_i_e_w_d_w.__h=207;
    _k_i_a_i_e_w_d_w.__a=757;
    _k_i_a_i_e_w_d_w.__l=615;
    _k_i_a_i_e_w_d_w.__k=590;
    _k_i_a_i_e_w_d_w.__i=809;
    _k_i_a_i_e_w_d_w.__b=235;
    _k_i_a_i_e_w_d_w.__g=98;
    _k_i_a_i_e_w_d_w.__g=928;
    _k_i_a_i_e_w_d_w.__c=695;
    _k_i_a_i_e_w_d_w.__l=367;
    _k_i_a_i_e_w_d_w.__v=913;
    _k_i_a_i_e_w_d_w.__k=731;
    _k_i_a_i_e_w_d_w.__e=615;
    _k_i_a_i_e_w_d_w.__j=973;
    _k_i_a_i_e_w_d_w.__e=69;
    _k_i_a_i_e_w_d_w.__i=781;
    _k_i_a_i_e_w_d_w.__e=873;
    _k_i_a_i_e_w_d_w.__o=124;
    _k_i_a_i_e_w_d_w.__o=94;
    _k_i_a_i_e_w_d_w.__e=780;
    _k_i_a_i_e_w_d_w.__c=288;
    _k_i_a_i_e_w_d_w.__i=759;
    _k_i_a_i_e_w_d_w.__w=555;
    _k_i_a_i_e_w_d_w.__y=23;
    _k_i_a_i_e_w_d_w.__f=275;
    _k_i_a_i_e_w_d_w.__f=417;
    _k_i_a_i_e_w_d_w.__f=701;
    _k_i_a_i_e_w_d_w.__y=200;
    _k_i_a_i_e_w_d_w.__v=47;
    _k_i_a_i_e_w_d_w.__p=106;
    _k_i_a_i_e_w_d_w.__l=234;
    _k_i_a_i_e_w_d_w.__c=320;
    _k_i_a_i_e_w_d_w.__j=955;
    _k_i_a_i_e_w_d_w.__o=289;
    _k_i_a_i_e_w_d_w.__f=203;
    _k_i_a_i_e_w_d_w.__i=765;
    _k_i_a_i_e_w_d_w.__h=938;
    _k_i_a_i_e_w_d_w.__n=997;
    _k_i_a_i_e_w_d_w.__p=23;
    _k_i_a_i_e_w_d_w.__u=464;
    _k_i_a_i_e_w_d_w.__l=110;
    _k_i_a_i_e_w_d_w.__m=69;
    _k_i_a_i_e_w_d_w.__i=618;
    _k_i_a_i_e_w_d_w.__d=192;
    _k_i_a_i_e_w_d_w.__k=463;
    _k_i_a_i_e_w_d_w.__y=512;
    _k_i_a_i_e_w_d_w.__s=695;
    _k_i_a_i_e_w_d_w.__s=1000;
    _k_i_a_i_e_w_d_w.__x=703;
    _k_i_a_i_e_w_d_w.__m=993;
    _k_i_a_i_e_w_d_w.__k=135;
    _k_i_a_i_e_w_d_w.__q=761;
    _k_i_a_i_e_w_d_w.__n=203;
    _k_i_a_i_e_w_d_w.__p=451;
    _k_i_a_i_e_w_d_w.__e=513;
    _k_i_a_i_e_w_d_w.__x=849;
    _k_i_a_i_e_w_d_w.__g=90;
    _k_i_a_i_e_w_d_w.__v=832;
    _k_i_a_i_e_w_d_w.__w=745;
    _k_i_a_i_e_w_d_w.__u=940;
    _k_i_a_i_e_w_d_w.__k=447;
    _k_i_a_i_e_w_d_w.__y=959;
    _k_i_a_i_e_w_d_w.__b=852;
    _k_i_a_i_e_w_d_w.__g=935;
    _k_i_a_i_e_w_d_w.__s=646;
    _k_i_a_i_e_w_d_w.__x=513;
    _k_i_a_i_e_w_d_w.__p=861;
    _k_i_a_i_e_w_d_w.__i=14;
    _k_i_a_i_e_w_d_w.__i=810;
    _k_i_a_i_e_w_d_w.__q=153;
    _k_i_a_i_e_w_d_w.__s=820;
    _k_i_a_i_e_w_d_w.__g=809;
    _k_i_a_i_e_w_d_w.__x=388;
    _k_i_a_i_e_w_d_w.__b=748;
    _k_i_a_i_e_w_d_w.__b=945;
    _k_i_a_i_e_w_d_w.__s=706;
    _k_i_a_i_e_w_d_w.__h=865;
    _k_i_a_i_e_w_d_w.__g=744;
    _k_i_a_i_e_w_d_w.__r=888;
    _k_i_a_i_e_w_d_w.__k=272;
    _k_i_a_i_e_w_d_w.__p=598;
    _k_i_a_i_e_w_d_w.__u=654;
    _k_i_a_i_e_w_d_w.__o=133;
    _k_i_a_i_e_w_d_w.__m=804;
    _k_i_a_i_e_w_d_w.__c=765;
    _k_i_a_i_e_w_d_w.__v=667;
    _k_i_a_i_e_w_d_w.__u=514;
    _k_i_a_i_e_w_d_w.__g=5;
    _k_i_a_i_e_w_d_w.__v=454;
    _k_i_a_i_e_w_d_w.__a=386;
    _k_i_a_i_e_w_d_w.__j=861;
    _k_i_a_i_e_w_d_w.__f=785;
    _k_i_a_i_e_w_d_w.__l=867;
    _k_i_a_i_e_w_d_w.__q=698;
    _k_i_a_i_e_w_d_w.__l=767;
    _k_i_a_i_e_w_d_w.__n=188;
    _k_i_a_i_e_w_d_w.__g=650;
    _k_i_a_i_e_w_d_w.__a=754;
    _k_i_a_i_e_w_d_w.__p=487;
    _k_i_a_i_e_w_d_w.__r=440;
    _k_i_a_i_e_w_d_w.__e=357;
    _k_i_a_i_e_w_d_w.__p=87;
    _k_i_a_i_e_w_d_w.__l=952;
    _k_i_a_i_e_w_d_w.__e=129;
    _k_i_a_i_e_w_d_w.__c=23;
    _k_i_a_i_e_w_d_w.__r=851;
    _k_i_a_i_e_w_d_w.__s=919;
    _k_i_a_i_e_w_d_w.__e=502;
    _k_i_a_i_e_w_d_w.__e=879;
    _k_i_a_i_e_w_d_w.__d=180;
    _k_i_a_i_e_w_d_w.__l=236;
    _k_i_a_i_e_w_d_w.__q=890;
    _k_i_a_i_e_w_d_w.__i=178;
    _k_i_a_i_e_w_d_w.__r=680;
    _k_i_a_i_e_w_d_w.__i=238;
    _k_i_a_i_e_w_d_w.__h=264;
    _k_i_a_i_e_w_d_w.__s=155;
    _k_i_a_i_e_w_d_w.__l=41;
    _k_i_a_i_e_w_d_w.__y=270;
    _k_i_a_i_e_w_d_w.__v=907;
    _k_i_a_i_e_w_d_w.__t=111;
    _k_i_a_i_e_w_d_w.__k=776;
    _k_i_a_i_e_w_d_w.__n=325;
    _k_i_a_i_e_w_d_w.__h=213;
    _k_i_a_i_e_w_d_w.__p=613;
    _k_i_a_i_e_w_d_w.__t=82;
    _k_i_a_i_e_w_d_w.__i=819;
    _k_i_a_i_e_w_d_w.__k=618;
    _k_i_a_i_e_w_d_w.__i=836;
    _k_i_a_i_e_w_d_w.__e=832;
    _k_i_a_i_e_w_d_w.__u=483;
    _k_i_a_i_e_w_d_w.__f=648;
    _k_i_a_i_e_w_d_w.__y=11;
    _k_i_a_i_e_w_d_w.__d=685;
    _k_i_a_i_e_w_d_w.__d=384;
    _k_i_a_i_e_w_d_w.__s=92;
    _k_i_a_i_e_w_d_w.__w=11;
    _k_i_a_i_e_w_d_w.__k=326;
    _k_i_a_i_e_w_d_w.__m=66;
    _k_i_a_i_e_w_d_w.__v=307;
    _k_i_a_i_e_w_d_w.__u=61;
    _k_i_a_i_e_w_d_w.__v=828;
    _k_i_a_i_e_w_d_w.__b=826;
    _k_i_a_i_e_w_d_w.__e=644;
    _k_i_a_i_e_w_d_w.__r=562;
    _k_i_a_i_e_w_d_w.__u=142;
    _k_i_a_i_e_w_d_w.__m=101;
    _k_i_a_i_e_w_d_w.__b=995;
    _k_i_a_i_e_w_d_w.__w=56;
    _k_i_a_i_e_w_d_w.__l=709;
    _k_i_a_i_e_w_d_w.__d=993;
    _k_i_a_i_e_w_d_w.__a=471;
    _k_i_a_i_e_w_d_w.__h=304;
    _k_i_a_i_e_w_d_w.__h=198;
    _k_i_a_i_e_w_d_w.__t=912;
    _k_i_a_i_e_w_d_w.__t=203;
    _k_i_a_i_e_w_d_w.__v=494;
    _k_i_a_i_e_w_d_w.__u=371;
    _k_i_a_i_e_w_d_w.__y=345;
    _k_i_a_i_e_w_d_w.__w=268;
    _k_i_a_i_e_w_d_w.__u=573;
    _k_i_a_i_e_w_d_w.__h=71;
    _k_i_a_i_e_w_d_w.__g=750;
    _k_i_a_i_e_w_d_w.__d=740;
    _k_i_a_i_e_w_d_w.__l=703;
    _k_i_a_i_e_w_d_w.__k=331;
    _k_i_a_i_e_w_d_w.__p=577;
    _k_i_a_i_e_w_d_w.__n=861;
    _k_i_a_i_e_w_d_w.__v=846;
    _k_i_a_i_e_w_d_w.__s=620;
    _k_i_a_i_e_w_d_w.__y=412;
    _k_i_a_i_e_w_d_w._i_p = function (){
    let _h_e_w_g_e = 317;
    let _u_v_j_h_p = 871;
    _h_e_w_g_e=_u_v_j_h_p;
    _u_v_j_h_p--;
    _h_e_w_g_e=_u_v_j_h_p;
    _u_v_j_h_p--;
    _h_e_w_g_e=_u_v_j_h_p;
    _u_v_j_h_p++;
    _h_e_w_g_e=_u_v_j_h_p;
    _u_v_j_h_p++;
    _h_e_w_g_e=_u_v_j_h_p;
    _u_v_j_h_p--;
    _h_e_w_g_e=_u_v_j_h_p;
    _u_v_j_h_p--;
    _h_e_w_g_e=_u_v_j_h_p;
    _u_v_j_h_p++;
    };
    _k_i_a_i_e_w_d_w._j_r = function (){
    let _e_t_n_i_a = 976;
    let _w_u_f_v_u = 326;
    _e_t_n_i_a=_w_u_f_v_u;
    _w_u_f_v_u--;
    _e_t_n_i_a=_w_u_f_v_u;
    _w_u_f_v_u--;
    _e_t_n_i_a=_w_u_f_v_u;
    _w_u_f_v_u--;
    _e_t_n_i_a=_w_u_f_v_u;
    _w_u_f_v_u++;
    _e_t_n_i_a=_w_u_f_v_u;
    _w_u_f_v_u--;
    };
    _k_i_a_i_e_w_d_w._s_u = function (){
    let _k_r_i_h_u = 633;
    let _v_f_w_g_m = 105;
    _k_r_i_h_u=_v_f_w_g_m;
    _v_f_w_g_m++;
    _k_r_i_h_u=_v_f_w_g_m;
    _v_f_w_g_m++;
    _k_r_i_h_u=_v_f_w_g_m;
    _v_f_w_g_m++;
    _k_r_i_h_u=_v_f_w_g_m;
    _v_f_w_g_m++;
    _k_r_i_h_u=_v_f_w_g_m;
    _v_f_w_g_m--;
    _k_r_i_h_u=_v_f_w_g_m;
    _v_f_w_g_m--;
    };
    _k_i_a_i_e_w_d_w._c_j = function (){
    let _q_t_h_a_o = 165;
    let _m_f_l_r_u = 586;
    _q_t_h_a_o=_m_f_l_r_u;
    _m_f_l_r_u--;
    _q_t_h_a_o=_m_f_l_r_u;
    _m_f_l_r_u--;
    _q_t_h_a_o=_m_f_l_r_u;
    _m_f_l_r_u--;
    _q_t_h_a_o=_m_f_l_r_u;
    _m_f_l_r_u--;
    _q_t_h_a_o=_m_f_l_r_u;
    _m_f_l_r_u++;
    _q_t_h_a_o=_m_f_l_r_u;
    _m_f_l_r_u++;
    };
    _k_i_a_i_e_w_d_w._y_p = function (){
    let _d_s_p_t_h = 575;
    let _k_r_b_c_h = 382;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h++;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h--;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h++;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h++;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h--;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h++;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h++;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h++;
    _d_s_p_t_h=_k_r_b_c_h;
    _k_r_b_c_h++;
    };
    _k_i_a_i_e_w_d_w._u_i = function (){
    let _b_m_r_k_q = 674;
    let _u_v_o_r_y = 529;
    _b_m_r_k_q=_u_v_o_r_y;
    _u_v_o_r_y++;
    _b_m_r_k_q=_u_v_o_r_y;
    _u_v_o_r_y++;
    _b_m_r_k_q=_u_v_o_r_y;
    _u_v_o_r_y--;
    _b_m_r_k_q=_u_v_o_r_y;
    _u_v_o_r_y--;
    _b_m_r_k_q=_u_v_o_r_y;
    _u_v_o_r_y--;
    _b_m_r_k_q=_u_v_o_r_y;
    _u_v_o_r_y++;
    };
    _k_i_a_i_e_w_d_w._f_q = function (){
    let _q_v_k_g_d = 237;
    let _o_f_l_j_o = 297;
    _q_v_k_g_d=_o_f_l_j_o;
    _o_f_l_j_o++;
    _q_v_k_g_d=_o_f_l_j_o;
    _o_f_l_j_o--;
    _q_v_k_g_d=_o_f_l_j_o;
    _o_f_l_j_o--;
    _q_v_k_g_d=_o_f_l_j_o;
    _o_f_l_j_o++;
    _q_v_k_g_d=_o_f_l_j_o;
    _o_f_l_j_o--;
    };
    _k_i_a_i_e_w_d_w._o_o = function (){
    let _t_k_b_j_d = 502;
    let _r_q_t_u_p = 256;
    _t_k_b_j_d=_r_q_t_u_p;
    _r_q_t_u_p++;
    _t_k_b_j_d=_r_q_t_u_p;
    _r_q_t_u_p++;
    _t_k_b_j_d=_r_q_t_u_p;
    _r_q_t_u_p++;
    _t_k_b_j_d=_r_q_t_u_p;
    _r_q_t_u_p--;
    _t_k_b_j_d=_r_q_t_u_p;
    _r_q_t_u_p--;
    _t_k_b_j_d=_r_q_t_u_p;
    _r_q_t_u_p++;
    };
    _k_i_a_i_e_w_d_w._g_y = function (){
    let _p_q_d_v_h = 800;
    let _u_m_w_u_v = 176;
    _p_q_d_v_h=_u_m_w_u_v;
    _u_m_w_u_v--;
    _p_q_d_v_h=_u_m_w_u_v;
    _u_m_w_u_v++;
    _p_q_d_v_h=_u_m_w_u_v;
    _u_m_w_u_v++;
    _p_q_d_v_h=_u_m_w_u_v;
    _u_m_w_u_v--;
    _p_q_d_v_h=_u_m_w_u_v;
    _u_m_w_u_v++;
    _p_q_d_v_h=_u_m_w_u_v;
    _u_m_w_u_v--;
    _p_q_d_v_h=_u_m_w_u_v;
    _u_m_w_u_v++;
    };//--------aaabbbcccdddeeefffggg
     let _q_x_j_b_s_e_u_l={};
    _q_x_j_b_s_e_u_l.__p=476;
    _q_x_j_b_s_e_u_l.__x=272;
    _q_x_j_b_s_e_u_l.__i=732;
    _q_x_j_b_s_e_u_l.__r=963;
    _q_x_j_b_s_e_u_l.__d=692;
    _q_x_j_b_s_e_u_l.__k=559;
    _q_x_j_b_s_e_u_l.__i=542;
    _q_x_j_b_s_e_u_l.__d=577;
    _q_x_j_b_s_e_u_l.__t=516;
    _q_x_j_b_s_e_u_l.__o=229;
    _q_x_j_b_s_e_u_l.__l=479;
    _q_x_j_b_s_e_u_l.__j=919;
    _q_x_j_b_s_e_u_l.__a=660;
    _q_x_j_b_s_e_u_l.__h=93;
    _q_x_j_b_s_e_u_l.__g=566;
    _q_x_j_b_s_e_u_l.__g=728;
    _q_x_j_b_s_e_u_l.__w=613;
    _q_x_j_b_s_e_u_l.__v=232;
    _q_x_j_b_s_e_u_l.__x=496;
    _q_x_j_b_s_e_u_l.__f=44;
    _q_x_j_b_s_e_u_l.__a=837;
    _q_x_j_b_s_e_u_l.__f=715;
    _q_x_j_b_s_e_u_l.__j=141;
    _q_x_j_b_s_e_u_l.__u=744;
    _q_x_j_b_s_e_u_l.__h=583;
    _q_x_j_b_s_e_u_l.__q=955;
    _q_x_j_b_s_e_u_l.__e=677;
    _q_x_j_b_s_e_u_l.__h=703;
    _q_x_j_b_s_e_u_l.__c=329;
    _q_x_j_b_s_e_u_l.__f=675;
    _q_x_j_b_s_e_u_l.__m=339;
    _q_x_j_b_s_e_u_l.__j=581;
    _q_x_j_b_s_e_u_l.__e=850;
    _q_x_j_b_s_e_u_l.__x=508;
    _q_x_j_b_s_e_u_l.__k=802;
    _q_x_j_b_s_e_u_l.__b=227;
    _q_x_j_b_s_e_u_l.__g=906;
    _q_x_j_b_s_e_u_l.__g=219;
    _q_x_j_b_s_e_u_l.__i=180;
    _q_x_j_b_s_e_u_l.__r=720;
    _q_x_j_b_s_e_u_l.__c=563;
    _q_x_j_b_s_e_u_l.__n=553;
    _q_x_j_b_s_e_u_l.__g=660;
    _q_x_j_b_s_e_u_l.__x=30;
    _q_x_j_b_s_e_u_l.__i=129;
    _q_x_j_b_s_e_u_l.__w=710;
    _q_x_j_b_s_e_u_l.__k=753;
    _q_x_j_b_s_e_u_l.__f=295;
    _q_x_j_b_s_e_u_l.__s=726;
    _q_x_j_b_s_e_u_l.__s=437;
    _q_x_j_b_s_e_u_l.__d=175;
    _q_x_j_b_s_e_u_l.__x=742;
    _q_x_j_b_s_e_u_l.__k=475;
    _q_x_j_b_s_e_u_l.__a=757;
    _q_x_j_b_s_e_u_l.__k=349;
    _q_x_j_b_s_e_u_l.__x=213;
    _q_x_j_b_s_e_u_l.__i=320;
    _q_x_j_b_s_e_u_l.__w=312;
    _q_x_j_b_s_e_u_l.__d=532;
    _q_x_j_b_s_e_u_l.__g=331;
    _q_x_j_b_s_e_u_l.__q=463;
    _q_x_j_b_s_e_u_l.__i=338;
    _q_x_j_b_s_e_u_l.__w=576;
    _q_x_j_b_s_e_u_l.__s=283;
    _q_x_j_b_s_e_u_l.__o=433;
    _q_x_j_b_s_e_u_l.__a=262;
    _q_x_j_b_s_e_u_l.__n=299;
    _q_x_j_b_s_e_u_l.__y=228;
    _q_x_j_b_s_e_u_l.__u=777;
    _q_x_j_b_s_e_u_l.__c=924;
    _q_x_j_b_s_e_u_l.__b=493;
    _q_x_j_b_s_e_u_l.__g=337;
    _q_x_j_b_s_e_u_l.__x=377;
    _q_x_j_b_s_e_u_l.__k=427;
    _q_x_j_b_s_e_u_l.__k=554;
    _q_x_j_b_s_e_u_l.__r=449;
    _q_x_j_b_s_e_u_l.__v=392;
    _q_x_j_b_s_e_u_l.__p=607;
    _q_x_j_b_s_e_u_l.__b=731;
    _q_x_j_b_s_e_u_l.__k=359;
    _q_x_j_b_s_e_u_l.__m=821;
    _q_x_j_b_s_e_u_l.__k=131;
    _q_x_j_b_s_e_u_l.__k=10;
    _q_x_j_b_s_e_u_l.__a=726;
    _q_x_j_b_s_e_u_l.__p=700;
    _q_x_j_b_s_e_u_l.__a=221;
    _q_x_j_b_s_e_u_l.__y=616;
    _q_x_j_b_s_e_u_l.__y=610;
    _q_x_j_b_s_e_u_l.__n=912;
    _q_x_j_b_s_e_u_l.__u=1;
    _q_x_j_b_s_e_u_l.__c=141;
    _q_x_j_b_s_e_u_l.__h=628;
    _q_x_j_b_s_e_u_l.__k=633;
    _q_x_j_b_s_e_u_l.__u=470;
    _q_x_j_b_s_e_u_l.__f=299;
    _q_x_j_b_s_e_u_l.__g=748;
    _q_x_j_b_s_e_u_l.__c=398;
    _q_x_j_b_s_e_u_l.__q=98;
    _q_x_j_b_s_e_u_l.__w=304;
    _q_x_j_b_s_e_u_l.__g=687;
    _q_x_j_b_s_e_u_l.__r=790;
    _q_x_j_b_s_e_u_l.__l=52;
    _q_x_j_b_s_e_u_l.__g=875;
    _q_x_j_b_s_e_u_l.__t=958;
    _q_x_j_b_s_e_u_l.__q=758;
    _q_x_j_b_s_e_u_l.__u=41;
    _q_x_j_b_s_e_u_l.__k=866;
    _q_x_j_b_s_e_u_l.__n=522;
    _q_x_j_b_s_e_u_l.__p=560;
    _q_x_j_b_s_e_u_l.__c=786;
    _q_x_j_b_s_e_u_l.__c=516;
    _q_x_j_b_s_e_u_l.__t=77;
    _q_x_j_b_s_e_u_l.__r=324;
    _q_x_j_b_s_e_u_l.__o=126;
    _q_x_j_b_s_e_u_l.__i=330;
    _q_x_j_b_s_e_u_l.__m=967;
    _q_x_j_b_s_e_u_l.__r=248;
    _q_x_j_b_s_e_u_l.__b=733;
    _q_x_j_b_s_e_u_l.__e=586;
    _q_x_j_b_s_e_u_l.__a=715;
    _q_x_j_b_s_e_u_l.__m=407;
    _q_x_j_b_s_e_u_l.__g=461;
    _q_x_j_b_s_e_u_l.__v=458;
    _q_x_j_b_s_e_u_l.__o=190;
    _q_x_j_b_s_e_u_l.__n=201;
    _q_x_j_b_s_e_u_l.__o=322;
    _q_x_j_b_s_e_u_l.__q=775;
    _q_x_j_b_s_e_u_l.__c=384;
    _q_x_j_b_s_e_u_l.__m=419;
    _q_x_j_b_s_e_u_l.__w=82;
    _q_x_j_b_s_e_u_l.__j=396;
    _q_x_j_b_s_e_u_l.__c=826;
    _q_x_j_b_s_e_u_l.__e=931;
    _q_x_j_b_s_e_u_l.__l=480;
    _q_x_j_b_s_e_u_l.__i=218;
    _q_x_j_b_s_e_u_l.__m=619;
    _q_x_j_b_s_e_u_l.__d=4;
    _q_x_j_b_s_e_u_l.__w=82;
    _q_x_j_b_s_e_u_l.__e=801;
    _q_x_j_b_s_e_u_l.__w=96;
    _q_x_j_b_s_e_u_l.__a=243;
    _q_x_j_b_s_e_u_l.__m=750;
    _q_x_j_b_s_e_u_l.__c=625;
    _q_x_j_b_s_e_u_l.__t=108;
    _q_x_j_b_s_e_u_l.__k=158;
    _q_x_j_b_s_e_u_l.__m=738;
    _q_x_j_b_s_e_u_l.__x=965;
    _q_x_j_b_s_e_u_l.__w=934;
    _q_x_j_b_s_e_u_l.__h=355;
    _q_x_j_b_s_e_u_l.__j=420;
    _q_x_j_b_s_e_u_l.__p=400;
    _q_x_j_b_s_e_u_l.__p=814;
    _q_x_j_b_s_e_u_l.__k=354;
    _q_x_j_b_s_e_u_l.__n=632;
    _q_x_j_b_s_e_u_l.__l=938;
    _q_x_j_b_s_e_u_l.__r=112;
    _q_x_j_b_s_e_u_l.__s=28;
    _q_x_j_b_s_e_u_l.__b=648;
    _q_x_j_b_s_e_u_l.__y=772;
    _q_x_j_b_s_e_u_l.__y=99;
    _q_x_j_b_s_e_u_l.__c=671;
    _q_x_j_b_s_e_u_l.__e=776;
    _q_x_j_b_s_e_u_l.__g=656;
    _q_x_j_b_s_e_u_l.__h=365;
    _q_x_j_b_s_e_u_l.__c=688;
    _q_x_j_b_s_e_u_l.__n=584;
    _q_x_j_b_s_e_u_l.__f=915;
    _q_x_j_b_s_e_u_l.__g=852;
    _q_x_j_b_s_e_u_l.__v=915;
    _q_x_j_b_s_e_u_l.__e=742;
    _q_x_j_b_s_e_u_l.__c=65;
    _q_x_j_b_s_e_u_l.__p=515;
    _q_x_j_b_s_e_u_l.__b=554;
    _q_x_j_b_s_e_u_l.__m=500;
    _q_x_j_b_s_e_u_l.__b=76;
    _q_x_j_b_s_e_u_l.__j=610;
    _q_x_j_b_s_e_u_l.__c=746;
    _q_x_j_b_s_e_u_l.__v=782;
    _q_x_j_b_s_e_u_l.__t=245;
    _q_x_j_b_s_e_u_l.__e=599;
    _q_x_j_b_s_e_u_l.__l=758;
    _q_x_j_b_s_e_u_l.__t=910;
    _q_x_j_b_s_e_u_l.__m=702;
    _q_x_j_b_s_e_u_l.__v=689;
    _q_x_j_b_s_e_u_l.__w=802;
    _q_x_j_b_s_e_u_l.__o=953;
    _q_x_j_b_s_e_u_l.__r=537;
    _q_x_j_b_s_e_u_l.__u=990;
    _q_x_j_b_s_e_u_l.__f=475;
    _q_x_j_b_s_e_u_l.__d=698;
    _q_x_j_b_s_e_u_l.__k=557;
    _q_x_j_b_s_e_u_l.__d=302;
    _q_x_j_b_s_e_u_l.__q=826;
    _q_x_j_b_s_e_u_l.__l=247;
    _q_x_j_b_s_e_u_l.__i=664;
    _q_x_j_b_s_e_u_l.__c=524;
    _q_x_j_b_s_e_u_l.__v=46;
    _q_x_j_b_s_e_u_l.__u=242;
    _q_x_j_b_s_e_u_l.__e=857;
    _q_x_j_b_s_e_u_l.__j=690;
    _q_x_j_b_s_e_u_l.__q=788;
    _q_x_j_b_s_e_u_l.__t=710;
    _q_x_j_b_s_e_u_l.__d=862;
    _q_x_j_b_s_e_u_l.__b=626;
    _q_x_j_b_s_e_u_l.__e=103;
    _q_x_j_b_s_e_u_l.__g=538;
    _q_x_j_b_s_e_u_l.__k=388;
    _q_x_j_b_s_e_u_l.__y=242;
    _q_x_j_b_s_e_u_l.__u=12;
    _q_x_j_b_s_e_u_l.__w=570;
    _q_x_j_b_s_e_u_l.__x=1;
    _q_x_j_b_s_e_u_l.__x=433;
    _q_x_j_b_s_e_u_l.__s=693;
    _q_x_j_b_s_e_u_l.__n=329;
    _q_x_j_b_s_e_u_l.__i=633;
    _q_x_j_b_s_e_u_l.__h=623;
    _q_x_j_b_s_e_u_l.__d=300;
    _q_x_j_b_s_e_u_l.__r=364;
    _q_x_j_b_s_e_u_l.__q=709;
    _q_x_j_b_s_e_u_l.__o=920;
    _q_x_j_b_s_e_u_l.__r=405;
    _q_x_j_b_s_e_u_l.__f=225;
    _q_x_j_b_s_e_u_l.__r=899;
    _q_x_j_b_s_e_u_l.__e=901;
    _q_x_j_b_s_e_u_l.__k=59;
    _q_x_j_b_s_e_u_l.__f=57;
    _q_x_j_b_s_e_u_l.__x=500;
    _q_x_j_b_s_e_u_l.__g=25;
    _q_x_j_b_s_e_u_l.__g=492;
    _q_x_j_b_s_e_u_l.__u=829;
    _q_x_j_b_s_e_u_l.__e=438;
    _q_x_j_b_s_e_u_l.__q=666;
    _q_x_j_b_s_e_u_l.__y=423;
    _q_x_j_b_s_e_u_l.__i=174;
    _q_x_j_b_s_e_u_l.__s=898;
    _q_x_j_b_s_e_u_l.__d=774;
    _q_x_j_b_s_e_u_l.__i=3;
    _q_x_j_b_s_e_u_l.__k=867;
    _q_x_j_b_s_e_u_l.__e=576;
    _q_x_j_b_s_e_u_l.__n=160;
    _q_x_j_b_s_e_u_l.__c=380;
    _q_x_j_b_s_e_u_l.__j=919;
    _q_x_j_b_s_e_u_l.__x=562;
    _q_x_j_b_s_e_u_l.__c=406;
    _q_x_j_b_s_e_u_l.__h=896;
    _q_x_j_b_s_e_u_l.__m=305;
    _q_x_j_b_s_e_u_l.__h=837;
    _q_x_j_b_s_e_u_l._j_s = function (){
    let _s_h_c_k_c = 71;
    let _m_k_e_h_l = 64;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l--;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l--;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l--;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l--;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l--;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l--;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l++;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l++;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l--;
    _s_h_c_k_c=_m_k_e_h_l;
    _m_k_e_h_l--;
    };
    _q_x_j_b_s_e_u_l._p_a = function (){
    let _f_n_n_l_u = 377;
    let _r_c_x_u_u = 273;
    _f_n_n_l_u=_r_c_x_u_u;
    _r_c_x_u_u++;
    _f_n_n_l_u=_r_c_x_u_u;
    _r_c_x_u_u--;
    _f_n_n_l_u=_r_c_x_u_u;
    _r_c_x_u_u++;
    _f_n_n_l_u=_r_c_x_u_u;
    _r_c_x_u_u--;
    _f_n_n_l_u=_r_c_x_u_u;
    _r_c_x_u_u++;
    _f_n_n_l_u=_r_c_x_u_u;
    _r_c_x_u_u++;
    _f_n_n_l_u=_r_c_x_u_u;
    _r_c_x_u_u--;
    _f_n_n_l_u=_r_c_x_u_u;
    _r_c_x_u_u++;
    };
    _q_x_j_b_s_e_u_l._a_x = function (){
    let _m_d_w_s_f = 3;
    let _y_r_p_w_y = 456;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y++;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y--;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y++;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y--;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y--;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y++;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y--;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y--;
    _m_d_w_s_f=_y_r_p_w_y;
    _y_r_p_w_y--;
    };
    _q_x_j_b_s_e_u_l._u_b = function (){
    let _r_f_h_u_j = 443;
    let _k_g_x_q_l = 475;
    _r_f_h_u_j=_k_g_x_q_l;
    _k_g_x_q_l--;
    _r_f_h_u_j=_k_g_x_q_l;
    _k_g_x_q_l--;
    _r_f_h_u_j=_k_g_x_q_l;
    _k_g_x_q_l++;
    _r_f_h_u_j=_k_g_x_q_l;
    _k_g_x_q_l--;
    _r_f_h_u_j=_k_g_x_q_l;
    _k_g_x_q_l++;
    _r_f_h_u_j=_k_g_x_q_l;
    _k_g_x_q_l++;
    _r_f_h_u_j=_k_g_x_q_l;
    _k_g_x_q_l--;
    _r_f_h_u_j=_k_g_x_q_l;
    _k_g_x_q_l++;
    };
    _q_x_j_b_s_e_u_l._p_q = function (){
    let _q_e_v_t_a = 902;
    let _h_b_f_t_g = 451;
    _q_e_v_t_a=_h_b_f_t_g;
    _h_b_f_t_g--;
    _q_e_v_t_a=_h_b_f_t_g;
    _h_b_f_t_g++;
    _q_e_v_t_a=_h_b_f_t_g;
    _h_b_f_t_g++;
    _q_e_v_t_a=_h_b_f_t_g;
    _h_b_f_t_g++;
    _q_e_v_t_a=_h_b_f_t_g;
    _h_b_f_t_g++;
    _q_e_v_t_a=_h_b_f_t_g;
    _h_b_f_t_g--;
    };

    class showAsk extends Laya.Scene {

        constructor() {
            super();
        }

        onEnable() {
            this.width = Laya.stage.width;
            this.height = Laya.stage.height;

            this.zOrder = 999;
            setTimeout(() => {
                this.destroy();
            }, 1000);
        }

        onOpened(str) {
            this.askStr.text = str;
        }

        onDisable() {
        }
    }//--------aaabbbcccdddeeefffggg
     let _d_f_j_k_q_x_j_j={};
    _d_f_j_k_q_x_j_j.__r=194;
    _d_f_j_k_q_x_j_j.__l=421;
    _d_f_j_k_q_x_j_j.__d=123;
    _d_f_j_k_q_x_j_j.__w=525;
    _d_f_j_k_q_x_j_j.__r=800;
    _d_f_j_k_q_x_j_j.__q=952;
    _d_f_j_k_q_x_j_j.__r=378;
    _d_f_j_k_q_x_j_j.__x=6;
    _d_f_j_k_q_x_j_j.__p=782;
    _d_f_j_k_q_x_j_j.__i=794;
    _d_f_j_k_q_x_j_j.__d=197;
    _d_f_j_k_q_x_j_j.__u=928;
    _d_f_j_k_q_x_j_j.__h=605;
    _d_f_j_k_q_x_j_j.__w=589;
    _d_f_j_k_q_x_j_j.__i=645;
    _d_f_j_k_q_x_j_j.__k=500;
    _d_f_j_k_q_x_j_j.__t=573;
    _d_f_j_k_q_x_j_j.__s=820;
    _d_f_j_k_q_x_j_j.__f=606;
    _d_f_j_k_q_x_j_j.__t=510;
    _d_f_j_k_q_x_j_j.__w=435;
    _d_f_j_k_q_x_j_j.__q=188;
    _d_f_j_k_q_x_j_j.__r=185;
    _d_f_j_k_q_x_j_j.__w=12;
    _d_f_j_k_q_x_j_j.__i=601;
    _d_f_j_k_q_x_j_j.__b=618;
    _d_f_j_k_q_x_j_j.__s=748;
    _d_f_j_k_q_x_j_j.__p=647;
    _d_f_j_k_q_x_j_j.__p=994;
    _d_f_j_k_q_x_j_j.__j=889;
    _d_f_j_k_q_x_j_j.__f=578;
    _d_f_j_k_q_x_j_j.__r=581;
    _d_f_j_k_q_x_j_j.__j=519;
    _d_f_j_k_q_x_j_j.__v=883;
    _d_f_j_k_q_x_j_j.__k=167;
    _d_f_j_k_q_x_j_j.__t=71;
    _d_f_j_k_q_x_j_j.__o=166;
    _d_f_j_k_q_x_j_j.__y=468;
    _d_f_j_k_q_x_j_j.__h=118;
    _d_f_j_k_q_x_j_j.__w=659;
    _d_f_j_k_q_x_j_j.__w=725;
    _d_f_j_k_q_x_j_j.__n=3;
    _d_f_j_k_q_x_j_j.__w=687;
    _d_f_j_k_q_x_j_j.__t=989;
    _d_f_j_k_q_x_j_j.__j=142;
    _d_f_j_k_q_x_j_j.__j=461;
    _d_f_j_k_q_x_j_j.__d=937;
    _d_f_j_k_q_x_j_j.__f=243;
    _d_f_j_k_q_x_j_j.__c=485;
    _d_f_j_k_q_x_j_j.__t=190;
    _d_f_j_k_q_x_j_j.__i=528;
    _d_f_j_k_q_x_j_j.__y=214;
    _d_f_j_k_q_x_j_j.__x=546;
    _d_f_j_k_q_x_j_j.__g=288;
    _d_f_j_k_q_x_j_j.__g=127;
    _d_f_j_k_q_x_j_j.__j=992;
    _d_f_j_k_q_x_j_j.__j=61;
    _d_f_j_k_q_x_j_j.__i=605;
    _d_f_j_k_q_x_j_j.__y=440;
    _d_f_j_k_q_x_j_j.__f=286;
    _d_f_j_k_q_x_j_j.__u=557;
    _d_f_j_k_q_x_j_j.__p=378;
    _d_f_j_k_q_x_j_j.__c=873;
    _d_f_j_k_q_x_j_j.__u=360;
    _d_f_j_k_q_x_j_j.__o=831;
    _d_f_j_k_q_x_j_j.__o=479;
    _d_f_j_k_q_x_j_j.__x=819;
    _d_f_j_k_q_x_j_j.__g=601;
    _d_f_j_k_q_x_j_j.__f=37;
    _d_f_j_k_q_x_j_j.__i=297;
    _d_f_j_k_q_x_j_j.__u=568;
    _d_f_j_k_q_x_j_j.__l=713;
    _d_f_j_k_q_x_j_j.__x=420;
    _d_f_j_k_q_x_j_j.__g=241;
    _d_f_j_k_q_x_j_j.__r=839;
    _d_f_j_k_q_x_j_j.__q=531;
    _d_f_j_k_q_x_j_j.__g=654;
    _d_f_j_k_q_x_j_j.__a=869;
    _d_f_j_k_q_x_j_j.__r=946;
    _d_f_j_k_q_x_j_j.__b=462;
    _d_f_j_k_q_x_j_j.__m=821;
    _d_f_j_k_q_x_j_j.__u=643;
    _d_f_j_k_q_x_j_j.__u=575;
    _d_f_j_k_q_x_j_j.__g=552;
    _d_f_j_k_q_x_j_j.__s=7;
    _d_f_j_k_q_x_j_j.__j=304;
    _d_f_j_k_q_x_j_j.__v=202;
    _d_f_j_k_q_x_j_j.__c=180;
    _d_f_j_k_q_x_j_j.__t=522;
    _d_f_j_k_q_x_j_j.__j=881;
    _d_f_j_k_q_x_j_j.__l=124;
    _d_f_j_k_q_x_j_j.__r=369;
    _d_f_j_k_q_x_j_j.__x=753;
    _d_f_j_k_q_x_j_j.__x=319;
    _d_f_j_k_q_x_j_j.__y=120;
    _d_f_j_k_q_x_j_j.__g=733;
    _d_f_j_k_q_x_j_j.__m=630;
    _d_f_j_k_q_x_j_j.__d=729;
    _d_f_j_k_q_x_j_j.__b=737;
    _d_f_j_k_q_x_j_j.__i=41;
    _d_f_j_k_q_x_j_j.__v=729;
    _d_f_j_k_q_x_j_j.__t=270;
    _d_f_j_k_q_x_j_j.__t=197;
    _d_f_j_k_q_x_j_j.__c=405;
    _d_f_j_k_q_x_j_j.__b=993;
    _d_f_j_k_q_x_j_j.__c=653;
    _d_f_j_k_q_x_j_j.__b=938;
    _d_f_j_k_q_x_j_j.__q=104;
    _d_f_j_k_q_x_j_j.__f=80;
    _d_f_j_k_q_x_j_j.__x=269;
    _d_f_j_k_q_x_j_j.__p=768;
    _d_f_j_k_q_x_j_j.__p=18;
    _d_f_j_k_q_x_j_j.__i=333;
    _d_f_j_k_q_x_j_j.__p=944;
    _d_f_j_k_q_x_j_j.__i=653;
    _d_f_j_k_q_x_j_j.__u=699;
    _d_f_j_k_q_x_j_j.__w=382;
    _d_f_j_k_q_x_j_j.__g=315;
    _d_f_j_k_q_x_j_j.__j=129;
    _d_f_j_k_q_x_j_j.__x=60;
    _d_f_j_k_q_x_j_j.__b=364;
    _d_f_j_k_q_x_j_j.__c=839;
    _d_f_j_k_q_x_j_j.__y=333;
    _d_f_j_k_q_x_j_j.__n=694;
    _d_f_j_k_q_x_j_j.__n=769;
    _d_f_j_k_q_x_j_j.__v=416;
    _d_f_j_k_q_x_j_j.__t=667;
    _d_f_j_k_q_x_j_j.__y=812;
    _d_f_j_k_q_x_j_j.__s=918;
    _d_f_j_k_q_x_j_j.__n=649;
    _d_f_j_k_q_x_j_j.__u=79;
    _d_f_j_k_q_x_j_j.__o=813;
    _d_f_j_k_q_x_j_j.__g=54;
    _d_f_j_k_q_x_j_j.__v=716;
    _d_f_j_k_q_x_j_j.__d=978;
    _d_f_j_k_q_x_j_j.__y=471;
    _d_f_j_k_q_x_j_j.__b=72;
    _d_f_j_k_q_x_j_j.__g=880;
    _d_f_j_k_q_x_j_j.__c=766;
    _d_f_j_k_q_x_j_j.__i=756;
    _d_f_j_k_q_x_j_j.__f=859;
    _d_f_j_k_q_x_j_j.__v=615;
    _d_f_j_k_q_x_j_j.__b=1000;
    _d_f_j_k_q_x_j_j.__c=272;
    _d_f_j_k_q_x_j_j.__n=273;
    _d_f_j_k_q_x_j_j.__l=362;
    _d_f_j_k_q_x_j_j.__d=173;
    _d_f_j_k_q_x_j_j.__l=327;
    _d_f_j_k_q_x_j_j.__h=737;
    _d_f_j_k_q_x_j_j.__t=903;
    _d_f_j_k_q_x_j_j.__a=131;
    _d_f_j_k_q_x_j_j.__f=620;
    _d_f_j_k_q_x_j_j.__h=462;
    _d_f_j_k_q_x_j_j.__u=371;
    _d_f_j_k_q_x_j_j.__w=101;
    _d_f_j_k_q_x_j_j.__q=560;
    _d_f_j_k_q_x_j_j.__s=296;
    _d_f_j_k_q_x_j_j.__h=875;
    _d_f_j_k_q_x_j_j.__t=358;
    _d_f_j_k_q_x_j_j.__k=208;
    _d_f_j_k_q_x_j_j.__n=197;
    _d_f_j_k_q_x_j_j.__f=757;
    _d_f_j_k_q_x_j_j.__o=503;
    _d_f_j_k_q_x_j_j.__a=841;
    _d_f_j_k_q_x_j_j.__o=329;
    _d_f_j_k_q_x_j_j.__p=465;
    _d_f_j_k_q_x_j_j.__l=380;
    _d_f_j_k_q_x_j_j.__p=147;
    _d_f_j_k_q_x_j_j.__e=783;
    _d_f_j_k_q_x_j_j.__h=65;
    _d_f_j_k_q_x_j_j.__i=607;
    _d_f_j_k_q_x_j_j.__w=36;
    _d_f_j_k_q_x_j_j.__n=932;
    _d_f_j_k_q_x_j_j.__w=363;
    _d_f_j_k_q_x_j_j.__q=736;
    _d_f_j_k_q_x_j_j.__g=87;
    _d_f_j_k_q_x_j_j.__n=393;
    _d_f_j_k_q_x_j_j.__a=664;
    _d_f_j_k_q_x_j_j.__w=42;
    _d_f_j_k_q_x_j_j.__m=612;
    _d_f_j_k_q_x_j_j.__m=634;
    _d_f_j_k_q_x_j_j.__e=146;
    _d_f_j_k_q_x_j_j.__m=926;
    _d_f_j_k_q_x_j_j.__u=346;
    _d_f_j_k_q_x_j_j.__a=193;
    _d_f_j_k_q_x_j_j.__k=870;
    _d_f_j_k_q_x_j_j.__a=960;
    _d_f_j_k_q_x_j_j.__j=766;
    _d_f_j_k_q_x_j_j.__d=523;
    _d_f_j_k_q_x_j_j.__q=401;
    _d_f_j_k_q_x_j_j.__y=539;
    _d_f_j_k_q_x_j_j.__o=32;
    _d_f_j_k_q_x_j_j.__m=470;
    _d_f_j_k_q_x_j_j.__f=70;
    _d_f_j_k_q_x_j_j.__i=168;
    _d_f_j_k_q_x_j_j.__c=550;
    _d_f_j_k_q_x_j_j.__o=366;
    _d_f_j_k_q_x_j_j.__p=848;
    _d_f_j_k_q_x_j_j.__r=375;
    _d_f_j_k_q_x_j_j.__e=169;
    _d_f_j_k_q_x_j_j.__f=754;
    _d_f_j_k_q_x_j_j.__i=850;
    _d_f_j_k_q_x_j_j.__w=243;
    _d_f_j_k_q_x_j_j.__a=992;
    _d_f_j_k_q_x_j_j.__b=736;
    _d_f_j_k_q_x_j_j.__u=467;
    _d_f_j_k_q_x_j_j.__n=574;
    _d_f_j_k_q_x_j_j.__g=823;
    _d_f_j_k_q_x_j_j.__g=944;
    _d_f_j_k_q_x_j_j.__o=118;
    _d_f_j_k_q_x_j_j.__t=667;
    _d_f_j_k_q_x_j_j.__r=226;
    _d_f_j_k_q_x_j_j.__k=140;
    _d_f_j_k_q_x_j_j.__h=626;
    _d_f_j_k_q_x_j_j.__d=737;
    _d_f_j_k_q_x_j_j.__y=224;
    _d_f_j_k_q_x_j_j.__g=435;
    _d_f_j_k_q_x_j_j.__h=227;
    _d_f_j_k_q_x_j_j.__q=945;
    _d_f_j_k_q_x_j_j.__p=611;
    _d_f_j_k_q_x_j_j.__v=140;
    _d_f_j_k_q_x_j_j.__w=198;
    _d_f_j_k_q_x_j_j.__r=56;
    _d_f_j_k_q_x_j_j.__v=895;
    _d_f_j_k_q_x_j_j.__u=238;
    _d_f_j_k_q_x_j_j.__a=106;
    _d_f_j_k_q_x_j_j.__n=731;
    _d_f_j_k_q_x_j_j.__w=863;
    _d_f_j_k_q_x_j_j.__n=481;
    _d_f_j_k_q_x_j_j.__x=694;
    _d_f_j_k_q_x_j_j.__l=432;
    _d_f_j_k_q_x_j_j.__f=774;
    _d_f_j_k_q_x_j_j.__m=111;
    _d_f_j_k_q_x_j_j.__a=379;
    _d_f_j_k_q_x_j_j.__i=959;
    _d_f_j_k_q_x_j_j.__t=175;
    _d_f_j_k_q_x_j_j.__d=212;
    _d_f_j_k_q_x_j_j.__s=384;
    _d_f_j_k_q_x_j_j.__i=607;
    _d_f_j_k_q_x_j_j.__u=341;
    _d_f_j_k_q_x_j_j.__d=680;
    _d_f_j_k_q_x_j_j.__v=491;
    _d_f_j_k_q_x_j_j.__m=958;
    _d_f_j_k_q_x_j_j.__g=343;
    _d_f_j_k_q_x_j_j.__n=818;
    _d_f_j_k_q_x_j_j.__l=422;
    _d_f_j_k_q_x_j_j.__r=284;
    _d_f_j_k_q_x_j_j.__p=740;
    _d_f_j_k_q_x_j_j.__n=564;
    _d_f_j_k_q_x_j_j.__h=837;
    _d_f_j_k_q_x_j_j.__p=587;
    _d_f_j_k_q_x_j_j.__u=893;
    _d_f_j_k_q_x_j_j.__m=336;
    _d_f_j_k_q_x_j_j.__l=972;
    _d_f_j_k_q_x_j_j.__v=255;
    _d_f_j_k_q_x_j_j.__h=909;
    _d_f_j_k_q_x_j_j.__e=504;
    _d_f_j_k_q_x_j_j._w_c = function (){
    let _y_f_c_m_c = 823;
    let _i_q_n_t_r = 482;
    _y_f_c_m_c=_i_q_n_t_r;
    _i_q_n_t_r--;
    _y_f_c_m_c=_i_q_n_t_r;
    _i_q_n_t_r--;
    _y_f_c_m_c=_i_q_n_t_r;
    _i_q_n_t_r++;
    _y_f_c_m_c=_i_q_n_t_r;
    _i_q_n_t_r++;
    _y_f_c_m_c=_i_q_n_t_r;
    _i_q_n_t_r++;
    _y_f_c_m_c=_i_q_n_t_r;
    _i_q_n_t_r++;
    _y_f_c_m_c=_i_q_n_t_r;
    _i_q_n_t_r++;
    };
    _d_f_j_k_q_x_j_j._t_j = function (){
    let _e_k_e_a_a = 56;
    let _v_d_b_g_i = 638;
    _e_k_e_a_a=_v_d_b_g_i;
    _v_d_b_g_i++;
    _e_k_e_a_a=_v_d_b_g_i;
    _v_d_b_g_i++;
    _e_k_e_a_a=_v_d_b_g_i;
    _v_d_b_g_i--;
    _e_k_e_a_a=_v_d_b_g_i;
    _v_d_b_g_i--;
    _e_k_e_a_a=_v_d_b_g_i;
    _v_d_b_g_i--;
    };
    _d_f_j_k_q_x_j_j._t_b = function (){
    let _x_l_u_o_h = 225;
    let _w_v_w_d_t = 928;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t--;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    _x_l_u_o_h=_w_v_w_d_t;
    _w_v_w_d_t++;
    };
    _d_f_j_k_q_x_j_j._h_m = function (){
    let _r_f_o_u_c = 736;
    let _n_e_k_y_f = 599;
    _r_f_o_u_c=_n_e_k_y_f;
    _n_e_k_y_f--;
    _r_f_o_u_c=_n_e_k_y_f;
    _n_e_k_y_f--;
    _r_f_o_u_c=_n_e_k_y_f;
    _n_e_k_y_f++;
    _r_f_o_u_c=_n_e_k_y_f;
    _n_e_k_y_f++;
    _r_f_o_u_c=_n_e_k_y_f;
    _n_e_k_y_f--;
    _r_f_o_u_c=_n_e_k_y_f;
    _n_e_k_y_f++;
    _r_f_o_u_c=_n_e_k_y_f;
    _n_e_k_y_f++;
    _r_f_o_u_c=_n_e_k_y_f;
    _n_e_k_y_f++;
    };
    _d_f_j_k_q_x_j_j._d_b = function (){
    let _j_f_d_o_t = 542;
    let _q_h_h_v_l = 782;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l--;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l++;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l--;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l--;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l++;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l--;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l++;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l++;
    _j_f_d_o_t=_q_h_h_v_l;
    _q_h_h_v_l--;
    };
    _d_f_j_k_q_x_j_j._l_d = function (){
    let _k_s_q_t_l = 710;
    let _o_u_i_d_a = 230;
    _k_s_q_t_l=_o_u_i_d_a;
    _o_u_i_d_a++;
    _k_s_q_t_l=_o_u_i_d_a;
    _o_u_i_d_a++;
    _k_s_q_t_l=_o_u_i_d_a;
    _o_u_i_d_a--;
    _k_s_q_t_l=_o_u_i_d_a;
    _o_u_i_d_a--;
    _k_s_q_t_l=_o_u_i_d_a;
    _o_u_i_d_a++;
    _k_s_q_t_l=_o_u_i_d_a;
    _o_u_i_d_a++;
    _k_s_q_t_l=_o_u_i_d_a;
    _o_u_i_d_a++;
    };
    _d_f_j_k_q_x_j_j._u_y = function (){
    let _m_x_d_g_m = 666;
    let _i_b_w_e_b = 567;
    _m_x_d_g_m=_i_b_w_e_b;
    _i_b_w_e_b++;
    _m_x_d_g_m=_i_b_w_e_b;
    _i_b_w_e_b--;
    _m_x_d_g_m=_i_b_w_e_b;
    _i_b_w_e_b--;
    _m_x_d_g_m=_i_b_w_e_b;
    _i_b_w_e_b--;
    _m_x_d_g_m=_i_b_w_e_b;
    _i_b_w_e_b++;
    _m_x_d_g_m=_i_b_w_e_b;
    _i_b_w_e_b++;
    };
    _d_f_j_k_q_x_j_j._d_a = function (){
    let _h_f_k_u_x = 47;
    let _n_a_o_a_w = 167;
    _h_f_k_u_x=_n_a_o_a_w;
    _n_a_o_a_w--;
    _h_f_k_u_x=_n_a_o_a_w;
    _n_a_o_a_w++;
    _h_f_k_u_x=_n_a_o_a_w;
    _n_a_o_a_w++;
    _h_f_k_u_x=_n_a_o_a_w;
    _n_a_o_a_w--;
    _h_f_k_u_x=_n_a_o_a_w;
    _n_a_o_a_w++;
    };//--------aaabbbcccdddeeefffggg
     let _q_v_y_f_i_t_p_q={};
    _q_v_y_f_i_t_p_q.__x=623;
    _q_v_y_f_i_t_p_q.__m=223;
    _q_v_y_f_i_t_p_q.__l=751;
    _q_v_y_f_i_t_p_q.__m=893;
    _q_v_y_f_i_t_p_q.__d=425;
    _q_v_y_f_i_t_p_q.__d=975;
    _q_v_y_f_i_t_p_q.__t=313;
    _q_v_y_f_i_t_p_q.__o=686;
    _q_v_y_f_i_t_p_q.__n=353;
    _q_v_y_f_i_t_p_q.__h=270;
    _q_v_y_f_i_t_p_q.__h=915;
    _q_v_y_f_i_t_p_q.__f=683;
    _q_v_y_f_i_t_p_q.__x=244;
    _q_v_y_f_i_t_p_q.__v=834;
    _q_v_y_f_i_t_p_q.__n=842;
    _q_v_y_f_i_t_p_q.__x=271;
    _q_v_y_f_i_t_p_q.__n=946;
    _q_v_y_f_i_t_p_q.__p=739;
    _q_v_y_f_i_t_p_q.__d=758;
    _q_v_y_f_i_t_p_q.__h=502;
    _q_v_y_f_i_t_p_q.__n=586;
    _q_v_y_f_i_t_p_q.__u=833;
    _q_v_y_f_i_t_p_q.__l=541;
    _q_v_y_f_i_t_p_q.__f=592;
    _q_v_y_f_i_t_p_q.__u=967;
    _q_v_y_f_i_t_p_q.__s=286;
    _q_v_y_f_i_t_p_q.__d=237;
    _q_v_y_f_i_t_p_q.__h=524;
    _q_v_y_f_i_t_p_q.__b=88;
    _q_v_y_f_i_t_p_q.__c=268;
    _q_v_y_f_i_t_p_q.__v=143;
    _q_v_y_f_i_t_p_q.__n=794;
    _q_v_y_f_i_t_p_q.__n=783;
    _q_v_y_f_i_t_p_q.__j=753;
    _q_v_y_f_i_t_p_q.__a=14;
    _q_v_y_f_i_t_p_q.__q=269;
    _q_v_y_f_i_t_p_q.__o=498;
    _q_v_y_f_i_t_p_q.__h=439;
    _q_v_y_f_i_t_p_q.__x=395;
    _q_v_y_f_i_t_p_q.__d=180;
    _q_v_y_f_i_t_p_q.__l=180;
    _q_v_y_f_i_t_p_q.__e=801;
    _q_v_y_f_i_t_p_q.__v=80;
    _q_v_y_f_i_t_p_q.__u=229;
    _q_v_y_f_i_t_p_q.__g=301;
    _q_v_y_f_i_t_p_q.__v=270;
    _q_v_y_f_i_t_p_q.__d=690;
    _q_v_y_f_i_t_p_q.__e=836;
    _q_v_y_f_i_t_p_q.__a=997;
    _q_v_y_f_i_t_p_q.__l=528;
    _q_v_y_f_i_t_p_q.__o=384;
    _q_v_y_f_i_t_p_q.__h=492;
    _q_v_y_f_i_t_p_q.__o=344;
    _q_v_y_f_i_t_p_q.__f=939;
    _q_v_y_f_i_t_p_q.__a=687;
    _q_v_y_f_i_t_p_q.__d=256;
    _q_v_y_f_i_t_p_q.__i=745;
    _q_v_y_f_i_t_p_q.__p=96;
    _q_v_y_f_i_t_p_q.__u=452;
    _q_v_y_f_i_t_p_q.__x=364;
    _q_v_y_f_i_t_p_q.__f=458;
    _q_v_y_f_i_t_p_q.__r=500;
    _q_v_y_f_i_t_p_q.__p=937;
    _q_v_y_f_i_t_p_q.__t=968;
    _q_v_y_f_i_t_p_q.__m=233;
    _q_v_y_f_i_t_p_q.__d=358;
    _q_v_y_f_i_t_p_q.__e=16;
    _q_v_y_f_i_t_p_q.__y=1000;
    _q_v_y_f_i_t_p_q.__i=88;
    _q_v_y_f_i_t_p_q.__x=509;
    _q_v_y_f_i_t_p_q.__j=509;
    _q_v_y_f_i_t_p_q.__g=158;
    _q_v_y_f_i_t_p_q.__q=196;
    _q_v_y_f_i_t_p_q.__r=479;
    _q_v_y_f_i_t_p_q.__h=639;
    _q_v_y_f_i_t_p_q.__c=23;
    _q_v_y_f_i_t_p_q.__u=913;
    _q_v_y_f_i_t_p_q.__s=651;
    _q_v_y_f_i_t_p_q.__l=616;
    _q_v_y_f_i_t_p_q.__i=294;
    _q_v_y_f_i_t_p_q.__y=916;
    _q_v_y_f_i_t_p_q.__k=567;
    _q_v_y_f_i_t_p_q.__c=339;
    _q_v_y_f_i_t_p_q.__r=153;
    _q_v_y_f_i_t_p_q.__b=475;
    _q_v_y_f_i_t_p_q.__l=359;
    _q_v_y_f_i_t_p_q.__r=236;
    _q_v_y_f_i_t_p_q.__n=753;
    _q_v_y_f_i_t_p_q.__b=849;
    _q_v_y_f_i_t_p_q.__t=292;
    _q_v_y_f_i_t_p_q.__p=213;
    _q_v_y_f_i_t_p_q.__u=832;
    _q_v_y_f_i_t_p_q.__k=802;
    _q_v_y_f_i_t_p_q.__w=446;
    _q_v_y_f_i_t_p_q.__t=742;
    _q_v_y_f_i_t_p_q.__c=447;
    _q_v_y_f_i_t_p_q.__t=250;
    _q_v_y_f_i_t_p_q.__x=514;
    _q_v_y_f_i_t_p_q.__m=64;
    _q_v_y_f_i_t_p_q.__n=844;
    _q_v_y_f_i_t_p_q.__g=32;
    _q_v_y_f_i_t_p_q.__m=727;
    _q_v_y_f_i_t_p_q.__l=523;
    _q_v_y_f_i_t_p_q.__h=443;
    _q_v_y_f_i_t_p_q.__p=800;
    _q_v_y_f_i_t_p_q.__t=907;
    _q_v_y_f_i_t_p_q.__v=24;
    _q_v_y_f_i_t_p_q.__u=948;
    _q_v_y_f_i_t_p_q.__v=42;
    _q_v_y_f_i_t_p_q.__o=641;
    _q_v_y_f_i_t_p_q.__n=612;
    _q_v_y_f_i_t_p_q.__k=592;
    _q_v_y_f_i_t_p_q.__q=225;
    _q_v_y_f_i_t_p_q.__y=585;
    _q_v_y_f_i_t_p_q.__m=181;
    _q_v_y_f_i_t_p_q.__u=496;
    _q_v_y_f_i_t_p_q.__x=67;
    _q_v_y_f_i_t_p_q.__i=884;
    _q_v_y_f_i_t_p_q.__d=308;
    _q_v_y_f_i_t_p_q.__x=156;
    _q_v_y_f_i_t_p_q.__s=928;
    _q_v_y_f_i_t_p_q.__h=727;
    _q_v_y_f_i_t_p_q.__a=204;
    _q_v_y_f_i_t_p_q.__x=61;
    _q_v_y_f_i_t_p_q.__i=332;
    _q_v_y_f_i_t_p_q.__a=23;
    _q_v_y_f_i_t_p_q.__q=803;
    _q_v_y_f_i_t_p_q.__t=427;
    _q_v_y_f_i_t_p_q.__s=610;
    _q_v_y_f_i_t_p_q.__m=200;
    _q_v_y_f_i_t_p_q.__b=964;
    _q_v_y_f_i_t_p_q.__x=63;
    _q_v_y_f_i_t_p_q.__l=670;
    _q_v_y_f_i_t_p_q.__a=132;
    _q_v_y_f_i_t_p_q.__b=807;
    _q_v_y_f_i_t_p_q.__d=356;
    _q_v_y_f_i_t_p_q.__j=893;
    _q_v_y_f_i_t_p_q.__p=187;
    _q_v_y_f_i_t_p_q.__d=166;
    _q_v_y_f_i_t_p_q.__d=390;
    _q_v_y_f_i_t_p_q.__i=151;
    _q_v_y_f_i_t_p_q.__y=409;
    _q_v_y_f_i_t_p_q.__w=173;
    _q_v_y_f_i_t_p_q.__w=179;
    _q_v_y_f_i_t_p_q.__p=953;
    _q_v_y_f_i_t_p_q._u_c = function (){
    let _m_a_q_r_c = 721;
    let _u_l_n_p_a = 135;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    _m_a_q_r_c=_u_l_n_p_a;
    _u_l_n_p_a++;
    };
    _q_v_y_f_i_t_p_q._x_v = function (){
    let _p_h_o_x_w = 838;
    let _j_a_f_k_s = 919;
    _p_h_o_x_w=_j_a_f_k_s;
    _j_a_f_k_s--;
    _p_h_o_x_w=_j_a_f_k_s;
    _j_a_f_k_s++;
    _p_h_o_x_w=_j_a_f_k_s;
    _j_a_f_k_s--;
    _p_h_o_x_w=_j_a_f_k_s;
    _j_a_f_k_s--;
    _p_h_o_x_w=_j_a_f_k_s;
    _j_a_f_k_s++;
    _p_h_o_x_w=_j_a_f_k_s;
    _j_a_f_k_s--;
    _p_h_o_x_w=_j_a_f_k_s;
    _j_a_f_k_s++;
    _p_h_o_x_w=_j_a_f_k_s;
    _j_a_f_k_s--;
    };
    _q_v_y_f_i_t_p_q._x_j = function (){
    let _t_f_n_f_b = 100;
    let _p_l_h_v_y = 622;
    _t_f_n_f_b=_p_l_h_v_y;
    _p_l_h_v_y--;
    _t_f_n_f_b=_p_l_h_v_y;
    _p_l_h_v_y++;
    _t_f_n_f_b=_p_l_h_v_y;
    _p_l_h_v_y++;
    _t_f_n_f_b=_p_l_h_v_y;
    _p_l_h_v_y--;
    _t_f_n_f_b=_p_l_h_v_y;
    _p_l_h_v_y--;
    _t_f_n_f_b=_p_l_h_v_y;
    _p_l_h_v_y++;
    _t_f_n_f_b=_p_l_h_v_y;
    _p_l_h_v_y--;
    };
    _q_v_y_f_i_t_p_q._m_k = function (){
    let _h_y_c_l_s = 5;
    let _c_y_f_x_c = 845;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c++;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c--;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c--;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c--;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c++;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c--;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c++;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c--;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c++;
    _h_y_c_l_s=_c_y_f_x_c;
    _c_y_f_x_c++;
    };
    _q_v_y_f_i_t_p_q._x_o = function (){
    let _b_a_d_g_v = 860;
    let _f_e_s_d_k = 960;
    _b_a_d_g_v=_f_e_s_d_k;
    _f_e_s_d_k++;
    _b_a_d_g_v=_f_e_s_d_k;
    _f_e_s_d_k--;
    _b_a_d_g_v=_f_e_s_d_k;
    _f_e_s_d_k--;
    _b_a_d_g_v=_f_e_s_d_k;
    _f_e_s_d_k--;
    _b_a_d_g_v=_f_e_s_d_k;
    _f_e_s_d_k++;
    _b_a_d_g_v=_f_e_s_d_k;
    _f_e_s_d_k++;
    _b_a_d_g_v=_f_e_s_d_k;
    _f_e_s_d_k++;
    _b_a_d_g_v=_f_e_s_d_k;
    _f_e_s_d_k--;
    };//--------aaabbbcccdddeeefffggg
     let _r_e_x_q_m_s_l_n={};
    _r_e_x_q_m_s_l_n.__p=799;
    _r_e_x_q_m_s_l_n.__e=852;
    _r_e_x_q_m_s_l_n.__g=708;
    _r_e_x_q_m_s_l_n.__q=597;
    _r_e_x_q_m_s_l_n.__x=433;
    _r_e_x_q_m_s_l_n.__r=371;
    _r_e_x_q_m_s_l_n.__k=280;
    _r_e_x_q_m_s_l_n.__i=623;
    _r_e_x_q_m_s_l_n.__b=449;
    _r_e_x_q_m_s_l_n.__o=594;
    _r_e_x_q_m_s_l_n.__r=172;
    _r_e_x_q_m_s_l_n.__u=847;
    _r_e_x_q_m_s_l_n.__g=695;
    _r_e_x_q_m_s_l_n.__h=329;
    _r_e_x_q_m_s_l_n.__n=127;
    _r_e_x_q_m_s_l_n.__p=262;
    _r_e_x_q_m_s_l_n.__r=687;
    _r_e_x_q_m_s_l_n.__x=633;
    _r_e_x_q_m_s_l_n.__a=387;
    _r_e_x_q_m_s_l_n.__j=577;
    _r_e_x_q_m_s_l_n.__v=674;
    _r_e_x_q_m_s_l_n.__x=411;
    _r_e_x_q_m_s_l_n.__n=69;
    _r_e_x_q_m_s_l_n.__u=633;
    _r_e_x_q_m_s_l_n.__o=330;
    _r_e_x_q_m_s_l_n.__d=637;
    _r_e_x_q_m_s_l_n.__s=170;
    _r_e_x_q_m_s_l_n.__q=439;
    _r_e_x_q_m_s_l_n.__t=68;
    _r_e_x_q_m_s_l_n.__s=202;
    _r_e_x_q_m_s_l_n.__e=194;
    _r_e_x_q_m_s_l_n.__o=826;
    _r_e_x_q_m_s_l_n.__m=985;
    _r_e_x_q_m_s_l_n.__o=390;
    _r_e_x_q_m_s_l_n.__x=408;
    _r_e_x_q_m_s_l_n.__s=738;
    _r_e_x_q_m_s_l_n.__c=427;
    _r_e_x_q_m_s_l_n.__i=970;
    _r_e_x_q_m_s_l_n.__f=721;
    _r_e_x_q_m_s_l_n.__x=140;
    _r_e_x_q_m_s_l_n.__n=178;
    _r_e_x_q_m_s_l_n.__a=924;
    _r_e_x_q_m_s_l_n.__e=187;
    _r_e_x_q_m_s_l_n.__e=554;
    _r_e_x_q_m_s_l_n.__q=280;
    _r_e_x_q_m_s_l_n.__l=790;
    _r_e_x_q_m_s_l_n.__y=133;
    _r_e_x_q_m_s_l_n.__g=216;
    _r_e_x_q_m_s_l_n.__v=473;
    _r_e_x_q_m_s_l_n.__a=638;
    _r_e_x_q_m_s_l_n.__s=915;
    _r_e_x_q_m_s_l_n.__n=866;
    _r_e_x_q_m_s_l_n.__n=260;
    _r_e_x_q_m_s_l_n.__l=666;
    _r_e_x_q_m_s_l_n.__w=294;
    _r_e_x_q_m_s_l_n.__s=155;
    _r_e_x_q_m_s_l_n.__d=602;
    _r_e_x_q_m_s_l_n.__q=425;
    _r_e_x_q_m_s_l_n.__l=445;
    _r_e_x_q_m_s_l_n.__a=680;
    _r_e_x_q_m_s_l_n.__s=228;
    _r_e_x_q_m_s_l_n.__a=662;
    _r_e_x_q_m_s_l_n.__j=580;
    _r_e_x_q_m_s_l_n.__a=647;
    _r_e_x_q_m_s_l_n.__j=586;
    _r_e_x_q_m_s_l_n.__f=798;
    _r_e_x_q_m_s_l_n.__i=206;
    _r_e_x_q_m_s_l_n.__d=152;
    _r_e_x_q_m_s_l_n.__v=399;
    _r_e_x_q_m_s_l_n.__u=22;
    _r_e_x_q_m_s_l_n.__f=1;
    _r_e_x_q_m_s_l_n.__v=96;
    _r_e_x_q_m_s_l_n.__j=865;
    _r_e_x_q_m_s_l_n.__o=15;
    _r_e_x_q_m_s_l_n.__d=321;
    _r_e_x_q_m_s_l_n.__h=714;
    _r_e_x_q_m_s_l_n.__p=466;
    _r_e_x_q_m_s_l_n.__a=297;
    _r_e_x_q_m_s_l_n.__h=326;
    _r_e_x_q_m_s_l_n.__s=741;
    _r_e_x_q_m_s_l_n.__l=417;
    _r_e_x_q_m_s_l_n.__c=200;
    _r_e_x_q_m_s_l_n.__b=737;
    _r_e_x_q_m_s_l_n.__k=195;
    _r_e_x_q_m_s_l_n.__m=725;
    _r_e_x_q_m_s_l_n.__a=468;
    _r_e_x_q_m_s_l_n.__e=210;
    _r_e_x_q_m_s_l_n.__l=787;
    _r_e_x_q_m_s_l_n.__a=887;
    _r_e_x_q_m_s_l_n.__e=475;
    _r_e_x_q_m_s_l_n.__e=347;
    _r_e_x_q_m_s_l_n.__q=955;
    _r_e_x_q_m_s_l_n.__o=202;
    _r_e_x_q_m_s_l_n.__b=76;
    _r_e_x_q_m_s_l_n.__t=318;
    _r_e_x_q_m_s_l_n.__t=525;
    _r_e_x_q_m_s_l_n.__g=713;
    _r_e_x_q_m_s_l_n.__s=79;
    _r_e_x_q_m_s_l_n.__k=119;
    _r_e_x_q_m_s_l_n.__u=999;
    _r_e_x_q_m_s_l_n.__s=775;
    _r_e_x_q_m_s_l_n.__t=341;
    _r_e_x_q_m_s_l_n.__y=449;
    _r_e_x_q_m_s_l_n.__d=460;
    _r_e_x_q_m_s_l_n.__p=246;
    _r_e_x_q_m_s_l_n.__y=494;
    _r_e_x_q_m_s_l_n.__s=215;
    _r_e_x_q_m_s_l_n.__f=111;
    _r_e_x_q_m_s_l_n.__s=301;
    _r_e_x_q_m_s_l_n.__v=290;
    _r_e_x_q_m_s_l_n.__f=661;
    _r_e_x_q_m_s_l_n.__d=433;
    _r_e_x_q_m_s_l_n.__r=879;
    _r_e_x_q_m_s_l_n.__c=574;
    _r_e_x_q_m_s_l_n.__f=121;
    _r_e_x_q_m_s_l_n.__f=973;
    _r_e_x_q_m_s_l_n.__o=742;
    _r_e_x_q_m_s_l_n.__r=882;
    _r_e_x_q_m_s_l_n.__d=398;
    _r_e_x_q_m_s_l_n.__e=751;
    _r_e_x_q_m_s_l_n.__o=173;
    _r_e_x_q_m_s_l_n.__p=665;
    _r_e_x_q_m_s_l_n.__h=769;
    _r_e_x_q_m_s_l_n.__t=295;
    _r_e_x_q_m_s_l_n.__c=287;
    _r_e_x_q_m_s_l_n.__a=134;
    _r_e_x_q_m_s_l_n.__g=614;
    _r_e_x_q_m_s_l_n.__f=306;
    _r_e_x_q_m_s_l_n.__o=976;
    _r_e_x_q_m_s_l_n.__h=733;
    _r_e_x_q_m_s_l_n.__p=666;
    _r_e_x_q_m_s_l_n.__e=935;
    _r_e_x_q_m_s_l_n.__t=477;
    _r_e_x_q_m_s_l_n.__m=241;
    _r_e_x_q_m_s_l_n.__m=896;
    _r_e_x_q_m_s_l_n.__g=703;
    _r_e_x_q_m_s_l_n.__x=557;
    _r_e_x_q_m_s_l_n.__p=489;
    _r_e_x_q_m_s_l_n.__o=13;
    _r_e_x_q_m_s_l_n.__n=28;
    _r_e_x_q_m_s_l_n.__g=335;
    _r_e_x_q_m_s_l_n.__h=709;
    _r_e_x_q_m_s_l_n.__w=593;
    _r_e_x_q_m_s_l_n.__b=388;
    _r_e_x_q_m_s_l_n.__i=722;
    _r_e_x_q_m_s_l_n.__k=510;
    _r_e_x_q_m_s_l_n.__y=834;
    _r_e_x_q_m_s_l_n.__q=108;
    _r_e_x_q_m_s_l_n.__x=486;
    _r_e_x_q_m_s_l_n.__w=473;
    _r_e_x_q_m_s_l_n.__d=937;
    _r_e_x_q_m_s_l_n.__r=767;
    _r_e_x_q_m_s_l_n.__p=944;
    _r_e_x_q_m_s_l_n.__p=371;
    _r_e_x_q_m_s_l_n.__q=103;
    _r_e_x_q_m_s_l_n.__h=235;
    _r_e_x_q_m_s_l_n.__s=282;
    _r_e_x_q_m_s_l_n.__l=24;
    _r_e_x_q_m_s_l_n.__h=171;
    _r_e_x_q_m_s_l_n.__f=334;
    _r_e_x_q_m_s_l_n.__i=489;
    _r_e_x_q_m_s_l_n.__p=764;
    _r_e_x_q_m_s_l_n.__a=863;
    _r_e_x_q_m_s_l_n.__e=120;
    _r_e_x_q_m_s_l_n.__l=930;
    _r_e_x_q_m_s_l_n.__r=538;
    _r_e_x_q_m_s_l_n.__k=672;
    _r_e_x_q_m_s_l_n.__g=797;
    _r_e_x_q_m_s_l_n.__i=535;
    _r_e_x_q_m_s_l_n.__f=626;
    _r_e_x_q_m_s_l_n.__t=356;
    _r_e_x_q_m_s_l_n.__i=249;
    _r_e_x_q_m_s_l_n.__s=616;
    _r_e_x_q_m_s_l_n.__g=993;
    _r_e_x_q_m_s_l_n.__a=76;
    _r_e_x_q_m_s_l_n.__r=202;
    _r_e_x_q_m_s_l_n.__o=306;
    _r_e_x_q_m_s_l_n.__a=261;
    _r_e_x_q_m_s_l_n.__p=145;
    _r_e_x_q_m_s_l_n.__v=8;
    _r_e_x_q_m_s_l_n.__l=629;
    _r_e_x_q_m_s_l_n.__p=303;
    _r_e_x_q_m_s_l_n.__x=407;
    _r_e_x_q_m_s_l_n.__h=56;
    _r_e_x_q_m_s_l_n.__n=188;
    _r_e_x_q_m_s_l_n.__d=471;
    _r_e_x_q_m_s_l_n.__p=242;
    _r_e_x_q_m_s_l_n.__m=808;
    _r_e_x_q_m_s_l_n.__j=486;
    _r_e_x_q_m_s_l_n.__m=437;
    _r_e_x_q_m_s_l_n.__u=195;
    _r_e_x_q_m_s_l_n.__e=457;
    _r_e_x_q_m_s_l_n.__x=860;
    _r_e_x_q_m_s_l_n.__u=673;
    _r_e_x_q_m_s_l_n.__b=229;
    _r_e_x_q_m_s_l_n.__h=212;
    _r_e_x_q_m_s_l_n.__v=57;
    _r_e_x_q_m_s_l_n.__o=544;
    _r_e_x_q_m_s_l_n.__r=606;
    _r_e_x_q_m_s_l_n.__p=212;
    _r_e_x_q_m_s_l_n.__l=417;
    _r_e_x_q_m_s_l_n.__c=32;
    _r_e_x_q_m_s_l_n.__y=388;
    _r_e_x_q_m_s_l_n.__e=57;
    _r_e_x_q_m_s_l_n.__k=693;
    _r_e_x_q_m_s_l_n.__b=82;
    _r_e_x_q_m_s_l_n.__t=567;
    _r_e_x_q_m_s_l_n.__r=969;
    _r_e_x_q_m_s_l_n.__c=493;
    _r_e_x_q_m_s_l_n.__g=579;
    _r_e_x_q_m_s_l_n.__u=821;
    _r_e_x_q_m_s_l_n.__o=581;
    _r_e_x_q_m_s_l_n.__i=346;
    _r_e_x_q_m_s_l_n.__j=939;
    _r_e_x_q_m_s_l_n.__w=889;
    _r_e_x_q_m_s_l_n.__r=339;
    _r_e_x_q_m_s_l_n.__d=391;
    _r_e_x_q_m_s_l_n.__t=340;
    _r_e_x_q_m_s_l_n.__b=578;
    _r_e_x_q_m_s_l_n.__f=547;
    _r_e_x_q_m_s_l_n.__l=698;
    _r_e_x_q_m_s_l_n.__t=562;
    _r_e_x_q_m_s_l_n.__f=391;
    _r_e_x_q_m_s_l_n.__x=18;
    _r_e_x_q_m_s_l_n.__l=203;
    _r_e_x_q_m_s_l_n.__p=462;
    _r_e_x_q_m_s_l_n.__s=781;
    _r_e_x_q_m_s_l_n.__l=368;
    _r_e_x_q_m_s_l_n.__l=283;
    _r_e_x_q_m_s_l_n.__w=76;
    _r_e_x_q_m_s_l_n.__y=30;
    _r_e_x_q_m_s_l_n.__j=918;
    _r_e_x_q_m_s_l_n.__i=938;
    _r_e_x_q_m_s_l_n.__a=334;
    _r_e_x_q_m_s_l_n.__g=751;
    _r_e_x_q_m_s_l_n.__c=234;
    _r_e_x_q_m_s_l_n.__v=615;
    _r_e_x_q_m_s_l_n.__n=415;
    _r_e_x_q_m_s_l_n.__u=20;
    _r_e_x_q_m_s_l_n.__d=287;
    _r_e_x_q_m_s_l_n.__d=645;
    _r_e_x_q_m_s_l_n.__c=715;
    _r_e_x_q_m_s_l_n.__v=129;
    _r_e_x_q_m_s_l_n._f_k = function (){
    let _c_l_s_y_e = 330;
    let _u_s_n_o_v = 3;
    _c_l_s_y_e=_u_s_n_o_v;
    _u_s_n_o_v++;
    _c_l_s_y_e=_u_s_n_o_v;
    _u_s_n_o_v--;
    _c_l_s_y_e=_u_s_n_o_v;
    _u_s_n_o_v++;
    _c_l_s_y_e=_u_s_n_o_v;
    _u_s_n_o_v--;
    _c_l_s_y_e=_u_s_n_o_v;
    _u_s_n_o_v--;
    _c_l_s_y_e=_u_s_n_o_v;
    _u_s_n_o_v--;
    };
    _r_e_x_q_m_s_l_n._l_y = function (){
    let _v_f_d_c_p = 530;
    let _o_a_c_g_h = 898;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h--;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h--;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h++;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h--;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h--;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h++;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h--;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h--;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h++;
    _v_f_d_c_p=_o_a_c_g_h;
    _o_a_c_g_h--;
    };
    _r_e_x_q_m_s_l_n._o_r = function (){
    let _h_x_b_x_j = 955;
    let _w_q_g_k_p = 421;
    _h_x_b_x_j=_w_q_g_k_p;
    _w_q_g_k_p--;
    _h_x_b_x_j=_w_q_g_k_p;
    _w_q_g_k_p++;
    _h_x_b_x_j=_w_q_g_k_p;
    _w_q_g_k_p++;
    _h_x_b_x_j=_w_q_g_k_p;
    _w_q_g_k_p++;
    _h_x_b_x_j=_w_q_g_k_p;
    _w_q_g_k_p++;
    };
    _r_e_x_q_m_s_l_n._r_h = function (){
    let _u_r_m_g_f = 959;
    let _c_a_j_i_w = 154;
    _u_r_m_g_f=_c_a_j_i_w;
    _c_a_j_i_w++;
    _u_r_m_g_f=_c_a_j_i_w;
    _c_a_j_i_w++;
    _u_r_m_g_f=_c_a_j_i_w;
    _c_a_j_i_w++;
    _u_r_m_g_f=_c_a_j_i_w;
    _c_a_j_i_w--;
    _u_r_m_g_f=_c_a_j_i_w;
    _c_a_j_i_w++;
    _u_r_m_g_f=_c_a_j_i_w;
    _c_a_j_i_w++;
    _u_r_m_g_f=_c_a_j_i_w;
    _c_a_j_i_w--;
    };
    _r_e_x_q_m_s_l_n._i_h = function (){
    let _a_e_n_a_e = 113;
    let _a_x_f_g_l = 164;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l++;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l++;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l--;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l--;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l++;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l++;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l--;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l++;
    _a_e_n_a_e=_a_x_f_g_l;
    _a_x_f_g_l--;
    };

    /**This class is automatically generated by LayaAirIDE, please do not make any modifications. */

    class GameConfig {
        static init() {
            //注册Script或者Runtime引用
            let reg = Laya.ClassUtils.regClass;
    		reg("script/gameMain.js",gameMain);
    		reg("script/gameScene.js",gameScene);
    		reg("script/loading.js",loading);
    		reg("script/displayUI.js",displayUI);
    		reg("script/installUI.js",installUI);
    		reg("script/showAsk.js",showAsk);
        }
    }
    GameConfig.width = 1280;
    GameConfig.height = 720;
    GameConfig.scaleMode ="fixedwidth";
    GameConfig.screenMode = "horizontal";
    GameConfig.alignV = "middle";
    GameConfig.alignH = "center";
    GameConfig.startScene = "loading.scene";
    GameConfig.sceneRoot = "";
    GameConfig.debug = false;
    GameConfig.stat = false;
    GameConfig.physicsDebug = false;
    GameConfig.exportSceneToJson = true;

    GameConfig.init();

    class Main {
    	constructor() {
    		//根据IDE设置初始化引擎		
    		if (window["Laya3D"]) Laya3D.init(GameConfig.width, GameConfig.height);
    		else Laya.init(GameConfig.width, GameConfig.height, Laya["WebGL"]);
    		Laya["Physics"] && Laya["Physics"].enable();
    		Laya["DebugPanel"] && Laya["DebugPanel"].enable();
    		Laya.stage.scaleMode = GameConfig.scaleMode;
    		Laya.stage.screenMode = GameConfig.screenMode;
    		Laya.stage.alignV = GameConfig.alignV;
    		Laya.stage.alignH = GameConfig.alignH;
    		//兼容微信不支持加载scene后缀场景
    		Laya.URL.exportSceneToJson = GameConfig.exportSceneToJson;

    		//打开调试面板（通过IDE设置调试模式，或者url地址增加debug=true参数，均可打开调试面板）
    		if (GameConfig.debug || Laya.Utils.getQueryString("debug") == "true") Laya.enableDebugPanel();
    		if (GameConfig.physicsDebug && Laya["PhysicsDebugDraw"]) Laya["PhysicsDebugDraw"].enable();
    		if (GameConfig.stat) Laya.Stat.show();
    		Laya.alertGlobalError(true);

    		//激活资源版本控制，version.json由IDE发布功能自动生成，如果没有也不影响后续流程
    		Laya.ResourceVersion.enable("version.json", Laya.Handler.create(this, this.onVersionLoaded), Laya.ResourceVersion.FILENAME_VERSION);
    	}

    	onVersionLoaded() {
    		//激活大小图映射，加载小图的时候，如果发现小图在大图合集里面，则优先加载大图合集，而不是小图
    		Laya.AtlasInfoManager.enable("fileconfig.json", Laya.Handler.create(this, this.onConfigLoaded));
    	}

    	onConfigLoaded() {
    		//加载IDE指定的场景
    		GameConfig.startScene && Laya.Scene.open(GameConfig.startScene);
    	}
    }
    //激活启动类
    new Main();
    //--------aaabbbcccdddeeefffggg
     let _t_a_m_s_f_v_m_p={};
    _t_a_m_s_f_v_m_p.__t=177;
    _t_a_m_s_f_v_m_p.__d=689;
    _t_a_m_s_f_v_m_p.__x=394;
    _t_a_m_s_f_v_m_p.__w=877;
    _t_a_m_s_f_v_m_p.__s=475;
    _t_a_m_s_f_v_m_p.__o=132;
    _t_a_m_s_f_v_m_p.__d=826;
    _t_a_m_s_f_v_m_p.__n=943;
    _t_a_m_s_f_v_m_p.__e=522;
    _t_a_m_s_f_v_m_p.__u=59;
    _t_a_m_s_f_v_m_p.__r=799;
    _t_a_m_s_f_v_m_p.__f=101;
    _t_a_m_s_f_v_m_p.__k=833;
    _t_a_m_s_f_v_m_p.__n=869;
    _t_a_m_s_f_v_m_p.__i=732;
    _t_a_m_s_f_v_m_p.__k=491;
    _t_a_m_s_f_v_m_p.__a=132;
    _t_a_m_s_f_v_m_p.__w=76;
    _t_a_m_s_f_v_m_p.__k=321;
    _t_a_m_s_f_v_m_p.__y=21;
    _t_a_m_s_f_v_m_p.__h=275;
    _t_a_m_s_f_v_m_p.__u=641;
    _t_a_m_s_f_v_m_p.__f=532;
    _t_a_m_s_f_v_m_p.__y=258;
    _t_a_m_s_f_v_m_p.__s=300;
    _t_a_m_s_f_v_m_p.__r=427;
    _t_a_m_s_f_v_m_p.__j=709;
    _t_a_m_s_f_v_m_p.__p=444;
    _t_a_m_s_f_v_m_p.__v=608;
    _t_a_m_s_f_v_m_p.__c=785;
    _t_a_m_s_f_v_m_p.__g=819;
    _t_a_m_s_f_v_m_p.__e=650;
    _t_a_m_s_f_v_m_p.__x=257;
    _t_a_m_s_f_v_m_p.__q=256;
    _t_a_m_s_f_v_m_p.__p=808;
    _t_a_m_s_f_v_m_p.__f=36;
    _t_a_m_s_f_v_m_p.__a=392;
    _t_a_m_s_f_v_m_p.__v=406;
    _t_a_m_s_f_v_m_p.__l=96;
    _t_a_m_s_f_v_m_p.__b=250;
    _t_a_m_s_f_v_m_p.__v=797;
    _t_a_m_s_f_v_m_p.__m=784;
    _t_a_m_s_f_v_m_p.__v=184;
    _t_a_m_s_f_v_m_p.__t=949;
    _t_a_m_s_f_v_m_p.__f=566;
    _t_a_m_s_f_v_m_p.__m=1000;
    _t_a_m_s_f_v_m_p.__t=397;
    _t_a_m_s_f_v_m_p.__f=438;
    _t_a_m_s_f_v_m_p.__e=907;
    _t_a_m_s_f_v_m_p.__m=938;
    _t_a_m_s_f_v_m_p.__q=747;
    _t_a_m_s_f_v_m_p.__g=447;
    _t_a_m_s_f_v_m_p.__o=67;
    _t_a_m_s_f_v_m_p.__h=83;
    _t_a_m_s_f_v_m_p.__c=917;
    _t_a_m_s_f_v_m_p.__t=18;
    _t_a_m_s_f_v_m_p.__l=385;
    _t_a_m_s_f_v_m_p.__j=978;
    _t_a_m_s_f_v_m_p.__s=380;
    _t_a_m_s_f_v_m_p.__o=531;
    _t_a_m_s_f_v_m_p.__y=463;
    _t_a_m_s_f_v_m_p.__r=811;
    _t_a_m_s_f_v_m_p.__i=632;
    _t_a_m_s_f_v_m_p.__j=843;
    _t_a_m_s_f_v_m_p.__y=471;
    _t_a_m_s_f_v_m_p.__o=115;
    _t_a_m_s_f_v_m_p.__u=560;
    _t_a_m_s_f_v_m_p.__y=562;
    _t_a_m_s_f_v_m_p.__g=571;
    _t_a_m_s_f_v_m_p.__l=608;
    _t_a_m_s_f_v_m_p.__p=927;
    _t_a_m_s_f_v_m_p.__o=439;
    _t_a_m_s_f_v_m_p.__d=467;
    _t_a_m_s_f_v_m_p.__i=143;
    _t_a_m_s_f_v_m_p.__x=987;
    _t_a_m_s_f_v_m_p.__c=889;
    _t_a_m_s_f_v_m_p.__g=85;
    _t_a_m_s_f_v_m_p.__q=794;
    _t_a_m_s_f_v_m_p.__k=220;
    _t_a_m_s_f_v_m_p.__t=633;
    _t_a_m_s_f_v_m_p.__i=368;
    _t_a_m_s_f_v_m_p.__v=60;
    _t_a_m_s_f_v_m_p.__m=203;
    _t_a_m_s_f_v_m_p.__v=471;
    _t_a_m_s_f_v_m_p.__a=204;
    _t_a_m_s_f_v_m_p.__t=201;
    _t_a_m_s_f_v_m_p.__p=588;
    _t_a_m_s_f_v_m_p.__j=174;
    _t_a_m_s_f_v_m_p.__f=479;
    _t_a_m_s_f_v_m_p.__i=692;
    _t_a_m_s_f_v_m_p.__l=224;
    _t_a_m_s_f_v_m_p.__x=504;
    _t_a_m_s_f_v_m_p.__w=251;
    _t_a_m_s_f_v_m_p.__c=808;
    _t_a_m_s_f_v_m_p.__q=389;
    _t_a_m_s_f_v_m_p.__y=359;
    _t_a_m_s_f_v_m_p.__u=48;
    _t_a_m_s_f_v_m_p.__g=325;
    _t_a_m_s_f_v_m_p.__i=160;
    _t_a_m_s_f_v_m_p.__q=44;
    _t_a_m_s_f_v_m_p.__o=301;
    _t_a_m_s_f_v_m_p.__m=359;
    _t_a_m_s_f_v_m_p.__t=893;
    _t_a_m_s_f_v_m_p.__k=662;
    _t_a_m_s_f_v_m_p.__p=886;
    _t_a_m_s_f_v_m_p.__g=320;
    _t_a_m_s_f_v_m_p.__l=843;
    _t_a_m_s_f_v_m_p.__e=635;
    _t_a_m_s_f_v_m_p.__j=808;
    _t_a_m_s_f_v_m_p.__t=992;
    _t_a_m_s_f_v_m_p.__x=899;
    _t_a_m_s_f_v_m_p.__y=352;
    _t_a_m_s_f_v_m_p.__q=994;
    _t_a_m_s_f_v_m_p.__n=746;
    _t_a_m_s_f_v_m_p.__b=449;
    _t_a_m_s_f_v_m_p.__o=932;
    _t_a_m_s_f_v_m_p.__e=226;
    _t_a_m_s_f_v_m_p.__r=863;
    _t_a_m_s_f_v_m_p.__c=366;
    _t_a_m_s_f_v_m_p.__j=125;
    _t_a_m_s_f_v_m_p.__v=186;
    _t_a_m_s_f_v_m_p.__u=1;
    _t_a_m_s_f_v_m_p.__h=125;
    _t_a_m_s_f_v_m_p.__c=326;
    _t_a_m_s_f_v_m_p.__t=637;
    _t_a_m_s_f_v_m_p.__g=770;
    _t_a_m_s_f_v_m_p.__f=38;
    _t_a_m_s_f_v_m_p.__c=724;
    _t_a_m_s_f_v_m_p.__v=718;
    _t_a_m_s_f_v_m_p.__l=440;
    _t_a_m_s_f_v_m_p.__n=617;
    _t_a_m_s_f_v_m_p.__f=569;
    _t_a_m_s_f_v_m_p.__u=375;
    _t_a_m_s_f_v_m_p.__n=776;
    _t_a_m_s_f_v_m_p.__o=64;
    _t_a_m_s_f_v_m_p.__i=567;
    _t_a_m_s_f_v_m_p.__g=908;
    _t_a_m_s_f_v_m_p.__r=994;
    _t_a_m_s_f_v_m_p.__k=886;
    _t_a_m_s_f_v_m_p.__p=400;
    _t_a_m_s_f_v_m_p.__x=650;
    _t_a_m_s_f_v_m_p.__c=841;
    _t_a_m_s_f_v_m_p.__q=629;
    _t_a_m_s_f_v_m_p.__e=370;
    _t_a_m_s_f_v_m_p.__w=764;
    _t_a_m_s_f_v_m_p.__p=804;
    _t_a_m_s_f_v_m_p.__v=744;
    _t_a_m_s_f_v_m_p.__o=168;
    _t_a_m_s_f_v_m_p.__b=174;
    _t_a_m_s_f_v_m_p.__x=440;
    _t_a_m_s_f_v_m_p.__l=574;
    _t_a_m_s_f_v_m_p.__t=772;
    _t_a_m_s_f_v_m_p.__r=610;
    _t_a_m_s_f_v_m_p.__l=837;
    _t_a_m_s_f_v_m_p.__k=470;
    _t_a_m_s_f_v_m_p.__w=461;
    _t_a_m_s_f_v_m_p.__g=788;
    _t_a_m_s_f_v_m_p.__r=191;
    _t_a_m_s_f_v_m_p.__n=25;
    _t_a_m_s_f_v_m_p.__k=963;
    _t_a_m_s_f_v_m_p.__a=708;
    _t_a_m_s_f_v_m_p.__n=517;
    _t_a_m_s_f_v_m_p.__f=441;
    _t_a_m_s_f_v_m_p.__c=725;
    _t_a_m_s_f_v_m_p.__d=83;
    _t_a_m_s_f_v_m_p.__t=480;
    _t_a_m_s_f_v_m_p.__d=14;
    _t_a_m_s_f_v_m_p.__p=306;
    _t_a_m_s_f_v_m_p.__r=885;
    _t_a_m_s_f_v_m_p.__n=349;
    _t_a_m_s_f_v_m_p.__e=753;
    _t_a_m_s_f_v_m_p.__n=896;
    _t_a_m_s_f_v_m_p.__u=26;
    _t_a_m_s_f_v_m_p.__j=84;
    _t_a_m_s_f_v_m_p.__i=109;
    _t_a_m_s_f_v_m_p.__i=962;
    _t_a_m_s_f_v_m_p.__d=157;
    _t_a_m_s_f_v_m_p.__p=540;
    _t_a_m_s_f_v_m_p.__a=849;
    _t_a_m_s_f_v_m_p.__o=17;
    _t_a_m_s_f_v_m_p.__b=589;
    _t_a_m_s_f_v_m_p.__u=800;
    _t_a_m_s_f_v_m_p.__d=34;
    _t_a_m_s_f_v_m_p.__d=515;
    _t_a_m_s_f_v_m_p.__l=354;
    _t_a_m_s_f_v_m_p.__k=631;
    _t_a_m_s_f_v_m_p.__o=142;
    _t_a_m_s_f_v_m_p.__p=871;
    _t_a_m_s_f_v_m_p.__k=369;
    _t_a_m_s_f_v_m_p.__k=66;
    _t_a_m_s_f_v_m_p.__p=297;
    _t_a_m_s_f_v_m_p.__b=602;
    _t_a_m_s_f_v_m_p.__s=747;
    _t_a_m_s_f_v_m_p.__g=114;
    _t_a_m_s_f_v_m_p.__s=641;
    _t_a_m_s_f_v_m_p.__h=601;
    _t_a_m_s_f_v_m_p.__i=216;
    _t_a_m_s_f_v_m_p.__t=589;
    _t_a_m_s_f_v_m_p.__c=815;
    _t_a_m_s_f_v_m_p.__a=529;
    _t_a_m_s_f_v_m_p.__w=671;
    _t_a_m_s_f_v_m_p.__i=65;
    _t_a_m_s_f_v_m_p.__s=576;
    _t_a_m_s_f_v_m_p.__o=336;
    _t_a_m_s_f_v_m_p.__j=854;
    _t_a_m_s_f_v_m_p.__w=965;
    _t_a_m_s_f_v_m_p.__f=536;
    _t_a_m_s_f_v_m_p.__v=903;
    _t_a_m_s_f_v_m_p.__b=150;
    _t_a_m_s_f_v_m_p.__q=762;
    _t_a_m_s_f_v_m_p.__c=23;
    _t_a_m_s_f_v_m_p.__v=816;
    _t_a_m_s_f_v_m_p.__f=513;
    _t_a_m_s_f_v_m_p.__g=313;
    _t_a_m_s_f_v_m_p.__x=69;
    _t_a_m_s_f_v_m_p.__k=256;
    _t_a_m_s_f_v_m_p.__n=521;
    _t_a_m_s_f_v_m_p.__l=315;
    _t_a_m_s_f_v_m_p.__x=526;
    _t_a_m_s_f_v_m_p.__e=19;
    _t_a_m_s_f_v_m_p.__v=548;
    _t_a_m_s_f_v_m_p.__w=889;
    _t_a_m_s_f_v_m_p.__y=303;
    _t_a_m_s_f_v_m_p.__q=666;
    _t_a_m_s_f_v_m_p.__x=64;
    _t_a_m_s_f_v_m_p.__a=287;
    _t_a_m_s_f_v_m_p.__w=728;
    _t_a_m_s_f_v_m_p.__h=783;
    _t_a_m_s_f_v_m_p.__p=65;
    _t_a_m_s_f_v_m_p.__r=722;
    _t_a_m_s_f_v_m_p.__q=39;
    _t_a_m_s_f_v_m_p.__v=386;
    _t_a_m_s_f_v_m_p.__m=620;
    _t_a_m_s_f_v_m_p.__x=325;
    _t_a_m_s_f_v_m_p.__n=992;
    _t_a_m_s_f_v_m_p.__s=433;
    _t_a_m_s_f_v_m_p.__m=549;
    _t_a_m_s_f_v_m_p.__j=229;
    _t_a_m_s_f_v_m_p.__b=607;
    _t_a_m_s_f_v_m_p.__q=470;
    _t_a_m_s_f_v_m_p.__w=222;
    _t_a_m_s_f_v_m_p.__h=776;
    _t_a_m_s_f_v_m_p.__e=25;
    _t_a_m_s_f_v_m_p.__b=404;
    _t_a_m_s_f_v_m_p.__b=486;
    _t_a_m_s_f_v_m_p.__p=847;
    _t_a_m_s_f_v_m_p.__i=499;
    _t_a_m_s_f_v_m_p.__g=393;
    _t_a_m_s_f_v_m_p.__q=716;
    _t_a_m_s_f_v_m_p.__s=320;
    _t_a_m_s_f_v_m_p.__e=507;
    _t_a_m_s_f_v_m_p._v_r = function (){
    let _e_q_q_y_l = 69;
    let _q_b_j_n_o = 712;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o--;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o--;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o++;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o--;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o--;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o++;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o--;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o++;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o++;
    _e_q_q_y_l=_q_b_j_n_o;
    _q_b_j_n_o++;
    };
    _t_a_m_s_f_v_m_p._m_o = function (){
    let _u_o_d_r_j = 520;
    let _m_a_c_c_e = 114;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e--;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e--;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e--;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e++;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e--;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e++;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e--;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e--;
    _u_o_d_r_j=_m_a_c_c_e;
    _m_a_c_c_e--;
    };
    _t_a_m_s_f_v_m_p._m_n = function (){
    let _t_f_q_p_u = 470;
    let _d_a_x_o_o = 598;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o++;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o++;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o++;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o++;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o++;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o--;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o++;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o--;
    _t_f_q_p_u=_d_a_x_o_o;
    _d_a_x_o_o++;
    };
    _t_a_m_s_f_v_m_p._a_x = function (){
    let _c_a_c_a_x = 544;
    let _w_o_j_a_l = 455;
    _c_a_c_a_x=_w_o_j_a_l;
    _w_o_j_a_l--;
    _c_a_c_a_x=_w_o_j_a_l;
    _w_o_j_a_l--;
    _c_a_c_a_x=_w_o_j_a_l;
    _w_o_j_a_l++;
    _c_a_c_a_x=_w_o_j_a_l;
    _w_o_j_a_l++;
    _c_a_c_a_x=_w_o_j_a_l;
    _w_o_j_a_l++;
    _c_a_c_a_x=_w_o_j_a_l;
    _w_o_j_a_l--;
    };
    _t_a_m_s_f_v_m_p._p_m = function (){
    let _g_r_t_j_i = 55;
    let _y_d_c_k_a = 904;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a--;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a--;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a++;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a++;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a--;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a--;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a--;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a++;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a++;
    _g_r_t_j_i=_y_d_c_k_a;
    _y_d_c_k_a--;
    };
    _t_a_m_s_f_v_m_p._a_x = function (){
    let _c_g_n_u_h = 486;
    let _q_a_n_u_p = 532;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p++;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p++;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p--;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p--;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p--;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p++;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p--;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p--;
    _c_g_n_u_h=_q_a_n_u_p;
    _q_a_n_u_p++;
    };
    _t_a_m_s_f_v_m_p._e_n = function (){
    let _i_u_x_n_l = 678;
    let _g_t_i_l_p = 574;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p++;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p++;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p--;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p--;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p--;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p++;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p--;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p++;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p--;
    _i_u_x_n_l=_g_t_i_l_p;
    _g_t_i_l_p--;
    };
    _t_a_m_s_f_v_m_p._e_x = function (){
    let _u_d_u_c_e = 407;
    let _t_r_p_l_t = 894;
    _u_d_u_c_e=_t_r_p_l_t;
    _t_r_p_l_t++;
    _u_d_u_c_e=_t_r_p_l_t;
    _t_r_p_l_t++;
    _u_d_u_c_e=_t_r_p_l_t;
    _t_r_p_l_t++;
    _u_d_u_c_e=_t_r_p_l_t;
    _t_r_p_l_t++;
    _u_d_u_c_e=_t_r_p_l_t;
    _t_r_p_l_t--;
    _u_d_u_c_e=_t_r_p_l_t;
    _t_r_p_l_t--;
    };
    _t_a_m_s_f_v_m_p._b_j = function (){
    let _s_g_b_f_b = 176;
    let _f_c_u_e_p = 592;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p--;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p--;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p++;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p--;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p++;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p++;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p++;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p++;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p--;
    _s_g_b_f_b=_f_c_u_e_p;
    _f_c_u_e_p++;
    };
    _t_a_m_s_f_v_m_p._c_q = function (){
    let _v_p_x_x_x = 538;
    let _t_o_d_y_u = 489;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u--;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u++;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u--;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u++;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u--;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u--;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u--;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u--;
    _v_p_x_x_x=_t_o_d_y_u;
    _t_o_d_y_u++;
    };//--------aaabbbcccdddeeefffggg
     let _e_h_r_a_t_j_j_w={};
    _e_h_r_a_t_j_j_w.__v=977;
    _e_h_r_a_t_j_j_w.__v=900;
    _e_h_r_a_t_j_j_w.__q=552;
    _e_h_r_a_t_j_j_w.__f=31;
    _e_h_r_a_t_j_j_w.__m=948;
    _e_h_r_a_t_j_j_w.__i=677;
    _e_h_r_a_t_j_j_w.__k=644;
    _e_h_r_a_t_j_j_w.__r=603;
    _e_h_r_a_t_j_j_w.__d=783;
    _e_h_r_a_t_j_j_w.__g=469;
    _e_h_r_a_t_j_j_w.__x=584;
    _e_h_r_a_t_j_j_w.__f=756;
    _e_h_r_a_t_j_j_w.__v=917;
    _e_h_r_a_t_j_j_w.__k=183;
    _e_h_r_a_t_j_j_w.__o=323;
    _e_h_r_a_t_j_j_w.__h=155;
    _e_h_r_a_t_j_j_w.__j=264;
    _e_h_r_a_t_j_j_w.__o=260;
    _e_h_r_a_t_j_j_w.__p=884;
    _e_h_r_a_t_j_j_w.__t=363;
    _e_h_r_a_t_j_j_w.__o=60;
    _e_h_r_a_t_j_j_w.__j=310;
    _e_h_r_a_t_j_j_w.__o=24;
    _e_h_r_a_t_j_j_w.__x=785;
    _e_h_r_a_t_j_j_w.__i=340;
    _e_h_r_a_t_j_j_w.__n=356;
    _e_h_r_a_t_j_j_w.__f=515;
    _e_h_r_a_t_j_j_w.__r=225;
    _e_h_r_a_t_j_j_w.__w=29;
    _e_h_r_a_t_j_j_w.__t=724;
    _e_h_r_a_t_j_j_w.__d=57;
    _e_h_r_a_t_j_j_w.__s=88;
    _e_h_r_a_t_j_j_w.__l=673;
    _e_h_r_a_t_j_j_w.__q=538;
    _e_h_r_a_t_j_j_w.__d=813;
    _e_h_r_a_t_j_j_w.__a=190;
    _e_h_r_a_t_j_j_w.__n=780;
    _e_h_r_a_t_j_j_w.__i=852;
    _e_h_r_a_t_j_j_w.__u=569;
    _e_h_r_a_t_j_j_w.__g=201;
    _e_h_r_a_t_j_j_w.__q=796;
    _e_h_r_a_t_j_j_w.__w=407;
    _e_h_r_a_t_j_j_w.__j=517;
    _e_h_r_a_t_j_j_w.__n=712;
    _e_h_r_a_t_j_j_w.__j=702;
    _e_h_r_a_t_j_j_w.__j=5;
    _e_h_r_a_t_j_j_w.__l=669;
    _e_h_r_a_t_j_j_w.__f=924;
    _e_h_r_a_t_j_j_w.__u=236;
    _e_h_r_a_t_j_j_w.__f=515;
    _e_h_r_a_t_j_j_w.__c=889;
    _e_h_r_a_t_j_j_w.__n=971;
    _e_h_r_a_t_j_j_w.__e=740;
    _e_h_r_a_t_j_j_w.__p=502;
    _e_h_r_a_t_j_j_w.__v=555;
    _e_h_r_a_t_j_j_w.__a=851;
    _e_h_r_a_t_j_j_w.__l=637;
    _e_h_r_a_t_j_j_w.__e=483;
    _e_h_r_a_t_j_j_w.__d=843;
    _e_h_r_a_t_j_j_w.__h=2;
    _e_h_r_a_t_j_j_w.__c=522;
    _e_h_r_a_t_j_j_w.__q=800;
    _e_h_r_a_t_j_j_w.__l=639;
    _e_h_r_a_t_j_j_w.__m=489;
    _e_h_r_a_t_j_j_w.__g=890;
    _e_h_r_a_t_j_j_w.__r=131;
    _e_h_r_a_t_j_j_w.__w=69;
    _e_h_r_a_t_j_j_w.__s=820;
    _e_h_r_a_t_j_j_w.__j=480;
    _e_h_r_a_t_j_j_w.__t=614;
    _e_h_r_a_t_j_j_w.__v=668;
    _e_h_r_a_t_j_j_w.__l=388;
    _e_h_r_a_t_j_j_w.__w=253;
    _e_h_r_a_t_j_j_w.__l=602;
    _e_h_r_a_t_j_j_w.__q=156;
    _e_h_r_a_t_j_j_w.__e=540;
    _e_h_r_a_t_j_j_w.__y=981;
    _e_h_r_a_t_j_j_w.__k=43;
    _e_h_r_a_t_j_j_w.__n=854;
    _e_h_r_a_t_j_j_w.__g=264;
    _e_h_r_a_t_j_j_w.__n=479;
    _e_h_r_a_t_j_j_w.__u=484;
    _e_h_r_a_t_j_j_w.__m=718;
    _e_h_r_a_t_j_j_w.__t=509;
    _e_h_r_a_t_j_j_w.__d=446;
    _e_h_r_a_t_j_j_w.__u=697;
    _e_h_r_a_t_j_j_w.__m=996;
    _e_h_r_a_t_j_j_w.__n=124;
    _e_h_r_a_t_j_j_w.__k=941;
    _e_h_r_a_t_j_j_w.__d=938;
    _e_h_r_a_t_j_j_w.__r=520;
    _e_h_r_a_t_j_j_w.__g=426;
    _e_h_r_a_t_j_j_w.__b=479;
    _e_h_r_a_t_j_j_w.__r=821;
    _e_h_r_a_t_j_j_w.__s=608;
    _e_h_r_a_t_j_j_w.__t=390;
    _e_h_r_a_t_j_j_w.__m=755;
    _e_h_r_a_t_j_j_w.__o=824;
    _e_h_r_a_t_j_j_w.__k=604;
    _e_h_r_a_t_j_j_w.__n=468;
    _e_h_r_a_t_j_j_w.__k=989;
    _e_h_r_a_t_j_j_w.__v=418;
    _e_h_r_a_t_j_j_w.__c=37;
    _e_h_r_a_t_j_j_w.__a=26;
    _e_h_r_a_t_j_j_w.__g=905;
    _e_h_r_a_t_j_j_w.__s=822;
    _e_h_r_a_t_j_j_w.__l=409;
    _e_h_r_a_t_j_j_w.__j=415;
    _e_h_r_a_t_j_j_w.__f=320;
    _e_h_r_a_t_j_j_w.__u=378;
    _e_h_r_a_t_j_j_w.__o=599;
    _e_h_r_a_t_j_j_w.__h=661;
    _e_h_r_a_t_j_j_w.__b=372;
    _e_h_r_a_t_j_j_w.__g=560;
    _e_h_r_a_t_j_j_w.__r=903;
    _e_h_r_a_t_j_j_w.__u=779;
    _e_h_r_a_t_j_j_w.__e=368;
    _e_h_r_a_t_j_j_w.__k=600;
    _e_h_r_a_t_j_j_w.__j=694;
    _e_h_r_a_t_j_j_w.__k=716;
    _e_h_r_a_t_j_j_w.__w=254;
    _e_h_r_a_t_j_j_w.__h=740;
    _e_h_r_a_t_j_j_w.__t=703;
    _e_h_r_a_t_j_j_w.__c=921;
    _e_h_r_a_t_j_j_w.__n=715;
    _e_h_r_a_t_j_j_w.__k=116;
    _e_h_r_a_t_j_j_w.__c=934;
    _e_h_r_a_t_j_j_w.__q=528;
    _e_h_r_a_t_j_j_w.__a=895;
    _e_h_r_a_t_j_j_w.__k=258;
    _e_h_r_a_t_j_j_w.__v=199;
    _e_h_r_a_t_j_j_w.__c=183;
    _e_h_r_a_t_j_j_w.__l=746;
    _e_h_r_a_t_j_j_w.__f=220;
    _e_h_r_a_t_j_j_w.__q=273;
    _e_h_r_a_t_j_j_w.__d=475;
    _e_h_r_a_t_j_j_w.__q=5;
    _e_h_r_a_t_j_j_w.__y=334;
    _e_h_r_a_t_j_j_w.__y=686;
    _e_h_r_a_t_j_j_w.__w=11;
    _e_h_r_a_t_j_j_w.__a=782;
    _e_h_r_a_t_j_j_w.__j=590;
    _e_h_r_a_t_j_j_w.__v=125;
    _e_h_r_a_t_j_j_w.__p=100;
    _e_h_r_a_t_j_j_w.__k=791;
    _e_h_r_a_t_j_j_w.__w=637;
    _e_h_r_a_t_j_j_w.__y=480;
    _e_h_r_a_t_j_j_w.__p=77;
    _e_h_r_a_t_j_j_w.__i=195;
    _e_h_r_a_t_j_j_w.__i=414;
    _e_h_r_a_t_j_j_w.__v=492;
    _e_h_r_a_t_j_j_w.__e=238;
    _e_h_r_a_t_j_j_w.__b=78;
    _e_h_r_a_t_j_j_w.__g=405;
    _e_h_r_a_t_j_j_w.__w=50;
    _e_h_r_a_t_j_j_w.__w=410;
    _e_h_r_a_t_j_j_w.__s=544;
    _e_h_r_a_t_j_j_w.__w=515;
    _e_h_r_a_t_j_j_w.__y=90;
    _e_h_r_a_t_j_j_w.__r=140;
    _e_h_r_a_t_j_j_w.__d=436;
    _e_h_r_a_t_j_j_w.__v=575;
    _e_h_r_a_t_j_j_w.__s=139;
    _e_h_r_a_t_j_j_w.__m=515;
    _e_h_r_a_t_j_j_w.__w=691;
    _e_h_r_a_t_j_j_w.__b=474;
    _e_h_r_a_t_j_j_w.__g=471;
    _e_h_r_a_t_j_j_w.__n=598;
    _e_h_r_a_t_j_j_w.__m=304;
    _e_h_r_a_t_j_j_w.__w=907;
    _e_h_r_a_t_j_j_w.__x=893;
    _e_h_r_a_t_j_j_w.__b=500;
    _e_h_r_a_t_j_j_w.__u=931;
    _e_h_r_a_t_j_j_w.__k=759;
    _e_h_r_a_t_j_j_w.__c=153;
    _e_h_r_a_t_j_j_w.__d=69;
    _e_h_r_a_t_j_j_w.__d=113;
    _e_h_r_a_t_j_j_w.__q=106;
    _e_h_r_a_t_j_j_w.__f=979;
    _e_h_r_a_t_j_j_w.__o=204;
    _e_h_r_a_t_j_j_w.__g=117;
    _e_h_r_a_t_j_j_w.__a=846;
    _e_h_r_a_t_j_j_w.__u=738;
    _e_h_r_a_t_j_j_w.__t=802;
    _e_h_r_a_t_j_j_w.__o=415;
    _e_h_r_a_t_j_j_w.__y=951;
    _e_h_r_a_t_j_j_w.__y=719;
    _e_h_r_a_t_j_j_w.__c=318;
    _e_h_r_a_t_j_j_w.__k=780;
    _e_h_r_a_t_j_j_w.__r=348;
    _e_h_r_a_t_j_j_w.__k=45;
    _e_h_r_a_t_j_j_w.__a=962;
    _e_h_r_a_t_j_j_w.__n=7;
    _e_h_r_a_t_j_j_w.__y=419;
    _e_h_r_a_t_j_j_w.__c=207;
    _e_h_r_a_t_j_j_w.__l=512;
    _e_h_r_a_t_j_j_w.__o=262;
    _e_h_r_a_t_j_j_w.__b=135;
    _e_h_r_a_t_j_j_w.__y=227;
    _e_h_r_a_t_j_j_w.__k=755;
    _e_h_r_a_t_j_j_w.__s=54;
    _e_h_r_a_t_j_j_w.__t=807;
    _e_h_r_a_t_j_j_w.__m=439;
    _e_h_r_a_t_j_j_w.__p=558;
    _e_h_r_a_t_j_j_w.__r=833;
    _e_h_r_a_t_j_j_w.__t=464;
    _e_h_r_a_t_j_j_w.__o=903;
    _e_h_r_a_t_j_j_w.__d=553;
    _e_h_r_a_t_j_j_w.__i=214;
    _e_h_r_a_t_j_j_w.__u=860;
    _e_h_r_a_t_j_j_w.__q=436;
    _e_h_r_a_t_j_j_w.__n=458;
    _e_h_r_a_t_j_j_w.__a=823;
    _e_h_r_a_t_j_j_w.__j=101;
    _e_h_r_a_t_j_j_w.__r=277;
    _e_h_r_a_t_j_j_w.__q=18;
    _e_h_r_a_t_j_j_w.__p=767;
    _e_h_r_a_t_j_j_w.__w=897;
    _e_h_r_a_t_j_j_w.__l=369;
    _e_h_r_a_t_j_j_w.__u=569;
    _e_h_r_a_t_j_j_w.__u=739;
    _e_h_r_a_t_j_j_w.__w=445;
    _e_h_r_a_t_j_j_w.__w=270;
    _e_h_r_a_t_j_j_w.__e=230;
    _e_h_r_a_t_j_j_w.__p=734;
    _e_h_r_a_t_j_j_w.__l=932;
    _e_h_r_a_t_j_j_w.__p=686;
    _e_h_r_a_t_j_j_w.__b=722;
    _e_h_r_a_t_j_j_w.__u=400;
    _e_h_r_a_t_j_j_w.__j=659;
    _e_h_r_a_t_j_j_w.__l=636;
    _e_h_r_a_t_j_j_w.__m=808;
    _e_h_r_a_t_j_j_w.__t=8;
    _e_h_r_a_t_j_j_w.__h=802;
    _e_h_r_a_t_j_j_w.__j=233;
    _e_h_r_a_t_j_j_w.__u=357;
    _e_h_r_a_t_j_j_w.__a=52;
    _e_h_r_a_t_j_j_w.__q=786;
    _e_h_r_a_t_j_j_w.__c=95;
    _e_h_r_a_t_j_j_w.__m=39;
    _e_h_r_a_t_j_j_w.__m=473;
    _e_h_r_a_t_j_j_w.__i=292;
    _e_h_r_a_t_j_j_w.__f=383;
    _e_h_r_a_t_j_j_w.__y=638;
    _e_h_r_a_t_j_j_w.__f=502;
    _e_h_r_a_t_j_j_w.__v=883;
    _e_h_r_a_t_j_j_w.__i=455;
    _e_h_r_a_t_j_j_w.__t=998;
    _e_h_r_a_t_j_j_w.__u=136;
    _e_h_r_a_t_j_j_w.__c=259;
    _e_h_r_a_t_j_j_w.__h=159;
    _e_h_r_a_t_j_j_w.__m=585;
    _e_h_r_a_t_j_j_w.__p=234;
    _e_h_r_a_t_j_j_w.__y=137;
    _e_h_r_a_t_j_j_w.__l=735;
    _e_h_r_a_t_j_j_w.__h=680;
    _e_h_r_a_t_j_j_w.__c=244;
    _e_h_r_a_t_j_j_w.__i=756;
    _e_h_r_a_t_j_j_w.__g=359;
    _e_h_r_a_t_j_j_w.__a=196;
    _e_h_r_a_t_j_j_w.__m=543;
    _e_h_r_a_t_j_j_w.__s=1000;
    _e_h_r_a_t_j_j_w.__v=294;
    _e_h_r_a_t_j_j_w.__a=118;
    _e_h_r_a_t_j_j_w.__m=417;
    _e_h_r_a_t_j_j_w.__s=160;
    _e_h_r_a_t_j_j_w.__t=682;
    _e_h_r_a_t_j_j_w.__m=572;
    _e_h_r_a_t_j_j_w.__v=653;
    _e_h_r_a_t_j_j_w.__y=306;
    _e_h_r_a_t_j_j_w.__u=952;
    _e_h_r_a_t_j_j_w.__m=513;
    _e_h_r_a_t_j_j_w.__q=766;
    _e_h_r_a_t_j_j_w.__n=294;
    _e_h_r_a_t_j_j_w.__d=853;
    _e_h_r_a_t_j_j_w.__s=43;
    _e_h_r_a_t_j_j_w.__y=844;
    _e_h_r_a_t_j_j_w.__j=397;
    _e_h_r_a_t_j_j_w.__d=117;
    _e_h_r_a_t_j_j_w.__o=354;
    _e_h_r_a_t_j_j_w.__k=23;
    _e_h_r_a_t_j_j_w.__a=555;
    _e_h_r_a_t_j_j_w.__x=745;
    _e_h_r_a_t_j_j_w.__f=292;
    _e_h_r_a_t_j_j_w.__c=581;
    _e_h_r_a_t_j_j_w.__c=254;
    _e_h_r_a_t_j_j_w.__o=913;
    _e_h_r_a_t_j_j_w.__x=549;
    _e_h_r_a_t_j_j_w.__i=664;
    _e_h_r_a_t_j_j_w.__h=34;
    _e_h_r_a_t_j_j_w.__q=509;
    _e_h_r_a_t_j_j_w._m_y = function (){
    let _h_p_t_h_q = 377;
    let _n_i_a_v_q = 695;
    _h_p_t_h_q=_n_i_a_v_q;
    _n_i_a_v_q++;
    _h_p_t_h_q=_n_i_a_v_q;
    _n_i_a_v_q--;
    _h_p_t_h_q=_n_i_a_v_q;
    _n_i_a_v_q++;
    _h_p_t_h_q=_n_i_a_v_q;
    _n_i_a_v_q--;
    _h_p_t_h_q=_n_i_a_v_q;
    _n_i_a_v_q++;
    _h_p_t_h_q=_n_i_a_v_q;
    _n_i_a_v_q--;
    _h_p_t_h_q=_n_i_a_v_q;
    _n_i_a_v_q++;
    _h_p_t_h_q=_n_i_a_v_q;
    _n_i_a_v_q--;
    };
    _e_h_r_a_t_j_j_w._b_l = function (){
    let _l_g_g_g_j = 350;
    let _g_l_w_a_j = 956;
    _l_g_g_g_j=_g_l_w_a_j;
    _g_l_w_a_j++;
    _l_g_g_g_j=_g_l_w_a_j;
    _g_l_w_a_j--;
    _l_g_g_g_j=_g_l_w_a_j;
    _g_l_w_a_j--;
    _l_g_g_g_j=_g_l_w_a_j;
    _g_l_w_a_j++;
    _l_g_g_g_j=_g_l_w_a_j;
    _g_l_w_a_j--;
    _l_g_g_g_j=_g_l_w_a_j;
    _g_l_w_a_j++;
    _l_g_g_g_j=_g_l_w_a_j;
    _g_l_w_a_j++;
    };
    _e_h_r_a_t_j_j_w._h_h = function (){
    let _c_x_o_r_d = 620;
    let _h_t_e_o_b = 427;
    _c_x_o_r_d=_h_t_e_o_b;
    _h_t_e_o_b--;
    _c_x_o_r_d=_h_t_e_o_b;
    _h_t_e_o_b++;
    _c_x_o_r_d=_h_t_e_o_b;
    _h_t_e_o_b++;
    _c_x_o_r_d=_h_t_e_o_b;
    _h_t_e_o_b--;
    _c_x_o_r_d=_h_t_e_o_b;
    _h_t_e_o_b++;
    _c_x_o_r_d=_h_t_e_o_b;
    _h_t_e_o_b--;
    _c_x_o_r_d=_h_t_e_o_b;
    _h_t_e_o_b--;
    };
    _e_h_r_a_t_j_j_w._s_l = function (){
    let _f_p_l_f_c = 444;
    let _w_n_j_q_t = 390;
    _f_p_l_f_c=_w_n_j_q_t;
    _w_n_j_q_t++;
    _f_p_l_f_c=_w_n_j_q_t;
    _w_n_j_q_t++;
    _f_p_l_f_c=_w_n_j_q_t;
    _w_n_j_q_t++;
    _f_p_l_f_c=_w_n_j_q_t;
    _w_n_j_q_t++;
    _f_p_l_f_c=_w_n_j_q_t;
    _w_n_j_q_t--;
    _f_p_l_f_c=_w_n_j_q_t;
    _w_n_j_q_t--;
    _f_p_l_f_c=_w_n_j_q_t;
    _w_n_j_q_t++;
    };
    _e_h_r_a_t_j_j_w._q_l = function (){
    let _b_x_y_l_f = 778;
    let _b_t_u_x_f = 734;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f--;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f++;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f++;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f++;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f++;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f++;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f--;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f--;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f++;
    _b_x_y_l_f=_b_t_u_x_f;
    _b_t_u_x_f--;
    };
    _e_h_r_a_t_j_j_w._o_x = function (){
    let _d_t_p_y_o = 902;
    let _f_i_a_l_v = 182;
    _d_t_p_y_o=_f_i_a_l_v;
    _f_i_a_l_v--;
    _d_t_p_y_o=_f_i_a_l_v;
    _f_i_a_l_v++;
    _d_t_p_y_o=_f_i_a_l_v;
    _f_i_a_l_v--;
    _d_t_p_y_o=_f_i_a_l_v;
    _f_i_a_l_v++;
    _d_t_p_y_o=_f_i_a_l_v;
    _f_i_a_l_v--;
    _d_t_p_y_o=_f_i_a_l_v;
    _f_i_a_l_v--;
    _d_t_p_y_o=_f_i_a_l_v;
    _f_i_a_l_v++;
    _d_t_p_y_o=_f_i_a_l_v;
    _f_i_a_l_v++;
    };
    _e_h_r_a_t_j_j_w._n_j = function (){
    let _o_m_n_l_x = 209;
    let _n_w_v_i_s = 482;
    _o_m_n_l_x=_n_w_v_i_s;
    _n_w_v_i_s--;
    _o_m_n_l_x=_n_w_v_i_s;
    _n_w_v_i_s--;
    _o_m_n_l_x=_n_w_v_i_s;
    _n_w_v_i_s--;
    _o_m_n_l_x=_n_w_v_i_s;
    _n_w_v_i_s--;
    _o_m_n_l_x=_n_w_v_i_s;
    _n_w_v_i_s--;
    _o_m_n_l_x=_n_w_v_i_s;
    _n_w_v_i_s++;
    _o_m_n_l_x=_n_w_v_i_s;
    _n_w_v_i_s--;
    _o_m_n_l_x=_n_w_v_i_s;
    _n_w_v_i_s++;
    };//--------aaabbbcccdddeeefffggg
     let _h_p_l_t_w_t_t_s={};
    _h_p_l_t_w_t_t_s.__g=919;
    _h_p_l_t_w_t_t_s.__t=90;
    _h_p_l_t_w_t_t_s.__q=397;
    _h_p_l_t_w_t_t_s.__y=59;
    _h_p_l_t_w_t_t_s.__m=272;
    _h_p_l_t_w_t_t_s.__p=138;
    _h_p_l_t_w_t_t_s.__f=647;
    _h_p_l_t_w_t_t_s.__l=874;
    _h_p_l_t_w_t_t_s.__a=969;
    _h_p_l_t_w_t_t_s.__o=42;
    _h_p_l_t_w_t_t_s.__s=8;
    _h_p_l_t_w_t_t_s.__s=723;
    _h_p_l_t_w_t_t_s.__p=786;
    _h_p_l_t_w_t_t_s.__p=898;
    _h_p_l_t_w_t_t_s.__t=234;
    _h_p_l_t_w_t_t_s.__c=615;
    _h_p_l_t_w_t_t_s.__v=854;
    _h_p_l_t_w_t_t_s.__h=226;
    _h_p_l_t_w_t_t_s.__h=182;
    _h_p_l_t_w_t_t_s.__i=757;
    _h_p_l_t_w_t_t_s.__k=315;
    _h_p_l_t_w_t_t_s.__t=918;
    _h_p_l_t_w_t_t_s.__q=291;
    _h_p_l_t_w_t_t_s.__w=804;
    _h_p_l_t_w_t_t_s.__h=612;
    _h_p_l_t_w_t_t_s.__x=802;
    _h_p_l_t_w_t_t_s.__c=672;
    _h_p_l_t_w_t_t_s.__a=742;
    _h_p_l_t_w_t_t_s.__y=394;
    _h_p_l_t_w_t_t_s.__o=832;
    _h_p_l_t_w_t_t_s.__e=835;
    _h_p_l_t_w_t_t_s.__h=387;
    _h_p_l_t_w_t_t_s.__g=57;
    _h_p_l_t_w_t_t_s.__a=907;
    _h_p_l_t_w_t_t_s.__c=36;
    _h_p_l_t_w_t_t_s.__s=518;
    _h_p_l_t_w_t_t_s.__n=898;
    _h_p_l_t_w_t_t_s.__j=313;
    _h_p_l_t_w_t_t_s.__p=250;
    _h_p_l_t_w_t_t_s.__s=630;
    _h_p_l_t_w_t_t_s.__s=904;
    _h_p_l_t_w_t_t_s.__k=785;
    _h_p_l_t_w_t_t_s.__s=765;
    _h_p_l_t_w_t_t_s.__l=310;
    _h_p_l_t_w_t_t_s.__e=162;
    _h_p_l_t_w_t_t_s.__f=203;
    _h_p_l_t_w_t_t_s.__s=412;
    _h_p_l_t_w_t_t_s.__a=246;
    _h_p_l_t_w_t_t_s.__k=893;
    _h_p_l_t_w_t_t_s.__a=906;
    _h_p_l_t_w_t_t_s.__y=405;
    _h_p_l_t_w_t_t_s.__c=852;
    _h_p_l_t_w_t_t_s.__m=111;
    _h_p_l_t_w_t_t_s.__i=633;
    _h_p_l_t_w_t_t_s.__k=819;
    _h_p_l_t_w_t_t_s.__h=523;
    _h_p_l_t_w_t_t_s.__e=913;
    _h_p_l_t_w_t_t_s.__d=93;
    _h_p_l_t_w_t_t_s.__o=685;
    _h_p_l_t_w_t_t_s.__a=515;
    _h_p_l_t_w_t_t_s.__e=382;
    _h_p_l_t_w_t_t_s.__x=151;
    _h_p_l_t_w_t_t_s.__h=713;
    _h_p_l_t_w_t_t_s.__h=445;
    _h_p_l_t_w_t_t_s.__u=130;
    _h_p_l_t_w_t_t_s.__h=649;
    _h_p_l_t_w_t_t_s.__x=640;
    _h_p_l_t_w_t_t_s.__p=426;
    _h_p_l_t_w_t_t_s.__o=450;
    _h_p_l_t_w_t_t_s.__m=845;
    _h_p_l_t_w_t_t_s.__k=204;
    _h_p_l_t_w_t_t_s.__f=816;
    _h_p_l_t_w_t_t_s.__t=110;
    _h_p_l_t_w_t_t_s.__w=481;
    _h_p_l_t_w_t_t_s.__p=737;
    _h_p_l_t_w_t_t_s.__b=600;
    _h_p_l_t_w_t_t_s.__m=754;
    _h_p_l_t_w_t_t_s.__u=471;
    _h_p_l_t_w_t_t_s.__s=396;
    _h_p_l_t_w_t_t_s.__i=391;
    _h_p_l_t_w_t_t_s.__n=945;
    _h_p_l_t_w_t_t_s.__p=222;
    _h_p_l_t_w_t_t_s.__a=1000;
    _h_p_l_t_w_t_t_s.__u=61;
    _h_p_l_t_w_t_t_s.__o=819;
    _h_p_l_t_w_t_t_s.__i=573;
    _h_p_l_t_w_t_t_s.__y=513;
    _h_p_l_t_w_t_t_s.__l=995;
    _h_p_l_t_w_t_t_s.__j=376;
    _h_p_l_t_w_t_t_s.__g=361;
    _h_p_l_t_w_t_t_s.__v=133;
    _h_p_l_t_w_t_t_s.__f=968;
    _h_p_l_t_w_t_t_s.__e=384;
    _h_p_l_t_w_t_t_s.__w=614;
    _h_p_l_t_w_t_t_s.__y=22;
    _h_p_l_t_w_t_t_s.__s=650;
    _h_p_l_t_w_t_t_s.__b=920;
    _h_p_l_t_w_t_t_s.__j=365;
    _h_p_l_t_w_t_t_s.__d=648;
    _h_p_l_t_w_t_t_s.__j=737;
    _h_p_l_t_w_t_t_s.__t=525;
    _h_p_l_t_w_t_t_s.__f=96;
    _h_p_l_t_w_t_t_s.__n=762;
    _h_p_l_t_w_t_t_s.__f=702;
    _h_p_l_t_w_t_t_s.__h=995;
    _h_p_l_t_w_t_t_s.__r=803;
    _h_p_l_t_w_t_t_s.__j=990;
    _h_p_l_t_w_t_t_s.__j=174;
    _h_p_l_t_w_t_t_s.__t=783;
    _h_p_l_t_w_t_t_s.__t=688;
    _h_p_l_t_w_t_t_s.__w=62;
    _h_p_l_t_w_t_t_s.__j=943;
    _h_p_l_t_w_t_t_s.__m=43;
    _h_p_l_t_w_t_t_s.__y=474;
    _h_p_l_t_w_t_t_s.__k=656;
    _h_p_l_t_w_t_t_s.__j=589;
    _h_p_l_t_w_t_t_s.__b=285;
    _h_p_l_t_w_t_t_s.__f=349;
    _h_p_l_t_w_t_t_s.__m=873;
    _h_p_l_t_w_t_t_s.__x=736;
    _h_p_l_t_w_t_t_s.__j=659;
    _h_p_l_t_w_t_t_s.__j=530;
    _h_p_l_t_w_t_t_s.__e=330;
    _h_p_l_t_w_t_t_s.__s=931;
    _h_p_l_t_w_t_t_s.__l=871;
    _h_p_l_t_w_t_t_s.__b=456;
    _h_p_l_t_w_t_t_s.__m=889;
    _h_p_l_t_w_t_t_s.__i=145;
    _h_p_l_t_w_t_t_s.__n=711;
    _h_p_l_t_w_t_t_s.__j=603;
    _h_p_l_t_w_t_t_s.__y=1000;
    _h_p_l_t_w_t_t_s.__c=907;
    _h_p_l_t_w_t_t_s.__s=219;
    _h_p_l_t_w_t_t_s.__g=926;
    _h_p_l_t_w_t_t_s.__j=675;
    _h_p_l_t_w_t_t_s.__k=54;
    _h_p_l_t_w_t_t_s.__a=467;
    _h_p_l_t_w_t_t_s.__f=925;
    _h_p_l_t_w_t_t_s.__k=86;
    _h_p_l_t_w_t_t_s.__s=110;
    _h_p_l_t_w_t_t_s.__v=970;
    _h_p_l_t_w_t_t_s.__x=340;
    _h_p_l_t_w_t_t_s.__s=787;
    _h_p_l_t_w_t_t_s.__a=293;
    _h_p_l_t_w_t_t_s.__f=722;
    _h_p_l_t_w_t_t_s.__m=460;
    _h_p_l_t_w_t_t_s.__w=563;
    _h_p_l_t_w_t_t_s.__f=140;
    _h_p_l_t_w_t_t_s.__t=854;
    _h_p_l_t_w_t_t_s.__y=73;
    _h_p_l_t_w_t_t_s.__q=902;
    _h_p_l_t_w_t_t_s.__r=766;
    _h_p_l_t_w_t_t_s.__d=922;
    _h_p_l_t_w_t_t_s.__x=25;
    _h_p_l_t_w_t_t_s.__f=92;
    _h_p_l_t_w_t_t_s.__c=735;
    _h_p_l_t_w_t_t_s.__c=813;
    _h_p_l_t_w_t_t_s.__n=415;
    _h_p_l_t_w_t_t_s.__p=942;
    _h_p_l_t_w_t_t_s.__d=573;
    _h_p_l_t_w_t_t_s.__h=285;
    _h_p_l_t_w_t_t_s.__x=412;
    _h_p_l_t_w_t_t_s.__i=135;
    _h_p_l_t_w_t_t_s.__n=891;
    _h_p_l_t_w_t_t_s.__p=126;
    _h_p_l_t_w_t_t_s.__u=696;
    _h_p_l_t_w_t_t_s.__w=196;
    _h_p_l_t_w_t_t_s.__b=139;
    _h_p_l_t_w_t_t_s.__e=934;
    _h_p_l_t_w_t_t_s.__c=522;
    _h_p_l_t_w_t_t_s.__t=90;
    _h_p_l_t_w_t_t_s.__v=989;
    _h_p_l_t_w_t_t_s.__x=536;
    _h_p_l_t_w_t_t_s.__q=414;
    _h_p_l_t_w_t_t_s.__g=448;
    _h_p_l_t_w_t_t_s.__q=334;
    _h_p_l_t_w_t_t_s.__x=14;
    _h_p_l_t_w_t_t_s.__c=480;
    _h_p_l_t_w_t_t_s.__l=411;
    _h_p_l_t_w_t_t_s.__g=920;
    _h_p_l_t_w_t_t_s.__f=373;
    _h_p_l_t_w_t_t_s.__a=356;
    _h_p_l_t_w_t_t_s.__p=103;
    _h_p_l_t_w_t_t_s.__f=600;
    _h_p_l_t_w_t_t_s.__c=821;
    _h_p_l_t_w_t_t_s.__a=767;
    _h_p_l_t_w_t_t_s.__g=731;
    _h_p_l_t_w_t_t_s.__i=210;
    _h_p_l_t_w_t_t_s.__o=681;
    _h_p_l_t_w_t_t_s.__w=726;
    _h_p_l_t_w_t_t_s.__r=307;
    _h_p_l_t_w_t_t_s.__u=77;
    _h_p_l_t_w_t_t_s.__x=927;
    _h_p_l_t_w_t_t_s.__e=342;
    _h_p_l_t_w_t_t_s.__n=993;
    _h_p_l_t_w_t_t_s.__v=144;
    _h_p_l_t_w_t_t_s.__b=342;
    _h_p_l_t_w_t_t_s.__p=269;
    _h_p_l_t_w_t_t_s.__l=76;
    _h_p_l_t_w_t_t_s.__x=727;
    _h_p_l_t_w_t_t_s.__j=305;
    _h_p_l_t_w_t_t_s.__s=767;
    _h_p_l_t_w_t_t_s.__x=568;
    _h_p_l_t_w_t_t_s.__d=892;
    _h_p_l_t_w_t_t_s.__u=200;
    _h_p_l_t_w_t_t_s.__r=396;
    _h_p_l_t_w_t_t_s.__b=423;
    _h_p_l_t_w_t_t_s.__d=459;
    _h_p_l_t_w_t_t_s.__n=452;
    _h_p_l_t_w_t_t_s.__e=332;
    _h_p_l_t_w_t_t_s.__t=388;
    _h_p_l_t_w_t_t_s.__y=634;
    _h_p_l_t_w_t_t_s.__e=187;
    _h_p_l_t_w_t_t_s.__j=309;
    _h_p_l_t_w_t_t_s.__b=476;
    _h_p_l_t_w_t_t_s.__m=257;
    _h_p_l_t_w_t_t_s.__d=516;
    _h_p_l_t_w_t_t_s.__d=182;
    _h_p_l_t_w_t_t_s.__a=63;
    _h_p_l_t_w_t_t_s.__b=685;
    _h_p_l_t_w_t_t_s.__x=447;
    _h_p_l_t_w_t_t_s.__f=125;
    _h_p_l_t_w_t_t_s.__l=610;
    _h_p_l_t_w_t_t_s.__l=297;
    _h_p_l_t_w_t_t_s.__n=420;
    _h_p_l_t_w_t_t_s.__u=441;
    _h_p_l_t_w_t_t_s.__m=12;
    _h_p_l_t_w_t_t_s.__r=620;
    _h_p_l_t_w_t_t_s.__d=464;
    _h_p_l_t_w_t_t_s.__v=5;
    _h_p_l_t_w_t_t_s.__b=568;
    _h_p_l_t_w_t_t_s.__h=83;
    _h_p_l_t_w_t_t_s.__x=988;
    _h_p_l_t_w_t_t_s.__u=333;
    _h_p_l_t_w_t_t_s.__u=584;
    _h_p_l_t_w_t_t_s.__i=397;
    _h_p_l_t_w_t_t_s.__s=184;
    _h_p_l_t_w_t_t_s.__l=272;
    _h_p_l_t_w_t_t_s.__d=588;
    _h_p_l_t_w_t_t_s.__u=561;
    _h_p_l_t_w_t_t_s.__g=70;
    _h_p_l_t_w_t_t_s.__p=315;
    _h_p_l_t_w_t_t_s.__x=185;
    _h_p_l_t_w_t_t_s.__g=487;
    _h_p_l_t_w_t_t_s.__b=141;
    _h_p_l_t_w_t_t_s.__l=543;
    _h_p_l_t_w_t_t_s.__d=525;
    _h_p_l_t_w_t_t_s.__b=254;
    _h_p_l_t_w_t_t_s.__u=664;
    _h_p_l_t_w_t_t_s.__g=194;
    _h_p_l_t_w_t_t_s.__r=403;
    _h_p_l_t_w_t_t_s.__h=991;
    _h_p_l_t_w_t_t_s.__p=580;
    _h_p_l_t_w_t_t_s.__d=850;
    _h_p_l_t_w_t_t_s.__f=980;
    _h_p_l_t_w_t_t_s.__q=379;
    _h_p_l_t_w_t_t_s.__p=46;
    _h_p_l_t_w_t_t_s.__x=257;
    _h_p_l_t_w_t_t_s.__m=133;
    _h_p_l_t_w_t_t_s.__h=775;
    _h_p_l_t_w_t_t_s.__o=587;
    _h_p_l_t_w_t_t_s.__g=766;
    _h_p_l_t_w_t_t_s.__a=424;
    _h_p_l_t_w_t_t_s.__u=976;
    _h_p_l_t_w_t_t_s.__k=891;
    _h_p_l_t_w_t_t_s.__q=396;
    _h_p_l_t_w_t_t_s.__y=701;
    _h_p_l_t_w_t_t_s._o_l = function (){
    let _s_n_a_h_p = 526;
    let _a_a_j_v_f = 990;
    _s_n_a_h_p=_a_a_j_v_f;
    _a_a_j_v_f++;
    _s_n_a_h_p=_a_a_j_v_f;
    _a_a_j_v_f--;
    _s_n_a_h_p=_a_a_j_v_f;
    _a_a_j_v_f++;
    _s_n_a_h_p=_a_a_j_v_f;
    _a_a_j_v_f++;
    _s_n_a_h_p=_a_a_j_v_f;
    _a_a_j_v_f--;
    _s_n_a_h_p=_a_a_j_v_f;
    _a_a_j_v_f--;
    };
    _h_p_l_t_w_t_t_s._m_g = function (){
    let _p_y_k_a_f = 52;
    let _a_o_p_l_q = 663;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q++;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q++;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q--;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q++;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q++;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q--;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q++;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q--;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q++;
    _p_y_k_a_f=_a_o_p_l_q;
    _a_o_p_l_q--;
    };
    _h_p_l_t_w_t_t_s._t_h = function (){
    let _k_h_a_w_h = 54;
    let _w_t_q_d_k = 627;
    _k_h_a_w_h=_w_t_q_d_k;
    _w_t_q_d_k--;
    _k_h_a_w_h=_w_t_q_d_k;
    _w_t_q_d_k++;
    _k_h_a_w_h=_w_t_q_d_k;
    _w_t_q_d_k--;
    _k_h_a_w_h=_w_t_q_d_k;
    _w_t_q_d_k--;
    _k_h_a_w_h=_w_t_q_d_k;
    _w_t_q_d_k--;
    _k_h_a_w_h=_w_t_q_d_k;
    _w_t_q_d_k--;
    _k_h_a_w_h=_w_t_q_d_k;
    _w_t_q_d_k++;
    _k_h_a_w_h=_w_t_q_d_k;
    _w_t_q_d_k--;
    };
    _h_p_l_t_w_t_t_s._u_m = function (){
    let _t_b_l_t_j = 354;
    let _q_m_u_x_r = 175;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r++;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r--;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r--;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r--;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r++;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r--;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r--;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r--;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r--;
    _t_b_l_t_j=_q_m_u_x_r;
    _q_m_u_x_r--;
    };
    _h_p_l_t_w_t_t_s._v_b = function (){
    let _p_i_l_r_l = 873;
    let _x_w_e_f_i = 740;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i++;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i++;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i++;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i--;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i--;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i++;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i++;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i--;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i--;
    _p_i_l_r_l=_x_w_e_f_i;
    _x_w_e_f_i++;
    };
    _h_p_l_t_w_t_t_s._x_x = function (){
    let _m_f_f_j_y = 631;
    let _a_u_u_t_u = 34;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u--;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u--;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u--;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u--;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u++;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u++;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u++;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u++;
    _m_f_f_j_y=_a_u_u_t_u;
    _a_u_u_t_u++;
    };
    _h_p_l_t_w_t_t_s._l_k = function (){
    let _u_g_n_g_f = 544;
    let _s_y_f_w_u = 146;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u--;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u--;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u++;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u--;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u--;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u++;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u++;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u++;
    _u_g_n_g_f=_s_y_f_w_u;
    _s_y_f_w_u--;
    };
    _h_p_l_t_w_t_t_s._o_r = function (){
    let _b_l_a_y_y = 310;
    let _t_j_n_k_b = 7;
    _b_l_a_y_y=_t_j_n_k_b;
    _t_j_n_k_b--;
    _b_l_a_y_y=_t_j_n_k_b;
    _t_j_n_k_b++;
    _b_l_a_y_y=_t_j_n_k_b;
    _t_j_n_k_b--;
    _b_l_a_y_y=_t_j_n_k_b;
    _t_j_n_k_b--;
    _b_l_a_y_y=_t_j_n_k_b;
    _t_j_n_k_b++;
    _b_l_a_y_y=_t_j_n_k_b;
    _t_j_n_k_b--;
    };
    _h_p_l_t_w_t_t_s._t_c = function (){
    let _y_n_m_f_t = 937;
    let _x_r_e_r_c = 499;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c++;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c--;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c--;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c++;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c--;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c++;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c--;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c++;
    _y_n_m_f_t=_x_r_e_r_c;
    _x_r_e_r_c++;
    };

}());
